@echo off
@set XVKMA_CORE_LUT_PACK=TRUE
@set XIL_PAR_MAX_PLOAD=100
:start
cls
@echo          ͻ
@echo                               Main Menu                    
@echo          ͹
@echo           1. Run Xilinx Implement With Synplicity Netlist  
@echo           2. Run Xilinx Implement With XST Netlist         
@echo           3. Generate Simulation models                    
@echo           4. Run BITGEN                                    
@echo           5. Run PROMGEN                                   
@echo           6. Quit                                          
@echo          ͼ
@echo Your Choice :

put 11 15 L
pick 1 2 3 4 5 6

if errorlevel 6  goto EXIT
if errorlevel 5  goto GEN_PROM
if errorlevel 4  goto GEN_BIT
if errorlevel 3  goto GEN_SIM
if errorlevel 2  goto IMPLEMENT_XST
if errorlevel 1  goto IMPLEMENT_SYN
goto EXIT


:IMPLEMENT_SYN
cls
@echo Implementing Xilinx FPGA...
@del *.ngo
@del led_top*.*
ngdbuild -sd ..\syn_3v -sd ..\ngo -uc ..\ucf\led_top.ucf led_top
map -pr b -r led_top.ngd -o led_top.ncd  led_top.pcf
par -pl 3 -rl 3 -w led_top.ncd led_top_routed led_top.pcf
trce -skew -v 100 led_top_routed.ncd led_top.pcf
@echo Done Implementing Xilinx FPGA with Synplicity Netlist...
pause
goto start

:IMPLEMENT_XST
cls
@echo Implementing Xilinx FPGA...
@del *.ngo
@del led_top*.*
ngdbuild -sd ..\xst_3v -sd ..\ngo -uc ..\ucf\led_top.ucf led_top
map -pr b -r led_top.ngd -o led_top.ncd  led_top.pcf
par -pl 3 -rl 3 -w led_top.ncd led_top_routed led_top.pcf
trce -skew -v 100 led_top_routed.ncd led_top.pcf
@echo Done Implementing Xilinx FPGA with XST Netlist...
pause
goto start

:GEN_SIM
cls
@echo GENERATING SIMULATION FILES...
ngdanno -p led_top.pcf -o led_top_routed.nga led_top_routed.ncd 
ngd2vhdl -verbose -w led_top_routed.nga led_top_routed.vhd
copy led_top_routed.vhd ..\sim\.
copy led_top_routed.sdf ..\sim\.
pause
goto start

:GEN_BIT
cls
@echo RUNNING BITGEN...
bitgen -w -l -g StartUpClk:CCLK led_top_routed.ncd pci_led_cclk_3v.bit led_top.pcf
bitgen -w -l -g StartUpClk:JTAGCLK led_top_routed.ncd pci_led_jtag_3v.bit led_top.pcf
pause
pause
goto start

:GEN_PROM
cls
@echo RUNNING PROMGEN...
promgen -p mcs -x XC18V02 -c 0xFF -w -o pci_led_cclk_3v.mcs -u 0 pci_led_cclk_3v.bit
promgen -p mcs -x XC18V02 -c 0xFF -w -o pci_led_jtag_3v.mcs -u 0 pci_led_jtag_3v.bit
pause
goto start

:EXIT
cls
