@echo off
@del *.ngo
@del boardtest_top*.*
@set XVKMA_CORE_LUT_PACK=TRUE
@set XIL_PAR_MAX_PLOAD=100
@set XIL_MAP_ALLOW_ANY_DLL_INPUT=TRUE
:start
cls
@echo          ͻ
@echo                     Main Menu           
@echo          ͹
@echo           1. Run Xilinx Implement       
@echo           2. Generate Simulation models 
@echo           3. Run BITGEN                 
@echo           4. Run PROMGEN                
@echo           5. Make black Box             
@echo           6. Quit                       
@echo          ͼ
@echo Your Choice :

put 11 15 L
pick 1 2 3 4 5 6

if errorlevel 6  goto EXIT
if errorlevel 5  goto BLACK_BOX
if errorlevel 4  goto GEN_PROM
if errorlevel 3  goto GEN_BIT
if errorlevel 2  goto GEN_SIM
if errorlevel 1  goto IMPLEMENT
goto EXIT

:IMPLEMENT
cls
@echo Implementing Xilinx FPGA...
ngdbuild -sd ..\xst_3v -sd ..\ngo -uc ..\ucf\boardtest_top.ucf boardtest_top.ngc
map -pr b -r boardtest_top.ngd -o boardtest_top.ncd  boardtest_top.pcf
par -pl 3 -rl 3 -w boardtest_top.ncd boardtest_top_routed boardtest_top.pcf
trce -skew -v 100 boardtest_top_routed.ncd boardtest_top.pcf
pause
goto start

:GEN_SIM
cls
@echo GENERATING SIMULATION FILES...
ngdanno -p boardtest_top.pcf -o boardtest_top_routed.nga boardtest_top_routed.ncd 
ngd2ver -verbose -w boardtest_top_routed.nga boardtest_top_routed.v
copy boardtest_top_routed.v ..\sim\.
copy boardtest_top_routed.sdf ..\sim\.
pause
goto start

:GEN_BIT
cls
@echo RUNNING BITGEN...
bitgen -w -l boardtest_top_routed.ncd pci_boardtest_3v.bit boardtest_top.pcf
pause
goto start

:GEN_PROM
cls
@echo RUNNING PROMGEN...
promgen -p mcs -x XC18V02 -c 0xFF -w -o pci_boardtest_3v.mcs -u 0 pci_boardtest_3v.bit
pause
goto start

:BLACK_BOX
cls
@echo GENERATING BLACK BOX NETLIST
ngdbuild -p spartan2 -sd ..\ngo -sd ..\xst_3v boardtest_top
ngd2ver -w boardtest_top.ngd boardtest_top_sim.v
perl fix_ver.pl
del boardtest_top_sim.v
ren fixed.v boardtest_top_sim.v
copy boardtest_top_sim.v ..\src\testbench\.
pause
goto start

:EXIT
cls
