-------------------------------------------------------------------------

--

-- File name   : displayrom.vhd

--             :  

-- Title       : 

--             :  

-- Functional  : 

-- Description : displayrom of pci design

--             : 

-- Created On  : 8/7/00   

--             :

-- Testbed     :

-- Requirements: <testing requirements -- explain relation to spec.>

--             :

-- Coding      :  

-- Standard    : Active low signals are identified with '_n' or '_N'.

--             : Only one entity-architecture pair per file.

--             :

-- Synthesis   :

-- Standard    : All outputs registered when possible.

--             :

-- Synthesis   :

-- Warnings    : <NO warnings without written explanation>

--             :

-- Device      :

-- Utilization : <est. clb count, tbufs, dffs, etc.>

--             :

-- Limitations : For use in Xilinx FPGA

--             : 

-- Developers  : Tom Curran

--             : Memec Design

--             : 30 Nagog Park

--             : Acton, MA  01720

--             : Ph 978.266.9193

--             : Fx 978.266.9194

-- ----------------------------------------------------------------------

-- Revision History :

-- ----------------------------------------------------------------------

--   Version   | Author          | Changes Made:      | Mod. Date:

--      1.0    | tom curran      | First write        | 8/7/00      

-- ----------------------------------------------------------------------



library ieee;

use ieee.std_logic_1164.all;

use ieee.std_logic_unsigned.all;



entity displayrom is

port (

   clk : in std_logic;

   reset : in std_logic;

   romaddr : in std_logic_vector(6 downto 0);

   romdata : out std_logic_vector(13 downto 0)

   );

end displayrom;



architecture rtl of displayrom is



begin

   

   disprom: process (clk,reset)

   begin

      if reset='1' then --asynchronous reset active high

         romdata <= (others => '0') ;

      elsif (clk'event and clk='1') then  --clk rising edge

         case romaddr is

            when ( "0000000" ) =>

               romdata <= "01111110111111" ;

            when ( "0000001" ) =>

               romdata <= "01111110000110" ;

            when ( "0000010" ) =>

               romdata <= "01111111011011" ;

            when ( "0000011" ) =>

               romdata <= "01111111001111" ;

            when ( "0000100" ) =>

               romdata <= "01111111100110" ;

            when ( "0000101" ) =>

               romdata <= "01111111101101" ;

            when ( "0000110" ) =>

               romdata <= "01111111111101" ;

            when ( "0000111" ) =>

               romdata <= "01111110000111" ;

            when ( "0001000" ) =>

               romdata <= "01111111111111" ;

            when ( "0001001" ) =>

               romdata <= "01111111101111" ;

            when ( "0001010" ) =>

               romdata <= "00001100111111" ;

            when ( "0001011" ) =>

               romdata <= "00001100000110" ;

            when ( "0001100" ) =>

               romdata <= "00001101011011" ;

            when ( "0001101" ) =>

               romdata <= "00001101001111" ;

            when ( "0001110" ) =>

               romdata <= "00001101100110" ;

            when ( "0001111" ) =>

               romdata <= "00001101101101" ;

            when ( "0010000" ) =>

               romdata <= "00001101111101" ;

            when ( "0010001" ) =>

               romdata <= "00001100000111" ;

            when ( "0010010" ) =>

               romdata <= "00001101111111" ;

            when ( "0010011" ) =>

               romdata <= "00001101101111" ;

            when ( "0010100" ) =>

               romdata <= "10110110111111" ;

            when ( "0010101" ) =>

               romdata <= "10110110000110" ;

            when ( "0010110" ) =>

               romdata <= "10110111011011" ;

            when ( "0010111" ) =>

               romdata <= "10110111001111" ;

            when ( "0011000" ) =>

               romdata <= "10110111100110" ;

            when ( "0011001" ) =>

               romdata <= "10110111101101" ;

            when ( "0011010" ) =>

               romdata <= "10110111111101" ;

            when ( "0011011" ) =>

               romdata <= "10110110000111" ;

            when ( "0011100" ) =>

               romdata <= "10110111111111" ;

            when ( "0011101" ) =>

               romdata <= "10110111101111" ;

            when ( "0011110" ) =>

               romdata <= "10011110111111" ;

            when ( "0011111" ) =>

               romdata <= "10011110000110" ;

            when ( "0100000" ) =>

               romdata <= "10011111011011" ;

            when ( "0100001" ) =>

               romdata <= "10011111001111" ;

            when ( "0100010" ) =>

               romdata <= "10011111100110" ;

            when ( "0100011" ) =>

               romdata <= "10011111101101" ;

            when ( "0100100" ) =>

               romdata <= "10011111111101" ;

            when ( "0100101" ) =>

               romdata <= "10011110000111" ;

            when ( "0100110" ) =>

               romdata <= "10011111111111" ;

            when ( "0100111" ) =>

               romdata <= "10011111101111" ;

            when ( "0101000" ) =>

               romdata <= "11001100111111" ;

            when ( "0101001" ) =>

               romdata <= "11001100000110" ;

            when ( "0101010" ) =>

               romdata <= "11001101011011" ;

            when ( "0101011" ) =>

               romdata <= "11001101001111" ;

            when ( "0101100" ) =>

               romdata <= "11001101100110" ;

            when ( "0101101" ) =>

               romdata <= "11001101101101" ;

            when ( "0101110" ) =>

               romdata <= "11001101111101" ;

            when ( "0101111" ) =>

               romdata <= "11001100000111" ;

            when ( "0110000" ) =>

               romdata <= "11001101111111" ;

            when ( "0110001" ) =>

               romdata <= "11001101101111" ;

            when ( "0110010" ) =>

               romdata <= "11011010111111" ;

            when ( "0110011" ) =>

               romdata <= "11011010000110" ;

            when ( "0110100" ) =>

               romdata <= "11011011011011" ;

            when ( "0110101" ) =>

               romdata <= "11011011001111" ;

            when ( "0110110" ) =>

               romdata <= "11011011100110" ;

            when ( "0110111" ) =>

               romdata <= "11011011101101" ;

            when ( "0111000" ) =>

               romdata <= "11011011111101" ;

            when ( "0111001" ) =>

               romdata <= "11011010000111" ;

            when ( "0111010" ) =>

               romdata <= "11011011111111" ;

            when ( "0111011" ) =>

               romdata <= "11011011101111" ;

            when ( "0111100" ) =>

               romdata <= "11111010111111" ;

            when ( "0111101" ) =>

               romdata <= "11111010000110" ;

            when ( "0111110" ) =>

               romdata <= "11111011011011" ;

            when ( "0111111" ) =>

               romdata <= "11111011001111" ;

            when ( "1000000" ) =>

               romdata <= "11111011100110" ;

            when ( "1000001" ) =>

               romdata <= "11111011101101" ;

            when ( "1000010" ) =>

               romdata <= "11111011111101" ;

            when ( "1000011" ) =>

               romdata <= "11111010000111" ;

            when ( "1000100" ) =>

               romdata <= "11111011111111" ;

            when ( "1000101" ) =>

               romdata <= "11111011101111" ;

            when ( "1000110" ) =>

               romdata <= "00001110111111" ;

            when ( "1000111" ) =>

               romdata <= "00001110000110" ;

            when ( "1001000" ) =>

               romdata <= "00001111011011" ;

            when ( "1001001" ) =>

               romdata <= "00001111001111" ;

            when ( "1001010" ) =>

               romdata <= "00001111100110" ;

            when ( "1001011" ) =>

               romdata <= "00001111101101" ;

            when ( "1001100" ) =>

               romdata <= "00001111111101" ;

            when ( "1001101" ) =>

               romdata <= "00001110000111" ;

            when ( "1001110" ) =>

               romdata <= "00001111111111" ;

            when ( "1001111" ) =>

               romdata <= "00001111101111" ;

            when ( "1010000" ) =>

               romdata <= "11111110111111" ;

            when ( "1010001" ) =>

               romdata <= "11111110000110" ;

            when ( "1010010" ) =>

               romdata <= "11111111011011" ;

            when ( "1010011" ) =>

               romdata <= "11111111001111" ;

            when ( "1010100" ) =>

               romdata <= "11111111100110" ;

            when ( "1010101" ) =>

               romdata <= "11111111101101" ;

            when ( "1010110" ) =>

               romdata <= "11111111111101" ;

            when ( "1010111" ) =>

               romdata <= "11111110000111" ;

            when ( "1011000" ) =>

               romdata <= "11111111111111" ;

            when ( "1011001" ) =>

               romdata <= "11111111101111" ;

            when ( "1011010" ) =>

               romdata <= "11011110111111" ;

            when ( "1011011" ) =>

               romdata <= "11011110000110" ;

            when ( "1011100" ) =>

               romdata <= "11011111011011" ;

            when ( "1011101" ) =>

               romdata <= "11011111001111" ;

            when ( "1011110" ) =>

               romdata <= "11011111100110" ;

            when ( "1011111" ) =>

               romdata <= "11011111101101" ;

            when ( "1100000" ) =>

               romdata <= "11011111111101" ;

            when ( "1100001" ) =>

               romdata <= "11011110000111" ;

            when ( "1100010" ) =>

               romdata <= "11011111111111" ;

            when ( "1100011" ) =>

               romdata <= "11011111101111" ;

            when others =>

               romdata <= "10000001000000" ;

         end case;

      end if;

   end process;

   

end rtl;

