-------------------------------------------------------------------------

--

-- File name   : led_top.vhd

--             :  

-- Title       : 

--             :  

-- Functional  : 

-- Description : top of pci design

--             : 

-- Created On  : 8/7/00   

--             :

-- Testbed     :

-- Requirements: <testing requirements -- explain relation to spec.>

--             :

-- Coding      :  

-- Standard    : Active low signals are identified with '_n' or '_N'.

--             : Only one entity-architecture pair per file.

--             :

-- Synthesis   :

-- Standard    : All outputs registered when possible.

--             :

-- Synthesis   :

-- Warnings    : <NO warnings without written explanation>

--             :

-- Device      :

-- Utilization : <est. clb count, tbufs, dffs, etc.>

--             :

-- Limitations : For use in Xilinx FPGA

--             : 

-- Developers  : Tom Curran

--             : Memec Design

--             : 30 Nagog Park

--             : Acton, MA  01720

--             : Ph 978.266.9193

--             : Fx 978.266.9194

-- ----------------------------------------------------------------------

-- Revision History :

-- ----------------------------------------------------------------------

--   Version   | Author          | Changes Made:      | Mod. Date:

--      1.0    | tom curran      | First write        | 8/7/00      

-- ----------------------------------------------------------------------



library ieee;

use ieee.std_logic_1164.all;

use ieee.std_logic_unsigned.all;



--------------------------------------------------------------------------

--

--  File:   led_top.vhd

--  Rev:    3.0.0

--

--  This is the top-level template file for VHDL designs.

--

--  Copyright (c) 1999 Xilinx, Inc.  All rights reserved.

--

--------------------------------------------------------------------------

library IEEE;

use IEEE.STD_LOGIC_1164.ALL;

use ieee.std_logic_unsigned.all;



--library synplify;

--use synplify.attributes.all;



entity led_top is

port (-- PCI ports; do not modify names!

   PCLK            : in    std_logic;

   RST_N           : in    std_logic;

   REQ_N           : out   std_logic;

   GNT_N           : in    std_logic;

   IDSEL           : in    std_logic;

   AD              : inout std_logic_vector(31 downto 0);

   CBE             : inout std_logic_vector( 3 downto 0);

   FRAME_N         : inout std_logic;

   IRDY_N          : inout std_logic;

   DEVSEL_N        : inout std_logic;

   TRDY_N          : inout std_logic;

   STOP_N          : inout std_logic;

   PAR             : inout std_logic;

   PERR_N          : inout std_logic;

   SERR_N          : inout std_logic;

   INTR_A          : out   std_logic;

   --userapp i/o's 

   LED_TEST        : out std_logic ;

   TENSDIGIT : out std_logic_vector(6 downto 0) ;

   ONESDIGIT : out std_logic_vector(6 downto 0) 

   );

end led_top;



architecture rtl of led_top is



  attribute syn_edif_bit_format : string;
  attribute syn_edif_scalar_format : string;
  attribute syn_noclockbuf : boolean;
  attribute syn_hier : string;
  attribute syn_edif_bit_format of rtl : architecture is "%u<%i>";
  attribute syn_edif_scalar_format of rtl : architecture is "%u";
  attribute syn_noclockbuf of rtl : architecture is true;
  attribute syn_hier of rtl : architecture is "hard";


   -- Component declaration of PCI Interface

   component pcim_lc

   port (-- PCI ports; do not modify names!

      AD_IO           : inout std_logic_vector( 31 downto 0);

      CBE_IO          : inout std_logic_vector(  3 downto 0);

      PAR_IO          : inout std_logic;

      FRAME_IO        : inout std_logic;

      TRDY_IO         : inout std_logic;

      IRDY_IO         : inout std_logic;

      STOP_IO         : inout std_logic;

      DEVSEL_IO       : inout std_logic;

      IDSEL_I         : in    std_logic;

      INTA_O          : out   std_logic;

      PERR_IO         : inout std_logic;

      SERR_IO         : inout std_logic;

      REQ_O           : out   std_logic;

      GNT_I           : in    std_logic;

      RST_I           : in    std_logic;

      PCLK            : in    std_logic;

      CFG             : in    std_logic_vector(255 downto 0);

      FRAMEQ_N        : out   std_logic;

      TRDYQ_N         : out   std_logic;

      IRDYQ_N         : out   std_logic;

      STOPQ_N         : out   std_logic;

      DEVSELQ_N       : out   std_logic;

      ADDR            : out   std_logic_vector( 31 downto 0);

      ADIO            : inout std_logic_vector( 31 downto 0);

      CFG_VLD         : out   std_logic;

      CFG_HIT         : out   std_logic;

      C_TERM          : in    std_logic;

      C_READY         : in    std_logic;

      ADDR_VLD        : out   std_logic;

      BASE_HIT        : out   std_logic_vector(  7 downto 0);

      S_TERM          : in    std_logic;

      S_READY         : in    std_logic;

      S_ABORT         : in    std_logic;

      S_WRDN          : out   std_logic;

      S_SRC_EN        : out   std_logic;

      S_DATA_VLD      : out   std_logic;

      S_CBE           : out   std_logic_vector(  3 downto 0);

      PCI_CMD         : out   std_logic_vector( 15 downto 0);

      REQUEST         : in    std_logic;

      REQUESTHOLD     : in    std_logic;

      COMPLETE        : in    std_logic;

      M_WRDN          : in    std_logic;

      M_READY         : in    std_logic;

      M_SRC_EN        : out   std_logic;

      M_DATA_VLD      : out   std_logic;

      M_CBE           : in    std_logic_vector(  3 downto 0);

      TIME_OUT        : out   std_logic;

      CFG_SELF        : in    std_logic;

      M_DATA          : out   std_logic;

      DR_BUS          : out   std_logic;

      I_IDLE          : out   std_logic;

      M_ADDR_N        : out   std_logic;

      IDLE            : out   std_logic;

      B_BUSY          : out   std_logic;

      S_DATA          : out   std_logic;

      BACKOFF         : out   std_logic;

      INTR_N          : in    std_logic;

      PERRQ_N         : out   std_logic;

      SERRQ_N         : out   std_logic;

      KEEPOUT         : in    std_logic;

      CSR             : out   std_logic_vector( 39 downto 0);

      SUB_DATA        : in    std_logic_vector( 31 downto 0);

      RST             : inout std_logic;

      CLK             : inout std_logic

      );

   end component;

   -- Component declaration for Configuration 

   component CFG

   port (

         CFG             : out   std_logic_vector(255 downto 0)

   );

   end component;



   -- Component declaration of Userapp

   component userapp

   port(

      clk : in std_logic;

      reset : in std_logic;

      s_data : in std_logic;

      s_data_vld : in std_logic;

      s_wrdn : in std_logic;

      base_hit : in std_logic_vector(7 downto 0);

      c_ready : out std_logic;

      c_term : out std_logic;

      cfg_self : out std_logic;

      complete : out std_logic;

      intr_n : out std_logic;

      keepout : out std_logic;

      m_ready : out std_logic;

      m_wrdn : out std_logic;

      request : out std_logic;

      request64 : out std_logic;

      requesthold : out std_logic;

      s_abort : out std_logic;

      s_ready : out std_logic;

      s_term : out std_logic;

      slot64 : out std_logic;

      m_cbe : out std_logic_vector(7 downto 0);

      adio : inout std_logic_vector(31 downto 0);

      sub_data : out std_logic_vector(31 downto 0);





      --unused inputs

      --addr_vld : in std_logic;

      --cfg_hit : in std_logic;

      --cfg_vld : in std_logic;

      --s_src_en : in std_logic;

      --s_cbe : in std_logic_vector(3 downto 0);

      --addr : in std_logic_vector(31 downto 0);

      --pci_cmd : in std_logic_vector(15 downto 0);

      --m_data_vld : in std_logic;

      --m_src_en : in std_logic;

      --time_out : in std_logic;

      --devselq_n : in std_logic;

      --frameq_n : in std_logic;

      --irdyq_n : in std_logic;

      --stopq_n : in std_logic;

      --trdyq_n : in std_logic;

      --b_busy : in std_logic;

      --backoff : in std_logic;

      --idle : in std_logic;

      --dr_bus : in std_logic;

      --i_idle : in std_logic;

      --m_addr_n : in std_logic;

      --m_data : in std_logic;

      --csr : in std_logic_vector(39 downto 0);

      --perrq_n : in std_logic;

      --serrq_n : in std_logic;



      --userapp i/o's

      led_test : out std_logic ;

      tensdigit : out std_logic_vector(6 downto 0) ;

      onesdigit : out std_logic_vector(6 downto 0) 

      

      );

   end component ;



   -- Internal signals; do not modify names!

   signal FRAMEQ_N       : std_logic;

   signal TRDYQ_N        : std_logic;

   signal IRDYQ_N        : std_logic;

   signal STOPQ_N        : std_logic;

   signal DEVSELQ_N      : std_logic;

   signal ADDR           : std_logic_vector( 31 downto 0);

   signal ADIO           : std_logic_vector( 31 downto 0);

   signal CFG_VLD        : std_logic;

   signal CFG_HIT        : std_logic;

   signal C_TERM         : std_logic;

   signal C_READY        : std_logic;

   signal ADDR_VLD       : std_logic;

   signal BASE_HIT       : std_logic_vector(  7 downto 0);

   signal S_TERM         : std_logic;

   signal S_READY        : std_logic;

   signal S_ABORT        : std_logic;

   signal S_WRDN         : std_logic;

   signal S_SRC_EN       : std_logic;

   signal S_DATA_VLD     : std_logic;

   signal S_CBE          : std_logic_vector(  3 downto 0);

   signal PCI_CMD        : std_logic_vector( 15 downto 0);

   signal REQUEST        : std_logic;

   signal REQUESTHOLD    : std_logic;

   signal COMPLETE       : std_logic;

   signal M_WRDN         : std_logic;

   signal M_READY        : std_logic;

   signal M_SRC_EN       : std_logic;

   signal M_DATA_VLD     : std_logic;

   signal M_CBE          : std_logic_vector(  7 downto 0);

   signal TIME_OUT       : std_logic;

   signal CFG_SELF       : std_logic;

   signal M_DATA         : std_logic;

   signal DR_BUS         : std_logic;

   signal I_IDLE         : std_logic;

   signal M_ADDR_N       : std_logic;

   signal IDLE           : std_logic;

   signal B_BUSY         : std_logic;

   signal S_DATA         : std_logic;

   signal BACKOFF        : std_logic;

   signal INTR_N         : std_logic;

   signal PERRQ_N        : std_logic;

   signal SERRQ_N        : std_logic;

   signal KEEPOUT        : std_logic;

   signal CSR            : std_logic_vector( 39 downto 0);

   signal SUB_DATA       : std_logic_vector( 31 downto 0);

   signal CFG_BUS        : std_logic_vector(255 downto 0);

   signal RST            : std_logic;

   signal CLK            : std_logic;



begin



   -- Do not modify any port, signal, or instance

   -- names related to the PCI Interface!

   PCI_CORE : pcim_lc 

   port map (

      AD_IO               => AD,

      CBE_IO              => CBE,

      PAR_IO              => PAR,

      FRAME_IO            => FRAME_N,

      TRDY_IO             => TRDY_N,

      IRDY_IO             => IRDY_N,

      STOP_IO             => STOP_N,

      DEVSEL_IO           => DEVSEL_N,

      IDSEL_I             => IDSEL,

      INTA_O              => INTR_A,

      PERR_IO             => PERR_N,

      SERR_IO             => SERR_N,

      REQ_O               => REQ_N,

      GNT_I               => GNT_N,

      RST_I               => RST_N,

      PCLK                => PCLK,

      FRAMEQ_N            => FRAMEQ_N,

      TRDYQ_N             => TRDYQ_N,

      IRDYQ_N             => IRDYQ_N,

      STOPQ_N             => STOPQ_N,

      DEVSELQ_N           => DEVSELQ_N,

      ADDR                => ADDR,

      ADIO                => ADIO,

      CFG_VLD             => CFG_VLD,

      CFG_HIT             => CFG_HIT,

      C_TERM              => C_TERM,

      C_READY             => C_READY,

      ADDR_VLD            => ADDR_VLD,

      BASE_HIT            => BASE_HIT,

      S_TERM              => S_TERM,

      S_READY             => S_READY,

      S_ABORT             => S_ABORT,

      S_WRDN              => S_WRDN,

      S_SRC_EN            => S_SRC_EN,

      S_DATA_VLD          => S_DATA_VLD,

      S_CBE               => S_CBE,

      PCI_CMD             => PCI_CMD,

      REQUEST             => REQUEST,

      REQUESTHOLD         => REQUESTHOLD,

      COMPLETE            => COMPLETE,

      M_WRDN              => M_WRDN,

      M_READY             => M_READY,

      M_SRC_EN            => M_SRC_EN,

      M_DATA_VLD          => M_DATA_VLD,

      M_CBE               => M_CBE(3 downto 0),

      TIME_OUT            => TIME_OUT,

      CFG_SELF            => CFG_SELF,

      M_DATA              => M_DATA,

      DR_BUS              => DR_BUS,

      I_IDLE              => I_IDLE,

      M_ADDR_N            => M_ADDR_N,

      IDLE                => IDLE,

      B_BUSY              => B_BUSY,

      S_DATA              => S_DATA,

      BACKOFF             => BACKOFF,

      INTR_N              => INTR_N,

      PERRQ_N             => PERRQ_N,

      SERRQ_N             => SERRQ_N,

      KEEPOUT             => KEEPOUT,

      CSR                 => CSR,

      SUB_DATA            => SUB_DATA,

      CFG                 => CFG_BUS,

      RST                 => RST,

      CLK                 => CLK

      );



   -- Instantiate the configuration module

   CFG_INST : CFG 

   port map (

      CFG => CFG_BUS);



   -- Instantiate the user application

   userapp_inst : userapp

   port map(

      --pci core i/o's

      --frameq_n => frameq_n,

      --trdyq_n => trdyq_n,

      --irdyq_n => irdyq_n,

      --stopq_n => stopq_n,

      --devselq_n => devselq_n,

      --addr => addr,

      adio => adio,

      --cfg_vld => cfg_vld,

      --cfg_hit => cfg_hit,

      c_term => c_term,

      c_ready => c_ready,

      --addr_vld => addr_vld,

      base_hit => base_hit,

      s_term => s_term,

      s_ready => s_ready,

      s_abort => s_abort,

      s_wrdn => s_wrdn,

      --s_src_en => s_src_en,

      s_data_vld => s_data_vld,

      --s_cbe => s_cbe,

      --pci_cmd => pci_cmd,

      request => request,

      requesthold => requesthold,

      complete => complete,

      m_wrdn => m_wrdn,

      m_ready => m_ready,

      --m_src_en => m_src_en,

      --m_data_vld => m_data_vld,

      m_cbe => m_cbe,

      --time_out => time_out,

      cfg_self => cfg_self,

      --m_data => m_data,

      --dr_bus => dr_bus,

      --i_idle => i_idle,

      --m_addr_n => m_addr_n,

      --idle => idle,

      --b_busy => b_busy,

      s_data => s_data,

      --backoff => backoff,

      intr_n => intr_n,

      --perrq_n => perrq_n,

      --serrq_n => serrq_n,

      keepout => keepout,

      --csr => csr,

      sub_data => sub_data,

      reset => rst,

      clk => clk,

      request64 => open,

      slot64 => open,

      --userapp i/o's

      led_test => LED_TEST,

      tensdigit => TENSDIGIT,

      onesdigit => ONESDIGIT

      );



end rtl;
