-- Xilinx Vhdl produced by program ngd2vhdl E.36
-- Command: -verbose -w led_top_routed.nga led_top_routed.vhd 
-- Input file: led_top_routed.nga
-- Output file: led_top_routed.vhd
-- Design name: led_top
-- Xilinx: d:/xilinx_42i
-- # of Entities: 1
-- Device: 2s200fg456-5

-- The output of ngd2vhdl is a simulation model. This file cannot be synthesized,
-- or used in any other manner other than simulation. This netlist uses simulation
-- primitives which may not represent the true implementation of the device, however
-- the netlist is functionally correct. Do not modify this file.

-- Model for  ROC (Reset-On-Configuration) Cell
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.VITAL_Timing.all;
entity ROC is
  generic (InstancePath: STRING := "*";
           WIDTH : Time := 100 ns);
  port(O : out std_ulogic := '1') ;
  attribute VITAL_LEVEL0 of ROC : entity is TRUE;
end ROC;

architecture ROC_V of ROC is
attribute VITAL_LEVEL0 of ROC_V : architecture is TRUE;
begin
  ONE_SHOT : process
  begin
    if (WIDTH <= 0 ns) then
       assert FALSE report
       "*** Error: a positive value of WIDTH must be specified ***"
       severity failure;
    else
       wait for WIDTH;
       O <= '0';
    end if;
    wait;
  end process ONE_SHOT;
end ROC_V;

-- Model for  TOC (Tristate-On-Configuration) Cell
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.VITAL_Timing.all;
entity TOC is
  generic (InstancePath: STRING := "*";
           WIDTH : Time := 0 ns);
  port(O : out std_ulogic := '0');
  attribute VITAL_LEVEL0 of TOC : entity is TRUE;
end TOC;

architecture TOC_V of TOC is
attribute VITAL_LEVEL0 of TOC_V : architecture is TRUE;
begin
  ONE_SHOT : process
  begin
    O <= '1';
    if (WIDTH <= 0 ns) then
       O <= '0';
    else
       wait for WIDTH;
       O <= '0';
    end if;
    wait;
  end process ONE_SHOT;
end TOC_V;

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;
entity led_top is
  port (
    PCLK : in STD_LOGIC := 'X'; 
    SERR_N : inout STD_LOGIC; 
    PERR_N : inout STD_LOGIC; 
    IRDY_N : inout STD_LOGIC; 
    GNT_N : in STD_LOGIC := 'X'; 
    IDSEL : in STD_LOGIC := 'X'; 
    FRAME_N : inout STD_LOGIC; 
    STOP_N : inout STD_LOGIC; 
    DEVSEL_N : inout STD_LOGIC; 
    TRDY_N : inout STD_LOGIC; 
    REQ_N : out STD_LOGIC; 
    PAR : inout STD_LOGIC; 
    RST_N : in STD_LOGIC := 'X'; 
    INTR_A : out STD_LOGIC; 
    LED_TEST : out STD_LOGIC; 
    AD : inout STD_LOGIC_VECTOR ( 31 downto 0 ); 
    CBE : inout STD_LOGIC_VECTOR ( 3 downto 0 ); 
    ONESDIGIT : out STD_LOGIC_VECTOR ( 6 downto 0 ); 
    TENSDIGIT : out STD_LOGIC_VECTOR ( 6 downto 0 ) 
  );
end led_top;

architecture STRUCTURE of led_top is
  component ROC
    generic (InstancePath: STRING := "*";
             WIDTH : Time := 100 ns);
    port (O : out STD_ULOGIC := '1');
  end component;
  component TOC
    generic (InstancePath: STRING := "*";
             WIDTH : Time := 0 ns);
    port (O : out STD_ULOGIC := '1');
  end component;
  signal PCI_CORE_PCI_LC_OUT_SEL : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAKE_GTS : STD_LOGIC; 
  signal CFG_SELF : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL64_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CBEOUT3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE2 : STD_LOGIC; 
  signal COMPLETE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CBEOUT2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CBEOUT1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CBEOUT0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQ_REQ_BUS : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_S_TAR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_M_ENABLE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_BE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_NS_REQ_Q : STD_LOGIC; 
  signal CLK : STD_LOGIC; 
  signal PCI_CORE_STOP_I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_NS_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_CORE_READY : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_ALLOWED : STD_LOGIC; 
  signal PCI_CORE_TRDY_I_FANOUT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_1 : STD_LOGIC; 
  signal PCI_CORE_RST_N : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_IRDY_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IIRDY_I_Q : STD_LOGIC; 
  signal PCI_CORE_CBE_IN0 : STD_LOGIC; 
  signal PCI_CORE_CBE_I0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_HARD_CE : STD_LOGIC; 
  signal PCI_CORE_OE_CBE : STD_LOGIC; 
  signal PCI_CORE_CBE_IN1 : STD_LOGIC; 
  signal PCI_CORE_CBE_I1 : STD_LOGIC; 
  signal PCI_CORE_CBE_IN2 : STD_LOGIC; 
  signal PCI_CORE_CBE_I2 : STD_LOGIC; 
  signal PCI_CORE_CBE_IN3 : STD_LOGIC; 
  signal PCI_CORE_CBE_I3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TRDY_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_TRDY_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN : STD_LOGIC; 
  signal PCI_CORE_TRDY_I : STD_LOGIC; 
  signal PCI_CORE_NUB : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_DEVSEL_Q : STD_LOGIC; 
  signal PCI_CORE_DEVSEL_I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_DEVSEL_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_STOP_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_STOP_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FRAME_Q : STD_LOGIC; 
  signal PCI_CORE_FRAME_I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FRAME_CE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_FRAME_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDSEL : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_GNT_Q : STD_LOGIC; 
  signal PCI_CORE_GNT_IN : STD_LOGIC; 
  signal PCI_CORE_PAR_I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PAR_CE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_PAR : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IRDY_Q : STD_LOGIC; 
  signal PCI_CORE_IRDY_I_FANOUT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT : STD_LOGIC; 
  signal PCI_CORE_IRDY_I : STD_LOGIC; 
  signal PCI_CORE_OE_INTA : STD_LOGIC; 
  signal LED_TEST_C : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PERR_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_PERR_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OE_PERR : STD_LOGIC; 
  signal PCI_CORE_AD0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT0 : STD_LOGIC; 
  signal PCI_CORE_AD1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT1 : STD_LOGIC; 
  signal PCI_CORE_AD10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT10 : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_LB : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SERR_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_NS_OE_SERR : STD_LOGIC; 
  signal PCI_CORE_AD2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT2 : STD_LOGIC; 
  signal PCI_CORE_AD11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT11 : STD_LOGIC; 
  signal PCI_CORE_AD3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT3 : STD_LOGIC; 
  signal PCI_CORE_AD12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT12 : STD_LOGIC; 
  signal PCI_CORE_AD20 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT20 : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_LT : STD_LOGIC; 
  signal PCI_CORE_AD4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT4 : STD_LOGIC; 
  signal PCI_CORE_AD13 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT13 : STD_LOGIC; 
  signal PCI_CORE_AD21 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT21 : STD_LOGIC; 
  signal PCI_CORE_AD5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT5 : STD_LOGIC; 
  signal PCI_CORE_AD14 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT14 : STD_LOGIC; 
  signal PCI_CORE_AD22 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT22 : STD_LOGIC; 
  signal PCI_CORE_AD30 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT30 : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_T : STD_LOGIC; 
  signal PCI_CORE_AD6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT6 : STD_LOGIC; 
  signal PCI_CORE_AD15 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT15 : STD_LOGIC; 
  signal PCI_CORE_AD23 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT23 : STD_LOGIC; 
  signal PCI_CORE_AD31 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT31 : STD_LOGIC; 
  signal PCI_CORE_AD7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT7 : STD_LOGIC; 
  signal PCI_CORE_AD16 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT16 : STD_LOGIC; 
  signal PCI_CORE_AD24 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT24 : STD_LOGIC; 
  signal PCI_CORE_AD8 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT8 : STD_LOGIC; 
  signal PCI_CORE_AD17 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT17 : STD_LOGIC; 
  signal PCI_CORE_AD25 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT25 : STD_LOGIC; 
  signal PCI_CORE_AD9 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT9 : STD_LOGIC; 
  signal PCI_CORE_AD18 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT18 : STD_LOGIC; 
  signal PCI_CORE_AD26 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT26 : STD_LOGIC; 
  signal PCI_CORE_AD19 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT19 : STD_LOGIC; 
  signal PCI_CORE_AD27 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT27 : STD_LOGIC; 
  signal PCI_CORE_AD28 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT28 : STD_LOGIC; 
  signal PCI_CORE_AD29 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADOUT29 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q : STD_LOGIC; 
  signal GLOBAL_LOGIC0 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG7 : STD_LOGIC; 
  signal GLOBAL_LOGIC1 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_ADI : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH8 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH9 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_1 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_1 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_1 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_2 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10333_2 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_2 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_OE_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_3 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_3 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_3 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_4 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_4 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10366_4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4 : STD_LOGIC; 
  signal PCI_CORE_CSR_24_Q : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446 : STD_LOGIC; 
  signal PCI_CORE_CSR_2_Q : STD_LOGIC; 
  signal PCI_CORE_CSR_6_Q : STD_LOGIC; 
  signal PCI_CORE_CSR_8_Q : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10334_5 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_5 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_6 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10337_6 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10367_6 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_6 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_7 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_7 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_10 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_7 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_10 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_8 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_10 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_8 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_8 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_10 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_9 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_11 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_9 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10360_11 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_ROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_SELA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD27 : STD_LOGIC; 
  signal PCI_CORE_CSR_27_Q : STD_LOGIC; 
  signal PCI_CORE_CSR_28_Q : STD_LOGIC; 
  signal PCI_CORE_CSR_29_Q : STD_LOGIC; 
  signal PCI_CORE_CSR_30_Q : STD_LOGIC; 
  signal PCI_CORE_CSR_31_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD12 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10340_12 : STD_LOGIC; 
  signal userapp_inst_N_21 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH13 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH14 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH15 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD22 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD24 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD25 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD8 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_13 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_13 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_S_OK_N : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_FFA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_M_OK_N : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TSTOP_I_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_SUB_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_NS : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TTRDY_I_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_PER : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IPWIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TPWIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_TURN_ON : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_KO_T_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_KO_T_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_FEEDBACK : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IFRAME_I_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_FANF : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_SND : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MND : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NEWDATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_AD_PAR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_I_IDLE_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_MIDDLE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_WRDN_DUP : STD_LOGIC; 
  signal KEEPOUT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_CFG_SELFQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_DATA_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EQN_W1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EQN_V1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EQN_W0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EQN_V0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_LATE_GATE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_F1A : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0_I0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0_I1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TDEVSEL_I_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_A1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_B1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_A0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_B0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_DR_BUS_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_FIRST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SF0_I0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SF0_I1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_XFERFAIL_EQN_X : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3369 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3380 : STD_LOGIC; 
  signal userapp_inst_foo_bar0_un1_romaddr_cry_0_O : STD_LOGIC; 
  signal userapp_inst_foo_bar0_un1_romaddr_cry_2_0_O : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_WE : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_N_70_I : STD_LOGIC; 
  signal userapp_inst_foo_bar0_un1_romaddr_cry_4_0_O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_M_DATA_NS_MDATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_M_DATA_EQN_A : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IFRAME_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO : STD_LOGIC; 
  signal PCI_CORE_M_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_MATCH : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW16 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO16 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH48 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ16 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW17 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO17 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH49 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ17 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW18 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO18 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH50 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ18 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW19 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO19 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH51 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ19 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW20 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO20 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH52 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ20 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW21 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO21 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH53 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ21 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW22 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO22 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH54 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ22 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW23 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO23 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH55 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ23 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW24 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO24 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH56 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ24 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW25 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO25 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH57 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ25 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH32 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH33 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH34 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH35 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH36 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH37 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH38 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH39 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW8 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO8 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH40 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ8 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW9 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO9 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH41 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ9 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_EQ_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_EQ_A : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_ADDR_GNT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRST0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRST1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_FIRST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_TQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P0I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P1I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P2I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P3I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_APERR_N : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_TQ : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_40_I : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_WR : STD_LOGIC; 
  signal S_DATA_VLD : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_45 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_TERM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TC : STD_LOGIC; 
  signal PCI_CORE_TIME_OUT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_B_BUSY_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_EQN_A : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_EQN_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL5 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_TQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_NS_IDLE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_DATA_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BUSY_NS_IDLE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_IDLE_NS_IDLE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_DATA_NS_TNAR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_ADDR_M_ADDR_DEAD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL6 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_TQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_NS_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A : STD_LOGIC; 
  signal S_TERM : STD_LOGIC; 
  signal S_READY : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_BUSY_NS_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E : STD_LOGIC; 
  signal S_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL7 : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_1_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_10_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_11_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_B_BUSY_NS : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_C_EQN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_LB : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_BEGIN : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_43 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_READY : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_LT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX1 : STD_LOGIC; 
  signal PCI_CORE_CFG_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_R : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_AD7610_0000 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2619 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX15 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ATTEMPT64 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_SCG64 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_1N2215 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I592_free_1_2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_1N18 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BACKOFF_INT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SET11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE1_3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_R : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_R : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_EQN_A : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_SET_OE_PERR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_SET_OE_PERR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SET8 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_SEL_M_IN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_SEL_S_IN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IIRDY_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_EQN_A : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_R_TERM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_RD : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_TYPE00 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_NS_CFG_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SET12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_DATA_NS : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_AB : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_S_EQN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_PASS_TO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST64 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_LOCKOUT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_R : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_DSTR : STD_LOGIC; 
  signal S_WRDN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_WIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2762 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW26 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO26 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH58 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ26 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW27 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO27 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH59 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ27 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW28 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO28 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH60 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ28 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW29 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO29 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH61 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ29 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW30 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO30 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH62 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ30 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW31 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO31 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH63 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ31 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_UNALIGN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_NS_HITNL : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH42 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH43 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH44 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ12 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW13 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO13 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH45 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ13 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW14 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO14 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH46 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ14 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW15 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_AD_D_SLO15 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH47 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ15 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2764 : STD_LOGIC; 
  signal userapp_inst_N_7_I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2670 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_DATA_NS_DATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_CRABILL : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_A : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_C_EQN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_EQN : STD_LOGIC; 
  signal userapp_inst_BAR_0_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_IDATA_WIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_FAST_TERM_WIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_TERM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_TERM_OTHER : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_JAYANT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_WR_OR_NRDY : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_BKOF_NS_BKOF : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_EQN_G : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_COND : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X1I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X0I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X3I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X2I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X5I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X4I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X7I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X6I : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE : STD_LOGIC; 
  signal PCI_CORE_S_SRC_EN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_ACTIVE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_HIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N8188 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_SEL0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N8111 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_SEL2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N7806 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X6O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X7O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P0O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P1O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P2O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P3O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X0O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X1O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X2O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X3O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X4O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X5O : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_3N2935 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_1N623 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EOT_DL : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_FIRST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN : STD_LOGIC; 
  signal PCI_CORE_M_SRC_EN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE3_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_3N3054 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_1N2884 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_M_DATAQ : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE15_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE1_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LB : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE1_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_T : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_T : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_2 : STD_LOGIC; 
  signal PCI_CORE_M_ADDR_N : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE4_2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE4_3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_E : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_HIT : STD_LOGIC; 
  signal PCI_CORE_M_DATA_VLD : STD_LOGIC; 
  signal GLOBAL_LOGIC0_0 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_1 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_2 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_3 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_4 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_5 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_6 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_7 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_8 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_9 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_10 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_11 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_12 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_13 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_14 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_15 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_16 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_17 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_18 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_19 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_20 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_21 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_22 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_23 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_24 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_25 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_26 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_27 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_28 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_29 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_30 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_31 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_32 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_33 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_34 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_35 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_36 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_37 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_38 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_39 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_40 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_41 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_42 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_43 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_44 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_45 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_46 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_47 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_48 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_49 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_50 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_51 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_52 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_53 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_54 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_55 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_56 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_57 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_58 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_59 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_60 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_61 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_62 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_63 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_64 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_65 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_66 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_67 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_68 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_69 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_70 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_71 : STD_LOGIC; 
  signal GLOBAL_LOGIC0_72 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_0 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_1 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_2 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_3 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_4 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_5 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_6 : STD_LOGIC; 
  signal GLOBAL_LOGIC1_7 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_NS_REQ_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_NS_REQ_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IIRDY_I_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IIRDY_I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IIRDY_I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IIRDY_I_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IIRDY_I_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_0_SRMUXNOT : STD_LOGIC; 
  signal CBE_0_IBUF : STD_LOGIC; 
  signal CBE_0_IDELAY : STD_LOGIC; 
  signal CBE_0_OD : STD_LOGIC; 
  signal PCI_CORE_CBE_O0 : STD_LOGIC; 
  signal CBE_0_OUTMUX : STD_LOGIC; 
  signal CBE_0_TORGTS : STD_LOGIC; 
  signal CBE_0_ENABLE : STD_LOGIC; 
  signal CBE_0_OUTBUF_GTS_AND : STD_LOGIC; 
  signal CBE_0_IFF_SET : STD_LOGIC; 
  signal CBE_0_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_0_OFF_SET : STD_LOGIC; 
  signal CBE_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_1_SRMUXNOT : STD_LOGIC; 
  signal CBE_1_IBUF : STD_LOGIC; 
  signal CBE_1_IDELAY : STD_LOGIC; 
  signal CBE_1_OD : STD_LOGIC; 
  signal PCI_CORE_CBE_O1 : STD_LOGIC; 
  signal CBE_1_OUTMUX : STD_LOGIC; 
  signal CBE_1_TORGTS : STD_LOGIC; 
  signal CBE_1_ENABLE : STD_LOGIC; 
  signal CBE_1_OUTBUF_GTS_AND : STD_LOGIC; 
  signal CBE_1_IFF_SET : STD_LOGIC; 
  signal CBE_1_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_1_OFF_SET : STD_LOGIC; 
  signal CBE_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_2_SRMUXNOT : STD_LOGIC; 
  signal CBE_2_IBUF : STD_LOGIC; 
  signal CBE_2_IDELAY : STD_LOGIC; 
  signal CBE_2_OD : STD_LOGIC; 
  signal PCI_CORE_CBE_O2 : STD_LOGIC; 
  signal CBE_2_OUTMUX : STD_LOGIC; 
  signal CBE_2_TORGTS : STD_LOGIC; 
  signal CBE_2_ENABLE : STD_LOGIC; 
  signal CBE_2_OUTBUF_GTS_AND : STD_LOGIC; 
  signal CBE_2_IFF_SET : STD_LOGIC; 
  signal CBE_2_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_2_OFF_SET : STD_LOGIC; 
  signal CBE_2_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_3_SRMUXNOT : STD_LOGIC; 
  signal CBE_3_IBUF : STD_LOGIC; 
  signal CBE_3_IDELAY : STD_LOGIC; 
  signal CBE_3_OD : STD_LOGIC; 
  signal PCI_CORE_CBE_O3 : STD_LOGIC; 
  signal CBE_3_OUTMUX : STD_LOGIC; 
  signal CBE_3_TORGTS : STD_LOGIC; 
  signal CBE_3_ENABLE : STD_LOGIC; 
  signal CBE_3_OUTBUF_GTS_AND : STD_LOGIC; 
  signal CBE_3_IFF_SET : STD_LOGIC; 
  signal CBE_3_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CBE_3_OFF_SET : STD_LOGIC; 
  signal CBE_3_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TRDY_N_IBUF : STD_LOGIC; 
  signal TRDY_N_SRMUXNOT : STD_LOGIC; 
  signal TRDY_N_IDELAY : STD_LOGIC; 
  signal PCI_CORE_TRDY_O : STD_LOGIC; 
  signal PCI_CORE_OE_TRDY : STD_LOGIC; 
  signal TRDY_N_TORGTS : STD_LOGIC; 
  signal TRDY_N_ENABLE : STD_LOGIC; 
  signal TRDY_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal TRDY_N_IFF_SET : STD_LOGIC; 
  signal TRDY_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TRDY_N_OFF_SET : STD_LOGIC; 
  signal TRDY_N_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TRDY_N_TFF_SET : STD_LOGIC; 
  signal TRDY_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DEVSEL_N_SRMUXNOT : STD_LOGIC; 
  signal DEVSEL_N_IBUF : STD_LOGIC; 
  signal DEVSEL_N_IDELAY : STD_LOGIC; 
  signal DEVSEL_N_OD : STD_LOGIC; 
  signal PCI_CORE_DEVSEL_O : STD_LOGIC; 
  signal PCI_CORE_OE_DEVSEL : STD_LOGIC; 
  signal DEVSEL_N_OUTMUX : STD_LOGIC; 
  signal DEVSEL_N_TORGTS : STD_LOGIC; 
  signal DEVSEL_N_ENABLE : STD_LOGIC; 
  signal DEVSEL_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DEVSEL_N_IFF_SET : STD_LOGIC; 
  signal DEVSEL_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DEVSEL_N_OFF_SET : STD_LOGIC; 
  signal DEVSEL_N_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DEVSEL_N_TFF_SET : STD_LOGIC; 
  signal DEVSEL_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal STOP_N_SRMUXNOT : STD_LOGIC; 
  signal STOP_N_IBUF : STD_LOGIC; 
  signal STOP_N_IDELAY : STD_LOGIC; 
  signal STOP_N_OD : STD_LOGIC; 
  signal PCI_CORE_STOP_O : STD_LOGIC; 
  signal PCI_CORE_OE_STOP : STD_LOGIC; 
  signal STOP_N_OUTMUX : STD_LOGIC; 
  signal STOP_N_TORGTS : STD_LOGIC; 
  signal STOP_N_ENABLE : STD_LOGIC; 
  signal STOP_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal STOP_N_IFF_SET : STD_LOGIC; 
  signal STOP_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal STOP_N_OFF_SET : STD_LOGIC; 
  signal STOP_N_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal STOP_N_TFF_SET : STD_LOGIC; 
  signal STOP_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal FRAME_N_SRMUXNOT : STD_LOGIC; 
  signal FRAME_N_IBUF : STD_LOGIC; 
  signal FRAME_N_IDELAY : STD_LOGIC; 
  signal FRAME_N_OD : STD_LOGIC; 
  signal PCI_CORE_FRAME_O : STD_LOGIC; 
  signal PCI_CORE_OE_FRAME : STD_LOGIC; 
  signal FRAME_N_OUTMUX : STD_LOGIC; 
  signal FRAME_N_TORGTS : STD_LOGIC; 
  signal FRAME_N_ENABLE : STD_LOGIC; 
  signal FRAME_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal FRAME_N_IFF_SET : STD_LOGIC; 
  signal FRAME_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal FRAME_N_OFF_SET : STD_LOGIC; 
  signal FRAME_N_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal FRAME_N_TFF_SET : STD_LOGIC; 
  signal FRAME_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal IDSEL_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_IDSEL_IN : STD_LOGIC; 
  signal IDSEL_IDELAY : STD_LOGIC; 
  signal IDSEL_IFF_SET : STD_LOGIC; 
  signal IDSEL_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal ONESDIGIT_0_SRMUXNOT : STD_LOGIC; 
  signal ONESDIGIT_0_OD : STD_LOGIC; 
  signal ONESDIGIT_0_OUTMUX : STD_LOGIC; 
  signal ONESDIGIT_0_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal ONESDIGIT_0_OFF_RST : STD_LOGIC; 
  signal ONESDIGIT_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal ONESDIGIT_1_SRMUXNOT : STD_LOGIC; 
  signal ONESDIGIT_1_OD : STD_LOGIC; 
  signal ONESDIGIT_1_OUTMUX : STD_LOGIC; 
  signal ONESDIGIT_1_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal ONESDIGIT_1_OFF_RST : STD_LOGIC; 
  signal ONESDIGIT_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal ONESDIGIT_2_SRMUXNOT : STD_LOGIC; 
  signal ONESDIGIT_2_OD : STD_LOGIC; 
  signal ONESDIGIT_2_OUTMUX : STD_LOGIC; 
  signal ONESDIGIT_2_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal ONESDIGIT_2_OFF_RST : STD_LOGIC; 
  signal ONESDIGIT_2_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal ONESDIGIT_3_SRMUXNOT : STD_LOGIC; 
  signal ONESDIGIT_3_OD : STD_LOGIC; 
  signal ONESDIGIT_3_OUTMUX : STD_LOGIC; 
  signal ONESDIGIT_3_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal ONESDIGIT_3_OFF_RST : STD_LOGIC; 
  signal ONESDIGIT_3_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal ONESDIGIT_4_SRMUXNOT : STD_LOGIC; 
  signal ONESDIGIT_4_OD : STD_LOGIC; 
  signal ONESDIGIT_4_OUTMUX : STD_LOGIC; 
  signal ONESDIGIT_4_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal ONESDIGIT_4_OFF_RST : STD_LOGIC; 
  signal ONESDIGIT_4_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal ONESDIGIT_5_SRMUXNOT : STD_LOGIC; 
  signal ONESDIGIT_5_OD : STD_LOGIC; 
  signal ONESDIGIT_5_OUTMUX : STD_LOGIC; 
  signal ONESDIGIT_5_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal ONESDIGIT_5_OFF_RST : STD_LOGIC; 
  signal ONESDIGIT_5_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal ONESDIGIT_6_SRMUXNOT : STD_LOGIC; 
  signal ONESDIGIT_6_OD : STD_LOGIC; 
  signal ONESDIGIT_6_OUTMUX : STD_LOGIC; 
  signal ONESDIGIT_6_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal ONESDIGIT_6_OFF_RST : STD_LOGIC; 
  signal ONESDIGIT_6_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal GNT_N_SRMUXNOT : STD_LOGIC; 
  signal GNT_N_IBUF : STD_LOGIC; 
  signal GNT_N_IDELAY : STD_LOGIC; 
  signal GNT_N_IFF_SET : STD_LOGIC; 
  signal GNT_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal REQ_N_SRMUXNOT : STD_LOGIC; 
  signal REQ_N_OD : STD_LOGIC; 
  signal PCI_CORE_REQ_OUT : STD_LOGIC; 
  signal REQ_N_LOGIC_ZERO : STD_LOGIC; 
  signal PCI_CORE_OE_REQ : STD_LOGIC; 
  signal REQ_N_OUTMUX : STD_LOGIC; 
  signal REQ_N_TORGTS : STD_LOGIC; 
  signal REQ_N_ENABLE : STD_LOGIC; 
  signal REQ_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal REQ_N_OFF_SET : STD_LOGIC; 
  signal REQ_N_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal REQ_N_TFF_SET : STD_LOGIC; 
  signal REQ_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PAR_SRMUXNOT : STD_LOGIC; 
  signal PAR_IBUF : STD_LOGIC; 
  signal PAR_OD : STD_LOGIC; 
  signal PCI_CORE_PAR_O : STD_LOGIC; 
  signal PCI_CORE_OE_PAR : STD_LOGIC; 
  signal PAR_OUTMUX : STD_LOGIC; 
  signal PAR_TORGTS : STD_LOGIC; 
  signal PAR_ENABLE : STD_LOGIC; 
  signal PAR_OUTBUF_GTS_AND : STD_LOGIC; 
  signal PAR_OFF_SET : STD_LOGIC; 
  signal PAR_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PAR_TFF_SET : STD_LOGIC; 
  signal PAR_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal RST_N_IBUF : STD_LOGIC; 
  signal IRDY_N_IBUF : STD_LOGIC; 
  signal IRDY_N_SRMUXNOT : STD_LOGIC; 
  signal IRDY_N_IDELAY : STD_LOGIC; 
  signal PCI_CORE_IRDY_O : STD_LOGIC; 
  signal PCI_CORE_OE_IRDY : STD_LOGIC; 
  signal IRDY_N_TORGTS : STD_LOGIC; 
  signal IRDY_N_ENABLE : STD_LOGIC; 
  signal IRDY_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal IRDY_N_IFF_SET : STD_LOGIC; 
  signal IRDY_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal IRDY_N_OFF_SET : STD_LOGIC; 
  signal IRDY_N_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal IRDY_N_TFF_SET : STD_LOGIC; 
  signal IRDY_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal INTR_A_LOGIC_ZERO : STD_LOGIC; 
  signal INTR_A_OUTMUX : STD_LOGIC; 
  signal INTR_A_TORGTS : STD_LOGIC; 
  signal INTR_A_ENABLE : STD_LOGIC; 
  signal INTR_A_OUTBUF_GTS_AND : STD_LOGIC; 
  signal LED_TEST_OD : STD_LOGIC; 
  signal LED_TEST_OUTMUX : STD_LOGIC; 
  signal LED_TEST_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal PERR_N_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_PERR_I : STD_LOGIC; 
  signal PERR_N_IDELAY : STD_LOGIC; 
  signal PERR_N_OD : STD_LOGIC; 
  signal PCI_CORE_PERR_O : STD_LOGIC; 
  signal PCI_CORE_OE_PERR : STD_LOGIC; 
  signal PERR_N_OUTMUX : STD_LOGIC; 
  signal PERR_N_TORGTS : STD_LOGIC; 
  signal PERR_N_ENABLE : STD_LOGIC; 
  signal PERR_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal PERR_N_IFF_SET : STD_LOGIC; 
  signal PERR_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PERR_N_OFF_SET : STD_LOGIC; 
  signal PERR_N_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PERR_N_TFF_SET : STD_LOGIC; 
  signal PERR_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TENSDIGIT_0_SRMUXNOT : STD_LOGIC; 
  signal TENSDIGIT_0_OD : STD_LOGIC; 
  signal TENSDIGIT_0_OUTMUX : STD_LOGIC; 
  signal TENSDIGIT_0_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal TENSDIGIT_0_OFF_RST : STD_LOGIC; 
  signal TENSDIGIT_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TENSDIGIT_1_SRMUXNOT : STD_LOGIC; 
  signal TENSDIGIT_1_OD : STD_LOGIC; 
  signal TENSDIGIT_1_OUTMUX : STD_LOGIC; 
  signal TENSDIGIT_1_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal TENSDIGIT_1_OFF_RST : STD_LOGIC; 
  signal TENSDIGIT_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TENSDIGIT_2_SRMUXNOT : STD_LOGIC; 
  signal TENSDIGIT_2_OD : STD_LOGIC; 
  signal TENSDIGIT_2_OUTMUX : STD_LOGIC; 
  signal TENSDIGIT_2_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal TENSDIGIT_2_OFF_RST : STD_LOGIC; 
  signal TENSDIGIT_2_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TENSDIGIT_3_SRMUXNOT : STD_LOGIC; 
  signal TENSDIGIT_3_OD : STD_LOGIC; 
  signal TENSDIGIT_3_OUTMUX : STD_LOGIC; 
  signal TENSDIGIT_3_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal TENSDIGIT_3_OFF_RST : STD_LOGIC; 
  signal TENSDIGIT_3_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TENSDIGIT_4_SRMUXNOT : STD_LOGIC; 
  signal TENSDIGIT_4_OD : STD_LOGIC; 
  signal TENSDIGIT_4_OUTMUX : STD_LOGIC; 
  signal TENSDIGIT_4_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal TENSDIGIT_4_OFF_RST : STD_LOGIC; 
  signal TENSDIGIT_4_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TENSDIGIT_5_SRMUXNOT : STD_LOGIC; 
  signal TENSDIGIT_5_OD : STD_LOGIC; 
  signal TENSDIGIT_5_OUTMUX : STD_LOGIC; 
  signal TENSDIGIT_5_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal TENSDIGIT_5_OFF_RST : STD_LOGIC; 
  signal TENSDIGIT_5_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal TENSDIGIT_6_SRMUXNOT : STD_LOGIC; 
  signal TENSDIGIT_6_OD : STD_LOGIC; 
  signal TENSDIGIT_6_OUTMUX : STD_LOGIC; 
  signal TENSDIGIT_6_OUTBUF_GTS_TRI : STD_LOGIC; 
  signal TENSDIGIT_6_OFF_RST : STD_LOGIC; 
  signal TENSDIGIT_6_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_0_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I0 : STD_LOGIC; 
  signal AD_0_IDELAY : STD_LOGIC; 
  signal AD_0_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O0 : STD_LOGIC; 
  signal AD_0_OUTMUX : STD_LOGIC; 
  signal AD_0_TORGTS : STD_LOGIC; 
  signal AD_0_ENABLE : STD_LOGIC; 
  signal AD_0_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_0_IFF_SET : STD_LOGIC; 
  signal AD_0_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_0_OFF_SET : STD_LOGIC; 
  signal AD_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_1_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I1 : STD_LOGIC; 
  signal AD_1_IDELAY : STD_LOGIC; 
  signal AD_1_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O1 : STD_LOGIC; 
  signal AD_1_OUTMUX : STD_LOGIC; 
  signal AD_1_TORGTS : STD_LOGIC; 
  signal AD_1_ENABLE : STD_LOGIC; 
  signal AD_1_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_1_IFF_SET : STD_LOGIC; 
  signal AD_1_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_1_OFF_SET : STD_LOGIC; 
  signal AD_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_10_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I10 : STD_LOGIC; 
  signal AD_10_IDELAY : STD_LOGIC; 
  signal AD_10_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O10 : STD_LOGIC; 
  signal AD_10_OUTMUX : STD_LOGIC; 
  signal AD_10_TORGTS : STD_LOGIC; 
  signal AD_10_ENABLE : STD_LOGIC; 
  signal AD_10_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_10_IFF_SET : STD_LOGIC; 
  signal AD_10_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_10_OFF_SET : STD_LOGIC; 
  signal AD_10_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SERR_N_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_SERR_I : STD_LOGIC; 
  signal SERR_N_IDELAY : STD_LOGIC; 
  signal SERR_N_LOGIC_ZERO : STD_LOGIC; 
  signal PCI_CORE_OE_SERR : STD_LOGIC; 
  signal SERR_N_OUTMUX : STD_LOGIC; 
  signal SERR_N_TORGTS : STD_LOGIC; 
  signal SERR_N_ENABLE : STD_LOGIC; 
  signal SERR_N_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SERR_N_IFF_SET : STD_LOGIC; 
  signal SERR_N_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SERR_N_TFF_SET : STD_LOGIC; 
  signal SERR_N_TFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_2_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I2 : STD_LOGIC; 
  signal AD_2_IDELAY : STD_LOGIC; 
  signal AD_2_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O2 : STD_LOGIC; 
  signal AD_2_OUTMUX : STD_LOGIC; 
  signal AD_2_TORGTS : STD_LOGIC; 
  signal AD_2_ENABLE : STD_LOGIC; 
  signal AD_2_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_2_IFF_SET : STD_LOGIC; 
  signal AD_2_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_2_OFF_SET : STD_LOGIC; 
  signal AD_2_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_11_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I11 : STD_LOGIC; 
  signal AD_11_IDELAY : STD_LOGIC; 
  signal AD_11_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O11 : STD_LOGIC; 
  signal AD_11_OUTMUX : STD_LOGIC; 
  signal AD_11_TORGTS : STD_LOGIC; 
  signal AD_11_ENABLE : STD_LOGIC; 
  signal AD_11_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_11_IFF_SET : STD_LOGIC; 
  signal AD_11_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_11_OFF_SET : STD_LOGIC; 
  signal AD_11_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_3_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I3 : STD_LOGIC; 
  signal AD_3_IDELAY : STD_LOGIC; 
  signal AD_3_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O3 : STD_LOGIC; 
  signal AD_3_OUTMUX : STD_LOGIC; 
  signal AD_3_TORGTS : STD_LOGIC; 
  signal AD_3_ENABLE : STD_LOGIC; 
  signal AD_3_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_3_IFF_SET : STD_LOGIC; 
  signal AD_3_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_3_OFF_SET : STD_LOGIC; 
  signal AD_3_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_12_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I12 : STD_LOGIC; 
  signal AD_12_IDELAY : STD_LOGIC; 
  signal AD_12_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O12 : STD_LOGIC; 
  signal AD_12_OUTMUX : STD_LOGIC; 
  signal AD_12_TORGTS : STD_LOGIC; 
  signal AD_12_ENABLE : STD_LOGIC; 
  signal AD_12_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_12_IFF_SET : STD_LOGIC; 
  signal AD_12_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_12_OFF_SET : STD_LOGIC; 
  signal AD_12_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_20_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I20 : STD_LOGIC; 
  signal AD_20_IDELAY : STD_LOGIC; 
  signal AD_20_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O20 : STD_LOGIC; 
  signal AD_20_OUTMUX : STD_LOGIC; 
  signal AD_20_TORGTS : STD_LOGIC; 
  signal AD_20_ENABLE : STD_LOGIC; 
  signal AD_20_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_20_IFF_SET : STD_LOGIC; 
  signal AD_20_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_20_OFF_SET : STD_LOGIC; 
  signal AD_20_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_4_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I4 : STD_LOGIC; 
  signal AD_4_IDELAY : STD_LOGIC; 
  signal AD_4_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O4 : STD_LOGIC; 
  signal AD_4_OUTMUX : STD_LOGIC; 
  signal AD_4_TORGTS : STD_LOGIC; 
  signal AD_4_ENABLE : STD_LOGIC; 
  signal AD_4_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_4_IFF_SET : STD_LOGIC; 
  signal AD_4_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_4_OFF_SET : STD_LOGIC; 
  signal AD_4_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_13_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I13 : STD_LOGIC; 
  signal AD_13_IDELAY : STD_LOGIC; 
  signal AD_13_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O13 : STD_LOGIC; 
  signal AD_13_OUTMUX : STD_LOGIC; 
  signal AD_13_TORGTS : STD_LOGIC; 
  signal AD_13_ENABLE : STD_LOGIC; 
  signal AD_13_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_13_IFF_SET : STD_LOGIC; 
  signal AD_13_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_13_OFF_SET : STD_LOGIC; 
  signal AD_13_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_21_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I21 : STD_LOGIC; 
  signal AD_21_IDELAY : STD_LOGIC; 
  signal AD_21_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O21 : STD_LOGIC; 
  signal AD_21_OUTMUX : STD_LOGIC; 
  signal AD_21_TORGTS : STD_LOGIC; 
  signal AD_21_ENABLE : STD_LOGIC; 
  signal AD_21_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_21_IFF_SET : STD_LOGIC; 
  signal AD_21_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_21_OFF_SET : STD_LOGIC; 
  signal AD_21_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_5_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I5 : STD_LOGIC; 
  signal AD_5_IDELAY : STD_LOGIC; 
  signal AD_5_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O5 : STD_LOGIC; 
  signal AD_5_OUTMUX : STD_LOGIC; 
  signal AD_5_TORGTS : STD_LOGIC; 
  signal AD_5_ENABLE : STD_LOGIC; 
  signal AD_5_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_5_IFF_SET : STD_LOGIC; 
  signal AD_5_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_5_OFF_SET : STD_LOGIC; 
  signal AD_5_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_14_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I14 : STD_LOGIC; 
  signal AD_14_IDELAY : STD_LOGIC; 
  signal AD_14_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O14 : STD_LOGIC; 
  signal AD_14_OUTMUX : STD_LOGIC; 
  signal AD_14_TORGTS : STD_LOGIC; 
  signal AD_14_ENABLE : STD_LOGIC; 
  signal AD_14_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_14_IFF_SET : STD_LOGIC; 
  signal AD_14_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_14_OFF_SET : STD_LOGIC; 
  signal AD_14_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_22_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I22 : STD_LOGIC; 
  signal AD_22_IDELAY : STD_LOGIC; 
  signal AD_22_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O22 : STD_LOGIC; 
  signal AD_22_OUTMUX : STD_LOGIC; 
  signal AD_22_TORGTS : STD_LOGIC; 
  signal AD_22_ENABLE : STD_LOGIC; 
  signal AD_22_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_22_IFF_SET : STD_LOGIC; 
  signal AD_22_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_22_OFF_SET : STD_LOGIC; 
  signal AD_22_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_30_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I30 : STD_LOGIC; 
  signal AD_30_IDELAY : STD_LOGIC; 
  signal AD_30_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O30 : STD_LOGIC; 
  signal AD_30_OUTMUX : STD_LOGIC; 
  signal AD_30_TORGTS : STD_LOGIC; 
  signal AD_30_ENABLE : STD_LOGIC; 
  signal AD_30_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_30_IFF_SET : STD_LOGIC; 
  signal AD_30_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_30_OFF_SET : STD_LOGIC; 
  signal AD_30_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_6_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I6 : STD_LOGIC; 
  signal AD_6_IDELAY : STD_LOGIC; 
  signal AD_6_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O6 : STD_LOGIC; 
  signal AD_6_OUTMUX : STD_LOGIC; 
  signal AD_6_TORGTS : STD_LOGIC; 
  signal AD_6_ENABLE : STD_LOGIC; 
  signal AD_6_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_6_IFF_SET : STD_LOGIC; 
  signal AD_6_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_6_OFF_SET : STD_LOGIC; 
  signal AD_6_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_15_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I15 : STD_LOGIC; 
  signal AD_15_IDELAY : STD_LOGIC; 
  signal AD_15_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O15 : STD_LOGIC; 
  signal AD_15_OUTMUX : STD_LOGIC; 
  signal AD_15_TORGTS : STD_LOGIC; 
  signal AD_15_ENABLE : STD_LOGIC; 
  signal AD_15_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_15_IFF_SET : STD_LOGIC; 
  signal AD_15_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_15_OFF_SET : STD_LOGIC; 
  signal AD_15_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_23_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I23 : STD_LOGIC; 
  signal AD_23_IDELAY : STD_LOGIC; 
  signal AD_23_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O23 : STD_LOGIC; 
  signal AD_23_OUTMUX : STD_LOGIC; 
  signal AD_23_TORGTS : STD_LOGIC; 
  signal AD_23_ENABLE : STD_LOGIC; 
  signal AD_23_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_23_IFF_SET : STD_LOGIC; 
  signal AD_23_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_23_OFF_SET : STD_LOGIC; 
  signal AD_23_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_31_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I31 : STD_LOGIC; 
  signal AD_31_IDELAY : STD_LOGIC; 
  signal AD_31_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O31 : STD_LOGIC; 
  signal AD_31_OUTMUX : STD_LOGIC; 
  signal AD_31_TORGTS : STD_LOGIC; 
  signal AD_31_ENABLE : STD_LOGIC; 
  signal AD_31_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_31_IFF_SET : STD_LOGIC; 
  signal AD_31_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_31_OFF_SET : STD_LOGIC; 
  signal AD_31_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_7_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I7 : STD_LOGIC; 
  signal AD_7_IDELAY : STD_LOGIC; 
  signal AD_7_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O7 : STD_LOGIC; 
  signal AD_7_OUTMUX : STD_LOGIC; 
  signal AD_7_TORGTS : STD_LOGIC; 
  signal AD_7_ENABLE : STD_LOGIC; 
  signal AD_7_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_7_IFF_SET : STD_LOGIC; 
  signal AD_7_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_7_OFF_SET : STD_LOGIC; 
  signal AD_7_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_16_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I16 : STD_LOGIC; 
  signal AD_16_IDELAY : STD_LOGIC; 
  signal AD_16_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O16 : STD_LOGIC; 
  signal AD_16_OUTMUX : STD_LOGIC; 
  signal AD_16_TORGTS : STD_LOGIC; 
  signal AD_16_ENABLE : STD_LOGIC; 
  signal AD_16_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_16_IFF_SET : STD_LOGIC; 
  signal AD_16_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_16_OFF_SET : STD_LOGIC; 
  signal AD_16_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_24_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I24 : STD_LOGIC; 
  signal AD_24_IDELAY : STD_LOGIC; 
  signal AD_24_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O24 : STD_LOGIC; 
  signal AD_24_OUTMUX : STD_LOGIC; 
  signal AD_24_TORGTS : STD_LOGIC; 
  signal AD_24_ENABLE : STD_LOGIC; 
  signal AD_24_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_24_IFF_SET : STD_LOGIC; 
  signal AD_24_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_24_OFF_SET : STD_LOGIC; 
  signal AD_24_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_8_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I8 : STD_LOGIC; 
  signal AD_8_IDELAY : STD_LOGIC; 
  signal AD_8_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O8 : STD_LOGIC; 
  signal AD_8_OUTMUX : STD_LOGIC; 
  signal AD_8_TORGTS : STD_LOGIC; 
  signal AD_8_ENABLE : STD_LOGIC; 
  signal AD_8_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_8_IFF_SET : STD_LOGIC; 
  signal AD_8_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_8_OFF_SET : STD_LOGIC; 
  signal AD_8_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_17_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I17 : STD_LOGIC; 
  signal AD_17_IDELAY : STD_LOGIC; 
  signal AD_17_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O17 : STD_LOGIC; 
  signal AD_17_OUTMUX : STD_LOGIC; 
  signal AD_17_TORGTS : STD_LOGIC; 
  signal AD_17_ENABLE : STD_LOGIC; 
  signal AD_17_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_17_IFF_SET : STD_LOGIC; 
  signal AD_17_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_17_OFF_SET : STD_LOGIC; 
  signal AD_17_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_25_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I25 : STD_LOGIC; 
  signal AD_25_IDELAY : STD_LOGIC; 
  signal AD_25_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O25 : STD_LOGIC; 
  signal AD_25_OUTMUX : STD_LOGIC; 
  signal AD_25_TORGTS : STD_LOGIC; 
  signal AD_25_ENABLE : STD_LOGIC; 
  signal AD_25_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_25_IFF_SET : STD_LOGIC; 
  signal AD_25_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_25_OFF_SET : STD_LOGIC; 
  signal AD_25_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_9_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I9 : STD_LOGIC; 
  signal AD_9_IDELAY : STD_LOGIC; 
  signal AD_9_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O9 : STD_LOGIC; 
  signal AD_9_OUTMUX : STD_LOGIC; 
  signal AD_9_TORGTS : STD_LOGIC; 
  signal AD_9_ENABLE : STD_LOGIC; 
  signal AD_9_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_9_IFF_SET : STD_LOGIC; 
  signal AD_9_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_9_OFF_SET : STD_LOGIC; 
  signal AD_9_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_18_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I18 : STD_LOGIC; 
  signal AD_18_IDELAY : STD_LOGIC; 
  signal AD_18_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O18 : STD_LOGIC; 
  signal AD_18_OUTMUX : STD_LOGIC; 
  signal AD_18_TORGTS : STD_LOGIC; 
  signal AD_18_ENABLE : STD_LOGIC; 
  signal AD_18_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_18_IFF_SET : STD_LOGIC; 
  signal AD_18_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_18_OFF_SET : STD_LOGIC; 
  signal AD_18_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_26_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I26 : STD_LOGIC; 
  signal AD_26_IDELAY : STD_LOGIC; 
  signal AD_26_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O26 : STD_LOGIC; 
  signal AD_26_OUTMUX : STD_LOGIC; 
  signal AD_26_TORGTS : STD_LOGIC; 
  signal AD_26_ENABLE : STD_LOGIC; 
  signal AD_26_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_26_IFF_SET : STD_LOGIC; 
  signal AD_26_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_26_OFF_SET : STD_LOGIC; 
  signal AD_26_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_19_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I19 : STD_LOGIC; 
  signal AD_19_IDELAY : STD_LOGIC; 
  signal AD_19_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O19 : STD_LOGIC; 
  signal AD_19_OUTMUX : STD_LOGIC; 
  signal AD_19_TORGTS : STD_LOGIC; 
  signal AD_19_ENABLE : STD_LOGIC; 
  signal AD_19_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_19_IFF_SET : STD_LOGIC; 
  signal AD_19_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_19_OFF_SET : STD_LOGIC; 
  signal AD_19_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_27_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I27 : STD_LOGIC; 
  signal AD_27_IDELAY : STD_LOGIC; 
  signal AD_27_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O27 : STD_LOGIC; 
  signal AD_27_OUTMUX : STD_LOGIC; 
  signal AD_27_TORGTS : STD_LOGIC; 
  signal AD_27_ENABLE : STD_LOGIC; 
  signal AD_27_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_27_IFF_SET : STD_LOGIC; 
  signal AD_27_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_27_OFF_SET : STD_LOGIC; 
  signal AD_27_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_28_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I28 : STD_LOGIC; 
  signal AD_28_IDELAY : STD_LOGIC; 
  signal AD_28_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O28 : STD_LOGIC; 
  signal AD_28_OUTMUX : STD_LOGIC; 
  signal AD_28_TORGTS : STD_LOGIC; 
  signal AD_28_ENABLE : STD_LOGIC; 
  signal AD_28_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_28_IFF_SET : STD_LOGIC; 
  signal AD_28_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_28_OFF_SET : STD_LOGIC; 
  signal AD_28_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_29_SRMUXNOT : STD_LOGIC; 
  signal PCI_CORE_AD_I29 : STD_LOGIC; 
  signal AD_29_IDELAY : STD_LOGIC; 
  signal AD_29_OD : STD_LOGIC; 
  signal PCI_CORE_AD_O29 : STD_LOGIC; 
  signal AD_29_OUTMUX : STD_LOGIC; 
  signal AD_29_TORGTS : STD_LOGIC; 
  signal AD_29_ENABLE : STD_LOGIC; 
  signal AD_29_OUTBUF_GTS_AND : STD_LOGIC; 
  signal AD_29_IFF_SET : STD_LOGIC; 
  signal AD_29_IFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal AD_29_OFF_SET : STD_LOGIC; 
  signal AD_29_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T7_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_2tri0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien10_3comp5tri5_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_4tri0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T13_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien4_3comp2tri2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_UPPER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T0_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_6tri0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_F_LOWER_T15_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_4tri1_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien12_3comp6tri6_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_5tri1_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien6_3comp3tri3_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_6tri1_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_7tri1_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_4tri2_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_1comp7tri7_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_5tri2_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_3comp7tri7_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_6tri2_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien8_3comp4tri4_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_7tri2_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_adio_1_0_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_4tri3_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien24_3comp12tri12_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_5tri3_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_6tri3_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16_3comp8tri8_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_7tri3_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_4tri4_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_5tri4_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_6tri4_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_3comp9tri9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T0_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_7tri4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T0_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_4tri5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16comp8tri8_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_5tri5_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_6tri5_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_7tri5_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_0comp13tri13_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_4tri6_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_5tri6_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_6tri6_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_7tri6_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_2comp13tri13_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_4tri7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_UPPER_T9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_5tri7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T8_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_4tri10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_E_LOWER_T9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_7tri7_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_5tri10_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_5tri8_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_6tri10_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_6tri8_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_7tri8_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_7tri10_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_4tri9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_4tri11_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_7tri9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_5tri11_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien20_3comp10tri10_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_6tri11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_UPPER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T14_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_4tri12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_1_LOWER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_UPPER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T15_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_5tri12_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_0comp9tri9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T10_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_3_LOWER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T13_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T14_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T15_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T0_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_6tri12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_UPPER_T9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_0_LOWER_T9_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T2_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_7tri12_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_UPPER_T9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_0comp11tri11_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T0_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T1_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T2_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T3_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T4_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T5_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T6_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T7_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T8_TINV : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_4_LOWER_T9_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien0_3comp0tri0_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_4tri13_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_5tri13_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_3comp11tri11_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien2_3comp1tri1_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_0tri0_TINV : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10334_5_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TSTOP_I_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NS_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TSTOP_I_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NS_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TSTOP_I_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TSTOP_I_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_NS_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_NS_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10337_6_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IFRAME_I_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_NS_S_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IFRAME_I_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_NS_S_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IFRAME_I_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IFRAME_I_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NEWDATA_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_ZERO_ND_T0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_NS_NEWDATA : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_ZERO_ND_T1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NEWDATA_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NEWDATA_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_8_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_1_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_2_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_PREP : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_PAR_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_PREN : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_0_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_5_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_3_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_13_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10366_4_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10367_6_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_OAI32_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_ADI_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_OAI32_1 : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_10_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_11_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_12_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_0_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_1_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_2_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_3_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_4_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_10_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_5_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_11_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_6_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_12_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_7_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_13_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_9_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TDEVSEL_I_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TDEVSEL_I_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TDEVSEL_I_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TDEVSEL_I_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_DR_BUS_INT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_DR_BUS : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_DR_BUS_INT_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_DR_BUS_INT_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_10_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10340_12_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TTRDY_I_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TTRDY_I_F5MUX : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TTRDY_I_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TTRDY_I_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_FIRST_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRST0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRSTIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRST1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_FIRST_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_FIRST_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PAR_CE_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PAR_CE_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PAR_CE_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_0_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_1_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_3_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_4_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10333_2_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL64_INT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_FAIL64 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL64_INT_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL64_INT_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_7_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_F : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_G : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_8_F5MUX : STD_LOGIC; 
  signal userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_F : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3369_CYINIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_1N2992 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ZERO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3369_CYMUXG : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_EQ76 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_EQ54 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_CYINIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_1N3099 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_LOGIC_ZERO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_CYMUXG : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ32 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3380_CYINIT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2992 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3380_LOGIC_ZERO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_1N3380_CYMUXG : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ76 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ54 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_1_CYINIT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_foo_bar0_un1_romaddr_cry_1_0_O : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_1_CYMUXG : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_N_15 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_2 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_1 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_N_11 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_1_FFY_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_1_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_3_CYINIT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_foo_bar0_un1_romaddr_cry_3_0_O : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_3_CYMUXG : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_N_23 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_4 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_3 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_N_19 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_3_FFY_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_3_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_3_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_5_CYINIT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_foo_bar0_un1_romaddr_cry_5_0_O : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_6 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_5 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_N_27 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_5_FFY_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_5_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_5_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_M_DATA_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_M_DATA_GROM : STD_LOGIC; 
  signal PCI_CORE_M_DATA_FROM : STD_LOGIC; 
  signal PCI_CORE_M_DATA_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_M_DATA_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_M_DATA_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_M_DATA_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NS_BASE_HIT0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ16_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ16_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ17_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ17_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ18_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ18_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ19_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ19_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ20_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ20_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ21_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ21_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ22_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ22_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ23_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ23_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ24_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ24_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ25_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ25_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ1_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ2_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ2_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ3_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ4_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ5_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ6_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ7_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ8_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ8_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ9_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ9_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_I_IDLE_INT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_I_IDLE_INT_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_NS_I_IDLE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_I_IDLE_INT_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_I_IDLE_INT_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q1_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q0_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_FIRST_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_FIRST_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRSTIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_FIRST_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_FIRST_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_CBE_INT2 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_CBE_INT1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_CBE_INT3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_M_CBE_INT0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL2_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_APERR_N_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_PAP_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_APERR_N_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_APERR_N_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_APERR_N_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_TERM_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_TERM_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_TERM_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_TERM_FFY_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_TERM_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_TIME_OUT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TIME_OUT_D : STD_LOGIC; 
  signal PCI_CORE_TIME_OUT_FROM : STD_LOGIC; 
  signal PCI_CORE_TIME_OUT_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_TIME_OUT_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q4_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_B_BUSY_INT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_NS_BUSY : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_B_BUSY_INT_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_B_BUSY_INT_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_B_BUSY_INT_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IDLE_DUP_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_BE_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_BE_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_ADDR_NS_ABE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_BE_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_BE_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal S_DATA_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal S_DATA_GROM : STD_LOGIC; 
  signal S_DATA_FROM : STD_LOGIC; 
  signal S_DATA_FFY_RST : STD_LOGIC; 
  signal S_DATA_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal S_DATA_FFX_RST : STD_LOGIC; 
  signal S_DATA_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q7_MD : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CMD10 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CMD1 : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_1_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_1_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_11_CYINIT : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_11_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_11_CYMUXF : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CMD11 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_CMD_MEM : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_11_LOGIC_ZERO : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_11_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_CMD_11_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_LB_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_LB : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_LB_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_READY_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_READY_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_READY_FFY_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_W_READY_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_B_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_LT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_B_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_B_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_B_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_B_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX15_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_ADX15 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ATTEMPT64_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ATTEMPT64_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ATTEMPT64_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ATTEMPT64_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_ROM_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_ROM_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_ROM_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_ROM_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_27_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q11_D : STD_LOGIC; 
  signal PCI_CORE_CSR_27_FROM : STD_LOGIC; 
  signal PCI_CORE_CSR_27_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_27_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_24_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q13_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q8_D : STD_LOGIC; 
  signal PCI_CORE_CSR_24_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_24_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_24_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_24_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_READ_CYCLE_LOGIC_END_CYCLE_2 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_READ_CYCLE_LOGIC_DELAY1_3 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CFG_HIT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_CFG_HIT_GROM : STD_LOGIC; 
  signal PCI_CORE_CFG_HIT_FROM : STD_LOGIC; 
  signal PCI_CORE_CFG_HIT_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_CFG_HIT_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_28_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q14_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q12_D : STD_LOGIC; 
  signal PCI_CORE_CSR_28_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_28_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_28_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_28_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BACKOFF_INT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_NS_BKOF : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BACKOFF_INT_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BACKOFF_INT_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BACKOFF_INT_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2816_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_ADDR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST64_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_1I2864_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST64_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_31_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q15_D : STD_LOGIC; 
  signal PCI_CORE_CSR_31_FROM : STD_LOGIC; 
  signal PCI_CORE_CSR_31_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_31_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TPWIN_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_NS_PWIN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TPWIN_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TPWIN_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_TPWIN_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_ADX1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ26_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ26_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ27_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ27_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ28_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ28_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ29_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ29_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ30_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ30_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ31_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ31_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_NS_NL_MEM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM0_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM0_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR2_NS_NL_MEM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR1_NS_NL_MEM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM1_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM1_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_NL_MEM1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ10_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ10_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ11_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ11_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ12_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ12_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ13_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ13_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ14_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ14_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ15_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ15_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_ADX3 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_RD_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_HIT_0_DECODED_HITS_BAR_WR_2 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_HIT_0_DECODED_HITS_BAR_RD_3 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_RD_FFY_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_RD_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_RD_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_BAR_RD_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_ADX4 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_FROM : STD_LOGIC; 
  signal KEEPOUT_GROM : STD_LOGIC; 
  signal KEEPOUT_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_FROM : STD_LOGIC; 
  signal S_READY_GROM : STD_LOGIC; 
  signal S_READY_FROM : STD_LOGIC; 
  signal S_TERM_GROM : STD_LOGIC; 
  signal S_TERM_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X0I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X0I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X2I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X2I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X4I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X4I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X6I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X6I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_M_ENABLE_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_M_ENABLE_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_SELA_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_SELA_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_SEL2_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_SEL2_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N8111_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N8111_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N7806_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N7806_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P3O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_P3O_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X1O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X1O_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X3O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X3O_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X5O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X5O_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_3N2935_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_3N2935_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_1N623_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_1N623_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_FIRST_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_FIRST_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_DSTR_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_DSTR_FROM : STD_LOGIC; 
  signal PCI_CORE_OE_CBE_GROM : STD_LOGIC; 
  signal PCI_CORE_OE_CBE_FROM : STD_LOGIC; 
  signal PCI_CORE_ADDR_4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_ADDR_4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_ADDR_4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_FROM : STD_LOGIC; 
  signal S_WRDN_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal S_WRDN_FFY_RST : STD_LOGIC; 
  signal S_WRDN_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal COMPLETE_LOGIC_ONE : STD_LOGIC; 
  signal COMPLETE_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal COMPLETE_FFY_RST : STD_LOGIC; 
  signal COMPLETE_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_ADDR_5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_ADDR_5_FROM : STD_LOGIC; 
  signal PCI_CORE_ADDR_5_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_ADDR_5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal CFG_SELF_LOGIC_ZERO : STD_LOGIC; 
  signal CFG_SELF_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal CFG_SELF_FFY_SET : STD_LOGIC; 
  signal CFG_SELF_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_WRDN_DUP_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_3N3054_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH48_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH48_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH48_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH48_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH49_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH49_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH49_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH49_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH50_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH50_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH50_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH50_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH51_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH51_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH51_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH51_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH52_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH52_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH52_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH52_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH52_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH53_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH53_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH53_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH53_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH53_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH54_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH54_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH54_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH54_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH55_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH55_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH55_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH55_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_ADDR_6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_ADDR_6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_ADDR_6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH56_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH56_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH56_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH56_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH57_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH57_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH57_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH57_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH32_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH32_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH32_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH32_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH33_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH33_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH33_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH33_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH33_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH34_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH34_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH34_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH34_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH34_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH35_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH35_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH35_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH35_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH36_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH36_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH36_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH36_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH37_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH37_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH37_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH37_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH38_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH38_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH38_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH38_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH39_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH39_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH39_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH39_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH40_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH40_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH40_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH40_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH41_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH41_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH41_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH41_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_ADDR_7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_ADDR_7_FROM : STD_LOGIC; 
  signal PCI_CORE_ADDR_7_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_ADDR_7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_S_TAR_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_S_TAR_NS_S_TAR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_S_TAR_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH8_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH9_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH10_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH11_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH12_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH12_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH13_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH14_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH14_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH15_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH15_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_1I2914_1I2853_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SET8_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SET8_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3N818 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_HIT_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_1I995_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_MIDDLE_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_MIDDLE_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X3I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X5I_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH4_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH5_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH7_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_CBH7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N8188_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_ROM_1N8188_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EOT_DL_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ZERO : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_CYINIT : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_foo_bar0_un1_romaddr_cry_0_O_rt : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ONE : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_CYMUXG : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_0 : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_FFX_RST : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_ROMADDR_0_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG0_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG0_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG1_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG2_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG2_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG3_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG4_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG5_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG5_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG6_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG7_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_IREG7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_NS_CFG_CYC : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_OE_INTA_GROM : STD_LOGIC; 
  signal PCI_CORE_OE_INTA_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_6_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_2_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_CSR_2_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IFRAME_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IFRAME_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_CSR_6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_CSR_6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_LT_GROM : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_LT_FROM : STD_LOGIC; 
  signal PCI_CORE_CSR_8_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_CSR_8_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_CSR_8_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_B_GROM : STD_LOGIC; 
  signal PCI_CORE_OE_ADO_B_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_T_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_T_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_T : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_T_FFX_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OE_AD_T_T_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2838_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_M_ADDR_N_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_ADDR_NS_MAN : STD_LOGIC; 
  signal PCI_CORE_M_ADDR_N_FROM : STD_LOGIC; 
  signal PCI_CORE_M_ADDR_N_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_M_ADDR_N_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_FROM : STD_LOGIC; 
  signal LED_TEST_C_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal LED_TEST_C_FFY_RST : STD_LOGIC; 
  signal LED_TEST_C_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE1_0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE1_0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW16_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW16_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW16_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW16_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW17_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW17_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW17_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW18_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW18_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW18_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW18_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW19_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW19_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW19_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW19_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW20_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW20_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW20_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW20_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW21_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW21_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW21_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW21_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW22_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW22_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW22_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW22_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW23_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW23_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW23_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW24_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW24_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW24_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW25_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW25_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW25_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE4_2_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE4_2_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW0_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW0_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW1_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW1_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW2_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW2_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW3_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW5_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW6_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW7_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW7_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW8_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW8_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW8_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW9_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW9_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW9_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW9_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_UNALIGN_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_UNALIGN_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_M_DATAQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X7I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X7I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X4O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X0O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X6O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X6O_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X7O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X2O_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_HIT_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1437_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SET12_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SET12_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_DATA_NS_DATA_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH58_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH58_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH58_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH58_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH59_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH59_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH59_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH59_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH59_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH60_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH60_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH60_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH60_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH61_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH61_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH61_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH61_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH62_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH62_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH62_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH62_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH63_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH63_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH63_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH63_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_C_EQN_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAKE_GTS_LOGIC_ZERO : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAKE_GTS_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAKE_GTS_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAKE_GTS_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH42_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH42_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH42_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH42_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH42_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH43_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH43_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH43_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH43_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH44_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH44_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH44_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH44_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH45_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH45_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH45_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH45_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH45_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH46_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH46_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH46_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH46_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH47_LOGIC_ONE : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH47_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH47_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FAIL_ADH47_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE15_0_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_CE15_0_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X1I_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_PAR_X1I_FROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IIRDY_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW26_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW26_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW26_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW27_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW27_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW27_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW27_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW28_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW28_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW28_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW29_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW29_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW29_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW30_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW30_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW30_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW31_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW31_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW31_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FRAME_CE_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_FRAME_CE_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD27_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD27_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD12_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD12_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD8_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD8_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW10_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW10_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW10_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW10_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD25_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD25_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW11_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW11_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW11_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW12_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW12_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW12_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW13_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW13_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW13_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD10_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MD10_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW14_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW14_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW14_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_SND_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_SND_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW15_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW15_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_SHADOW15_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_M_DATA_VLD_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_DATA_VLD_NS_MDV : STD_LOGIC; 
  signal PCI_CORE_M_DATA_VLD_FROM : STD_LOGIC; 
  signal PCI_CORE_M_DATA_VLD_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_M_DATA_VLD_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_FANF_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_FANF_FROM : STD_LOGIC; 
  signal S_DATA_VLD_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal S_DATA_VLD_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_DATA_VLD_NS_SDV : STD_LOGIC; 
  signal S_DATA_VLD_FFX_RST : STD_LOGIC; 
  signal S_DATA_VLD_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_FROM : STD_LOGIC; 
  signal PCI_CORE_ADDR_2_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_ADDR_2_FROM : STD_LOGIC; 
  signal PCI_CORE_ADDR_2_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_ADDR_2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal userapp_inst_BAR_0_HIT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal userapp_inst_BAR_0_HIT_FFY_RST : STD_LOGIC; 
  signal userapp_inst_BAR_0_HIT_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_SUB_DATA_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_GROM : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_FROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_ADDR_3_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_ADDR_3_FFY_RST : STD_LOGIC; 
  signal PCI_CORE_ADDR_3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_SET : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal GSR : STD_LOGIC; 
  signal GTS : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_IRDY_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_TRDY_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I2MUX_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_NS_0 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_EOT_D : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_NS_1 : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_EOT_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_SEL_SRMUX_OUTPUTNOT : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_SEL_GROM : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_SEL_SEL_IN : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_SEL_FFX_RST : STD_LOGIC; 
  signal PCI_CORE_PCI_LC_OUT_SEL_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal PWR_GND_0_GROM : STD_LOGIC; 
  signal PWR_GND_1_GROM : STD_LOGIC; 
  signal PWR_GND_2_GROM : STD_LOGIC; 
  signal PWR_GND_3_GROM : STD_LOGIC; 
  signal PWR_GND_4_GROM : STD_LOGIC; 
  signal PWR_GND_5_GROM : STD_LOGIC; 
  signal PWR_GND_6_GROM : STD_LOGIC; 
  signal PWR_GND_7_GROM : STD_LOGIC; 
  signal PWR_GND_8_GROM : STD_LOGIC; 
  signal PWR_GND_9_GROM : STD_LOGIC; 
  signal PWR_GND_9_FROM : STD_LOGIC; 
  signal PWR_GND_10_GROM : STD_LOGIC; 
  signal PWR_GND_11_GROM : STD_LOGIC; 
  signal PWR_GND_11_FROM : STD_LOGIC; 
  signal PWR_GND_12_GROM : STD_LOGIC; 
  signal PWR_GND_13_GROM : STD_LOGIC; 
  signal PWR_GND_14_GROM : STD_LOGIC; 
  signal PWR_GND_15_GROM : STD_LOGIC; 
  signal PWR_GND_16_GROM : STD_LOGIC; 
  signal PWR_GND_17_GROM : STD_LOGIC; 
  signal PWR_GND_18_GROM : STD_LOGIC; 
  signal PWR_GND_19_GROM : STD_LOGIC; 
  signal PWR_GND_19_FROM : STD_LOGIC; 
  signal PWR_GND_20_GROM : STD_LOGIC; 
  signal PWR_GND_21_GROM : STD_LOGIC; 
  signal PWR_GND_22_GROM : STD_LOGIC; 
  signal PWR_GND_23_GROM : STD_LOGIC; 
  signal PWR_GND_24_GROM : STD_LOGIC; 
  signal PWR_GND_25_GROM : STD_LOGIC; 
  signal PWR_GND_26_GROM : STD_LOGIC; 
  signal PWR_GND_27_GROM : STD_LOGIC; 
  signal PWR_GND_28_GROM : STD_LOGIC; 
  signal PWR_GND_29_GROM : STD_LOGIC; 
  signal PWR_GND_30_GROM : STD_LOGIC; 
  signal PWR_GND_31_GROM : STD_LOGIC; 
  signal PWR_GND_32_GROM : STD_LOGIC; 
  signal PWR_GND_33_GROM : STD_LOGIC; 
  signal PWR_GND_34_GROM : STD_LOGIC; 
  signal PWR_GND_34_FROM : STD_LOGIC; 
  signal PWR_VCC_0_FROM : STD_LOGIC; 
  signal PWR_VCC_1_FROM : STD_LOGIC; 
  signal PWR_VCC_2_FROM : STD_LOGIC; 
  signal VCC : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal NlwInverterSignal_CBE_0_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_CBE_1_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_CBE_2_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_CBE_3_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_TRDY_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_DEVSEL_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_STOP_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_FRAME_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_ONESDIGIT_0_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_ONESDIGIT_1_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_ONESDIGIT_2_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_ONESDIGIT_3_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_ONESDIGIT_4_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_ONESDIGIT_5_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_ONESDIGIT_6_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_REQ_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_PAR_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_IRDY_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_INTR_A_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_LED_TEST_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_PERR_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_TENSDIGIT_0_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_TENSDIGIT_1_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_TENSDIGIT_2_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_TENSDIGIT_3_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_TENSDIGIT_4_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_TENSDIGIT_5_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_TENSDIGIT_6_OUTBUF_GTS_TRI_CTL : STD_LOGIC; 
  signal NlwInverterSignal_AD_0_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_1_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_10_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_SERR_N_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_2_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_11_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_3_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_12_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_20_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_4_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_13_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_21_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_5_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_14_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_22_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_30_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_6_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_15_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_23_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_31_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_7_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_16_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_24_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_8_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_17_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_25_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_9_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_18_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_26_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_19_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_27_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_28_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NlwInverterSignal_AD_29_OUTBUF_GTS_AND_IN1 : STD_LOGIC; 
  signal NLW_userapp_inst_foo_bar0_un1_romaddr_cry_0_O_rt_IA_UNCONNECTED : STD_LOGIC; 
  signal NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B_O : STD_LOGIC; 
  signal NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B_O : STD_LOGIC; 
  signal NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_PCI_CE_O : STD_LOGIC; 
  signal userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103 : STD_LOGIC_VECTOR ( 13 downto 0 ); 
  signal ADIO : STD_LOGIC_VECTOR ( 31 downto 0 ); 
  signal userapp_inst_FOO_BAR0_ROMADDR : STD_LOGIC_VECTOR ( 6 downto 0 ); 
  signal BASE_HIT : STD_LOGIC_VECTOR ( 0 downto 0 ); 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal PCI_CORE_ADDR : STD_LOGIC_VECTOR ( 7 downto 2 ); 
  signal ONESDIGIT_C : STD_LOGIC_VECTOR ( 6 downto 0 ); 
  signal TENSDIGIT_C : STD_LOGIC_VECTOR ( 6 downto 0 ); 
  signal userapp_inst_FOO_BAR0_UN1_ROMADDR : STD_LOGIC_VECTOR ( 6 downto 1 ); 
  signal userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_WRITE_CYCLE_LOGIC_TERM_STATE_7 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
begin
  GSUH_AD_29_PCLK : X_SUH
    port map (
      I => AD(29),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_28_PCLK : X_SUH
    port map (
      I => AD(28),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_27_PCLK : X_SUH
    port map (
      I => AD(27),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_19_PCLK : X_SUH
    port map (
      I => AD(19),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_26_PCLK : X_SUH
    port map (
      I => AD(26),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_18_PCLK : X_SUH
    port map (
      I => AD(18),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_9_PCLK : X_SUH
    port map (
      I => AD(9),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_25_PCLK : X_SUH
    port map (
      I => AD(25),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_17_PCLK : X_SUH
    port map (
      I => AD(17),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_8_PCLK : X_SUH
    port map (
      I => AD(8),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_24_PCLK : X_SUH
    port map (
      I => AD(24),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_16_PCLK : X_SUH
    port map (
      I => AD(16),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_7_PCLK : X_SUH
    port map (
      I => AD(7),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_31_PCLK : X_SUH
    port map (
      I => AD(31),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_23_PCLK : X_SUH
    port map (
      I => AD(23),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_15_PCLK : X_SUH
    port map (
      I => AD(15),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_6_PCLK : X_SUH
    port map (
      I => AD(6),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_30_PCLK : X_SUH
    port map (
      I => AD(30),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_22_PCLK : X_SUH
    port map (
      I => AD(22),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_14_PCLK : X_SUH
    port map (
      I => AD(14),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_5_PCLK : X_SUH
    port map (
      I => AD(5),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_21_PCLK : X_SUH
    port map (
      I => AD(21),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_13_PCLK : X_SUH
    port map (
      I => AD(13),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_4_PCLK : X_SUH
    port map (
      I => AD(4),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_20_PCLK : X_SUH
    port map (
      I => AD(20),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_12_PCLK : X_SUH
    port map (
      I => AD(12),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_3_PCLK : X_SUH
    port map (
      I => AD(3),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_11_PCLK : X_SUH
    port map (
      I => AD(11),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_2_PCLK : X_SUH
    port map (
      I => AD(2),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_SERR_N_PCLK : X_SUH
    port map (
      I => SERR_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_10_PCLK : X_SUH
    port map (
      I => AD(10),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_1_PCLK : X_SUH
    port map (
      I => AD(1),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_AD_0_PCLK : X_SUH
    port map (
      I => AD(0),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_PERR_N_PCLK : X_SUH
    port map (
      I => PERR_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_IRDY_N_PCLK : X_SUH
    port map (
      I => IRDY_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_GNT_N_PCLK : X_SUH
    port map (
      I => GNT_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_IDSEL_PCLK : X_SUH
    port map (
      I => IDSEL,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_FRAME_N_PCLK : X_SUH
    port map (
      I => FRAME_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_STOP_N_PCLK : X_SUH
    port map (
      I => STOP_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_DEVSEL_N_PCLK : X_SUH
    port map (
      I => DEVSEL_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_TRDY_N_PCLK : X_SUH
    port map (
      I => TRDY_N,
      CE => VCC,
      CLK => PCLK
    );
  GSUH_CBE_3_PCLK : X_SUH
    port map (
      I => CBE(3),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_CBE_2_PCLK : X_SUH
    port map (
      I => CBE(2),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_CBE_1_PCLK : X_SUH
    port map (
      I => CBE(1),
      CE => VCC,
      CLK => PCLK
    );
  GSUH_CBE_0_PCLK : X_SUH
    port map (
      I => CBE(0),
      CE => VCC,
      CLK => PCLK
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO3_1I2303_1I8 : X_LUT4
    generic map(
      INIT => X"AFA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_CBH7,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_GROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO3_1I2296_1I8 : X_LUT4
    generic map(
      INIT => X"CFCA"
    )
    port map (
      ADR0 => CFG_SELF,
      ADR1 => PCI_CORE_PCI_LC_SHADOW_CBE3,
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_FAKE_GTS,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_FROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_GROM,
      O => PCI_CORE_PCI_LC_CBEOUT3
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO_FROM,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO3_D_SLO
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO2_1I2303_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => PCI_CORE_PCI_LC_FAIL_CBH6,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_GROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO2_1I2296_1I8 : X_LUT4
    generic map(
      INIT => X"F5E4"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => COMPLETE,
      ADR2 => PCI_CORE_PCI_LC_SHADOW_CBE2,
      ADR3 => PCI_CORE_PCI_LC_FAKE_GTS,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_FROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_GROM,
      O => PCI_CORE_PCI_LC_CBEOUT2
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO_FROM,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO2_D_SLO
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO1_1I2303_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_CBH5,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_GROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO1_1I2296_1I8 : X_LUT4
    generic map(
      INIT => X"AFAC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW_CBE1,
      ADR1 => PCI_CORE_PCI_LC_FAKE_GTS,
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => COMPLETE,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_FROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_GROM,
      O => PCI_CORE_PCI_LC_CBEOUT1
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO_FROM,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO1_D_SLO
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO0_1I2303_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_CBH4,
      ADR3 => PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_GROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO0_1I2296_1I8 : X_LUT4
    generic map(
      INIT => X"FE0E"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAKE_GTS,
      ADR1 => CFG_SELF,
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_SHADOW_CBE0,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_FROM
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_GROM,
      O => PCI_CORE_PCI_LC_CBEOUT0
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO_FROM,
      O => PCI_CORE_PCI_LC_PCI_CBE_IO0_D_SLO
    );
  PCI_CORE_PCI_LC_MASTER_REQ_1I2599 : X_LUT4
    generic map(
      INIT => X"88A8"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_M_ENABLE,
      ADR1 => CFG_SELF,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR3 => PCI_CORE_PCI_LC_ADDR_BE,
      O => PCI_CORE_PCI_LC_MASTER_NS_REQ_GROM
    );
  PCI_CORE_PCI_LC_MASTER_REQ_1I2506 : X_LUT4
    generic map(
      INIT => X"FFAF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_S_TAR,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REQ_REQ_BUS,
      ADR3 => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ,
      O => PCI_CORE_PCI_LC_MASTER_NS_REQ_FROM
    );
  PCI_CORE_PCI_LC_MASTER_NS_REQ_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_NS_REQ_GROM,
      O => PCI_CORE_PCI_LC_MASTER_REQ_REQ_BUS
    );
  PCI_CORE_PCI_LC_MASTER_NS_REQ_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_NS_REQ_FROM,
      O => PCI_CORE_PCI_LC_MASTER_NS_REQ_Q
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3487 : X_LUT4
    generic map(
      INIT => X"AFAF"
    )
    port map (
      ADR0 => PCI_CORE_TRDY_I_FANOUT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_1,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_IIRDY_I_GROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3227_1I8 : X_LUT4
    generic map(
      INIT => X"3FAA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IRDY_NS_0,
      ADR1 => PCI_CORE_PCI_LC_MASTER_IRDY_ALLOWED,
      ADR2 => PCI_CORE_PCI_LC_MASTER_IRDY_CORE_READY,
      ADR3 => PCI_CORE_STOP_I,
      O => PCI_CORE_PCI_LC_IIRDY_I_FROM
    );
  PCI_CORE_PCI_LC_IIRDY_I_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IIRDY_I_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_IIRDY_I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IIRDY_I_GROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_CORE_READY
    );
  PCI_CORE_PCI_LC_IIRDY_I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IIRDY_I_FROM,
      O => PCI_CORE_PCI_LC_NS_IRDY_Q
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_IIRDY_I_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_IIRDY_I_FROM,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IIRDY_I_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IIRDY_I_Q
    );
  PCI_CORE_PCI_LC_IIRDY_I_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IIRDY_I_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IIRDY_I_FFX_SET
    );
  PCI_CORE_PCI_LC_IIRDY_I_FFX_ASYNC_FF_GSR_OR_0 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IIRDY_I_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IIRDY_I_FFX_ASYNC_FF_GSR_OR
    );
  CBE_0_DELAY : X_BUF
    port map (
      I => CBE_0_IBUF,
      O => CBE_0_IDELAY
    );
  PCI_CORE_XPCI_CBB0_IBUF : X_BUF
    port map (
      I => CBE(0),
      O => CBE_0_IBUF
    );
  CBE_0_ENABLEINV : X_INV
    port map (
      I => CBE_0_TORGTS,
      O => CBE_0_ENABLE
    );
  PCI_CORE_XPCI_CBB0_OBUFT : X_TRI
    port map (
      I => CBE_0_OUTMUX,
      CTL => CBE_0_OUTBUF_GTS_AND,
      O => CBE(0)
    );
  CBE_0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => CBE_0_SRMUXNOT
    );
  CBE_0_IMUX : X_BUF
    port map (
      I => CBE_0_IBUF,
      O => PCI_CORE_CBE_I0
    );
  CBE_0_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CBEOUT0,
      O => CBE_0_OD
    );
  CBE_0_OUTMUX_1 : X_BUF
    port map (
      I => PCI_CORE_CBE_O0,
      O => CBE_0_OUTMUX
    );
  CBE_0_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_CBE,
      O => CBE_0_TORGTS
    );
  CBE_0_OUTBUF_GTS_AND_2 : X_AND2
    port map (
      I0 => CBE_0_ENABLE,
      I1 => NlwInverterSignal_CBE_0_OUTBUF_GTS_AND_IN1,
      O => CBE_0_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_CBQ0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_0_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => CBE_0_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_IN0
    );
  CBE_0_IFF_SETOR : X_BUF
    port map (
      I => CBE_0_SRMUXNOT,
      O => CBE_0_IFF_SET
    );
  CBE_0_IFF_ASYNC_FF_GSR_OR_3 : X_OR2
    port map (
      I0 => CBE_0_IFF_SET,
      I1 => GSR,
      O => CBE_0_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO0_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_0_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => CBE_0_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_O0
    );
  CBE_0_OFF_SETOR : X_BUF
    port map (
      I => CBE_0_SRMUXNOT,
      O => CBE_0_OFF_SET
    );
  CBE_0_OFF_ASYNC_FF_GSR_OR_4 : X_OR2
    port map (
      I0 => CBE_0_OFF_SET,
      I1 => GSR,
      O => CBE_0_OFF_ASYNC_FF_GSR_OR
    );
  CBE_1_DELAY : X_BUF
    port map (
      I => CBE_1_IBUF,
      O => CBE_1_IDELAY
    );
  PCI_CORE_XPCI_CBB1_IBUF : X_BUF
    port map (
      I => CBE(1),
      O => CBE_1_IBUF
    );
  CBE_1_ENABLEINV : X_INV
    port map (
      I => CBE_1_TORGTS,
      O => CBE_1_ENABLE
    );
  PCI_CORE_XPCI_CBB1_OBUFT : X_TRI
    port map (
      I => CBE_1_OUTMUX,
      CTL => CBE_1_OUTBUF_GTS_AND,
      O => CBE(1)
    );
  CBE_1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => CBE_1_SRMUXNOT
    );
  CBE_1_IMUX : X_BUF
    port map (
      I => CBE_1_IBUF,
      O => PCI_CORE_CBE_I1
    );
  CBE_1_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CBEOUT1,
      O => CBE_1_OD
    );
  CBE_1_OUTMUX_5 : X_BUF
    port map (
      I => PCI_CORE_CBE_O1,
      O => CBE_1_OUTMUX
    );
  CBE_1_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_CBE,
      O => CBE_1_TORGTS
    );
  CBE_1_OUTBUF_GTS_AND_6 : X_AND2
    port map (
      I0 => CBE_1_ENABLE,
      I1 => NlwInverterSignal_CBE_1_OUTBUF_GTS_AND_IN1,
      O => CBE_1_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_CBQ1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_1_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => CBE_1_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_IN1
    );
  CBE_1_IFF_SETOR : X_BUF
    port map (
      I => CBE_1_SRMUXNOT,
      O => CBE_1_IFF_SET
    );
  CBE_1_IFF_ASYNC_FF_GSR_OR_7 : X_OR2
    port map (
      I0 => CBE_1_IFF_SET,
      I1 => GSR,
      O => CBE_1_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO1_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_1_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => CBE_1_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_O1
    );
  CBE_1_OFF_SETOR : X_BUF
    port map (
      I => CBE_1_SRMUXNOT,
      O => CBE_1_OFF_SET
    );
  CBE_1_OFF_ASYNC_FF_GSR_OR_8 : X_OR2
    port map (
      I0 => CBE_1_OFF_SET,
      I1 => GSR,
      O => CBE_1_OFF_ASYNC_FF_GSR_OR
    );
  CBE_2_DELAY : X_BUF
    port map (
      I => CBE_2_IBUF,
      O => CBE_2_IDELAY
    );
  PCI_CORE_XPCI_CBB2_IBUF : X_BUF
    port map (
      I => CBE(2),
      O => CBE_2_IBUF
    );
  CBE_2_ENABLEINV : X_INV
    port map (
      I => CBE_2_TORGTS,
      O => CBE_2_ENABLE
    );
  PCI_CORE_XPCI_CBB2_OBUFT : X_TRI
    port map (
      I => CBE_2_OUTMUX,
      CTL => CBE_2_OUTBUF_GTS_AND,
      O => CBE(2)
    );
  CBE_2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => CBE_2_SRMUXNOT
    );
  CBE_2_IMUX : X_BUF
    port map (
      I => CBE_2_IBUF,
      O => PCI_CORE_CBE_I2
    );
  CBE_2_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CBEOUT2,
      O => CBE_2_OD
    );
  CBE_2_OUTMUX_9 : X_BUF
    port map (
      I => PCI_CORE_CBE_O2,
      O => CBE_2_OUTMUX
    );
  CBE_2_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_CBE,
      O => CBE_2_TORGTS
    );
  CBE_2_OUTBUF_GTS_AND_10 : X_AND2
    port map (
      I0 => CBE_2_ENABLE,
      I1 => NlwInverterSignal_CBE_2_OUTBUF_GTS_AND_IN1,
      O => CBE_2_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_CBQ2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_2_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => CBE_2_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_IN2
    );
  CBE_2_IFF_SETOR : X_BUF
    port map (
      I => CBE_2_SRMUXNOT,
      O => CBE_2_IFF_SET
    );
  CBE_2_IFF_ASYNC_FF_GSR_OR_11 : X_OR2
    port map (
      I0 => CBE_2_IFF_SET,
      I1 => GSR,
      O => CBE_2_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO2_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_2_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => CBE_2_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_O2
    );
  CBE_2_OFF_SETOR : X_BUF
    port map (
      I => CBE_2_SRMUXNOT,
      O => CBE_2_OFF_SET
    );
  CBE_2_OFF_ASYNC_FF_GSR_OR_12 : X_OR2
    port map (
      I0 => CBE_2_OFF_SET,
      I1 => GSR,
      O => CBE_2_OFF_ASYNC_FF_GSR_OR
    );
  CBE_3_DELAY : X_BUF
    port map (
      I => CBE_3_IBUF,
      O => CBE_3_IDELAY
    );
  PCI_CORE_XPCI_CBB3_IBUF : X_BUF
    port map (
      I => CBE(3),
      O => CBE_3_IBUF
    );
  CBE_3_ENABLEINV : X_INV
    port map (
      I => CBE_3_TORGTS,
      O => CBE_3_ENABLE
    );
  PCI_CORE_XPCI_CBB3_OBUFT : X_TRI
    port map (
      I => CBE_3_OUTMUX,
      CTL => CBE_3_OUTBUF_GTS_AND,
      O => CBE(3)
    );
  CBE_3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => CBE_3_SRMUXNOT
    );
  CBE_3_IMUX : X_BUF
    port map (
      I => CBE_3_IBUF,
      O => PCI_CORE_CBE_I3
    );
  CBE_3_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CBEOUT3,
      O => CBE_3_OD
    );
  CBE_3_OUTMUX_13 : X_BUF
    port map (
      I => PCI_CORE_CBE_O3,
      O => CBE_3_OUTMUX
    );
  CBE_3_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_CBE,
      O => CBE_3_TORGTS
    );
  CBE_3_OUTBUF_GTS_AND_14 : X_AND2
    port map (
      I0 => CBE_3_ENABLE,
      I1 => NlwInverterSignal_CBE_3_OUTBUF_GTS_AND_IN1,
      O => CBE_3_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_CBQ3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_3_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => CBE_3_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_IN3
    );
  CBE_3_IFF_SETOR : X_BUF
    port map (
      I => CBE_3_SRMUXNOT,
      O => CBE_3_IFF_SET
    );
  CBE_3_IFF_ASYNC_FF_GSR_OR_15 : X_OR2
    port map (
      I0 => CBE_3_IFF_SET,
      I1 => GSR,
      O => CBE_3_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CBE_IO3_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CBE_3_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => CBE_3_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_CBE_O3
    );
  CBE_3_OFF_SETOR : X_BUF
    port map (
      I => CBE_3_SRMUXNOT,
      O => CBE_3_OFF_SET
    );
  CBE_3_OFF_ASYNC_FF_GSR_OR_16 : X_OR2
    port map (
      I0 => CBE_3_OFF_SET,
      I1 => GSR,
      O => CBE_3_OFF_ASYNC_FF_GSR_OR
    );
  TRDY_N_DELAY : X_BUF
    port map (
      I => TRDY_N_IBUF,
      O => TRDY_N_IDELAY
    );
  PCI_CORE_XPCI_TRDY_IBUF : X_BUF
    port map (
      I => TRDY_N,
      O => TRDY_N_IBUF
    );
  TRDY_N_ENABLEINV : X_INV
    port map (
      I => TRDY_N_TORGTS,
      O => TRDY_N_ENABLE
    );
  PCI_CORE_XPCI_TRDY_OBUFT : X_TRI
    port map (
      I => PCI_CORE_TRDY_O,
      CTL => TRDY_N_OUTBUF_GTS_AND,
      O => TRDY_N
    );
  TRDY_N_PCIUSED : X_BUF
    port map (
      I => TRDY_N_IBUF,
      O => PCI_CORE_TRDY_I
    );
  TRDY_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TRDY_N_SRMUXNOT
    );
  TRDY_N_IMUX : X_BUF
    port map (
      I => TRDY_N_IBUF,
      O => PCI_CORE_TRDY_I_FANOUT
    );
  TRDY_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_TRDY,
      O => TRDY_N_TORGTS
    );
  TRDY_N_OUTBUF_GTS_AND_17 : X_AND2
    port map (
      I0 => TRDY_N_ENABLE,
      I1 => NlwInverterSignal_TRDY_N_OUTBUF_GTS_AND_IN1,
      O => TRDY_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_TRDY_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TRDY_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => TRDY_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_TRDY_Q
    );
  TRDY_N_IFF_SETOR : X_BUF
    port map (
      I => TRDY_N_SRMUXNOT,
      O => TRDY_N_IFF_SET
    );
  TRDY_N_IFF_ASYNC_FF_GSR_OR_18 : X_OR2
    port map (
      I0 => TRDY_N_IFF_SET,
      I1 => GSR,
      O => TRDY_N_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_TRDY_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_NS_TRDY_Q,
      CE => VCC,
      CLK => CLK,
      SET => TRDY_N_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_TRDY_O
    );
  TRDY_N_OFF_SETOR : X_BUF
    port map (
      I => TRDY_N_SRMUXNOT,
      O => TRDY_N_OFF_SET
    );
  TRDY_N_OFF_ASYNC_FF_GSR_OR_19 : X_OR2
    port map (
      I0 => TRDY_N_OFF_SET,
      I1 => GSR,
      O => TRDY_N_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN,
      CE => VCC,
      CLK => CLK,
      SET => TRDY_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_TRDY
    );
  TRDY_N_TFF_SETOR : X_BUF
    port map (
      I => TRDY_N_SRMUXNOT,
      O => TRDY_N_TFF_SET
    );
  TRDY_N_TFF_ASYNC_FF_GSR_OR_20 : X_OR2
    port map (
      I0 => TRDY_N_TFF_SET,
      I1 => GSR,
      O => TRDY_N_TFF_ASYNC_FF_GSR_OR
    );
  DEVSEL_N_DELAY : X_BUF
    port map (
      I => DEVSEL_N_IBUF,
      O => DEVSEL_N_IDELAY
    );
  PCI_CORE_XPCI_DEVSEL_IBUF : X_BUF
    port map (
      I => DEVSEL_N,
      O => DEVSEL_N_IBUF
    );
  DEVSEL_N_ENABLEINV : X_INV
    port map (
      I => DEVSEL_N_TORGTS,
      O => DEVSEL_N_ENABLE
    );
  PCI_CORE_XPCI_DEVSEL_OBUFT : X_TRI
    port map (
      I => DEVSEL_N_OUTMUX,
      CTL => DEVSEL_N_OUTBUF_GTS_AND,
      O => DEVSEL_N
    );
  DEVSEL_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => DEVSEL_N_SRMUXNOT
    );
  DEVSEL_N_IMUX : X_BUF
    port map (
      I => DEVSEL_N_IBUF,
      O => PCI_CORE_DEVSEL_I
    );
  DEVSEL_N_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NS_DEVSEL_Q,
      O => DEVSEL_N_OD
    );
  DEVSEL_N_OUTMUX_21 : X_BUF
    port map (
      I => PCI_CORE_DEVSEL_O,
      O => DEVSEL_N_OUTMUX
    );
  DEVSEL_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_DEVSEL,
      O => DEVSEL_N_TORGTS
    );
  DEVSEL_N_OUTBUF_GTS_AND_22 : X_AND2
    port map (
      I0 => DEVSEL_N_ENABLE,
      I1 => NlwInverterSignal_DEVSEL_N_OUTBUF_GTS_AND_IN1,
      O => DEVSEL_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_DEVSEL_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => DEVSEL_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => DEVSEL_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_DEVSEL_Q
    );
  DEVSEL_N_IFF_SETOR : X_BUF
    port map (
      I => DEVSEL_N_SRMUXNOT,
      O => DEVSEL_N_IFF_SET
    );
  DEVSEL_N_IFF_ASYNC_FF_GSR_OR_23 : X_OR2
    port map (
      I0 => DEVSEL_N_IFF_SET,
      I1 => GSR,
      O => DEVSEL_N_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_DEVSEL_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => DEVSEL_N_OD,
      CE => VCC,
      CLK => CLK,
      SET => DEVSEL_N_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_DEVSEL_O
    );
  DEVSEL_N_OFF_SETOR : X_BUF
    port map (
      I => DEVSEL_N_SRMUXNOT,
      O => DEVSEL_N_OFF_SET
    );
  DEVSEL_N_OFF_ASYNC_FF_GSR_OR_24 : X_OR2
    port map (
      I0 => DEVSEL_N_OFF_SET,
      I1 => GSR,
      O => DEVSEL_N_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_DEVSEL : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN,
      CE => VCC,
      CLK => CLK,
      SET => DEVSEL_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_DEVSEL
    );
  DEVSEL_N_TFF_SETOR : X_BUF
    port map (
      I => DEVSEL_N_SRMUXNOT,
      O => DEVSEL_N_TFF_SET
    );
  DEVSEL_N_TFF_ASYNC_FF_GSR_OR_25 : X_OR2
    port map (
      I0 => DEVSEL_N_TFF_SET,
      I1 => GSR,
      O => DEVSEL_N_TFF_ASYNC_FF_GSR_OR
    );
  STOP_N_DELAY : X_BUF
    port map (
      I => STOP_N_IBUF,
      O => STOP_N_IDELAY
    );
  PCI_CORE_XPCI_STOP_IBUF : X_BUF
    port map (
      I => STOP_N,
      O => STOP_N_IBUF
    );
  STOP_N_ENABLEINV : X_INV
    port map (
      I => STOP_N_TORGTS,
      O => STOP_N_ENABLE
    );
  PCI_CORE_XPCI_STOP_OBUFT : X_TRI
    port map (
      I => STOP_N_OUTMUX,
      CTL => STOP_N_OUTBUF_GTS_AND,
      O => STOP_N
    );
  STOP_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => STOP_N_SRMUXNOT
    );
  STOP_N_IMUX : X_BUF
    port map (
      I => STOP_N_IBUF,
      O => PCI_CORE_STOP_I
    );
  STOP_N_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NS_STOP_Q,
      O => STOP_N_OD
    );
  STOP_N_OUTMUX_26 : X_BUF
    port map (
      I => PCI_CORE_STOP_O,
      O => STOP_N_OUTMUX
    );
  STOP_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_STOP,
      O => STOP_N_TORGTS
    );
  STOP_N_OUTBUF_GTS_AND_27 : X_AND2
    port map (
      I0 => STOP_N_ENABLE,
      I1 => NlwInverterSignal_STOP_N_OUTBUF_GTS_AND_IN1,
      O => STOP_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_STOP_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => STOP_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => STOP_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_STOP_Q
    );
  STOP_N_IFF_SETOR : X_BUF
    port map (
      I => STOP_N_SRMUXNOT,
      O => STOP_N_IFF_SET
    );
  STOP_N_IFF_ASYNC_FF_GSR_OR_28 : X_OR2
    port map (
      I0 => STOP_N_IFF_SET,
      I1 => GSR,
      O => STOP_N_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_STOP_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => STOP_N_OD,
      CE => VCC,
      CLK => CLK,
      SET => STOP_N_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_STOP_O
    );
  STOP_N_OFF_SETOR : X_BUF
    port map (
      I => STOP_N_SRMUXNOT,
      O => STOP_N_OFF_SET
    );
  STOP_N_OFF_ASYNC_FF_GSR_OR_29 : X_OR2
    port map (
      I0 => STOP_N_OFF_SET,
      I1 => GSR,
      O => STOP_N_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_STOP : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN,
      CE => VCC,
      CLK => CLK,
      SET => STOP_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_STOP
    );
  STOP_N_TFF_SETOR : X_BUF
    port map (
      I => STOP_N_SRMUXNOT,
      O => STOP_N_TFF_SET
    );
  STOP_N_TFF_ASYNC_FF_GSR_OR_30 : X_OR2
    port map (
      I0 => STOP_N_TFF_SET,
      I1 => GSR,
      O => STOP_N_TFF_ASYNC_FF_GSR_OR
    );
  FRAME_N_DELAY : X_BUF
    port map (
      I => FRAME_N_IBUF,
      O => FRAME_N_IDELAY
    );
  PCI_CORE_XPCI_FRAME_IBUF : X_BUF
    port map (
      I => FRAME_N,
      O => FRAME_N_IBUF
    );
  FRAME_N_ENABLEINV : X_INV
    port map (
      I => FRAME_N_TORGTS,
      O => FRAME_N_ENABLE
    );
  PCI_CORE_XPCI_FRAME_OBUFT : X_TRI
    port map (
      I => FRAME_N_OUTMUX,
      CTL => FRAME_N_OUTBUF_GTS_AND,
      O => FRAME_N
    );
  FRAME_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => FRAME_N_SRMUXNOT
    );
  FRAME_N_IMUX : X_BUF
    port map (
      I => FRAME_N_IBUF,
      O => PCI_CORE_FRAME_I
    );
  FRAME_N_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NS_FRAME_Q,
      O => FRAME_N_OD
    );
  FRAME_N_OUTMUX_31 : X_BUF
    port map (
      I => PCI_CORE_FRAME_O,
      O => FRAME_N_OUTMUX
    );
  FRAME_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_FRAME,
      O => FRAME_N_TORGTS
    );
  FRAME_N_OUTBUF_GTS_AND_32 : X_AND2
    port map (
      I0 => FRAME_N_ENABLE,
      I1 => NlwInverterSignal_FRAME_N_OUTBUF_GTS_AND_IN1,
      O => FRAME_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_FRAME_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => FRAME_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => FRAME_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_FRAME_Q
    );
  FRAME_N_IFF_SETOR : X_BUF
    port map (
      I => FRAME_N_SRMUXNOT,
      O => FRAME_N_IFF_SET
    );
  FRAME_N_IFF_ASYNC_FF_GSR_OR_33 : X_OR2
    port map (
      I0 => FRAME_N_IFF_SET,
      I1 => GSR,
      O => FRAME_N_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FRAME_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => FRAME_N_OD,
      CE => PCI_CORE_PCI_LC_FRAME_CE,
      CLK => CLK,
      SET => FRAME_N_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_FRAME_O
    );
  FRAME_N_OFF_SETOR : X_BUF
    port map (
      I => FRAME_N_SRMUXNOT,
      O => FRAME_N_OFF_SET
    );
  FRAME_N_OFF_ASYNC_FF_GSR_OR_34 : X_OR2
    port map (
      I0 => FRAME_N_OFF_SET,
      I1 => GSR,
      O => FRAME_N_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF,
      CE => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF,
      CLK => CLK,
      SET => FRAME_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_FRAME
    );
  FRAME_N_TFF_SETOR : X_BUF
    port map (
      I => FRAME_N_SRMUXNOT,
      O => FRAME_N_TFF_SET
    );
  FRAME_N_TFF_ASYNC_FF_GSR_OR_35 : X_OR2
    port map (
      I0 => FRAME_N_TFF_SET,
      I1 => GSR,
      O => FRAME_N_TFF_ASYNC_FF_GSR_OR
    );
  IDSEL_DELAY : X_BUF
    port map (
      I => PCI_CORE_IDSEL_IN,
      O => IDSEL_IDELAY
    );
  PCI_CORE_XPCI_IDSEL : X_BUF
    port map (
      I => IDSEL,
      O => PCI_CORE_IDSEL_IN
    );
  IDSEL_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => IDSEL_SRMUXNOT
    );
  PCI_CORE_PCI_LC_IDSEL_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => IDSEL_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => IDSEL_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IDSEL
    );
  IDSEL_IFF_SETOR : X_BUF
    port map (
      I => IDSEL_SRMUXNOT,
      O => IDSEL_IFF_SET
    );
  IDSEL_IFF_ASYNC_FF_GSR_OR_36 : X_OR2
    port map (
      I0 => IDSEL_IFF_SET,
      I1 => GSR,
      O => IDSEL_IFF_ASYNC_FF_GSR_OR
    );
  ONESDIGIT_0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => ONESDIGIT_0_SRMUXNOT
    );
  ONESDIGIT_0_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0),
      O => ONESDIGIT_0_OD
    );
  ONESDIGIT_0_OUTMUX_37 : X_BUF
    port map (
      I => ONESDIGIT_C(0),
      O => ONESDIGIT_0_OUTMUX
    );
  ONESDIGIT_obuf_0_Q : X_BUF
    port map (
      I => ONESDIGIT_0_OUTMUX,
      O => ONESDIGIT_0_OUTBUF_GTS_TRI
    );
  ONESDIGIT_0_OUTBUF_GTS_TRI_38 : X_TRI
    port map (
      I => ONESDIGIT_0_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_ONESDIGIT_0_OUTBUF_GTS_TRI_CTL,
      O => ONESDIGIT(0)
    );
  userapp_inst_foo_bar0_digitrom_romdata_0_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ONESDIGIT_0_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => ONESDIGIT_0_OFF_ASYNC_FF_GSR_OR,
      O => ONESDIGIT_C(0)
    );
  ONESDIGIT_0_OFF_RSTOR : X_BUF
    port map (
      I => ONESDIGIT_0_SRMUXNOT,
      O => ONESDIGIT_0_OFF_RST
    );
  ONESDIGIT_0_OFF_ASYNC_FF_GSR_OR_39 : X_OR2
    port map (
      I0 => ONESDIGIT_0_OFF_RST,
      I1 => GSR,
      O => ONESDIGIT_0_OFF_ASYNC_FF_GSR_OR
    );
  ONESDIGIT_1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => ONESDIGIT_1_SRMUXNOT
    );
  ONESDIGIT_1_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1),
      O => ONESDIGIT_1_OD
    );
  ONESDIGIT_1_OUTMUX_40 : X_BUF
    port map (
      I => ONESDIGIT_C(1),
      O => ONESDIGIT_1_OUTMUX
    );
  ONESDIGIT_obuf_1_Q : X_BUF
    port map (
      I => ONESDIGIT_1_OUTMUX,
      O => ONESDIGIT_1_OUTBUF_GTS_TRI
    );
  ONESDIGIT_1_OUTBUF_GTS_TRI_41 : X_TRI
    port map (
      I => ONESDIGIT_1_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_ONESDIGIT_1_OUTBUF_GTS_TRI_CTL,
      O => ONESDIGIT(1)
    );
  userapp_inst_foo_bar0_digitrom_romdata_1_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ONESDIGIT_1_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => ONESDIGIT_1_OFF_ASYNC_FF_GSR_OR,
      O => ONESDIGIT_C(1)
    );
  ONESDIGIT_1_OFF_RSTOR : X_BUF
    port map (
      I => ONESDIGIT_1_SRMUXNOT,
      O => ONESDIGIT_1_OFF_RST
    );
  ONESDIGIT_1_OFF_ASYNC_FF_GSR_OR_42 : X_OR2
    port map (
      I0 => ONESDIGIT_1_OFF_RST,
      I1 => GSR,
      O => ONESDIGIT_1_OFF_ASYNC_FF_GSR_OR
    );
  ONESDIGIT_2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => ONESDIGIT_2_SRMUXNOT
    );
  ONESDIGIT_2_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2),
      O => ONESDIGIT_2_OD
    );
  ONESDIGIT_2_OUTMUX_43 : X_BUF
    port map (
      I => ONESDIGIT_C(2),
      O => ONESDIGIT_2_OUTMUX
    );
  ONESDIGIT_obuf_2_Q : X_BUF
    port map (
      I => ONESDIGIT_2_OUTMUX,
      O => ONESDIGIT_2_OUTBUF_GTS_TRI
    );
  ONESDIGIT_2_OUTBUF_GTS_TRI_44 : X_TRI
    port map (
      I => ONESDIGIT_2_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_ONESDIGIT_2_OUTBUF_GTS_TRI_CTL,
      O => ONESDIGIT(2)
    );
  userapp_inst_foo_bar0_digitrom_romdata_2_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ONESDIGIT_2_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => ONESDIGIT_2_OFF_ASYNC_FF_GSR_OR,
      O => ONESDIGIT_C(2)
    );
  ONESDIGIT_2_OFF_RSTOR : X_BUF
    port map (
      I => ONESDIGIT_2_SRMUXNOT,
      O => ONESDIGIT_2_OFF_RST
    );
  ONESDIGIT_2_OFF_ASYNC_FF_GSR_OR_45 : X_OR2
    port map (
      I0 => ONESDIGIT_2_OFF_RST,
      I1 => GSR,
      O => ONESDIGIT_2_OFF_ASYNC_FF_GSR_OR
    );
  ONESDIGIT_3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => ONESDIGIT_3_SRMUXNOT
    );
  ONESDIGIT_3_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3),
      O => ONESDIGIT_3_OD
    );
  ONESDIGIT_3_OUTMUX_46 : X_BUF
    port map (
      I => ONESDIGIT_C(3),
      O => ONESDIGIT_3_OUTMUX
    );
  ONESDIGIT_obuf_3_Q : X_BUF
    port map (
      I => ONESDIGIT_3_OUTMUX,
      O => ONESDIGIT_3_OUTBUF_GTS_TRI
    );
  ONESDIGIT_3_OUTBUF_GTS_TRI_47 : X_TRI
    port map (
      I => ONESDIGIT_3_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_ONESDIGIT_3_OUTBUF_GTS_TRI_CTL,
      O => ONESDIGIT(3)
    );
  userapp_inst_foo_bar0_digitrom_romdata_3_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ONESDIGIT_3_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => ONESDIGIT_3_OFF_ASYNC_FF_GSR_OR,
      O => ONESDIGIT_C(3)
    );
  ONESDIGIT_3_OFF_RSTOR : X_BUF
    port map (
      I => ONESDIGIT_3_SRMUXNOT,
      O => ONESDIGIT_3_OFF_RST
    );
  ONESDIGIT_3_OFF_ASYNC_FF_GSR_OR_48 : X_OR2
    port map (
      I0 => ONESDIGIT_3_OFF_RST,
      I1 => GSR,
      O => ONESDIGIT_3_OFF_ASYNC_FF_GSR_OR
    );
  ONESDIGIT_4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => ONESDIGIT_4_SRMUXNOT
    );
  ONESDIGIT_4_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4),
      O => ONESDIGIT_4_OD
    );
  ONESDIGIT_4_OUTMUX_49 : X_BUF
    port map (
      I => ONESDIGIT_C(4),
      O => ONESDIGIT_4_OUTMUX
    );
  ONESDIGIT_obuf_4_Q : X_BUF
    port map (
      I => ONESDIGIT_4_OUTMUX,
      O => ONESDIGIT_4_OUTBUF_GTS_TRI
    );
  ONESDIGIT_4_OUTBUF_GTS_TRI_50 : X_TRI
    port map (
      I => ONESDIGIT_4_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_ONESDIGIT_4_OUTBUF_GTS_TRI_CTL,
      O => ONESDIGIT(4)
    );
  userapp_inst_foo_bar0_digitrom_romdata_4_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ONESDIGIT_4_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => ONESDIGIT_4_OFF_ASYNC_FF_GSR_OR,
      O => ONESDIGIT_C(4)
    );
  ONESDIGIT_4_OFF_RSTOR : X_BUF
    port map (
      I => ONESDIGIT_4_SRMUXNOT,
      O => ONESDIGIT_4_OFF_RST
    );
  ONESDIGIT_4_OFF_ASYNC_FF_GSR_OR_51 : X_OR2
    port map (
      I0 => ONESDIGIT_4_OFF_RST,
      I1 => GSR,
      O => ONESDIGIT_4_OFF_ASYNC_FF_GSR_OR
    );
  ONESDIGIT_5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => ONESDIGIT_5_SRMUXNOT
    );
  ONESDIGIT_5_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5),
      O => ONESDIGIT_5_OD
    );
  ONESDIGIT_5_OUTMUX_52 : X_BUF
    port map (
      I => ONESDIGIT_C(5),
      O => ONESDIGIT_5_OUTMUX
    );
  ONESDIGIT_obuf_5_Q : X_BUF
    port map (
      I => ONESDIGIT_5_OUTMUX,
      O => ONESDIGIT_5_OUTBUF_GTS_TRI
    );
  ONESDIGIT_5_OUTBUF_GTS_TRI_53 : X_TRI
    port map (
      I => ONESDIGIT_5_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_ONESDIGIT_5_OUTBUF_GTS_TRI_CTL,
      O => ONESDIGIT(5)
    );
  userapp_inst_foo_bar0_digitrom_romdata_5_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ONESDIGIT_5_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => ONESDIGIT_5_OFF_ASYNC_FF_GSR_OR,
      O => ONESDIGIT_C(5)
    );
  ONESDIGIT_5_OFF_RSTOR : X_BUF
    port map (
      I => ONESDIGIT_5_SRMUXNOT,
      O => ONESDIGIT_5_OFF_RST
    );
  ONESDIGIT_5_OFF_ASYNC_FF_GSR_OR_54 : X_OR2
    port map (
      I0 => ONESDIGIT_5_OFF_RST,
      I1 => GSR,
      O => ONESDIGIT_5_OFF_ASYNC_FF_GSR_OR
    );
  ONESDIGIT_6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => ONESDIGIT_6_SRMUXNOT
    );
  ONESDIGIT_6_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6),
      O => ONESDIGIT_6_OD
    );
  ONESDIGIT_6_OUTMUX_55 : X_BUF
    port map (
      I => ONESDIGIT_C(6),
      O => ONESDIGIT_6_OUTMUX
    );
  ONESDIGIT_obuf_6_Q : X_BUF
    port map (
      I => ONESDIGIT_6_OUTMUX,
      O => ONESDIGIT_6_OUTBUF_GTS_TRI
    );
  ONESDIGIT_6_OUTBUF_GTS_TRI_56 : X_TRI
    port map (
      I => ONESDIGIT_6_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_ONESDIGIT_6_OUTBUF_GTS_TRI_CTL,
      O => ONESDIGIT(6)
    );
  userapp_inst_foo_bar0_digitrom_romdata_6_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ONESDIGIT_6_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => ONESDIGIT_6_OFF_ASYNC_FF_GSR_OR,
      O => ONESDIGIT_C(6)
    );
  ONESDIGIT_6_OFF_RSTOR : X_BUF
    port map (
      I => ONESDIGIT_6_SRMUXNOT,
      O => ONESDIGIT_6_OFF_RST
    );
  ONESDIGIT_6_OFF_ASYNC_FF_GSR_OR_57 : X_OR2
    port map (
      I0 => ONESDIGIT_6_OFF_RST,
      I1 => GSR,
      O => ONESDIGIT_6_OFF_ASYNC_FF_GSR_OR
    );
  GNT_N_DELAY : X_BUF
    port map (
      I => GNT_N_IBUF,
      O => GNT_N_IDELAY
    );
  PCI_CORE_XPCI_GNT : X_BUF
    port map (
      I => GNT_N,
      O => GNT_N_IBUF
    );
  GNT_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => GNT_N_SRMUXNOT
    );
  GNT_N_IMUX : X_BUF
    port map (
      I => GNT_N_IBUF,
      O => PCI_CORE_GNT_IN
    );
  PCI_CORE_PCI_LC_MASTER_GNT_IOB_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => GNT_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => GNT_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_GNT_Q
    );
  GNT_N_IFF_SETOR : X_BUF
    port map (
      I => GNT_N_SRMUXNOT,
      O => GNT_N_IFF_SET
    );
  GNT_N_IFF_ASYNC_FF_GSR_OR_58 : X_OR2
    port map (
      I0 => GNT_N_IFF_SET,
      I1 => GSR,
      O => GNT_N_IFF_ASYNC_FF_GSR_OR
    );
  REQ_N_ENABLEINV : X_INV
    port map (
      I => REQ_N_TORGTS,
      O => REQ_N_ENABLE
    );
  PCI_CORE_XPCI_REQ : X_TRI
    port map (
      I => REQ_N_OUTMUX,
      CTL => REQ_N_OUTBUF_GTS_AND,
      O => REQ_N
    );
  REQ_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => REQ_N_SRMUXNOT
    );
  REQ_N_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_NS_REQ_Q,
      O => REQ_N_OD
    );
  REQ_N_LOGIC_ZERO_59 : X_ZERO
    port map (
      O => REQ_N_LOGIC_ZERO
    );
  REQ_N_OUTMUX_60 : X_BUF
    port map (
      I => PCI_CORE_REQ_OUT,
      O => REQ_N_OUTMUX
    );
  REQ_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_REQ,
      O => REQ_N_TORGTS
    );
  REQ_N_OUTBUF_GTS_AND_61 : X_AND2
    port map (
      I0 => REQ_N_ENABLE,
      I1 => NlwInverterSignal_REQ_N_OUTBUF_GTS_AND_IN1,
      O => REQ_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_MASTER_REQ_IOB_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => REQ_N_OD,
      CE => VCC,
      CLK => CLK,
      SET => REQ_N_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_REQ_OUT
    );
  REQ_N_OFF_SETOR : X_BUF
    port map (
      I => REQ_N_SRMUXNOT,
      O => REQ_N_OFF_SET
    );
  REQ_N_OFF_ASYNC_FF_GSR_OR_62 : X_OR2
    port map (
      I0 => REQ_N_OFF_SET,
      I1 => GSR,
      O => REQ_N_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REQO_OE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => REQ_N_LOGIC_ZERO,
      CE => VCC,
      CLK => CLK,
      SET => REQ_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_REQ
    );
  REQ_N_TFF_SETOR : X_BUF
    port map (
      I => REQ_N_SRMUXNOT,
      O => REQ_N_TFF_SET
    );
  REQ_N_TFF_ASYNC_FF_GSR_OR_63 : X_OR2
    port map (
      I0 => REQ_N_TFF_SET,
      I1 => GSR,
      O => REQ_N_TFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_XPCI_PAR_IBUF : X_BUF
    port map (
      I => PAR,
      O => PAR_IBUF
    );
  PAR_ENABLEINV : X_INV
    port map (
      I => PAR_TORGTS,
      O => PAR_ENABLE
    );
  PCI_CORE_XPCI_PAR_OBUFT : X_TRI
    port map (
      I => PAR_OUTMUX,
      CTL => PAR_OUTBUF_GTS_AND,
      O => PAR
    );
  PAR_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PAR_SRMUXNOT
    );
  PAR_IMUX : X_BUF
    port map (
      I => PAR_IBUF,
      O => PCI_CORE_PAR_I
    );
  PAR_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NS_PAR,
      O => PAR_OD
    );
  PAR_OUTMUX_64 : X_BUF
    port map (
      I => PCI_CORE_PAR_O,
      O => PAR_OUTMUX
    );
  PAR_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_PAR,
      O => PAR_TORGTS
    );
  PAR_OUTBUF_GTS_AND_65 : X_AND2
    port map (
      I0 => PAR_ENABLE,
      I1 => NlwInverterSignal_PAR_OUTBUF_GTS_AND_IN1,
      O => PAR_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_PAR_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PAR_OD,
      CE => PCI_CORE_PCI_LC_PAR_CE,
      CLK => CLK,
      SET => PAR_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PAR_O
    );
  PAR_OFF_SETOR : X_BUF
    port map (
      I => PAR_SRMUXNOT,
      O => PAR_OFF_SET
    );
  PAR_OFF_ASYNC_FF_GSR_OR_66 : X_OR2
    port map (
      I0 => PAR_OFF_SET,
      I1 => GSR,
      O => PAR_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_L_PAR_OE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_OE_ADO_B,
      CE => VCC,
      CLK => CLK,
      SET => PAR_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_PAR
    );
  PAR_TFF_SETOR : X_BUF
    port map (
      I => PAR_SRMUXNOT,
      O => PAR_TFF_SET
    );
  PAR_TFF_ASYNC_FF_GSR_OR_67 : X_OR2
    port map (
      I0 => PAR_TFF_SET,
      I1 => GSR,
      O => PAR_TFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_XPCI_RST : X_BUF
    port map (
      I => RST_N,
      O => RST_N_IBUF
    );
  RST_N_IMUX : X_BUF
    port map (
      I => RST_N_IBUF,
      O => PCI_CORE_RST_N
    );
  IRDY_N_DELAY : X_BUF
    port map (
      I => IRDY_N_IBUF,
      O => IRDY_N_IDELAY
    );
  PCI_CORE_XPCI_IRDY_IBUF : X_BUF
    port map (
      I => IRDY_N,
      O => IRDY_N_IBUF
    );
  IRDY_N_ENABLEINV : X_INV
    port map (
      I => IRDY_N_TORGTS,
      O => IRDY_N_ENABLE
    );
  PCI_CORE_XPCI_IRDY_OBUFT : X_TRI
    port map (
      I => PCI_CORE_IRDY_O,
      CTL => IRDY_N_OUTBUF_GTS_AND,
      O => IRDY_N
    );
  IRDY_N_PCIUSED : X_BUF
    port map (
      I => IRDY_N_IBUF,
      O => PCI_CORE_IRDY_I
    );
  IRDY_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => IRDY_N_SRMUXNOT
    );
  IRDY_N_IMUX : X_BUF
    port map (
      I => IRDY_N_IBUF,
      O => PCI_CORE_IRDY_I_FANOUT
    );
  IRDY_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_IRDY,
      O => IRDY_N_TORGTS
    );
  IRDY_N_OUTBUF_GTS_AND_68 : X_AND2
    port map (
      I0 => IRDY_N_ENABLE,
      I1 => NlwInverterSignal_IRDY_N_OUTBUF_GTS_AND_IN1,
      O => IRDY_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_IRDY_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => IRDY_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => IRDY_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IRDY_Q
    );
  IRDY_N_IFF_SETOR : X_BUF
    port map (
      I => IRDY_N_SRMUXNOT,
      O => IRDY_N_IFF_SET
    );
  IRDY_N_IFF_ASYNC_FF_GSR_OR_69 : X_OR2
    port map (
      I0 => IRDY_N_IFF_SET,
      I1 => GSR,
      O => IRDY_N_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IRDY_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_NS_IRDY_Q,
      CE => VCC,
      CLK => CLK,
      SET => IRDY_N_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_IRDY_O
    );
  IRDY_N_OFF_SETOR : X_BUF
    port map (
      I => IRDY_N_SRMUXNOT,
      O => IRDY_N_OFF_SET
    );
  IRDY_N_OFF_ASYNC_FF_GSR_OR_70 : X_OR2
    port map (
      I0 => IRDY_N_OFF_SET,
      I1 => GSR,
      O => IRDY_N_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_IRDY : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT,
      CE => VCC,
      CLK => CLK,
      SET => IRDY_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_IRDY
    );
  IRDY_N_TFF_SETOR : X_BUF
    port map (
      I => IRDY_N_SRMUXNOT,
      O => IRDY_N_TFF_SET
    );
  IRDY_N_TFF_ASYNC_FF_GSR_OR_71 : X_OR2
    port map (
      I0 => IRDY_N_TFF_SET,
      I1 => GSR,
      O => IRDY_N_TFF_ASYNC_FF_GSR_OR
    );
  INTR_A_ENABLEINV : X_INV
    port map (
      I => INTR_A_TORGTS,
      O => INTR_A_ENABLE
    );
  PCI_CORE_XPCI_INTA : X_TRI
    port map (
      I => INTR_A_OUTMUX,
      CTL => INTR_A_OUTBUF_GTS_AND,
      O => INTR_A
    );
  INTR_A_LOGIC_ZERO_72 : X_ZERO
    port map (
      O => INTR_A_LOGIC_ZERO
    );
  INTR_A_OUTMUX_73 : X_BUF
    port map (
      I => INTR_A_LOGIC_ZERO,
      O => INTR_A_OUTMUX
    );
  INTR_A_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_INTA,
      O => INTR_A_TORGTS
    );
  INTR_A_OUTBUF_GTS_AND_74 : X_AND2
    port map (
      I0 => INTR_A_ENABLE,
      I1 => NlwInverterSignal_INTR_A_OUTBUF_GTS_AND_IN1,
      O => INTR_A_OUTBUF_GTS_AND
    );
  LED_TEST_OMUX : X_BUF
    port map (
      I => LED_TEST_C,
      O => LED_TEST_OD
    );
  LED_TEST_OUTMUX_75 : X_BUF
    port map (
      I => LED_TEST_OD,
      O => LED_TEST_OUTMUX
    );
  LED_TEST_obuf : X_BUF
    port map (
      I => LED_TEST_OUTMUX,
      O => LED_TEST_OUTBUF_GTS_TRI
    );
  LED_TEST_OUTBUF_GTS_TRI_76 : X_TRI
    port map (
      I => LED_TEST_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_LED_TEST_OUTBUF_GTS_TRI_CTL,
      O => LED_TEST
    );
  PERR_N_DELAY : X_BUF
    port map (
      I => PCI_CORE_PERR_I,
      O => PERR_N_IDELAY
    );
  PCI_CORE_XPCI_PERR_IBUF : X_BUF
    port map (
      I => PERR_N,
      O => PCI_CORE_PERR_I
    );
  PERR_N_ENABLEINV : X_INV
    port map (
      I => PERR_N_TORGTS,
      O => PERR_N_ENABLE
    );
  PCI_CORE_XPCI_PERR_OBUFT : X_TRI
    port map (
      I => PERR_N_OUTMUX,
      CTL => PERR_N_OUTBUF_GTS_AND,
      O => PERR_N
    );
  PERR_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PERR_N_SRMUXNOT
    );
  PERR_N_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NS_PERR_Q,
      O => PERR_N_OD
    );
  PERR_N_OUTMUX_77 : X_BUF
    port map (
      I => PCI_CORE_PERR_O,
      O => PERR_N_OUTMUX
    );
  PERR_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_PERR,
      O => PERR_N_TORGTS
    );
  PERR_N_OUTBUF_GTS_AND_78 : X_AND2
    port map (
      I0 => PERR_N_ENABLE,
      I1 => NlwInverterSignal_PERR_N_OUTBUF_GTS_AND_IN1,
      O => PERR_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_PERR_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PERR_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => PERR_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PERR_Q
    );
  PERR_N_IFF_SETOR : X_BUF
    port map (
      I => PERR_N_SRMUXNOT,
      O => PERR_N_IFF_SET
    );
  PERR_N_IFF_ASYNC_FF_GSR_OR_79 : X_OR2
    port map (
      I0 => PERR_N_IFF_SET,
      I1 => GSR,
      O => PERR_N_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PERR_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PERR_N_OD,
      CE => VCC,
      CLK => CLK,
      SET => PERR_N_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PERR_O
    );
  PERR_N_OFF_SETOR : X_BUF
    port map (
      I => PERR_N_SRMUXNOT,
      O => PERR_N_OFF_SET
    );
  PERR_N_OFF_ASYNC_FF_GSR_OR_80 : X_OR2
    port map (
      I0 => PERR_N_OFF_SET,
      I1 => GSR,
      O => PERR_N_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_PERR_OE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OE_PERR,
      CE => VCC,
      CLK => CLK,
      SET => PERR_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_PERR
    );
  PERR_N_TFF_SETOR : X_BUF
    port map (
      I => PERR_N_SRMUXNOT,
      O => PERR_N_TFF_SET
    );
  PERR_N_TFF_ASYNC_FF_GSR_OR_81 : X_OR2
    port map (
      I0 => PERR_N_TFF_SET,
      I1 => GSR,
      O => PERR_N_TFF_ASYNC_FF_GSR_OR
    );
  TENSDIGIT_0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TENSDIGIT_0_SRMUXNOT
    );
  TENSDIGIT_0_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7),
      O => TENSDIGIT_0_OD
    );
  TENSDIGIT_0_OUTMUX_82 : X_BUF
    port map (
      I => TENSDIGIT_C(0),
      O => TENSDIGIT_0_OUTMUX
    );
  TENSDIGIT_obuf_0_Q : X_BUF
    port map (
      I => TENSDIGIT_0_OUTMUX,
      O => TENSDIGIT_0_OUTBUF_GTS_TRI
    );
  TENSDIGIT_0_OUTBUF_GTS_TRI_83 : X_TRI
    port map (
      I => TENSDIGIT_0_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_TENSDIGIT_0_OUTBUF_GTS_TRI_CTL,
      O => TENSDIGIT(0)
    );
  userapp_inst_foo_bar0_digitrom_romdata_7_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TENSDIGIT_0_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => TENSDIGIT_0_OFF_ASYNC_FF_GSR_OR,
      O => TENSDIGIT_C(0)
    );
  TENSDIGIT_0_OFF_RSTOR : X_BUF
    port map (
      I => TENSDIGIT_0_SRMUXNOT,
      O => TENSDIGIT_0_OFF_RST
    );
  TENSDIGIT_0_OFF_ASYNC_FF_GSR_OR_84 : X_OR2
    port map (
      I0 => TENSDIGIT_0_OFF_RST,
      I1 => GSR,
      O => TENSDIGIT_0_OFF_ASYNC_FF_GSR_OR
    );
  TENSDIGIT_1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TENSDIGIT_1_SRMUXNOT
    );
  TENSDIGIT_1_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8),
      O => TENSDIGIT_1_OD
    );
  TENSDIGIT_1_OUTMUX_85 : X_BUF
    port map (
      I => TENSDIGIT_C(1),
      O => TENSDIGIT_1_OUTMUX
    );
  TENSDIGIT_obuf_1_Q : X_BUF
    port map (
      I => TENSDIGIT_1_OUTMUX,
      O => TENSDIGIT_1_OUTBUF_GTS_TRI
    );
  TENSDIGIT_1_OUTBUF_GTS_TRI_86 : X_TRI
    port map (
      I => TENSDIGIT_1_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_TENSDIGIT_1_OUTBUF_GTS_TRI_CTL,
      O => TENSDIGIT(1)
    );
  userapp_inst_foo_bar0_digitrom_romdata_8_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TENSDIGIT_1_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => TENSDIGIT_1_OFF_ASYNC_FF_GSR_OR,
      O => TENSDIGIT_C(1)
    );
  TENSDIGIT_1_OFF_RSTOR : X_BUF
    port map (
      I => TENSDIGIT_1_SRMUXNOT,
      O => TENSDIGIT_1_OFF_RST
    );
  TENSDIGIT_1_OFF_ASYNC_FF_GSR_OR_87 : X_OR2
    port map (
      I0 => TENSDIGIT_1_OFF_RST,
      I1 => GSR,
      O => TENSDIGIT_1_OFF_ASYNC_FF_GSR_OR
    );
  TENSDIGIT_2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TENSDIGIT_2_SRMUXNOT
    );
  TENSDIGIT_2_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9),
      O => TENSDIGIT_2_OD
    );
  TENSDIGIT_2_OUTMUX_88 : X_BUF
    port map (
      I => TENSDIGIT_C(2),
      O => TENSDIGIT_2_OUTMUX
    );
  TENSDIGIT_obuf_2_Q : X_BUF
    port map (
      I => TENSDIGIT_2_OUTMUX,
      O => TENSDIGIT_2_OUTBUF_GTS_TRI
    );
  TENSDIGIT_2_OUTBUF_GTS_TRI_89 : X_TRI
    port map (
      I => TENSDIGIT_2_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_TENSDIGIT_2_OUTBUF_GTS_TRI_CTL,
      O => TENSDIGIT(2)
    );
  userapp_inst_foo_bar0_digitrom_romdata_9_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TENSDIGIT_2_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => TENSDIGIT_2_OFF_ASYNC_FF_GSR_OR,
      O => TENSDIGIT_C(2)
    );
  TENSDIGIT_2_OFF_RSTOR : X_BUF
    port map (
      I => TENSDIGIT_2_SRMUXNOT,
      O => TENSDIGIT_2_OFF_RST
    );
  TENSDIGIT_2_OFF_ASYNC_FF_GSR_OR_90 : X_OR2
    port map (
      I0 => TENSDIGIT_2_OFF_RST,
      I1 => GSR,
      O => TENSDIGIT_2_OFF_ASYNC_FF_GSR_OR
    );
  TENSDIGIT_3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TENSDIGIT_3_SRMUXNOT
    );
  TENSDIGIT_3_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10),
      O => TENSDIGIT_3_OD
    );
  TENSDIGIT_3_OUTMUX_91 : X_BUF
    port map (
      I => TENSDIGIT_C(3),
      O => TENSDIGIT_3_OUTMUX
    );
  TENSDIGIT_obuf_3_Q : X_BUF
    port map (
      I => TENSDIGIT_3_OUTMUX,
      O => TENSDIGIT_3_OUTBUF_GTS_TRI
    );
  TENSDIGIT_3_OUTBUF_GTS_TRI_92 : X_TRI
    port map (
      I => TENSDIGIT_3_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_TENSDIGIT_3_OUTBUF_GTS_TRI_CTL,
      O => TENSDIGIT(3)
    );
  userapp_inst_foo_bar0_digitrom_romdata_10_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TENSDIGIT_3_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => TENSDIGIT_3_OFF_ASYNC_FF_GSR_OR,
      O => TENSDIGIT_C(3)
    );
  TENSDIGIT_3_OFF_RSTOR : X_BUF
    port map (
      I => TENSDIGIT_3_SRMUXNOT,
      O => TENSDIGIT_3_OFF_RST
    );
  TENSDIGIT_3_OFF_ASYNC_FF_GSR_OR_93 : X_OR2
    port map (
      I0 => TENSDIGIT_3_OFF_RST,
      I1 => GSR,
      O => TENSDIGIT_3_OFF_ASYNC_FF_GSR_OR
    );
  TENSDIGIT_4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TENSDIGIT_4_SRMUXNOT
    );
  TENSDIGIT_4_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11),
      O => TENSDIGIT_4_OD
    );
  TENSDIGIT_4_OUTMUX_94 : X_BUF
    port map (
      I => TENSDIGIT_C(4),
      O => TENSDIGIT_4_OUTMUX
    );
  TENSDIGIT_obuf_4_Q : X_BUF
    port map (
      I => TENSDIGIT_4_OUTMUX,
      O => TENSDIGIT_4_OUTBUF_GTS_TRI
    );
  TENSDIGIT_4_OUTBUF_GTS_TRI_95 : X_TRI
    port map (
      I => TENSDIGIT_4_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_TENSDIGIT_4_OUTBUF_GTS_TRI_CTL,
      O => TENSDIGIT(4)
    );
  userapp_inst_foo_bar0_digitrom_romdata_11_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TENSDIGIT_4_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => TENSDIGIT_4_OFF_ASYNC_FF_GSR_OR,
      O => TENSDIGIT_C(4)
    );
  TENSDIGIT_4_OFF_RSTOR : X_BUF
    port map (
      I => TENSDIGIT_4_SRMUXNOT,
      O => TENSDIGIT_4_OFF_RST
    );
  TENSDIGIT_4_OFF_ASYNC_FF_GSR_OR_96 : X_OR2
    port map (
      I0 => TENSDIGIT_4_OFF_RST,
      I1 => GSR,
      O => TENSDIGIT_4_OFF_ASYNC_FF_GSR_OR
    );
  TENSDIGIT_5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TENSDIGIT_5_SRMUXNOT
    );
  TENSDIGIT_5_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12),
      O => TENSDIGIT_5_OD
    );
  TENSDIGIT_5_OUTMUX_97 : X_BUF
    port map (
      I => TENSDIGIT_C(5),
      O => TENSDIGIT_5_OUTMUX
    );
  TENSDIGIT_obuf_5_Q : X_BUF
    port map (
      I => TENSDIGIT_5_OUTMUX,
      O => TENSDIGIT_5_OUTBUF_GTS_TRI
    );
  TENSDIGIT_5_OUTBUF_GTS_TRI_98 : X_TRI
    port map (
      I => TENSDIGIT_5_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_TENSDIGIT_5_OUTBUF_GTS_TRI_CTL,
      O => TENSDIGIT(5)
    );
  userapp_inst_foo_bar0_digitrom_romdata_12_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TENSDIGIT_5_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => TENSDIGIT_5_OFF_ASYNC_FF_GSR_OR,
      O => TENSDIGIT_C(5)
    );
  TENSDIGIT_5_OFF_RSTOR : X_BUF
    port map (
      I => TENSDIGIT_5_SRMUXNOT,
      O => TENSDIGIT_5_OFF_RST
    );
  TENSDIGIT_5_OFF_ASYNC_FF_GSR_OR_99 : X_OR2
    port map (
      I0 => TENSDIGIT_5_OFF_RST,
      I1 => GSR,
      O => TENSDIGIT_5_OFF_ASYNC_FF_GSR_OR
    );
  TENSDIGIT_6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => TENSDIGIT_6_SRMUXNOT
    );
  TENSDIGIT_6_OMUX : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13),
      O => TENSDIGIT_6_OD
    );
  TENSDIGIT_6_OUTMUX_100 : X_BUF
    port map (
      I => TENSDIGIT_C(6),
      O => TENSDIGIT_6_OUTMUX
    );
  TENSDIGIT_obuf_6_Q : X_BUF
    port map (
      I => TENSDIGIT_6_OUTMUX,
      O => TENSDIGIT_6_OUTBUF_GTS_TRI
    );
  TENSDIGIT_6_OUTBUF_GTS_TRI_101 : X_TRI
    port map (
      I => TENSDIGIT_6_OUTBUF_GTS_TRI,
      CTL => NlwInverterSignal_TENSDIGIT_6_OUTBUF_GTS_TRI_CTL,
      O => TENSDIGIT(6)
    );
  userapp_inst_foo_bar0_digitrom_romdata_13_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => TENSDIGIT_6_OD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => TENSDIGIT_6_OFF_ASYNC_FF_GSR_OR,
      O => TENSDIGIT_C(6)
    );
  TENSDIGIT_6_OFF_RSTOR : X_BUF
    port map (
      I => TENSDIGIT_6_SRMUXNOT,
      O => TENSDIGIT_6_OFF_RST
    );
  TENSDIGIT_6_OFF_ASYNC_FF_GSR_OR_102 : X_OR2
    port map (
      I0 => TENSDIGIT_6_OFF_RST,
      I1 => GSR,
      O => TENSDIGIT_6_OFF_ASYNC_FF_GSR_OR
    );
  AD_0_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I0,
      O => AD_0_IDELAY
    );
  PCI_CORE_XPCI_ADB0_IBUF : X_BUF
    port map (
      I => AD(0),
      O => PCI_CORE_AD_I0
    );
  AD_0_ENABLEINV : X_INV
    port map (
      I => AD_0_TORGTS,
      O => AD_0_ENABLE
    );
  PCI_CORE_XPCI_ADB0_OBUFT : X_TRI
    port map (
      I => AD_0_OUTMUX,
      CTL => AD_0_OUTBUF_GTS_AND,
      O => AD(0)
    );
  AD_0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_0_SRMUXNOT
    );
  AD_0_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT0,
      O => AD_0_OD
    );
  AD_0_OUTMUX_103 : X_BUF
    port map (
      I => PCI_CORE_AD_O0,
      O => AD_0_OUTMUX
    );
  AD_0_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_0_TORGTS
    );
  AD_0_OUTBUF_GTS_AND_104 : X_AND2
    port map (
      I0 => AD_0_ENABLE,
      I1 => NlwInverterSignal_AD_0_OUTBUF_GTS_AND_IN1,
      O => AD_0_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_0_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_0_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD0
    );
  AD_0_IFF_SETOR : X_BUF
    port map (
      I => AD_0_SRMUXNOT,
      O => AD_0_IFF_SET
    );
  AD_0_IFF_ASYNC_FF_GSR_OR_105 : X_OR2
    port map (
      I0 => AD_0_IFF_SET,
      I1 => GSR,
      O => AD_0_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO0_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_0_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_0_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O0
    );
  AD_0_OFF_SETOR : X_BUF
    port map (
      I => AD_0_SRMUXNOT,
      O => AD_0_OFF_SET
    );
  AD_0_OFF_ASYNC_FF_GSR_OR_106 : X_OR2
    port map (
      I0 => AD_0_OFF_SET,
      I1 => GSR,
      O => AD_0_OFF_ASYNC_FF_GSR_OR
    );
  AD_1_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I1,
      O => AD_1_IDELAY
    );
  PCI_CORE_XPCI_ADB1_IBUF : X_BUF
    port map (
      I => AD(1),
      O => PCI_CORE_AD_I1
    );
  AD_1_ENABLEINV : X_INV
    port map (
      I => AD_1_TORGTS,
      O => AD_1_ENABLE
    );
  PCI_CORE_XPCI_ADB1_OBUFT : X_TRI
    port map (
      I => AD_1_OUTMUX,
      CTL => AD_1_OUTBUF_GTS_AND,
      O => AD(1)
    );
  AD_1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_1_SRMUXNOT
    );
  AD_1_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT1,
      O => AD_1_OD
    );
  AD_1_OUTMUX_107 : X_BUF
    port map (
      I => PCI_CORE_AD_O1,
      O => AD_1_OUTMUX
    );
  AD_1_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_1_TORGTS
    );
  AD_1_OUTBUF_GTS_AND_108 : X_AND2
    port map (
      I0 => AD_1_ENABLE,
      I1 => NlwInverterSignal_AD_1_OUTBUF_GTS_AND_IN1,
      O => AD_1_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_1_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_1_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD1
    );
  AD_1_IFF_SETOR : X_BUF
    port map (
      I => AD_1_SRMUXNOT,
      O => AD_1_IFF_SET
    );
  AD_1_IFF_ASYNC_FF_GSR_OR_109 : X_OR2
    port map (
      I0 => AD_1_IFF_SET,
      I1 => GSR,
      O => AD_1_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO1_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_1_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_1_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O1
    );
  AD_1_OFF_SETOR : X_BUF
    port map (
      I => AD_1_SRMUXNOT,
      O => AD_1_OFF_SET
    );
  AD_1_OFF_ASYNC_FF_GSR_OR_110 : X_OR2
    port map (
      I0 => AD_1_OFF_SET,
      I1 => GSR,
      O => AD_1_OFF_ASYNC_FF_GSR_OR
    );
  AD_10_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I10,
      O => AD_10_IDELAY
    );
  PCI_CORE_XPCI_ADB10_IBUF : X_BUF
    port map (
      I => AD(10),
      O => PCI_CORE_AD_I10
    );
  AD_10_ENABLEINV : X_INV
    port map (
      I => AD_10_TORGTS,
      O => AD_10_ENABLE
    );
  PCI_CORE_XPCI_ADB10_OBUFT : X_TRI
    port map (
      I => AD_10_OUTMUX,
      CTL => AD_10_OUTBUF_GTS_AND,
      O => AD(10)
    );
  AD_10_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_10_SRMUXNOT
    );
  AD_10_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT10,
      O => AD_10_OD
    );
  AD_10_OUTMUX_111 : X_BUF
    port map (
      I => PCI_CORE_AD_O10,
      O => AD_10_OUTMUX
    );
  AD_10_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_10_TORGTS
    );
  AD_10_OUTBUF_GTS_AND_112 : X_AND2
    port map (
      I0 => AD_10_ENABLE,
      I1 => NlwInverterSignal_AD_10_OUTBUF_GTS_AND_IN1,
      O => AD_10_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ10 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_10_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_10_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD10
    );
  AD_10_IFF_SETOR : X_BUF
    port map (
      I => AD_10_SRMUXNOT,
      O => AD_10_IFF_SET
    );
  AD_10_IFF_ASYNC_FF_GSR_OR_113 : X_OR2
    port map (
      I0 => AD_10_IFF_SET,
      I1 => GSR,
      O => AD_10_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO10_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_10_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_10_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O10
    );
  AD_10_OFF_SETOR : X_BUF
    port map (
      I => AD_10_SRMUXNOT,
      O => AD_10_OFF_SET
    );
  AD_10_OFF_ASYNC_FF_GSR_OR_114 : X_OR2
    port map (
      I0 => AD_10_OFF_SET,
      I1 => GSR,
      O => AD_10_OFF_ASYNC_FF_GSR_OR
    );
  SERR_N_DELAY : X_BUF
    port map (
      I => PCI_CORE_SERR_I,
      O => SERR_N_IDELAY
    );
  PCI_CORE_XPCI_SERR_IBUF : X_BUF
    port map (
      I => SERR_N,
      O => PCI_CORE_SERR_I
    );
  SERR_N_ENABLEINV : X_INV
    port map (
      I => SERR_N_TORGTS,
      O => SERR_N_ENABLE
    );
  PCI_CORE_XPCI_SERR_OBUFT : X_TRI
    port map (
      I => SERR_N_OUTMUX,
      CTL => SERR_N_OUTBUF_GTS_AND,
      O => SERR_N
    );
  SERR_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => SERR_N_SRMUXNOT
    );
  SERR_N_LOGIC_ZERO_115 : X_ZERO
    port map (
      O => SERR_N_LOGIC_ZERO
    );
  SERR_N_OUTMUX_116 : X_BUF
    port map (
      I => SERR_N_LOGIC_ZERO,
      O => SERR_N_OUTMUX
    );
  SERR_N_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_SERR,
      O => SERR_N_TORGTS
    );
  SERR_N_OUTBUF_GTS_AND_117 : X_AND2
    port map (
      I0 => SERR_N_ENABLE,
      I1 => NlwInverterSignal_SERR_N_OUTBUF_GTS_AND_IN1,
      O => SERR_N_OUTBUF_GTS_AND
    );
  PCI_CORE_PCI_LC_SERR_IFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => SERR_N_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => SERR_N_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_SERR_Q
    );
  SERR_N_IFF_SETOR : X_BUF
    port map (
      I => SERR_N_SRMUXNOT,
      O => SERR_N_IFF_SET
    );
  SERR_N_IFF_ASYNC_FF_GSR_OR_118 : X_OR2
    port map (
      I0 => SERR_N_IFF_SET,
      I1 => GSR,
      O => SERR_N_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_OE_SERR_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_NS_OE_SERR,
      CE => VCC,
      CLK => CLK,
      SET => SERR_N_TFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_OE_SERR
    );
  SERR_N_TFF_SETOR : X_BUF
    port map (
      I => SERR_N_SRMUXNOT,
      O => SERR_N_TFF_SET
    );
  SERR_N_TFF_ASYNC_FF_GSR_OR_119 : X_OR2
    port map (
      I0 => SERR_N_TFF_SET,
      I1 => GSR,
      O => SERR_N_TFF_ASYNC_FF_GSR_OR
    );
  AD_2_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I2,
      O => AD_2_IDELAY
    );
  PCI_CORE_XPCI_ADB2_IBUF : X_BUF
    port map (
      I => AD(2),
      O => PCI_CORE_AD_I2
    );
  AD_2_ENABLEINV : X_INV
    port map (
      I => AD_2_TORGTS,
      O => AD_2_ENABLE
    );
  PCI_CORE_XPCI_ADB2_OBUFT : X_TRI
    port map (
      I => AD_2_OUTMUX,
      CTL => AD_2_OUTBUF_GTS_AND,
      O => AD(2)
    );
  AD_2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_2_SRMUXNOT
    );
  AD_2_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT2,
      O => AD_2_OD
    );
  AD_2_OUTMUX_120 : X_BUF
    port map (
      I => PCI_CORE_AD_O2,
      O => AD_2_OUTMUX
    );
  AD_2_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_2_TORGTS
    );
  AD_2_OUTBUF_GTS_AND_121 : X_AND2
    port map (
      I0 => AD_2_ENABLE,
      I1 => NlwInverterSignal_AD_2_OUTBUF_GTS_AND_IN1,
      O => AD_2_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_2_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_2_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD2
    );
  AD_2_IFF_SETOR : X_BUF
    port map (
      I => AD_2_SRMUXNOT,
      O => AD_2_IFF_SET
    );
  AD_2_IFF_ASYNC_FF_GSR_OR_122 : X_OR2
    port map (
      I0 => AD_2_IFF_SET,
      I1 => GSR,
      O => AD_2_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO2_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_2_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_2_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O2
    );
  AD_2_OFF_SETOR : X_BUF
    port map (
      I => AD_2_SRMUXNOT,
      O => AD_2_OFF_SET
    );
  AD_2_OFF_ASYNC_FF_GSR_OR_123 : X_OR2
    port map (
      I0 => AD_2_OFF_SET,
      I1 => GSR,
      O => AD_2_OFF_ASYNC_FF_GSR_OR
    );
  AD_11_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I11,
      O => AD_11_IDELAY
    );
  PCI_CORE_XPCI_ADB11_IBUF : X_BUF
    port map (
      I => AD(11),
      O => PCI_CORE_AD_I11
    );
  AD_11_ENABLEINV : X_INV
    port map (
      I => AD_11_TORGTS,
      O => AD_11_ENABLE
    );
  PCI_CORE_XPCI_ADB11_OBUFT : X_TRI
    port map (
      I => AD_11_OUTMUX,
      CTL => AD_11_OUTBUF_GTS_AND,
      O => AD(11)
    );
  AD_11_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_11_SRMUXNOT
    );
  AD_11_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT11,
      O => AD_11_OD
    );
  AD_11_OUTMUX_124 : X_BUF
    port map (
      I => PCI_CORE_AD_O11,
      O => AD_11_OUTMUX
    );
  AD_11_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_11_TORGTS
    );
  AD_11_OUTBUF_GTS_AND_125 : X_AND2
    port map (
      I0 => AD_11_ENABLE,
      I1 => NlwInverterSignal_AD_11_OUTBUF_GTS_AND_IN1,
      O => AD_11_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ11 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_11_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_11_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD11
    );
  AD_11_IFF_SETOR : X_BUF
    port map (
      I => AD_11_SRMUXNOT,
      O => AD_11_IFF_SET
    );
  AD_11_IFF_ASYNC_FF_GSR_OR_126 : X_OR2
    port map (
      I0 => AD_11_IFF_SET,
      I1 => GSR,
      O => AD_11_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO11_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_11_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_11_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O11
    );
  AD_11_OFF_SETOR : X_BUF
    port map (
      I => AD_11_SRMUXNOT,
      O => AD_11_OFF_SET
    );
  AD_11_OFF_ASYNC_FF_GSR_OR_127 : X_OR2
    port map (
      I0 => AD_11_OFF_SET,
      I1 => GSR,
      O => AD_11_OFF_ASYNC_FF_GSR_OR
    );
  AD_3_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I3,
      O => AD_3_IDELAY
    );
  PCI_CORE_XPCI_ADB3_IBUF : X_BUF
    port map (
      I => AD(3),
      O => PCI_CORE_AD_I3
    );
  AD_3_ENABLEINV : X_INV
    port map (
      I => AD_3_TORGTS,
      O => AD_3_ENABLE
    );
  PCI_CORE_XPCI_ADB3_OBUFT : X_TRI
    port map (
      I => AD_3_OUTMUX,
      CTL => AD_3_OUTBUF_GTS_AND,
      O => AD(3)
    );
  AD_3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_3_SRMUXNOT
    );
  AD_3_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT3,
      O => AD_3_OD
    );
  AD_3_OUTMUX_128 : X_BUF
    port map (
      I => PCI_CORE_AD_O3,
      O => AD_3_OUTMUX
    );
  AD_3_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_3_TORGTS
    );
  AD_3_OUTBUF_GTS_AND_129 : X_AND2
    port map (
      I0 => AD_3_ENABLE,
      I1 => NlwInverterSignal_AD_3_OUTBUF_GTS_AND_IN1,
      O => AD_3_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_3_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_3_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD3
    );
  AD_3_IFF_SETOR : X_BUF
    port map (
      I => AD_3_SRMUXNOT,
      O => AD_3_IFF_SET
    );
  AD_3_IFF_ASYNC_FF_GSR_OR_130 : X_OR2
    port map (
      I0 => AD_3_IFF_SET,
      I1 => GSR,
      O => AD_3_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO3_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_3_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_3_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O3
    );
  AD_3_OFF_SETOR : X_BUF
    port map (
      I => AD_3_SRMUXNOT,
      O => AD_3_OFF_SET
    );
  AD_3_OFF_ASYNC_FF_GSR_OR_131 : X_OR2
    port map (
      I0 => AD_3_OFF_SET,
      I1 => GSR,
      O => AD_3_OFF_ASYNC_FF_GSR_OR
    );
  AD_12_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I12,
      O => AD_12_IDELAY
    );
  PCI_CORE_XPCI_ADB12_IBUF : X_BUF
    port map (
      I => AD(12),
      O => PCI_CORE_AD_I12
    );
  AD_12_ENABLEINV : X_INV
    port map (
      I => AD_12_TORGTS,
      O => AD_12_ENABLE
    );
  PCI_CORE_XPCI_ADB12_OBUFT : X_TRI
    port map (
      I => AD_12_OUTMUX,
      CTL => AD_12_OUTBUF_GTS_AND,
      O => AD(12)
    );
  AD_12_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_12_SRMUXNOT
    );
  AD_12_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT12,
      O => AD_12_OD
    );
  AD_12_OUTMUX_132 : X_BUF
    port map (
      I => PCI_CORE_AD_O12,
      O => AD_12_OUTMUX
    );
  AD_12_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_12_TORGTS
    );
  AD_12_OUTBUF_GTS_AND_133 : X_AND2
    port map (
      I0 => AD_12_ENABLE,
      I1 => NlwInverterSignal_AD_12_OUTBUF_GTS_AND_IN1,
      O => AD_12_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ12 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_12_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_12_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD12
    );
  AD_12_IFF_SETOR : X_BUF
    port map (
      I => AD_12_SRMUXNOT,
      O => AD_12_IFF_SET
    );
  AD_12_IFF_ASYNC_FF_GSR_OR_134 : X_OR2
    port map (
      I0 => AD_12_IFF_SET,
      I1 => GSR,
      O => AD_12_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO12_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_12_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_12_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O12
    );
  AD_12_OFF_SETOR : X_BUF
    port map (
      I => AD_12_SRMUXNOT,
      O => AD_12_OFF_SET
    );
  AD_12_OFF_ASYNC_FF_GSR_OR_135 : X_OR2
    port map (
      I0 => AD_12_OFF_SET,
      I1 => GSR,
      O => AD_12_OFF_ASYNC_FF_GSR_OR
    );
  AD_20_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I20,
      O => AD_20_IDELAY
    );
  PCI_CORE_XPCI_ADB20_IBUF : X_BUF
    port map (
      I => AD(20),
      O => PCI_CORE_AD_I20
    );
  AD_20_ENABLEINV : X_INV
    port map (
      I => AD_20_TORGTS,
      O => AD_20_ENABLE
    );
  PCI_CORE_XPCI_ADB20_OBUFT : X_TRI
    port map (
      I => AD_20_OUTMUX,
      CTL => AD_20_OUTBUF_GTS_AND,
      O => AD(20)
    );
  AD_20_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_20_SRMUXNOT
    );
  AD_20_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT20,
      O => AD_20_OD
    );
  AD_20_OUTMUX_136 : X_BUF
    port map (
      I => PCI_CORE_AD_O20,
      O => AD_20_OUTMUX
    );
  AD_20_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_20_TORGTS
    );
  AD_20_OUTBUF_GTS_AND_137 : X_AND2
    port map (
      I0 => AD_20_ENABLE,
      I1 => NlwInverterSignal_AD_20_OUTBUF_GTS_AND_IN1,
      O => AD_20_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ20 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_20_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_20_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD20
    );
  AD_20_IFF_SETOR : X_BUF
    port map (
      I => AD_20_SRMUXNOT,
      O => AD_20_IFF_SET
    );
  AD_20_IFF_ASYNC_FF_GSR_OR_138 : X_OR2
    port map (
      I0 => AD_20_IFF_SET,
      I1 => GSR,
      O => AD_20_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO20_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_20_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_20_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O20
    );
  AD_20_OFF_SETOR : X_BUF
    port map (
      I => AD_20_SRMUXNOT,
      O => AD_20_OFF_SET
    );
  AD_20_OFF_ASYNC_FF_GSR_OR_139 : X_OR2
    port map (
      I0 => AD_20_OFF_SET,
      I1 => GSR,
      O => AD_20_OFF_ASYNC_FF_GSR_OR
    );
  AD_4_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I4,
      O => AD_4_IDELAY
    );
  PCI_CORE_XPCI_ADB4_IBUF : X_BUF
    port map (
      I => AD(4),
      O => PCI_CORE_AD_I4
    );
  AD_4_ENABLEINV : X_INV
    port map (
      I => AD_4_TORGTS,
      O => AD_4_ENABLE
    );
  PCI_CORE_XPCI_ADB4_OBUFT : X_TRI
    port map (
      I => AD_4_OUTMUX,
      CTL => AD_4_OUTBUF_GTS_AND,
      O => AD(4)
    );
  AD_4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_4_SRMUXNOT
    );
  AD_4_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT4,
      O => AD_4_OD
    );
  AD_4_OUTMUX_140 : X_BUF
    port map (
      I => PCI_CORE_AD_O4,
      O => AD_4_OUTMUX
    );
  AD_4_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_4_TORGTS
    );
  AD_4_OUTBUF_GTS_AND_141 : X_AND2
    port map (
      I0 => AD_4_ENABLE,
      I1 => NlwInverterSignal_AD_4_OUTBUF_GTS_AND_IN1,
      O => AD_4_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_4_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_4_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD4
    );
  AD_4_IFF_SETOR : X_BUF
    port map (
      I => AD_4_SRMUXNOT,
      O => AD_4_IFF_SET
    );
  AD_4_IFF_ASYNC_FF_GSR_OR_142 : X_OR2
    port map (
      I0 => AD_4_IFF_SET,
      I1 => GSR,
      O => AD_4_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO4_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_4_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_4_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O4
    );
  AD_4_OFF_SETOR : X_BUF
    port map (
      I => AD_4_SRMUXNOT,
      O => AD_4_OFF_SET
    );
  AD_4_OFF_ASYNC_FF_GSR_OR_143 : X_OR2
    port map (
      I0 => AD_4_OFF_SET,
      I1 => GSR,
      O => AD_4_OFF_ASYNC_FF_GSR_OR
    );
  AD_13_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I13,
      O => AD_13_IDELAY
    );
  PCI_CORE_XPCI_ADB13_IBUF : X_BUF
    port map (
      I => AD(13),
      O => PCI_CORE_AD_I13
    );
  AD_13_ENABLEINV : X_INV
    port map (
      I => AD_13_TORGTS,
      O => AD_13_ENABLE
    );
  PCI_CORE_XPCI_ADB13_OBUFT : X_TRI
    port map (
      I => AD_13_OUTMUX,
      CTL => AD_13_OUTBUF_GTS_AND,
      O => AD(13)
    );
  AD_13_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_13_SRMUXNOT
    );
  AD_13_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT13,
      O => AD_13_OD
    );
  AD_13_OUTMUX_144 : X_BUF
    port map (
      I => PCI_CORE_AD_O13,
      O => AD_13_OUTMUX
    );
  AD_13_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_13_TORGTS
    );
  AD_13_OUTBUF_GTS_AND_145 : X_AND2
    port map (
      I0 => AD_13_ENABLE,
      I1 => NlwInverterSignal_AD_13_OUTBUF_GTS_AND_IN1,
      O => AD_13_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ13 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_13_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_13_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD13
    );
  AD_13_IFF_SETOR : X_BUF
    port map (
      I => AD_13_SRMUXNOT,
      O => AD_13_IFF_SET
    );
  AD_13_IFF_ASYNC_FF_GSR_OR_146 : X_OR2
    port map (
      I0 => AD_13_IFF_SET,
      I1 => GSR,
      O => AD_13_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO13_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_13_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_13_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O13
    );
  AD_13_OFF_SETOR : X_BUF
    port map (
      I => AD_13_SRMUXNOT,
      O => AD_13_OFF_SET
    );
  AD_13_OFF_ASYNC_FF_GSR_OR_147 : X_OR2
    port map (
      I0 => AD_13_OFF_SET,
      I1 => GSR,
      O => AD_13_OFF_ASYNC_FF_GSR_OR
    );
  AD_21_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I21,
      O => AD_21_IDELAY
    );
  PCI_CORE_XPCI_ADB21_IBUF : X_BUF
    port map (
      I => AD(21),
      O => PCI_CORE_AD_I21
    );
  AD_21_ENABLEINV : X_INV
    port map (
      I => AD_21_TORGTS,
      O => AD_21_ENABLE
    );
  PCI_CORE_XPCI_ADB21_OBUFT : X_TRI
    port map (
      I => AD_21_OUTMUX,
      CTL => AD_21_OUTBUF_GTS_AND,
      O => AD(21)
    );
  AD_21_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_21_SRMUXNOT
    );
  AD_21_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT21,
      O => AD_21_OD
    );
  AD_21_OUTMUX_148 : X_BUF
    port map (
      I => PCI_CORE_AD_O21,
      O => AD_21_OUTMUX
    );
  AD_21_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_21_TORGTS
    );
  AD_21_OUTBUF_GTS_AND_149 : X_AND2
    port map (
      I0 => AD_21_ENABLE,
      I1 => NlwInverterSignal_AD_21_OUTBUF_GTS_AND_IN1,
      O => AD_21_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ21 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_21_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_21_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD21
    );
  AD_21_IFF_SETOR : X_BUF
    port map (
      I => AD_21_SRMUXNOT,
      O => AD_21_IFF_SET
    );
  AD_21_IFF_ASYNC_FF_GSR_OR_150 : X_OR2
    port map (
      I0 => AD_21_IFF_SET,
      I1 => GSR,
      O => AD_21_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO21_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_21_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_21_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O21
    );
  AD_21_OFF_SETOR : X_BUF
    port map (
      I => AD_21_SRMUXNOT,
      O => AD_21_OFF_SET
    );
  AD_21_OFF_ASYNC_FF_GSR_OR_151 : X_OR2
    port map (
      I0 => AD_21_OFF_SET,
      I1 => GSR,
      O => AD_21_OFF_ASYNC_FF_GSR_OR
    );
  AD_5_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I5,
      O => AD_5_IDELAY
    );
  PCI_CORE_XPCI_ADB5_IBUF : X_BUF
    port map (
      I => AD(5),
      O => PCI_CORE_AD_I5
    );
  AD_5_ENABLEINV : X_INV
    port map (
      I => AD_5_TORGTS,
      O => AD_5_ENABLE
    );
  PCI_CORE_XPCI_ADB5_OBUFT : X_TRI
    port map (
      I => AD_5_OUTMUX,
      CTL => AD_5_OUTBUF_GTS_AND,
      O => AD(5)
    );
  AD_5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_5_SRMUXNOT
    );
  AD_5_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT5,
      O => AD_5_OD
    );
  AD_5_OUTMUX_152 : X_BUF
    port map (
      I => PCI_CORE_AD_O5,
      O => AD_5_OUTMUX
    );
  AD_5_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_5_TORGTS
    );
  AD_5_OUTBUF_GTS_AND_153 : X_AND2
    port map (
      I0 => AD_5_ENABLE,
      I1 => NlwInverterSignal_AD_5_OUTBUF_GTS_AND_IN1,
      O => AD_5_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_5_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_5_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD5
    );
  AD_5_IFF_SETOR : X_BUF
    port map (
      I => AD_5_SRMUXNOT,
      O => AD_5_IFF_SET
    );
  AD_5_IFF_ASYNC_FF_GSR_OR_154 : X_OR2
    port map (
      I0 => AD_5_IFF_SET,
      I1 => GSR,
      O => AD_5_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO5_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_5_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_5_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O5
    );
  AD_5_OFF_SETOR : X_BUF
    port map (
      I => AD_5_SRMUXNOT,
      O => AD_5_OFF_SET
    );
  AD_5_OFF_ASYNC_FF_GSR_OR_155 : X_OR2
    port map (
      I0 => AD_5_OFF_SET,
      I1 => GSR,
      O => AD_5_OFF_ASYNC_FF_GSR_OR
    );
  AD_14_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I14,
      O => AD_14_IDELAY
    );
  PCI_CORE_XPCI_ADB14_IBUF : X_BUF
    port map (
      I => AD(14),
      O => PCI_CORE_AD_I14
    );
  AD_14_ENABLEINV : X_INV
    port map (
      I => AD_14_TORGTS,
      O => AD_14_ENABLE
    );
  PCI_CORE_XPCI_ADB14_OBUFT : X_TRI
    port map (
      I => AD_14_OUTMUX,
      CTL => AD_14_OUTBUF_GTS_AND,
      O => AD(14)
    );
  AD_14_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_14_SRMUXNOT
    );
  AD_14_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT14,
      O => AD_14_OD
    );
  AD_14_OUTMUX_156 : X_BUF
    port map (
      I => PCI_CORE_AD_O14,
      O => AD_14_OUTMUX
    );
  AD_14_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_14_TORGTS
    );
  AD_14_OUTBUF_GTS_AND_157 : X_AND2
    port map (
      I0 => AD_14_ENABLE,
      I1 => NlwInverterSignal_AD_14_OUTBUF_GTS_AND_IN1,
      O => AD_14_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ14 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_14_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_14_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD14
    );
  AD_14_IFF_SETOR : X_BUF
    port map (
      I => AD_14_SRMUXNOT,
      O => AD_14_IFF_SET
    );
  AD_14_IFF_ASYNC_FF_GSR_OR_158 : X_OR2
    port map (
      I0 => AD_14_IFF_SET,
      I1 => GSR,
      O => AD_14_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO14_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_14_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_14_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O14
    );
  AD_14_OFF_SETOR : X_BUF
    port map (
      I => AD_14_SRMUXNOT,
      O => AD_14_OFF_SET
    );
  AD_14_OFF_ASYNC_FF_GSR_OR_159 : X_OR2
    port map (
      I0 => AD_14_OFF_SET,
      I1 => GSR,
      O => AD_14_OFF_ASYNC_FF_GSR_OR
    );
  AD_22_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I22,
      O => AD_22_IDELAY
    );
  PCI_CORE_XPCI_ADB22_IBUF : X_BUF
    port map (
      I => AD(22),
      O => PCI_CORE_AD_I22
    );
  AD_22_ENABLEINV : X_INV
    port map (
      I => AD_22_TORGTS,
      O => AD_22_ENABLE
    );
  PCI_CORE_XPCI_ADB22_OBUFT : X_TRI
    port map (
      I => AD_22_OUTMUX,
      CTL => AD_22_OUTBUF_GTS_AND,
      O => AD(22)
    );
  AD_22_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_22_SRMUXNOT
    );
  AD_22_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT22,
      O => AD_22_OD
    );
  AD_22_OUTMUX_160 : X_BUF
    port map (
      I => PCI_CORE_AD_O22,
      O => AD_22_OUTMUX
    );
  AD_22_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_22_TORGTS
    );
  AD_22_OUTBUF_GTS_AND_161 : X_AND2
    port map (
      I0 => AD_22_ENABLE,
      I1 => NlwInverterSignal_AD_22_OUTBUF_GTS_AND_IN1,
      O => AD_22_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ22 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_22_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_22_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD22
    );
  AD_22_IFF_SETOR : X_BUF
    port map (
      I => AD_22_SRMUXNOT,
      O => AD_22_IFF_SET
    );
  AD_22_IFF_ASYNC_FF_GSR_OR_162 : X_OR2
    port map (
      I0 => AD_22_IFF_SET,
      I1 => GSR,
      O => AD_22_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO22_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_22_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_22_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O22
    );
  AD_22_OFF_SETOR : X_BUF
    port map (
      I => AD_22_SRMUXNOT,
      O => AD_22_OFF_SET
    );
  AD_22_OFF_ASYNC_FF_GSR_OR_163 : X_OR2
    port map (
      I0 => AD_22_OFF_SET,
      I1 => GSR,
      O => AD_22_OFF_ASYNC_FF_GSR_OR
    );
  AD_30_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I30,
      O => AD_30_IDELAY
    );
  PCI_CORE_XPCI_ADB30_IBUF : X_BUF
    port map (
      I => AD(30),
      O => PCI_CORE_AD_I30
    );
  AD_30_ENABLEINV : X_INV
    port map (
      I => AD_30_TORGTS,
      O => AD_30_ENABLE
    );
  PCI_CORE_XPCI_ADB30_OBUFT : X_TRI
    port map (
      I => AD_30_OUTMUX,
      CTL => AD_30_OUTBUF_GTS_AND,
      O => AD(30)
    );
  AD_30_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_30_SRMUXNOT
    );
  AD_30_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT30,
      O => AD_30_OD
    );
  AD_30_OUTMUX_164 : X_BUF
    port map (
      I => PCI_CORE_AD_O30,
      O => AD_30_OUTMUX
    );
  AD_30_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_30_TORGTS
    );
  AD_30_OUTBUF_GTS_AND_165 : X_AND2
    port map (
      I0 => AD_30_ENABLE,
      I1 => NlwInverterSignal_AD_30_OUTBUF_GTS_AND_IN1,
      O => AD_30_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ30 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_30_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_30_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD30
    );
  AD_30_IFF_SETOR : X_BUF
    port map (
      I => AD_30_SRMUXNOT,
      O => AD_30_IFF_SET
    );
  AD_30_IFF_ASYNC_FF_GSR_OR_166 : X_OR2
    port map (
      I0 => AD_30_IFF_SET,
      I1 => GSR,
      O => AD_30_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO30_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_30_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_30_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O30
    );
  AD_30_OFF_SETOR : X_BUF
    port map (
      I => AD_30_SRMUXNOT,
      O => AD_30_OFF_SET
    );
  AD_30_OFF_ASYNC_FF_GSR_OR_167 : X_OR2
    port map (
      I0 => AD_30_OFF_SET,
      I1 => GSR,
      O => AD_30_OFF_ASYNC_FF_GSR_OR
    );
  AD_6_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I6,
      O => AD_6_IDELAY
    );
  PCI_CORE_XPCI_ADB6_IBUF : X_BUF
    port map (
      I => AD(6),
      O => PCI_CORE_AD_I6
    );
  AD_6_ENABLEINV : X_INV
    port map (
      I => AD_6_TORGTS,
      O => AD_6_ENABLE
    );
  PCI_CORE_XPCI_ADB6_OBUFT : X_TRI
    port map (
      I => AD_6_OUTMUX,
      CTL => AD_6_OUTBUF_GTS_AND,
      O => AD(6)
    );
  AD_6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_6_SRMUXNOT
    );
  AD_6_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT6,
      O => AD_6_OD
    );
  AD_6_OUTMUX_168 : X_BUF
    port map (
      I => PCI_CORE_AD_O6,
      O => AD_6_OUTMUX
    );
  AD_6_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_6_TORGTS
    );
  AD_6_OUTBUF_GTS_AND_169 : X_AND2
    port map (
      I0 => AD_6_ENABLE,
      I1 => NlwInverterSignal_AD_6_OUTBUF_GTS_AND_IN1,
      O => AD_6_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_6_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_6_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD6
    );
  AD_6_IFF_SETOR : X_BUF
    port map (
      I => AD_6_SRMUXNOT,
      O => AD_6_IFF_SET
    );
  AD_6_IFF_ASYNC_FF_GSR_OR_170 : X_OR2
    port map (
      I0 => AD_6_IFF_SET,
      I1 => GSR,
      O => AD_6_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO6_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_6_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_6_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O6
    );
  AD_6_OFF_SETOR : X_BUF
    port map (
      I => AD_6_SRMUXNOT,
      O => AD_6_OFF_SET
    );
  AD_6_OFF_ASYNC_FF_GSR_OR_171 : X_OR2
    port map (
      I0 => AD_6_OFF_SET,
      I1 => GSR,
      O => AD_6_OFF_ASYNC_FF_GSR_OR
    );
  AD_15_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I15,
      O => AD_15_IDELAY
    );
  PCI_CORE_XPCI_ADB15_IBUF : X_BUF
    port map (
      I => AD(15),
      O => PCI_CORE_AD_I15
    );
  AD_15_ENABLEINV : X_INV
    port map (
      I => AD_15_TORGTS,
      O => AD_15_ENABLE
    );
  PCI_CORE_XPCI_ADB15_OBUFT : X_TRI
    port map (
      I => AD_15_OUTMUX,
      CTL => AD_15_OUTBUF_GTS_AND,
      O => AD(15)
    );
  AD_15_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_15_SRMUXNOT
    );
  AD_15_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT15,
      O => AD_15_OD
    );
  AD_15_OUTMUX_172 : X_BUF
    port map (
      I => PCI_CORE_AD_O15,
      O => AD_15_OUTMUX
    );
  AD_15_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_15_TORGTS
    );
  AD_15_OUTBUF_GTS_AND_173 : X_AND2
    port map (
      I0 => AD_15_ENABLE,
      I1 => NlwInverterSignal_AD_15_OUTBUF_GTS_AND_IN1,
      O => AD_15_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ15 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_15_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_15_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD15
    );
  AD_15_IFF_SETOR : X_BUF
    port map (
      I => AD_15_SRMUXNOT,
      O => AD_15_IFF_SET
    );
  AD_15_IFF_ASYNC_FF_GSR_OR_174 : X_OR2
    port map (
      I0 => AD_15_IFF_SET,
      I1 => GSR,
      O => AD_15_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO15_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_15_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_15_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O15
    );
  AD_15_OFF_SETOR : X_BUF
    port map (
      I => AD_15_SRMUXNOT,
      O => AD_15_OFF_SET
    );
  AD_15_OFF_ASYNC_FF_GSR_OR_175 : X_OR2
    port map (
      I0 => AD_15_OFF_SET,
      I1 => GSR,
      O => AD_15_OFF_ASYNC_FF_GSR_OR
    );
  AD_23_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I23,
      O => AD_23_IDELAY
    );
  PCI_CORE_XPCI_ADB23_IBUF : X_BUF
    port map (
      I => AD(23),
      O => PCI_CORE_AD_I23
    );
  AD_23_ENABLEINV : X_INV
    port map (
      I => AD_23_TORGTS,
      O => AD_23_ENABLE
    );
  PCI_CORE_XPCI_ADB23_OBUFT : X_TRI
    port map (
      I => AD_23_OUTMUX,
      CTL => AD_23_OUTBUF_GTS_AND,
      O => AD(23)
    );
  AD_23_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_23_SRMUXNOT
    );
  AD_23_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT23,
      O => AD_23_OD
    );
  AD_23_OUTMUX_176 : X_BUF
    port map (
      I => PCI_CORE_AD_O23,
      O => AD_23_OUTMUX
    );
  AD_23_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_23_TORGTS
    );
  AD_23_OUTBUF_GTS_AND_177 : X_AND2
    port map (
      I0 => AD_23_ENABLE,
      I1 => NlwInverterSignal_AD_23_OUTBUF_GTS_AND_IN1,
      O => AD_23_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ23 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_23_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_23_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD23
    );
  AD_23_IFF_SETOR : X_BUF
    port map (
      I => AD_23_SRMUXNOT,
      O => AD_23_IFF_SET
    );
  AD_23_IFF_ASYNC_FF_GSR_OR_178 : X_OR2
    port map (
      I0 => AD_23_IFF_SET,
      I1 => GSR,
      O => AD_23_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO23_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_23_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_23_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O23
    );
  AD_23_OFF_SETOR : X_BUF
    port map (
      I => AD_23_SRMUXNOT,
      O => AD_23_OFF_SET
    );
  AD_23_OFF_ASYNC_FF_GSR_OR_179 : X_OR2
    port map (
      I0 => AD_23_OFF_SET,
      I1 => GSR,
      O => AD_23_OFF_ASYNC_FF_GSR_OR
    );
  AD_31_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I31,
      O => AD_31_IDELAY
    );
  PCI_CORE_XPCI_ADB31_IBUF : X_BUF
    port map (
      I => AD(31),
      O => PCI_CORE_AD_I31
    );
  AD_31_ENABLEINV : X_INV
    port map (
      I => AD_31_TORGTS,
      O => AD_31_ENABLE
    );
  PCI_CORE_XPCI_ADB31_OBUFT : X_TRI
    port map (
      I => AD_31_OUTMUX,
      CTL => AD_31_OUTBUF_GTS_AND,
      O => AD(31)
    );
  AD_31_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_31_SRMUXNOT
    );
  AD_31_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT31,
      O => AD_31_OD
    );
  AD_31_OUTMUX_180 : X_BUF
    port map (
      I => PCI_CORE_AD_O31,
      O => AD_31_OUTMUX
    );
  AD_31_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_31_TORGTS
    );
  AD_31_OUTBUF_GTS_AND_181 : X_AND2
    port map (
      I0 => AD_31_ENABLE,
      I1 => NlwInverterSignal_AD_31_OUTBUF_GTS_AND_IN1,
      O => AD_31_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ31 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_31_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_31_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD31
    );
  AD_31_IFF_SETOR : X_BUF
    port map (
      I => AD_31_SRMUXNOT,
      O => AD_31_IFF_SET
    );
  AD_31_IFF_ASYNC_FF_GSR_OR_182 : X_OR2
    port map (
      I0 => AD_31_IFF_SET,
      I1 => GSR,
      O => AD_31_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO31_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_31_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_31_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O31
    );
  AD_31_OFF_SETOR : X_BUF
    port map (
      I => AD_31_SRMUXNOT,
      O => AD_31_OFF_SET
    );
  AD_31_OFF_ASYNC_FF_GSR_OR_183 : X_OR2
    port map (
      I0 => AD_31_OFF_SET,
      I1 => GSR,
      O => AD_31_OFF_ASYNC_FF_GSR_OR
    );
  AD_7_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I7,
      O => AD_7_IDELAY
    );
  PCI_CORE_XPCI_ADB7_IBUF : X_BUF
    port map (
      I => AD(7),
      O => PCI_CORE_AD_I7
    );
  AD_7_ENABLEINV : X_INV
    port map (
      I => AD_7_TORGTS,
      O => AD_7_ENABLE
    );
  PCI_CORE_XPCI_ADB7_OBUFT : X_TRI
    port map (
      I => AD_7_OUTMUX,
      CTL => AD_7_OUTBUF_GTS_AND,
      O => AD(7)
    );
  AD_7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_7_SRMUXNOT
    );
  AD_7_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT7,
      O => AD_7_OD
    );
  AD_7_OUTMUX_184 : X_BUF
    port map (
      I => PCI_CORE_AD_O7,
      O => AD_7_OUTMUX
    );
  AD_7_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B,
      O => AD_7_TORGTS
    );
  AD_7_OUTBUF_GTS_AND_185 : X_AND2
    port map (
      I0 => AD_7_ENABLE,
      I1 => NlwInverterSignal_AD_7_OUTBUF_GTS_AND_IN1,
      O => AD_7_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_7_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_7_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD7
    );
  AD_7_IFF_SETOR : X_BUF
    port map (
      I => AD_7_SRMUXNOT,
      O => AD_7_IFF_SET
    );
  AD_7_IFF_ASYNC_FF_GSR_OR_186 : X_OR2
    port map (
      I0 => AD_7_IFF_SET,
      I1 => GSR,
      O => AD_7_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO7_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_7_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_7_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O7
    );
  AD_7_OFF_SETOR : X_BUF
    port map (
      I => AD_7_SRMUXNOT,
      O => AD_7_OFF_SET
    );
  AD_7_OFF_ASYNC_FF_GSR_OR_187 : X_OR2
    port map (
      I0 => AD_7_OFF_SET,
      I1 => GSR,
      O => AD_7_OFF_ASYNC_FF_GSR_OR
    );
  AD_16_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I16,
      O => AD_16_IDELAY
    );
  PCI_CORE_XPCI_ADB16_IBUF : X_BUF
    port map (
      I => AD(16),
      O => PCI_CORE_AD_I16
    );
  AD_16_ENABLEINV : X_INV
    port map (
      I => AD_16_TORGTS,
      O => AD_16_ENABLE
    );
  PCI_CORE_XPCI_ADB16_OBUFT : X_TRI
    port map (
      I => AD_16_OUTMUX,
      CTL => AD_16_OUTBUF_GTS_AND,
      O => AD(16)
    );
  AD_16_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_16_SRMUXNOT
    );
  AD_16_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT16,
      O => AD_16_OD
    );
  AD_16_OUTMUX_188 : X_BUF
    port map (
      I => PCI_CORE_AD_O16,
      O => AD_16_OUTMUX
    );
  AD_16_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_16_TORGTS
    );
  AD_16_OUTBUF_GTS_AND_189 : X_AND2
    port map (
      I0 => AD_16_ENABLE,
      I1 => NlwInverterSignal_AD_16_OUTBUF_GTS_AND_IN1,
      O => AD_16_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ16 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_16_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_16_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD16
    );
  AD_16_IFF_SETOR : X_BUF
    port map (
      I => AD_16_SRMUXNOT,
      O => AD_16_IFF_SET
    );
  AD_16_IFF_ASYNC_FF_GSR_OR_190 : X_OR2
    port map (
      I0 => AD_16_IFF_SET,
      I1 => GSR,
      O => AD_16_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO16_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_16_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_16_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O16
    );
  AD_16_OFF_SETOR : X_BUF
    port map (
      I => AD_16_SRMUXNOT,
      O => AD_16_OFF_SET
    );
  AD_16_OFF_ASYNC_FF_GSR_OR_191 : X_OR2
    port map (
      I0 => AD_16_OFF_SET,
      I1 => GSR,
      O => AD_16_OFF_ASYNC_FF_GSR_OR
    );
  AD_24_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I24,
      O => AD_24_IDELAY
    );
  PCI_CORE_XPCI_ADB24_IBUF : X_BUF
    port map (
      I => AD(24),
      O => PCI_CORE_AD_I24
    );
  AD_24_ENABLEINV : X_INV
    port map (
      I => AD_24_TORGTS,
      O => AD_24_ENABLE
    );
  PCI_CORE_XPCI_ADB24_OBUFT : X_TRI
    port map (
      I => AD_24_OUTMUX,
      CTL => AD_24_OUTBUF_GTS_AND,
      O => AD(24)
    );
  AD_24_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_24_SRMUXNOT
    );
  AD_24_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT24,
      O => AD_24_OD
    );
  AD_24_OUTMUX_192 : X_BUF
    port map (
      I => PCI_CORE_AD_O24,
      O => AD_24_OUTMUX
    );
  AD_24_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_24_TORGTS
    );
  AD_24_OUTBUF_GTS_AND_193 : X_AND2
    port map (
      I0 => AD_24_ENABLE,
      I1 => NlwInverterSignal_AD_24_OUTBUF_GTS_AND_IN1,
      O => AD_24_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ24 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_24_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_24_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD24
    );
  AD_24_IFF_SETOR : X_BUF
    port map (
      I => AD_24_SRMUXNOT,
      O => AD_24_IFF_SET
    );
  AD_24_IFF_ASYNC_FF_GSR_OR_194 : X_OR2
    port map (
      I0 => AD_24_IFF_SET,
      I1 => GSR,
      O => AD_24_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO24_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_24_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_24_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O24
    );
  AD_24_OFF_SETOR : X_BUF
    port map (
      I => AD_24_SRMUXNOT,
      O => AD_24_OFF_SET
    );
  AD_24_OFF_ASYNC_FF_GSR_OR_195 : X_OR2
    port map (
      I0 => AD_24_OFF_SET,
      I1 => GSR,
      O => AD_24_OFF_ASYNC_FF_GSR_OR
    );
  AD_8_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I8,
      O => AD_8_IDELAY
    );
  PCI_CORE_XPCI_ADB8_IBUF : X_BUF
    port map (
      I => AD(8),
      O => PCI_CORE_AD_I8
    );
  AD_8_ENABLEINV : X_INV
    port map (
      I => AD_8_TORGTS,
      O => AD_8_ENABLE
    );
  PCI_CORE_XPCI_ADB8_OBUFT : X_TRI
    port map (
      I => AD_8_OUTMUX,
      CTL => AD_8_OUTBUF_GTS_AND,
      O => AD(8)
    );
  AD_8_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_8_SRMUXNOT
    );
  AD_8_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT8,
      O => AD_8_OD
    );
  AD_8_OUTMUX_196 : X_BUF
    port map (
      I => PCI_CORE_AD_O8,
      O => AD_8_OUTMUX
    );
  AD_8_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_8_TORGTS
    );
  AD_8_OUTBUF_GTS_AND_197 : X_AND2
    port map (
      I0 => AD_8_ENABLE,
      I1 => NlwInverterSignal_AD_8_OUTBUF_GTS_AND_IN1,
      O => AD_8_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_8_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_8_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD8
    );
  AD_8_IFF_SETOR : X_BUF
    port map (
      I => AD_8_SRMUXNOT,
      O => AD_8_IFF_SET
    );
  AD_8_IFF_ASYNC_FF_GSR_OR_198 : X_OR2
    port map (
      I0 => AD_8_IFF_SET,
      I1 => GSR,
      O => AD_8_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO8_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_8_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_8_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O8
    );
  AD_8_OFF_SETOR : X_BUF
    port map (
      I => AD_8_SRMUXNOT,
      O => AD_8_OFF_SET
    );
  AD_8_OFF_ASYNC_FF_GSR_OR_199 : X_OR2
    port map (
      I0 => AD_8_OFF_SET,
      I1 => GSR,
      O => AD_8_OFF_ASYNC_FF_GSR_OR
    );
  AD_17_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I17,
      O => AD_17_IDELAY
    );
  PCI_CORE_XPCI_ADB17_IBUF : X_BUF
    port map (
      I => AD(17),
      O => PCI_CORE_AD_I17
    );
  AD_17_ENABLEINV : X_INV
    port map (
      I => AD_17_TORGTS,
      O => AD_17_ENABLE
    );
  PCI_CORE_XPCI_ADB17_OBUFT : X_TRI
    port map (
      I => AD_17_OUTMUX,
      CTL => AD_17_OUTBUF_GTS_AND,
      O => AD(17)
    );
  AD_17_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_17_SRMUXNOT
    );
  AD_17_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT17,
      O => AD_17_OD
    );
  AD_17_OUTMUX_200 : X_BUF
    port map (
      I => PCI_CORE_AD_O17,
      O => AD_17_OUTMUX
    );
  AD_17_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_17_TORGTS
    );
  AD_17_OUTBUF_GTS_AND_201 : X_AND2
    port map (
      I0 => AD_17_ENABLE,
      I1 => NlwInverterSignal_AD_17_OUTBUF_GTS_AND_IN1,
      O => AD_17_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ17 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_17_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_17_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD17
    );
  AD_17_IFF_SETOR : X_BUF
    port map (
      I => AD_17_SRMUXNOT,
      O => AD_17_IFF_SET
    );
  AD_17_IFF_ASYNC_FF_GSR_OR_202 : X_OR2
    port map (
      I0 => AD_17_IFF_SET,
      I1 => GSR,
      O => AD_17_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO17_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_17_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_17_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O17
    );
  AD_17_OFF_SETOR : X_BUF
    port map (
      I => AD_17_SRMUXNOT,
      O => AD_17_OFF_SET
    );
  AD_17_OFF_ASYNC_FF_GSR_OR_203 : X_OR2
    port map (
      I0 => AD_17_OFF_SET,
      I1 => GSR,
      O => AD_17_OFF_ASYNC_FF_GSR_OR
    );
  AD_25_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I25,
      O => AD_25_IDELAY
    );
  PCI_CORE_XPCI_ADB25_IBUF : X_BUF
    port map (
      I => AD(25),
      O => PCI_CORE_AD_I25
    );
  AD_25_ENABLEINV : X_INV
    port map (
      I => AD_25_TORGTS,
      O => AD_25_ENABLE
    );
  PCI_CORE_XPCI_ADB25_OBUFT : X_TRI
    port map (
      I => AD_25_OUTMUX,
      CTL => AD_25_OUTBUF_GTS_AND,
      O => AD(25)
    );
  AD_25_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_25_SRMUXNOT
    );
  AD_25_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT25,
      O => AD_25_OD
    );
  AD_25_OUTMUX_204 : X_BUF
    port map (
      I => PCI_CORE_AD_O25,
      O => AD_25_OUTMUX
    );
  AD_25_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_25_TORGTS
    );
  AD_25_OUTBUF_GTS_AND_205 : X_AND2
    port map (
      I0 => AD_25_ENABLE,
      I1 => NlwInverterSignal_AD_25_OUTBUF_GTS_AND_IN1,
      O => AD_25_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ25 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_25_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_25_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD25
    );
  AD_25_IFF_SETOR : X_BUF
    port map (
      I => AD_25_SRMUXNOT,
      O => AD_25_IFF_SET
    );
  AD_25_IFF_ASYNC_FF_GSR_OR_206 : X_OR2
    port map (
      I0 => AD_25_IFF_SET,
      I1 => GSR,
      O => AD_25_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO25_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_25_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_25_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O25
    );
  AD_25_OFF_SETOR : X_BUF
    port map (
      I => AD_25_SRMUXNOT,
      O => AD_25_OFF_SET
    );
  AD_25_OFF_ASYNC_FF_GSR_OR_207 : X_OR2
    port map (
      I0 => AD_25_OFF_SET,
      I1 => GSR,
      O => AD_25_OFF_ASYNC_FF_GSR_OR
    );
  AD_9_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I9,
      O => AD_9_IDELAY
    );
  PCI_CORE_XPCI_ADB9_IBUF : X_BUF
    port map (
      I => AD(9),
      O => PCI_CORE_AD_I9
    );
  AD_9_ENABLEINV : X_INV
    port map (
      I => AD_9_TORGTS,
      O => AD_9_ENABLE
    );
  PCI_CORE_XPCI_ADB9_OBUFT : X_TRI
    port map (
      I => AD_9_OUTMUX,
      CTL => AD_9_OUTBUF_GTS_AND,
      O => AD(9)
    );
  AD_9_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_9_SRMUXNOT
    );
  AD_9_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT9,
      O => AD_9_OD
    );
  AD_9_OUTMUX_208 : X_BUF
    port map (
      I => PCI_CORE_AD_O9,
      O => AD_9_OUTMUX
    );
  AD_9_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LB,
      O => AD_9_TORGTS
    );
  AD_9_OUTBUF_GTS_AND_209 : X_AND2
    port map (
      I0 => AD_9_ENABLE,
      I1 => NlwInverterSignal_AD_9_OUTBUF_GTS_AND_IN1,
      O => AD_9_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ9 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_9_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_9_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD9
    );
  AD_9_IFF_SETOR : X_BUF
    port map (
      I => AD_9_SRMUXNOT,
      O => AD_9_IFF_SET
    );
  AD_9_IFF_ASYNC_FF_GSR_OR_210 : X_OR2
    port map (
      I0 => AD_9_IFF_SET,
      I1 => GSR,
      O => AD_9_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO9_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_9_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_9_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O9
    );
  AD_9_OFF_SETOR : X_BUF
    port map (
      I => AD_9_SRMUXNOT,
      O => AD_9_OFF_SET
    );
  AD_9_OFF_ASYNC_FF_GSR_OR_211 : X_OR2
    port map (
      I0 => AD_9_OFF_SET,
      I1 => GSR,
      O => AD_9_OFF_ASYNC_FF_GSR_OR
    );
  AD_18_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I18,
      O => AD_18_IDELAY
    );
  PCI_CORE_XPCI_ADB18_IBUF : X_BUF
    port map (
      I => AD(18),
      O => PCI_CORE_AD_I18
    );
  AD_18_ENABLEINV : X_INV
    port map (
      I => AD_18_TORGTS,
      O => AD_18_ENABLE
    );
  PCI_CORE_XPCI_ADB18_OBUFT : X_TRI
    port map (
      I => AD_18_OUTMUX,
      CTL => AD_18_OUTBUF_GTS_AND,
      O => AD(18)
    );
  AD_18_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_18_SRMUXNOT
    );
  AD_18_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT18,
      O => AD_18_OD
    );
  AD_18_OUTMUX_212 : X_BUF
    port map (
      I => PCI_CORE_AD_O18,
      O => AD_18_OUTMUX
    );
  AD_18_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_18_TORGTS
    );
  AD_18_OUTBUF_GTS_AND_213 : X_AND2
    port map (
      I0 => AD_18_ENABLE,
      I1 => NlwInverterSignal_AD_18_OUTBUF_GTS_AND_IN1,
      O => AD_18_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ18 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_18_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_18_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD18
    );
  AD_18_IFF_SETOR : X_BUF
    port map (
      I => AD_18_SRMUXNOT,
      O => AD_18_IFF_SET
    );
  AD_18_IFF_ASYNC_FF_GSR_OR_214 : X_OR2
    port map (
      I0 => AD_18_IFF_SET,
      I1 => GSR,
      O => AD_18_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO18_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_18_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_18_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O18
    );
  AD_18_OFF_SETOR : X_BUF
    port map (
      I => AD_18_SRMUXNOT,
      O => AD_18_OFF_SET
    );
  AD_18_OFF_ASYNC_FF_GSR_OR_215 : X_OR2
    port map (
      I0 => AD_18_OFF_SET,
      I1 => GSR,
      O => AD_18_OFF_ASYNC_FF_GSR_OR
    );
  AD_26_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I26,
      O => AD_26_IDELAY
    );
  PCI_CORE_XPCI_ADB26_IBUF : X_BUF
    port map (
      I => AD(26),
      O => PCI_CORE_AD_I26
    );
  AD_26_ENABLEINV : X_INV
    port map (
      I => AD_26_TORGTS,
      O => AD_26_ENABLE
    );
  PCI_CORE_XPCI_ADB26_OBUFT : X_TRI
    port map (
      I => AD_26_OUTMUX,
      CTL => AD_26_OUTBUF_GTS_AND,
      O => AD(26)
    );
  AD_26_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_26_SRMUXNOT
    );
  AD_26_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT26,
      O => AD_26_OD
    );
  AD_26_OUTMUX_216 : X_BUF
    port map (
      I => PCI_CORE_AD_O26,
      O => AD_26_OUTMUX
    );
  AD_26_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_26_TORGTS
    );
  AD_26_OUTBUF_GTS_AND_217 : X_AND2
    port map (
      I0 => AD_26_ENABLE,
      I1 => NlwInverterSignal_AD_26_OUTBUF_GTS_AND_IN1,
      O => AD_26_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ26 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_26_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_26_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD26
    );
  AD_26_IFF_SETOR : X_BUF
    port map (
      I => AD_26_SRMUXNOT,
      O => AD_26_IFF_SET
    );
  AD_26_IFF_ASYNC_FF_GSR_OR_218 : X_OR2
    port map (
      I0 => AD_26_IFF_SET,
      I1 => GSR,
      O => AD_26_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO26_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_26_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_26_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O26
    );
  AD_26_OFF_SETOR : X_BUF
    port map (
      I => AD_26_SRMUXNOT,
      O => AD_26_OFF_SET
    );
  AD_26_OFF_ASYNC_FF_GSR_OR_219 : X_OR2
    port map (
      I0 => AD_26_OFF_SET,
      I1 => GSR,
      O => AD_26_OFF_ASYNC_FF_GSR_OR
    );
  AD_19_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I19,
      O => AD_19_IDELAY
    );
  PCI_CORE_XPCI_ADB19_IBUF : X_BUF
    port map (
      I => AD(19),
      O => PCI_CORE_AD_I19
    );
  AD_19_ENABLEINV : X_INV
    port map (
      I => AD_19_TORGTS,
      O => AD_19_ENABLE
    );
  PCI_CORE_XPCI_ADB19_OBUFT : X_TRI
    port map (
      I => AD_19_OUTMUX,
      CTL => AD_19_OUTBUF_GTS_AND,
      O => AD(19)
    );
  AD_19_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_19_SRMUXNOT
    );
  AD_19_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT19,
      O => AD_19_OD
    );
  AD_19_OUTMUX_220 : X_BUF
    port map (
      I => PCI_CORE_AD_O19,
      O => AD_19_OUTMUX
    );
  AD_19_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT,
      O => AD_19_TORGTS
    );
  AD_19_OUTBUF_GTS_AND_221 : X_AND2
    port map (
      I0 => AD_19_ENABLE,
      I1 => NlwInverterSignal_AD_19_OUTBUF_GTS_AND_IN1,
      O => AD_19_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ19 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_19_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_19_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD19
    );
  AD_19_IFF_SETOR : X_BUF
    port map (
      I => AD_19_SRMUXNOT,
      O => AD_19_IFF_SET
    );
  AD_19_IFF_ASYNC_FF_GSR_OR_222 : X_OR2
    port map (
      I0 => AD_19_IFF_SET,
      I1 => GSR,
      O => AD_19_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO19_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_19_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_19_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O19
    );
  AD_19_OFF_SETOR : X_BUF
    port map (
      I => AD_19_SRMUXNOT,
      O => AD_19_OFF_SET
    );
  AD_19_OFF_ASYNC_FF_GSR_OR_223 : X_OR2
    port map (
      I0 => AD_19_OFF_SET,
      I1 => GSR,
      O => AD_19_OFF_ASYNC_FF_GSR_OR
    );
  AD_27_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I27,
      O => AD_27_IDELAY
    );
  PCI_CORE_XPCI_ADB27_IBUF : X_BUF
    port map (
      I => AD(27),
      O => PCI_CORE_AD_I27
    );
  AD_27_ENABLEINV : X_INV
    port map (
      I => AD_27_TORGTS,
      O => AD_27_ENABLE
    );
  PCI_CORE_XPCI_ADB27_OBUFT : X_TRI
    port map (
      I => AD_27_OUTMUX,
      CTL => AD_27_OUTBUF_GTS_AND,
      O => AD(27)
    );
  AD_27_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_27_SRMUXNOT
    );
  AD_27_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT27,
      O => AD_27_OD
    );
  AD_27_OUTMUX_224 : X_BUF
    port map (
      I => PCI_CORE_AD_O27,
      O => AD_27_OUTMUX
    );
  AD_27_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_27_TORGTS
    );
  AD_27_OUTBUF_GTS_AND_225 : X_AND2
    port map (
      I0 => AD_27_ENABLE,
      I1 => NlwInverterSignal_AD_27_OUTBUF_GTS_AND_IN1,
      O => AD_27_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ27 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_27_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_27_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD27
    );
  AD_27_IFF_SETOR : X_BUF
    port map (
      I => AD_27_SRMUXNOT,
      O => AD_27_IFF_SET
    );
  AD_27_IFF_ASYNC_FF_GSR_OR_226 : X_OR2
    port map (
      I0 => AD_27_IFF_SET,
      I1 => GSR,
      O => AD_27_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO27_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_27_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_27_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O27
    );
  AD_27_OFF_SETOR : X_BUF
    port map (
      I => AD_27_SRMUXNOT,
      O => AD_27_OFF_SET
    );
  AD_27_OFF_ASYNC_FF_GSR_OR_227 : X_OR2
    port map (
      I0 => AD_27_OFF_SET,
      I1 => GSR,
      O => AD_27_OFF_ASYNC_FF_GSR_OR
    );
  AD_28_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I28,
      O => AD_28_IDELAY
    );
  PCI_CORE_XPCI_ADB28_IBUF : X_BUF
    port map (
      I => AD(28),
      O => PCI_CORE_AD_I28
    );
  AD_28_ENABLEINV : X_INV
    port map (
      I => AD_28_TORGTS,
      O => AD_28_ENABLE
    );
  PCI_CORE_XPCI_ADB28_OBUFT : X_TRI
    port map (
      I => AD_28_OUTMUX,
      CTL => AD_28_OUTBUF_GTS_AND,
      O => AD(28)
    );
  AD_28_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_28_SRMUXNOT
    );
  AD_28_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT28,
      O => AD_28_OD
    );
  AD_28_OUTMUX_228 : X_BUF
    port map (
      I => PCI_CORE_AD_O28,
      O => AD_28_OUTMUX
    );
  AD_28_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_28_TORGTS
    );
  AD_28_OUTBUF_GTS_AND_229 : X_AND2
    port map (
      I0 => AD_28_ENABLE,
      I1 => NlwInverterSignal_AD_28_OUTBUF_GTS_AND_IN1,
      O => AD_28_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ28 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_28_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_28_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD28
    );
  AD_28_IFF_SETOR : X_BUF
    port map (
      I => AD_28_SRMUXNOT,
      O => AD_28_IFF_SET
    );
  AD_28_IFF_ASYNC_FF_GSR_OR_230 : X_OR2
    port map (
      I0 => AD_28_IFF_SET,
      I1 => GSR,
      O => AD_28_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO28_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_28_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_28_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O28
    );
  AD_28_OFF_SETOR : X_BUF
    port map (
      I => AD_28_SRMUXNOT,
      O => AD_28_OFF_SET
    );
  AD_28_OFF_ASYNC_FF_GSR_OR_231 : X_OR2
    port map (
      I0 => AD_28_OFF_SET,
      I1 => GSR,
      O => AD_28_OFF_ASYNC_FF_GSR_OR
    );
  AD_29_DELAY : X_BUF
    port map (
      I => PCI_CORE_AD_I29,
      O => AD_29_IDELAY
    );
  PCI_CORE_XPCI_ADB29_IBUF : X_BUF
    port map (
      I => AD(29),
      O => PCI_CORE_AD_I29
    );
  AD_29_ENABLEINV : X_INV
    port map (
      I => AD_29_TORGTS,
      O => AD_29_ENABLE
    );
  PCI_CORE_XPCI_ADB29_OBUFT : X_TRI
    port map (
      I => AD_29_OUTMUX,
      CTL => AD_29_OUTBUF_GTS_AND,
      O => AD(29)
    );
  AD_29_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => AD_29_SRMUXNOT
    );
  AD_29_OMUX : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADOUT29,
      O => AD_29_OD
    );
  AD_29_OUTMUX_232 : X_BUF
    port map (
      I => PCI_CORE_AD_O29,
      O => AD_29_OUTMUX
    );
  AD_29_GTS_OR : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_T,
      O => AD_29_TORGTS
    );
  AD_29_OUTBUF_GTS_AND_233 : X_AND2
    port map (
      I0 => AD_29_ENABLE,
      I1 => NlwInverterSignal_AD_29_OUTBUF_GTS_AND_IN1,
      O => AD_29_OUTBUF_GTS_AND
    );
  PCI_CORE_XPCI_ADQ29 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_29_IDELAY,
      CE => VCC,
      CLK => CLK,
      SET => AD_29_IFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD29
    );
  AD_29_IFF_SETOR : X_BUF
    port map (
      I => AD_29_SRMUXNOT,
      O => AD_29_IFF_SET
    );
  AD_29_IFF_ASYNC_FF_GSR_OR_234 : X_OR2
    port map (
      I0 => AD_29_IFF_SET,
      I1 => GSR,
      O => AD_29_IFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO29_OFD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => AD_29_OD,
      CE => PCI_CORE_PCI_LC_OUT_CE_HARD_CE,
      CLK => CLK,
      SET => AD_29_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_AD_O29
    );
  AD_29_OFF_SETOR : X_BUF
    port map (
      I => AD_29_SRMUXNOT,
      O => AD_29_OFF_SET
    );
  AD_29_OFF_ASYNC_FF_GSR_OR_235 : X_OR2
    port map (
      I0 => AD_29_OFF_SET,
      I1 => GSR,
      O => AD_29_OFF_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_F_UPPER_T0_TINV_236 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T0_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_39,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T0_TINV,
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_F_UPPER_T0_PULLUP : X_PU
    port map (
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_F_UPPER_T1_TINV_237 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T1_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T1 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_23,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T1_TINV,
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_F_UPPER_T1_PULLUP : X_PU
    port map (
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_F_UPPER_T2_TINV_238 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T2_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T2 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_58,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T2_TINV,
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_F_UPPER_T2_PULLUP : X_PU
    port map (
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_F_UPPER_T3_TINV_239 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T3_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T3 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_42,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T3_TINV,
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_F_UPPER_T3_PULLUP : X_PU
    port map (
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_F_UPPER_T4_TINV_240 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T4_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T4 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_14,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T4_TINV,
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_F_UPPER_T4_PULLUP : X_PU
    port map (
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_F_UPPER_T5_TINV_241 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T5_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T5 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_45,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T5_TINV,
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_F_UPPER_T5_PULLUP : X_PU
    port map (
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_F_UPPER_T6_TINV_242 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T6_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T6 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_37,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T6_TINV,
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_F_UPPER_T6_PULLUP : X_PU
    port map (
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_F_UPPER_T7_TINV_243 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T7_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T7 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_41,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T7_TINV,
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_F_UPPER_T7_PULLUP : X_PU
    port map (
      O => ADIO(23)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_2tri0_TINV_244 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_2tri0_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_2tri0 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_0,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_2tri0_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_2tri0_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  PCI_CORE_PCI_LC_F_UPPER_T8_TINV_245 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T8_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T8 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_29,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T8_TINV,
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_F_UPPER_T8_PULLUP : X_PU
    port map (
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_F_UPPER_T9_TINV_246 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T9_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T9 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_65,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T9_TINV,
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_F_UPPER_T9_PULLUP : X_PU
    port map (
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_F_LOWER_T0_TINV_247 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T0_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T0 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG0,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T0_TINV,
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_F_LOWER_T0_PULLUP : X_PU
    port map (
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_F_LOWER_T1_TINV_248 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T1_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T1 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG1,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T1_TINV,
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_F_LOWER_T1_PULLUP : X_PU
    port map (
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_F_LOWER_T2_TINV_249 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T2_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T2 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG2,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T2_TINV,
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_F_LOWER_T2_PULLUP : X_PU
    port map (
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_F_LOWER_T3_TINV_250 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T3_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T3 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG3,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T3_TINV,
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_F_LOWER_T3_PULLUP : X_PU
    port map (
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_F_LOWER_T4_TINV_251 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T4_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T4 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG4,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T4_TINV,
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_F_LOWER_T4_PULLUP : X_PU
    port map (
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_F_LOWER_T5_TINV_252 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T5_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T5 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG5,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T5_TINV,
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_F_LOWER_T5_PULLUP : X_PU
    port map (
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_F_LOWER_T6_TINV_253 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T6_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T6 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG6,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T6_TINV,
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_F_LOWER_T6_PULLUP : X_PU
    port map (
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_F_LOWER_T7_TINV_254 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T7_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T7 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_IREG7,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T7_TINV,
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_F_LOWER_T7_PULLUP : X_PU
    port map (
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_F_LOWER_T8_TINV_255 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T8_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T8 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_7,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T8_TINV,
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_F_LOWER_T8_PULLUP : X_PU
    port map (
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_F_LOWER_T9_TINV_256 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T9_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T9 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_33,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T9_TINV,
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_F_LOWER_T9_PULLUP : X_PU
    port map (
      O => ADIO(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien10_3comp5tri5_TINV_257 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien10_3comp5tri5_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien10_3comp5tri5 : X_TRI
    port map (
      I => GLOBAL_LOGIC0,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien10_3comp5tri5_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien10_3comp5tri5_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_4tri0_TINV_258 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_4tri0_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_4tri0 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_0,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_4tri0_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_4tri0_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  PCI_CORE_PCI_LC_E_UPPER_T10_TINV_259 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T10_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T10 : X_TRI
    port map (
      I => PCI_CORE_AD26,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T10_TINV,
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_E_UPPER_T10_PULLUP : X_PU
    port map (
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_E_UPPER_T11_TINV_260 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T11_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T11 : X_TRI
    port map (
      I => PCI_CORE_AD27,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T11_TINV,
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_E_UPPER_T11_PULLUP : X_PU
    port map (
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_E_UPPER_T12_TINV_261 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T12_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T12 : X_TRI
    port map (
      I => PCI_CORE_AD28,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T12_TINV,
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_E_UPPER_T12_PULLUP : X_PU
    port map (
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_E_UPPER_T13_TINV_262 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T13_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T13 : X_TRI
    port map (
      I => PCI_CORE_AD29,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T13_TINV,
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_E_UPPER_T13_PULLUP : X_PU
    port map (
      O => ADIO(29)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien4_3comp2tri2_TINV_263 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien4_3comp2tri2_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien4_3comp2tri2 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_6,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien4_3comp2tri2_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien4_3comp2tri2_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  PCI_CORE_PCI_LC_E_UPPER_T14_TINV_264 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T14_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T14 : X_TRI
    port map (
      I => PCI_CORE_AD30,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T14_TINV,
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_E_UPPER_T14_PULLUP : X_PU
    port map (
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_E_UPPER_T15_TINV_265 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T15_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T15 : X_TRI
    port map (
      I => PCI_CORE_AD31,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T15_TINV,
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_E_UPPER_T15_PULLUP : X_PU
    port map (
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T0_TINV_266 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T0_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_59,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T0_TINV,
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T0_PULLUP : X_PU
    port map (
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T1_TINV_267 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T1_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T1 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_46,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T1_TINV,
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T1_PULLUP : X_PU
    port map (
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T2_TINV_268 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T2_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T2 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_42,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T2_TINV,
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T2_PULLUP : X_PU
    port map (
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T3_TINV_269 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T3_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T3 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_54,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T3_TINV,
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T3_PULLUP : X_PU
    port map (
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T4_TINV_270 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T4_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T4 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_45,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T4_TINV,
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T4_PULLUP : X_PU
    port map (
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T5_TINV_271 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T5_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T5 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_68,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T5_TINV,
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T5_PULLUP : X_PU
    port map (
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T6_TINV_272 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T6_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T6 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_57,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T6_TINV,
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T6_PULLUP : X_PU
    port map (
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T7_TINV_273 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T7_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T7 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_19,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T7_TINV,
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T7_PULLUP : X_PU
    port map (
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T8_TINV_274 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T8_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T8 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_65,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T8_TINV,
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T8_PULLUP : X_PU
    port map (
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_F_UPPER_T10_TINV_275 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T10_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T10 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_55,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T10_TINV,
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_F_UPPER_T10_PULLUP : X_PU
    port map (
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T9_TINV_276 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T9_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T9 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_18,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T9_TINV,
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T9_PULLUP : X_PU
    port map (
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_F_UPPER_T11_TINV_277 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T11_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T11 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_31,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T11_TINV,
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_F_UPPER_T11_PULLUP : X_PU
    port map (
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_F_UPPER_T12_TINV_278 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T12_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T12 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_67,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T12_TINV,
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_F_UPPER_T12_PULLUP : X_PU
    port map (
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_F_UPPER_T13_TINV_279 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T13_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T13 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_28,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T13_TINV,
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_F_UPPER_T13_PULLUP : X_PU
    port map (
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_F_UPPER_T14_TINV_280 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T14_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T14 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_27,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T14_TINV,
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_F_UPPER_T14_PULLUP : X_PU
    port map (
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_F_UPPER_T15_TINV_281 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_UPPER_T15_TINV
    );
  PCI_CORE_PCI_LC_F_UPPER_T15 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_32,
      CTL => PCI_CORE_PCI_LC_F_UPPER_T15_TINV,
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_F_UPPER_T15_PULLUP : X_PU
    port map (
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T0_TINV_282 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T0_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_61,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T0_TINV,
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T0_PULLUP : X_PU
    port map (
      O => ADIO(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_6tri0_TINV_283 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_6tri0_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_6tri0 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_6tri0_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_6tri0_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T1_TINV_284 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T1_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T1 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_60,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T1_TINV,
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T1_PULLUP : X_PU
    port map (
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T2_TINV_285 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T2_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T2 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_35,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T2_TINV,
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T2_PULLUP : X_PU
    port map (
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T3_TINV_286 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T3_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T3 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_25,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T3_TINV,
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T3_PULLUP : X_PU
    port map (
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T4_TINV_287 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T4_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T4 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_25,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T4_TINV,
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T4_PULLUP : X_PU
    port map (
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T5_TINV_288 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T5_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T5 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_34,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T5_TINV,
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T5_PULLUP : X_PU
    port map (
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T6_TINV_289 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T6_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T6 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_49,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T6_TINV,
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T6_PULLUP : X_PU
    port map (
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T7_TINV_290 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T7_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T7 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_63,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T7_TINV,
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T7_PULLUP : X_PU
    port map (
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T8_TINV_291 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T8_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T8 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH8,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T8_TINV,
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T8_PULLUP : X_PU
    port map (
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T9_TINV_292 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T9_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T9 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH9,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T9_TINV,
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T9_PULLUP : X_PU
    port map (
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_E_LOWER_T10_TINV_293 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T10_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T10 : X_TRI
    port map (
      I => PCI_CORE_AD10,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T10_TINV,
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_E_LOWER_T10_PULLUP : X_PU
    port map (
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_E_LOWER_T11_TINV_294 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T11_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T11 : X_TRI
    port map (
      I => PCI_CORE_AD11,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T11_TINV,
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_E_LOWER_T11_PULLUP : X_PU
    port map (
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_E_LOWER_T12_TINV_295 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T12_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T12 : X_TRI
    port map (
      I => PCI_CORE_AD12,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T12_TINV,
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_E_LOWER_T12_PULLUP : X_PU
    port map (
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_E_LOWER_T13_TINV_296 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T13_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T13 : X_TRI
    port map (
      I => PCI_CORE_AD13,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T13_TINV,
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_E_LOWER_T13_PULLUP : X_PU
    port map (
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_E_LOWER_T14_TINV_297 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T14_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T14 : X_TRI
    port map (
      I => PCI_CORE_AD14,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T14_TINV,
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_E_LOWER_T14_PULLUP : X_PU
    port map (
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_E_LOWER_T15_TINV_298 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T15_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T15 : X_TRI
    port map (
      I => PCI_CORE_AD15,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T15_TINV,
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_E_LOWER_T15_PULLUP : X_PU
    port map (
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_F_LOWER_T10_TINV_299 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T10_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T10 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_33,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T10_TINV,
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_F_LOWER_T10_PULLUP : X_PU
    port map (
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_F_LOWER_T11_TINV_300 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T11_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T11 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_24,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T11_TINV,
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_F_LOWER_T11_PULLUP : X_PU
    port map (
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_F_LOWER_T12_TINV_301 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T12_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T12 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_62,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T12_TINV,
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_F_LOWER_T12_PULLUP : X_PU
    port map (
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_F_LOWER_T13_TINV_302 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T13_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T13 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_43,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T13_TINV,
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_F_LOWER_T13_PULLUP : X_PU
    port map (
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_F_LOWER_T14_TINV_303 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T14_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T14 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_46,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T14_TINV,
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_F_LOWER_T14_PULLUP : X_PU
    port map (
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_F_LOWER_T15_TINV_304 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      O => PCI_CORE_PCI_LC_F_LOWER_T15_TINV
    );
  PCI_CORE_PCI_LC_F_LOWER_T15 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_46,
      CTL => PCI_CORE_PCI_LC_F_LOWER_T15_TINV,
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_F_LOWER_T15_PULLUP : X_PU
    port map (
      O => ADIO(15)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_4tri1_TINV_305 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_4tri1_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_4tri1 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_1,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_4tri1_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_4tri1_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien12_3comp6tri6_TINV_306 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien12_3comp6tri6_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien12_3comp6tri6 : X_TRI
    port map (
      I => GLOBAL_LOGIC1,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien12_3comp6tri6_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien12_3comp6tri6_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_5tri1_TINV_307 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_5tri1_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_5tri1 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_1,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_5tri1_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_5tri1_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien6_3comp3tri3_TINV_308 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien6_3comp3tri3_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien6_3comp3tri3 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_1,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien6_3comp3tri3_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien6_3comp3tri3_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_6tri1_TINV_309 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_6tri1_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_6tri1 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_1,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_6tri1_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_6tri1_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_7tri1_TINV_310 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_7tri1_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_7tri1 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_7tri1_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en1_7tri1_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_4tri2_TINV_311 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_4tri2_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_4tri2 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_2,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_4tri2_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_4tri2_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_1comp7tri7_TINV_312 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_1comp7tri7_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_1comp7tri7 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_2,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_1comp7tri7_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_1comp7tri7_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_5tri2_TINV_313 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_5tri2_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_5tri2 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10333_2,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_5tri2_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_5tri2_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_3comp7tri7_TINV_314 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_3comp7tri7_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_3comp7tri7 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_7,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_3comp7tri7_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien14_3comp7tri7_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_6tri2_TINV_315 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_6tri2_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_6tri2 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_2,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_6tri2_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_6tri2_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien8_3comp4tri4_TINV_316 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien8_3comp4tri4_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien8_3comp4tri4 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_4,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien8_3comp4tri4_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien8_3comp4tri4_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_7tri2_TINV_317 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_7tri2_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_7tri2 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_7tri2_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en2_7tri2_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(2)
    );
  userapp_inst_foo_bar0_adio_1_0_TINV_318 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_BAR_OE_I,
      O => userapp_inst_foo_bar0_adio_1_0_TINV
    );
  userapp_inst_foo_bar0_adio_1_0_Q : X_TRI
    port map (
      I => LED_TEST_C,
      CTL => userapp_inst_foo_bar0_adio_1_0_TINV,
      O => ADIO(0)
    );
  userapp_inst_foo_bar0_adio_1_0_PULLUP : X_PU
    port map (
      O => ADIO(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_4tri3_TINV_319 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_4tri3_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_4tri3 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_4tri3_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_4tri3_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien24_3comp12tri12_TINV_320 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien24_3comp12tri12_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien24_3comp12tri12 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_9,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien24_3comp12tri12_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien24_3comp12tri12_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_5tri3_TINV_321 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_5tri3_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_5tri3 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_5tri3_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_5tri3_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_6tri3_TINV_322 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_6tri3_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_6tri3 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_6tri3_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_6tri3_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16_3comp8tri8_TINV_323 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16_3comp8tri8_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16_3comp8tri8 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_10,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16_3comp8tri8_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16_3comp8tri8_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_7tri3_TINV_324 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_7tri3_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_7tri3 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_7tri3_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en3_7tri3_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(3)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_4tri4_TINV_325 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_4tri4_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_4tri4 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_4,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_4tri4_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_4tri4_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_5tri4_TINV_326 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_5tri4_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_5tri4 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_4,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_5tri4_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_5tri4_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_6tri4_TINV_327 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_6tri4_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_6tri4 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10366_4,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_6tri4_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_6tri4_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_3comp9tri9_TINV_328 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_3comp9tri9_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_3comp9tri9 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_8,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_3comp9tri9_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_3comp9tri9_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  PCI_CORE_PCI_LC_1_UPPER_T0_TINV_329 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T0_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_11,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T0_TINV,
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_1_UPPER_T0_PULLUP : X_PU
    port map (
      O => ADIO(16)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_7tri4_TINV_330 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_7tri4_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_7tri4 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_7tri4_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en4_7tri4_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(4)
    );
  PCI_CORE_PCI_LC_1_UPPER_T1_TINV_331 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T1_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T1 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_59,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T1_TINV,
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_1_UPPER_T1_PULLUP : X_PU
    port map (
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_1_UPPER_T2_TINV_332 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T2_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T2 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_38,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T2_TINV,
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_1_UPPER_T2_PULLUP : X_PU
    port map (
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_1_UPPER_T3_TINV_333 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T3_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T3 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_15,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T3_TINV,
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_1_UPPER_T3_PULLUP : X_PU
    port map (
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_1_UPPER_T4_TINV_334 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T4_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T4 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_56,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T4_TINV,
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_1_UPPER_T4_PULLUP : X_PU
    port map (
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_1_UPPER_T5_TINV_335 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T5_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T5 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_22,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T5_TINV,
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_1_UPPER_T5_PULLUP : X_PU
    port map (
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_1_UPPER_T6_TINV_336 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T6_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T6 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_37,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T6_TINV,
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_1_UPPER_T6_PULLUP : X_PU
    port map (
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_1_UPPER_T7_TINV_337 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T7_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T7 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_57,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T7_TINV,
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_1_UPPER_T7_PULLUP : X_PU
    port map (
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_1_UPPER_T8_TINV_338 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T8_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T8 : X_TRI
    port map (
      I => PCI_CORE_CSR_24_Q,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T8_TINV,
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_1_UPPER_T8_PULLUP : X_PU
    port map (
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_1_UPPER_T9_TINV_339 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T9_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T9 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_6,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T9_TINV,
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_1_UPPER_T9_PULLUP : X_PU
    port map (
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_1_LOWER_T0_TINV_340 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T0_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_51,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T0_TINV,
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_1_LOWER_T0_PULLUP : X_PU
    port map (
      O => ADIO(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_4tri5_TINV_341 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_4tri5_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_4tri5 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_5,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_4tri5_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_4tri5_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  PCI_CORE_PCI_LC_1_LOWER_T1_TINV_342 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T1_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T1 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T1_TINV,
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_1_LOWER_T1_PULLUP : X_PU
    port map (
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_1_LOWER_T2_TINV_343 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T2_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T2 : X_TRI
    port map (
      I => PCI_CORE_CSR_2_Q,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T2_TINV,
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_1_LOWER_T2_PULLUP : X_PU
    port map (
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_1_LOWER_T3_TINV_344 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T3_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T3 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_50,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T3_TINV,
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_1_LOWER_T3_PULLUP : X_PU
    port map (
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_1_LOWER_T4_TINV_345 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T4_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T4 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_47,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T4_TINV,
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_1_LOWER_T4_PULLUP : X_PU
    port map (
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_1_LOWER_T5_TINV_346 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T5_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T5 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_49,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T5_TINV,
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_1_LOWER_T5_PULLUP : X_PU
    port map (
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_1_LOWER_T6_TINV_347 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T6_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T6 : X_TRI
    port map (
      I => PCI_CORE_CSR_6_Q,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T6_TINV,
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_1_LOWER_T6_PULLUP : X_PU
    port map (
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_1_LOWER_T7_TINV_348 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T7_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T7 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_5,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T7_TINV,
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_1_LOWER_T7_PULLUP : X_PU
    port map (
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_1_LOWER_T8_TINV_349 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T8_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T8 : X_TRI
    port map (
      I => PCI_CORE_CSR_8_Q,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T8_TINV,
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_1_LOWER_T8_PULLUP : X_PU
    port map (
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_1_LOWER_T9_TINV_350 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T9_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T9 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_48,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T9_TINV,
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_1_LOWER_T9_PULLUP : X_PU
    port map (
      O => ADIO(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16comp8tri8_TINV_351 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16comp8tri8_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16comp8tri8 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_1,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16comp8tri8_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien16comp8tri8_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_5tri5_TINV_352 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_5tri5_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_5tri5 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10334_5,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_5tri5_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_5tri5_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_6tri5_TINV_353 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_6tri5_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_6tri5 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_5,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_6tri5_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_6tri5_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_7tri5_TINV_354 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_7tri5_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_7tri5 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_7tri5_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en5_7tri5_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(5)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_0comp13tri13_TINV_355 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_0comp13tri13_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_0comp13tri13 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_0comp13tri13_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_0comp13tri13_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_4tri6_TINV_356 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_4tri6_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_4tri6 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_6,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_4tri6_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_4tri6_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_5tri6_TINV_357 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_5tri6_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_5tri6 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10337_6,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_5tri6_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_5tri6_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_6tri6_TINV_358 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_6tri6_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_6tri6 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10367_6,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_6tri6_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_6tri6_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_7tri6_TINV_359 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_7tri6_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_7tri6 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_6,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_7tri6_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en6_7tri6_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(6)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_2comp13tri13_TINV_360 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_2comp13tri13_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_2comp13tri13 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_0,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_2comp13tri13_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien26_2comp13tri13_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_4tri7_TINV_361 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_4tri7_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_4tri7 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_7,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_4tri7_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_4tri7_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  PCI_CORE_PCI_LC_E_UPPER_T0_TINV_362 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T0_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T0 : X_TRI
    port map (
      I => PCI_CORE_AD16,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T0_TINV,
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_E_UPPER_T0_PULLUP : X_PU
    port map (
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_E_UPPER_T1_TINV_363 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T1_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T1 : X_TRI
    port map (
      I => PCI_CORE_AD17,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T1_TINV,
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_E_UPPER_T1_PULLUP : X_PU
    port map (
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_E_UPPER_T2_TINV_364 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T2_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T2 : X_TRI
    port map (
      I => PCI_CORE_AD18,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T2_TINV,
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_E_UPPER_T2_PULLUP : X_PU
    port map (
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_E_UPPER_T3_TINV_365 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T3_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T3 : X_TRI
    port map (
      I => PCI_CORE_AD19,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T3_TINV,
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_E_UPPER_T3_PULLUP : X_PU
    port map (
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_E_UPPER_T4_TINV_366 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T4_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T4 : X_TRI
    port map (
      I => PCI_CORE_AD20,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T4_TINV,
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_E_UPPER_T4_PULLUP : X_PU
    port map (
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_E_UPPER_T5_TINV_367 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T5_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T5 : X_TRI
    port map (
      I => PCI_CORE_AD21,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T5_TINV,
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_E_UPPER_T5_PULLUP : X_PU
    port map (
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_E_UPPER_T6_TINV_368 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T6_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T6 : X_TRI
    port map (
      I => PCI_CORE_AD22,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T6_TINV,
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_E_UPPER_T6_PULLUP : X_PU
    port map (
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_E_UPPER_T7_TINV_369 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T7_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T7 : X_TRI
    port map (
      I => PCI_CORE_AD23,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T7_TINV,
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_E_UPPER_T7_PULLUP : X_PU
    port map (
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_E_UPPER_T8_TINV_370 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T8_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T8 : X_TRI
    port map (
      I => PCI_CORE_AD24,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T8_TINV,
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_E_UPPER_T8_PULLUP : X_PU
    port map (
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_E_UPPER_T9_TINV_371 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_UPPER_T9_TINV
    );
  PCI_CORE_PCI_LC_E_UPPER_T9 : X_TRI
    port map (
      I => PCI_CORE_AD25,
      CTL => PCI_CORE_PCI_LC_E_UPPER_T9_TINV,
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_E_UPPER_T9_PULLUP : X_PU
    port map (
      O => ADIO(25)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_5tri7_TINV_372 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_5tri7_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_5tri7 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_7,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_5tri7_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_5tri7_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  PCI_CORE_PCI_LC_E_LOWER_T0_TINV_373 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T0_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T0 : X_TRI
    port map (
      I => PCI_CORE_AD0,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T0_TINV,
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_E_LOWER_T0_PULLUP : X_PU
    port map (
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_E_LOWER_T1_TINV_374 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T1_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T1 : X_TRI
    port map (
      I => PCI_CORE_AD1,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T1_TINV,
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_E_LOWER_T1_PULLUP : X_PU
    port map (
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_E_LOWER_T2_TINV_375 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T2_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T2 : X_TRI
    port map (
      I => PCI_CORE_AD2,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T2_TINV,
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_E_LOWER_T2_PULLUP : X_PU
    port map (
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_E_LOWER_T3_TINV_376 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T3_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T3 : X_TRI
    port map (
      I => PCI_CORE_AD3,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T3_TINV,
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_E_LOWER_T3_PULLUP : X_PU
    port map (
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_E_LOWER_T4_TINV_377 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T4_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T4 : X_TRI
    port map (
      I => PCI_CORE_AD4,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T4_TINV,
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_E_LOWER_T4_PULLUP : X_PU
    port map (
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_E_LOWER_T5_TINV_378 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T5_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T5 : X_TRI
    port map (
      I => PCI_CORE_AD5,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T5_TINV,
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_E_LOWER_T5_PULLUP : X_PU
    port map (
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_E_LOWER_T6_TINV_379 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T6_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T6 : X_TRI
    port map (
      I => PCI_CORE_AD6,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T6_TINV,
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_E_LOWER_T6_PULLUP : X_PU
    port map (
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_E_LOWER_T7_TINV_380 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T7_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T7 : X_TRI
    port map (
      I => PCI_CORE_AD7,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T7_TINV,
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_E_LOWER_T7_PULLUP : X_PU
    port map (
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_E_LOWER_T8_TINV_381 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T8_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T8 : X_TRI
    port map (
      I => PCI_CORE_AD8,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T8_TINV,
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_E_LOWER_T8_PULLUP : X_PU
    port map (
      O => ADIO(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_4tri10_TINV_382 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_4tri10_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_4tri10 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_10,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_4tri10_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_4tri10_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  PCI_CORE_PCI_LC_E_LOWER_T9_TINV_383 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI,
      O => PCI_CORE_PCI_LC_E_LOWER_T9_TINV
    );
  PCI_CORE_PCI_LC_E_LOWER_T9 : X_TRI
    port map (
      I => PCI_CORE_AD9,
      CTL => PCI_CORE_PCI_LC_E_LOWER_T9_TINV,
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_E_LOWER_T9_PULLUP : X_PU
    port map (
      O => ADIO(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_7tri7_TINV_384 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_7tri7_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_7tri7 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_7,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_7tri7_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en7_7tri7_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(7)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_5tri10_TINV_385 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_5tri10_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_5tri10 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_10,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_5tri10_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_5tri10_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_5tri8_TINV_386 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_5tri8_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_5tri8 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_8,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_5tri8_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_5tri8_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_6tri10_TINV_387 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_6tri10_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_6tri10 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_10,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_6tri10_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_6tri10_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_6tri8_TINV_388 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_6tri8_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_6tri8 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_8,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_6tri8_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_6tri8_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_7tri8_TINV_389 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_7tri8_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_7tri8 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_8,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_7tri8_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_7tri8_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(8)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_7tri10_TINV_390 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_7tri10_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_7tri10 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_10,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_7tri10_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en10_7tri10_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_4tri9_TINV_391 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_4tri9_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_4tri9 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_9,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_4tri9_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_4tri9_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_4tri11_TINV_392 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_4tri11_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_4tri11 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_11,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_4tri11_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_4tri11_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_7tri9_TINV_393 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_7tri9_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_7tri9 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_9,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_7tri9_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_7tri9_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_5tri11_TINV_394 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_5tri11_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_5tri11 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10360_11,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_5tri11_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_5tri11_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien20_3comp10tri10_TINV_395 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien20_3comp10tri10_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien20_3comp10tri10 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_5,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien20_3comp10tri10_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien20_3comp10tri10_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(10)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_6tri11_TINV_396 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_6tri11_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_6tri11 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_11,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_6tri11_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_6tri11_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  PCI_CORE_PCI_LC_0_UPPER_T10_TINV_397 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T10_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T10 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T10_TINV,
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_0_UPPER_T10_PULLUP : X_PU
    port map (
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_0_UPPER_T11_TINV_398 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T11_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T11 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD27,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T11_TINV,
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_0_UPPER_T11_PULLUP : X_PU
    port map (
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_0_UPPER_T12_TINV_399 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T12_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T12 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T12_TINV,
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_0_UPPER_T12_PULLUP : X_PU
    port map (
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_0_UPPER_T13_TINV_400 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T13_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T13 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T13_TINV,
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_0_UPPER_T13_PULLUP : X_PU
    port map (
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_0_UPPER_T14_TINV_401 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T14_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T14 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T14_TINV,
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_0_UPPER_T14_PULLUP : X_PU
    port map (
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_0_UPPER_T15_TINV_402 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T15_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T15 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T15_TINV,
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_0_UPPER_T15_PULLUP : X_PU
    port map (
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_1_UPPER_T10_TINV_403 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T10_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T10 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_21,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T10_TINV,
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_1_UPPER_T10_PULLUP : X_PU
    port map (
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_1_UPPER_T11_TINV_404 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T11_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T11 : X_TRI
    port map (
      I => PCI_CORE_CSR_27_Q,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T11_TINV,
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_1_UPPER_T11_PULLUP : X_PU
    port map (
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_1_UPPER_T12_TINV_405 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T12_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T12 : X_TRI
    port map (
      I => PCI_CORE_CSR_28_Q,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T12_TINV,
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_1_UPPER_T12_PULLUP : X_PU
    port map (
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_1_UPPER_T13_TINV_406 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T13_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T13 : X_TRI
    port map (
      I => PCI_CORE_CSR_29_Q,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T13_TINV,
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_1_UPPER_T13_PULLUP : X_PU
    port map (
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_1_UPPER_T14_TINV_407 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T14_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T14 : X_TRI
    port map (
      I => PCI_CORE_CSR_30_Q,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T14_TINV,
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_1_UPPER_T14_PULLUP : X_PU
    port map (
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_1_UPPER_T15_TINV_408 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_UPPER_T15_TINV
    );
  PCI_CORE_PCI_LC_1_UPPER_T15 : X_TRI
    port map (
      I => PCI_CORE_CSR_31_Q,
      CTL => PCI_CORE_PCI_LC_1_UPPER_T15_TINV,
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_1_UPPER_T15_PULLUP : X_PU
    port map (
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_0_LOWER_T10_TINV_409 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T10_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T10 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD10,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T10_TINV,
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_0_LOWER_T10_PULLUP : X_PU
    port map (
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_0_LOWER_T11_TINV_410 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T11_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T11 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T11_TINV,
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_0_LOWER_T11_PULLUP : X_PU
    port map (
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_0_LOWER_T12_TINV_411 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T12_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T12 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD12,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T12_TINV,
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_0_LOWER_T12_PULLUP : X_PU
    port map (
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_0_LOWER_T13_TINV_412 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T13_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T13 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T13_TINV,
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_0_LOWER_T13_PULLUP : X_PU
    port map (
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_0_LOWER_T14_TINV_413 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T14_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T14 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T14_TINV,
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_0_LOWER_T14_PULLUP : X_PU
    port map (
      O => ADIO(14)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_4tri12_TINV_414 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_4tri12_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_4tri12 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_12,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_4tri12_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_4tri12_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  PCI_CORE_PCI_LC_0_LOWER_T15_TINV_415 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T15_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T15 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T15_TINV,
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_0_LOWER_T15_PULLUP : X_PU
    port map (
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_1_LOWER_T10_TINV_416 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T10_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T10 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_16,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T10_TINV,
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_1_LOWER_T10_PULLUP : X_PU
    port map (
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_1_LOWER_T11_TINV_417 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T11_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T11 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_53,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T11_TINV,
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_1_LOWER_T11_PULLUP : X_PU
    port map (
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_1_LOWER_T12_TINV_418 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T12_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T12 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_43,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T12_TINV,
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_1_LOWER_T12_PULLUP : X_PU
    port map (
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_1_LOWER_T13_TINV_419 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T13_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T13 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_20,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T13_TINV,
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_1_LOWER_T13_PULLUP : X_PU
    port map (
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_1_LOWER_T14_TINV_420 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T14_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T14 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_20,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T14_TINV,
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_1_LOWER_T14_PULLUP : X_PU
    port map (
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_1_LOWER_T15_TINV_421 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      O => PCI_CORE_PCI_LC_1_LOWER_T15_TINV
    );
  PCI_CORE_PCI_LC_1_LOWER_T15 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_12,
      CTL => PCI_CORE_PCI_LC_1_LOWER_T15_TINV,
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_1_LOWER_T15_PULLUP : X_PU
    port map (
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T10_TINV_422 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T10_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T10 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_13,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T10_TINV,
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T10_PULLUP : X_PU
    port map (
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T11_TINV_423 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T11_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T11 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_21,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T11_TINV,
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T11_PULLUP : X_PU
    port map (
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T12_TINV_424 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T12_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T12 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_30,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T12_TINV,
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T12_PULLUP : X_PU
    port map (
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T13_TINV_425 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T13_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T13 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_30,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T13_TINV,
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T13_PULLUP : X_PU
    port map (
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T14_TINV_426 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T14_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T14 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_32,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T14_TINV,
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T14_PULLUP : X_PU
    port map (
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_4_UPPER_T10_TINV_427 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T10_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T10 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T10_TINV,
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_4_UPPER_T10_PULLUP : X_PU
    port map (
      O => ADIO(26)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T15_TINV_428 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_UPPER_T15_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T15 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_66,
      CTL => PCI_CORE_PCI_LC_MASTER_3_UPPER_T15_TINV,
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_MASTER_3_UPPER_T15_PULLUP : X_PU
    port map (
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_4_UPPER_T11_TINV_429 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T11_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T11 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T11_TINV,
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_4_UPPER_T11_PULLUP : X_PU
    port map (
      O => ADIO(27)
    );
  PCI_CORE_PCI_LC_4_UPPER_T12_TINV_430 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T12_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T12 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T12_TINV,
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_4_UPPER_T12_PULLUP : X_PU
    port map (
      O => ADIO(28)
    );
  PCI_CORE_PCI_LC_4_UPPER_T13_TINV_431 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T13_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T13 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T13_TINV,
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_4_UPPER_T13_PULLUP : X_PU
    port map (
      O => ADIO(29)
    );
  PCI_CORE_PCI_LC_4_UPPER_T14_TINV_432 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T14_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T14 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T14_TINV,
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_4_UPPER_T14_PULLUP : X_PU
    port map (
      O => ADIO(30)
    );
  PCI_CORE_PCI_LC_4_UPPER_T15_TINV_433 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T15_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T15 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T15_TINV,
      O => ADIO(31)
    );
  PCI_CORE_PCI_LC_4_UPPER_T15_PULLUP : X_PU
    port map (
      O => ADIO(31)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_5tri12_TINV_434 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_5tri12_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_5tri12 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10340_12,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_5tri12_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_5tri12_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_0comp9tri9_TINV_435 : X_INV
    port map (
      I => userapp_inst_N_21,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_0comp9tri9_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_0comp9tri9 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_0comp9tri9_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien18_0comp9tri9_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(9)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T10_TINV_436 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T10_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T10 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH10,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T10_TINV,
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T10_PULLUP : X_PU
    port map (
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T11_TINV_437 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T11_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T11 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH11,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T11_TINV,
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T11_PULLUP : X_PU
    port map (
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T12_TINV_438 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T12_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T12 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH12,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T12_TINV,
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T12_PULLUP : X_PU
    port map (
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T13_TINV_439 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T13_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T13 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH13,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T13_TINV,
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T13_PULLUP : X_PU
    port map (
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T14_TINV_440 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T14_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T14 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH14,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T14_TINV,
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T14_PULLUP : X_PU
    port map (
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_4_LOWER_T10_TINV_441 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T10_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T10 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_72,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T10_TINV,
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_4_LOWER_T10_PULLUP : X_PU
    port map (
      O => ADIO(10)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T15_TINV_442 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      O => PCI_CORE_PCI_LC_MASTER_3_LOWER_T15_TINV
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T15 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH15,
      CTL => PCI_CORE_PCI_LC_MASTER_3_LOWER_T15_TINV,
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_MASTER_3_LOWER_T15_PULLUP : X_PU
    port map (
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_4_LOWER_T11_TINV_443 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T11_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T11 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_53,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T11_TINV,
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_4_LOWER_T11_PULLUP : X_PU
    port map (
      O => ADIO(11)
    );
  PCI_CORE_PCI_LC_4_LOWER_T12_TINV_444 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T12_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T12 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_62,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T12_TINV,
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_4_LOWER_T12_PULLUP : X_PU
    port map (
      O => ADIO(12)
    );
  PCI_CORE_PCI_LC_4_LOWER_T13_TINV_445 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T13_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T13 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_62,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T13_TINV,
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_4_LOWER_T13_PULLUP : X_PU
    port map (
      O => ADIO(13)
    );
  PCI_CORE_PCI_LC_4_LOWER_T14_TINV_446 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T14_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T14 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_46,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T14_TINV,
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_4_LOWER_T14_PULLUP : X_PU
    port map (
      O => ADIO(14)
    );
  PCI_CORE_PCI_LC_4_LOWER_T15_TINV_447 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T15_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T15 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_52,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T15_TINV,
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_4_LOWER_T15_PULLUP : X_PU
    port map (
      O => ADIO(15)
    );
  PCI_CORE_PCI_LC_0_UPPER_T0_TINV_448 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T0_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T0 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T0_TINV,
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_0_UPPER_T0_PULLUP : X_PU
    port map (
      O => ADIO(16)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_6tri12_TINV_449 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_6tri12_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_6tri12 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_12,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_6tri12_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_6tri12_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  PCI_CORE_PCI_LC_0_UPPER_T1_TINV_450 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T1_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T1 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T1_TINV,
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_0_UPPER_T1_PULLUP : X_PU
    port map (
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_0_UPPER_T2_TINV_451 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T2_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T2 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T2_TINV,
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_0_UPPER_T2_PULLUP : X_PU
    port map (
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_0_UPPER_T3_TINV_452 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T3_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T3 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T3_TINV,
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_0_UPPER_T3_PULLUP : X_PU
    port map (
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_0_UPPER_T4_TINV_453 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T4_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T4 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T4_TINV,
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_0_UPPER_T4_PULLUP : X_PU
    port map (
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_0_UPPER_T5_TINV_454 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T5_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T5 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T5_TINV,
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_0_UPPER_T5_PULLUP : X_PU
    port map (
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_0_UPPER_T6_TINV_455 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T6_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T6 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD22,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T6_TINV,
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_0_UPPER_T6_PULLUP : X_PU
    port map (
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_0_UPPER_T7_TINV_456 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T7_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T7 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T7_TINV,
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_0_UPPER_T7_PULLUP : X_PU
    port map (
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_0_UPPER_T8_TINV_457 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T8_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T8 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD24,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T8_TINV,
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_0_UPPER_T8_PULLUP : X_PU
    port map (
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_0_UPPER_T9_TINV_458 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_UPPER_T9_TINV
    );
  PCI_CORE_PCI_LC_0_UPPER_T9 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD25,
      CTL => PCI_CORE_PCI_LC_0_UPPER_T9_TINV,
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_0_UPPER_T9_PULLUP : X_PU
    port map (
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_0_LOWER_T0_TINV_459 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T0_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T0 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD0,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T0_TINV,
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_0_LOWER_T0_PULLUP : X_PU
    port map (
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_0_LOWER_T1_TINV_460 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T1_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T1 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD1,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T1_TINV,
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_0_LOWER_T1_PULLUP : X_PU
    port map (
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_0_LOWER_T2_TINV_461 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T2_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T2 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD2,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T2_TINV,
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_0_LOWER_T2_PULLUP : X_PU
    port map (
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_0_LOWER_T3_TINV_462 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T3_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T3 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T3_TINV,
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_0_LOWER_T3_PULLUP : X_PU
    port map (
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_0_LOWER_T4_TINV_463 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T4_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T4 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD4,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T4_TINV,
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_0_LOWER_T4_PULLUP : X_PU
    port map (
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_0_LOWER_T5_TINV_464 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T5_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T5 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T5_TINV,
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_0_LOWER_T5_PULLUP : X_PU
    port map (
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_0_LOWER_T6_TINV_465 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T6_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T6 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T6_TINV,
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_0_LOWER_T6_PULLUP : X_PU
    port map (
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_0_LOWER_T7_TINV_466 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T7_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T7 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD7,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T7_TINV,
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_0_LOWER_T7_PULLUP : X_PU
    port map (
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_0_LOWER_T8_TINV_467 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T8_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T8 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_MD8,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T8_TINV,
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_0_LOWER_T8_PULLUP : X_PU
    port map (
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_0_LOWER_T9_TINV_468 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM,
      O => PCI_CORE_PCI_LC_0_LOWER_T9_TINV
    );
  PCI_CORE_PCI_LC_0_LOWER_T9 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      CTL => PCI_CORE_PCI_LC_0_LOWER_T9_TINV,
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_0_LOWER_T9_PULLUP : X_PU
    port map (
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_4_UPPER_T0_TINV_469 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T0_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_23,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T0_TINV,
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_4_UPPER_T0_PULLUP : X_PU
    port map (
      O => ADIO(16)
    );
  PCI_CORE_PCI_LC_4_UPPER_T1_TINV_470 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T1_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T1 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_23,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T1_TINV,
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_4_UPPER_T1_PULLUP : X_PU
    port map (
      O => ADIO(17)
    );
  PCI_CORE_PCI_LC_4_UPPER_T2_TINV_471 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T2_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T2 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_71,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T2_TINV,
      O => ADIO(18)
    );
  PCI_CORE_PCI_LC_4_UPPER_T2_PULLUP : X_PU
    port map (
      O => ADIO(18)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_7tri12_TINV_472 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_7tri12_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_7tri12 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_12,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_7tri12_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en12_7tri12_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(12)
    );
  PCI_CORE_PCI_LC_4_UPPER_T3_TINV_473 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T3_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T3 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_38,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T3_TINV,
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_4_UPPER_T3_PULLUP : X_PU
    port map (
      O => ADIO(19)
    );
  PCI_CORE_PCI_LC_4_UPPER_T4_TINV_474 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T4_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T4 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T4_TINV,
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_4_UPPER_T4_PULLUP : X_PU
    port map (
      O => ADIO(20)
    );
  PCI_CORE_PCI_LC_4_UPPER_T5_TINV_475 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T5_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T5 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T5_TINV,
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_4_UPPER_T5_PULLUP : X_PU
    port map (
      O => ADIO(21)
    );
  PCI_CORE_PCI_LC_4_UPPER_T6_TINV_476 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T6_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T6 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T6_TINV,
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_4_UPPER_T6_PULLUP : X_PU
    port map (
      O => ADIO(22)
    );
  PCI_CORE_PCI_LC_4_UPPER_T7_TINV_477 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T7_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T7 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T7_TINV,
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_4_UPPER_T7_PULLUP : X_PU
    port map (
      O => ADIO(23)
    );
  PCI_CORE_PCI_LC_4_UPPER_T8_TINV_478 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T8_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T8 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T8_TINV,
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_4_UPPER_T8_PULLUP : X_PU
    port map (
      O => ADIO(24)
    );
  PCI_CORE_PCI_LC_4_UPPER_T9_TINV_479 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_UPPER_T9_TINV
    );
  PCI_CORE_PCI_LC_4_UPPER_T9 : X_TRI
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1,
      CTL => PCI_CORE_PCI_LC_4_UPPER_T9_TINV,
      O => ADIO(25)
    );
  PCI_CORE_PCI_LC_4_UPPER_T9_PULLUP : X_PU
    port map (
      O => ADIO(25)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_0comp11tri11_TINV_480 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_0comp11tri11_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_0comp11tri11 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_0comp11tri11_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_0comp11tri11_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  PCI_CORE_PCI_LC_4_LOWER_T0_TINV_481 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T0_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_36,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T0_TINV,
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_4_LOWER_T0_PULLUP : X_PU
    port map (
      O => ADIO(0)
    );
  PCI_CORE_PCI_LC_4_LOWER_T1_TINV_482 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T1_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T1 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_26,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T1_TINV,
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_4_LOWER_T1_PULLUP : X_PU
    port map (
      O => ADIO(1)
    );
  PCI_CORE_PCI_LC_4_LOWER_T2_TINV_483 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T2_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T2 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_70,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T2_TINV,
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_4_LOWER_T2_PULLUP : X_PU
    port map (
      O => ADIO(2)
    );
  PCI_CORE_PCI_LC_4_LOWER_T3_TINV_484 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T3_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T3 : X_TRI
    port map (
      I => GLOBAL_LOGIC1_4,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T3_TINV,
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_4_LOWER_T3_PULLUP : X_PU
    port map (
      O => ADIO(3)
    );
  PCI_CORE_PCI_LC_4_LOWER_T4_TINV_485 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T4_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T4 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_69,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T4_TINV,
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_4_LOWER_T4_PULLUP : X_PU
    port map (
      O => ADIO(4)
    );
  PCI_CORE_PCI_LC_4_LOWER_T5_TINV_486 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T5_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T5 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_64,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T5_TINV,
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_4_LOWER_T5_PULLUP : X_PU
    port map (
      O => ADIO(5)
    );
  PCI_CORE_PCI_LC_4_LOWER_T6_TINV_487 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T6_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T6 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_44,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T6_TINV,
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_4_LOWER_T6_PULLUP : X_PU
    port map (
      O => ADIO(6)
    );
  PCI_CORE_PCI_LC_4_LOWER_T7_TINV_488 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T7_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T7 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_17,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T7_TINV,
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_4_LOWER_T7_PULLUP : X_PU
    port map (
      O => ADIO(7)
    );
  PCI_CORE_PCI_LC_4_LOWER_T8_TINV_489 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T8_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T8 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_40,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T8_TINV,
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_4_LOWER_T8_PULLUP : X_PU
    port map (
      O => ADIO(8)
    );
  PCI_CORE_PCI_LC_4_LOWER_T9_TINV_490 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      O => PCI_CORE_PCI_LC_4_LOWER_T9_TINV
    );
  PCI_CORE_PCI_LC_4_LOWER_T9 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_33,
      CTL => PCI_CORE_PCI_LC_4_LOWER_T9_TINV,
      O => ADIO(9)
    );
  PCI_CORE_PCI_LC_4_LOWER_T9_PULLUP : X_PU
    port map (
      O => ADIO(9)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien0_3comp0tri0_TINV_491 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien0_3comp0tri0_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien0_3comp0tri0 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_0,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien0_3comp0tri0_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien0_3comp0tri0_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_4tri13_TINV_492 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_4tri13_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_4tri13 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_13,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_4tri13_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_4tri13_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_5tri13_TINV_493 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_5tri13_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_5tri13 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_13,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_5tri13_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en13_5tri13_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(13)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_3comp11tri11_TINV_494 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_3comp11tri11_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_3comp11tri11 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_3,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_3comp11tri11_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_3comp11tri11_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(11)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien2_3comp1tri1_TINV_495 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien2_3comp1tri1_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien2_3comp1tri1 : X_TRI
    port map (
      I => GLOBAL_LOGIC0_2,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien2_3comp1tri1_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien2_3comp1tri1_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(1)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_0tri0_TINV_496 : X_INV
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I,
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_0tri0_TINV
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_0tri0 : X_TRI
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_0,
      CTL => userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_0tri0_TINV,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_0tri0_PULLUP : X_PU
    port map (
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103(0)
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_G_497 : X_LUT4
    generic map(
      INIT => X"7B52"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_F_498 : X_LUT4
    generic map(
      INIT => X"53B5"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10334_5_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10334_5_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10334_5_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10334_5_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10334_5
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_3I1263 : X_LUT4
    generic map(
      INIT => X"75F5"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_NS,
      ADR1 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR2 => PCI_CORE_FRAME_I,
      ADR3 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NS_0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_3I1287 : X_LUT4
    generic map(
      INIT => X"444E"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR1 => PCI_CORE_FRAME_I,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_SUB_DATA,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NS_1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_3I1328 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NS_0,
      IB => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NS_1,
      SEL => PCI_CORE_IRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_TSTOP_I_F5MUX
    );
  PCI_CORE_PCI_LC_TSTOP_I_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_TSTOP_I_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_TSTOP_I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TSTOP_I_F5MUX,
      O => PCI_CORE_PCI_LC_NS_STOP_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_STOP : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_TSTOP_I_F5MUX,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_TSTOP_I_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_TSTOP_I_Q
    );
  PCI_CORE_PCI_LC_TSTOP_I_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TSTOP_I_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_TSTOP_I_FFX_SET
    );
  PCI_CORE_PCI_LC_TSTOP_I_FFX_ASYNC_FF_GSR_OR_499 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_TSTOP_I_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_TSTOP_I_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I2993 : X_LUT4
    generic map(
      INIT => X"01FF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IPWIN,
      ADR1 => PCI_CORE_PCI_LC_TPWIN,
      ADR2 => PCI_CORE_PCI_LC_ADDR_VLD1,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_PER,
      O => PCI_CORE_PCI_LC_PCI_PAR_NS_0
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I3018 : X_LUT4
    generic map(
      INIT => X"FF01"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TPWIN,
      ADR1 => PCI_CORE_PCI_LC_ADDR_VLD1,
      ADR2 => PCI_CORE_PCI_LC_IPWIN,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_PER,
      O => PCI_CORE_PCI_LC_PCI_PAR_NS_1
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I3027 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_PCI_PAR_NS_0,
      IB => PCI_CORE_PCI_LC_PCI_PAR_NS_1,
      SEL => PCI_CORE_PAR_I,
      O => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_F5MUX
    );
  PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_F5MUX,
      O => PCI_CORE_PCI_LC_NS_PERR_Q
    );
  PCI_CORE_PCI_LC_PCI_PAR_LC_PERR : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_F5MUX,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_Q
    );
  PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_SET
    );
  PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_ASYNC_FF_GSR_OR_500 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_FFX_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_G_501 : X_LUT4
    generic map(
      INIT => X"7DF3"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_F_502 : X_LUT4
    generic map(
      INIT => X"FA57"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10337_6_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10337_6_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10337_6_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10337_6_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10337_6
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_1I3368 : X_LUT4
    generic map(
      INIT => X"A2F3"
    )
    port map (
      ADR0 => COMPLETE,
      ADR1 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR2 => PCI_CORE_GNT_IN,
      ADR3 => PCI_CORE_PCI_LC_MASTER_FRAME_FEEDBACK,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_NS_S_0
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_1I3470 : X_LUT4
    generic map(
      INIT => X"001D"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_FRAME_KO_T_0,
      ADR1 => PCI_CORE_TRDY_I_FANOUT,
      ADR2 => PCI_CORE_PCI_LC_MASTER_FRAME_KO_T_1,
      ADR3 => PCI_CORE_PCI_LC_MASTER_FRAME_TURN_ON,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_NS_S_1
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_1I3419 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_MASTER_FRAME_NS_S_0,
      IB => PCI_CORE_PCI_LC_MASTER_FRAME_NS_S_1,
      SEL => PCI_CORE_STOP_I,
      O => PCI_CORE_PCI_LC_IFRAME_I_F5MUX
    );
  PCI_CORE_PCI_LC_IFRAME_I_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IFRAME_I_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_IFRAME_I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IFRAME_I_F5MUX,
      O => PCI_CORE_PCI_LC_NS_FRAME_Q
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_IFRAME_I_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_IFRAME_I_F5MUX,
      CE => PCI_CORE_PCI_LC_FRAME_CE,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IFRAME_I_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IFRAME_I_Q
    );
  PCI_CORE_PCI_LC_IFRAME_I_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IFRAME_I_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IFRAME_I_FFX_SET
    );
  PCI_CORE_PCI_LC_IFRAME_I_FFX_ASYNC_FF_GSR_OR_503 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IFRAME_I_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IFRAME_I_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_OUT_CE_1I977 : X_LUT4
    generic map(
      INIT => X"EEFE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_CE_MND,
      ADR1 => PCI_CORE_PCI_LC_OUT_CE_FANF,
      ADR2 => PCI_CORE_PCI_LC_OUT_CE_SND,
      ADR3 => PCI_CORE_IRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_OUT_CE_ZERO_ND_T0
    );
  PCI_CORE_PCI_LC_OUT_CE_1I971 : X_LUT4
    generic map(
      INIT => X"F5F0"
    )
    port map (
      ADR0 => PCI_CORE_IRDY_I_FANOUT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_OUT_CE_FANF,
      ADR3 => PCI_CORE_PCI_LC_OUT_CE_SND,
      O => PCI_CORE_PCI_LC_OUT_CE_ZERO_ND_T1
    );
  PCI_CORE_PCI_LC_OUT_CE_1I979 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_OUT_CE_ZERO_ND_T0,
      IB => PCI_CORE_PCI_LC_OUT_CE_ZERO_ND_T1,
      SEL => PCI_CORE_TRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_OUT_CE_NS_NEWDATA
    );
  PCI_CORE_PCI_LC_NEWDATA_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_NEWDATA_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OUT_CE_NDFF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_NS_NEWDATA,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_NEWDATA_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_NEWDATA
    );
  PCI_CORE_PCI_LC_NEWDATA_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NEWDATA_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_NEWDATA_FFX_RST
    );
  PCI_CORE_PCI_LC_NEWDATA_FFX_ASYNC_FF_GSR_OR_504 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_NEWDATA_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_NEWDATA_FFX_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_G_505 : X_LUT4
    generic map(
      INIT => X"FFA0"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_F_506 : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_8_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_8_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_8_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_8_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_8
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_G_507 : X_LUT4
    generic map(
      INIT => X"BEDB"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_F_508 : X_LUT4
    generic map(
      INIT => X"7BBF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_1_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_1_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_1_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_1_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_1
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_G_509 : X_LUT4
    generic map(
      INIT => X"FFEF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_F_510 : X_LUT4
    generic map(
      INIT => X"EFFD"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_2_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_2_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_2_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_2_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_2
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I3007 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_CBE_I2,
      ADR1 => PCI_CORE_CBE_I1,
      ADR2 => PCI_CORE_CBE_I3,
      ADR3 => PCI_CORE_CBE_I0,
      O => PCI_CORE_PCI_LC_PCI_PAR_PREP
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2985 : X_LUT4
    generic map(
      INIT => X"9669"
    )
    port map (
      ADR0 => PCI_CORE_CBE_I1,
      ADR1 => PCI_CORE_CBE_I3,
      ADR2 => PCI_CORE_CBE_I0,
      ADR3 => PCI_CORE_CBE_I2,
      O => PCI_CORE_PCI_LC_PCI_PAR_PREN
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I3006 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_PCI_PAR_PREP,
      IB => PCI_CORE_PCI_LC_PCI_PAR_PREN,
      SEL => PCI_CORE_PCI_LC_PCI_PAR_AD_PAR,
      O => PCI_CORE_PCI_LC_NS_PAR_F5MUX
    );
  PCI_CORE_PCI_LC_NS_PAR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NS_PAR_F5MUX,
      O => PCI_CORE_PCI_LC_NS_PAR
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_G_511 : X_LUT4
    generic map(
      INIT => X"BDFE"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_F_512 : X_LUT4
    generic map(
      INIT => X"D7EB"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_0_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_0_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_0_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_0_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_0
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_G_513 : X_LUT4
    generic map(
      INIT => X"A5FD"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_F_514 : X_LUT4
    generic map(
      INIT => X"86E7"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_5_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_5_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_5_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_5_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_5
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_G_515 : X_LUT4
    generic map(
      INIT => X"9DF6"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_F_516 : X_LUT4
    generic map(
      INIT => X"97ED"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10365_3_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_3_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_3_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_3_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10365_3
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_G_517 : X_LUT4
    generic map(
      INIT => X"1515"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_F_518 : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10370_13_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_13_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_13_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_13_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10370_13
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_G_519 : X_LUT4
    generic map(
      INIT => X"5514"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_F_520 : X_LUT4
    generic map(
      INIT => X"006F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10366_4_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10366_4_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10366_4_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10366_4_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10366_4
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_G_521 : X_LUT4
    generic map(
      INIT => X"9DDF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_F_522 : X_LUT4
    generic map(
      INIT => X"F75A"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10367_6_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10367_6_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10367_6_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10367_6_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10367_6
    );
  PCI_CORE_PCI_LC_OEADI_1I3954 : X_LUT4
    generic map(
      INIT => X"FFFD"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR1 => KEEPOUT,
      ADR2 => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ,
      ADR3 => CFG_SELF,
      O => PCI_CORE_PCI_LC_OEADI_OAI32_0
    );
  PCI_CORE_PCI_LC_OEADI_1I3984 : X_LUT4
    generic map(
      INIT => X"FFC5"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_WRDN_DUP,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_IDLE_DUP,
      ADR3 => PCI_CORE_PCI_LC_OEADI_MIDDLE,
      O => PCI_CORE_PCI_LC_OEADI_OAI32_1
    );
  PCI_CORE_PCI_LC_OEADI_1I3951 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_OEADI_OAI32_0,
      IB => PCI_CORE_PCI_LC_OEADI_OAI32_1,
      SEL => PCI_CORE_PCI_LC_I_IDLE_INT,
      O => PCI_CORE_PCI_LC_OE_ADI_F5MUX
    );
  PCI_CORE_PCI_LC_OE_ADI_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_ADI_F5MUX,
      O => PCI_CORE_PCI_LC_OE_ADI
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_G_523 : X_LUT4
    generic map(
      INIT => X"1515"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_F_524 : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_10_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_10_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_10_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_10_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_10
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_G_525 : X_LUT4
    generic map(
      INIT => X"1313"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_F_526 : X_LUT4
    generic map(
      INIT => X"05FF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_11_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_11_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_11_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_11_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_11
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_G_527 : X_LUT4
    generic map(
      INIT => X"003F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_F_528 : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10364_12_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_12_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_12_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_12_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10364_12
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_G_529 : X_LUT4
    generic map(
      INIT => X"BE7D"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_F_530 : X_LUT4
    generic map(
      INIT => X"6FFB"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_0_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_0_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_0_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_0_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_0
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_G_531 : X_LUT4
    generic map(
      INIT => X"7FB7"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_F_532 : X_LUT4
    generic map(
      INIT => X"FFB6"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_1_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_1_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_1_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_1_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_1
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_G_533 : X_LUT4
    generic map(
      INIT => X"EFFB"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_F_534 : X_LUT4
    generic map(
      INIT => X"FFBF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_2_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_2_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_2_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_2_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_2
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_G_535 : X_LUT4
    generic map(
      INIT => X"B76D"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_F_536 : X_LUT4
    generic map(
      INIT => X"3FE3"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_3_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_3_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_3_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_3_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_3
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_G_537 : X_LUT4
    generic map(
      INIT => X"1323"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_F_538 : X_LUT4
    generic map(
      INIT => X"00EF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_4_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_4_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_4_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_4_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_4
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_G_539 : X_LUT4
    generic map(
      INIT => X"11FF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_F_540 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_10_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_10_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_10_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_10_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_10
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_G_541 : X_LUT4
    generic map(
      INIT => X"C771"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_F_542 : X_LUT4
    generic map(
      INIT => X"3F47"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_5_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_5_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_5_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_5_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_5
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_G_543 : X_LUT4
    generic map(
      INIT => X"0F3F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_F_544 : X_LUT4
    generic map(
      INIT => X"3FF0"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_11_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_11_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_11_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_11_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_11
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_G_545 : X_LUT4
    generic map(
      INIT => X"DF3C"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_F_546 : X_LUT4
    generic map(
      INIT => X"57AB"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_6_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_6_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_6_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_6_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_6
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_G_547 : X_LUT4
    generic map(
      INIT => X"0F5F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_F_548 : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_12_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_12_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_12_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_12_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_12
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_G_549 : X_LUT4
    generic map(
      INIT => X"5757"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_F_550 : X_LUT4
    generic map(
      INIT => X"FAFA"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_7_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_7_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_7_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_7_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_7
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_G_551 : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_F_552 : X_LUT4
    generic map(
      INIT => X"FCFC"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_13_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_13_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_13_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_13_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_13
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_G_553 : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_F_554 : X_LUT4
    generic map(
      INIT => X"A00F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_1030_9_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_9_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_9_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_9_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_1030_9
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_6I3737 : X_LUT4
    generic map(
      INIT => X"8A0A"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_0,
      ADR1 => PCI_CORE_STOP_I,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_TRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_0
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_6I3740 : X_LUT4
    generic map(
      INIT => X"2303"
    )
    port map (
      ADR0 => PCI_CORE_TRDY_I_FANOUT,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_1,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_STOP_I,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_1
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_6I3741 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_0,
      IB => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_1,
      SEL => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_RST
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_ASYNC_FF_GSR_OR_555 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_8I3971 : X_LUT4
    generic map(
      INIT => X"2AFF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => PCI_CORE_TRDY_I_FANOUT,
      ADR2 => PCI_CORE_STOP_I,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_0,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF_0
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_8I3970 : X_LUT4
    generic map(
      INIT => X"CEEE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_1,
      ADR2 => PCI_CORE_TRDY_I_FANOUT,
      ADR3 => PCI_CORE_STOP_I,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF_1
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_8I3969 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF_0,
      IB => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF_1,
      SEL => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_F5MUX
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_F5MUX,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OEF
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_556 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_F5MUX,
      CE => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_SET
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_ASYNC_FF_GSR_OR_557 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_3I795 : X_LUT4
    generic map(
      INIT => X"0407"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0_I1,
      ADR1 => PCI_CORE_IRDY_I_FANOUT,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_HIT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0_I0,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1I801 : X_LUT4
    generic map(
      INIT => X"5557"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_LATE_GATE,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_F1A,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_HIT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_3I781 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0,
      IB => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F1,
      SEL => PCI_CORE_FRAME_I,
      O => PCI_CORE_PCI_LC_TDEVSEL_I_F5MUX
    );
  PCI_CORE_PCI_LC_TDEVSEL_I_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_TDEVSEL_I_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_TDEVSEL_I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TDEVSEL_I_F5MUX,
      O => PCI_CORE_PCI_LC_NS_DEVSEL_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DEVSEL : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_TDEVSEL_I_F5MUX,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_TDEVSEL_I_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_TDEVSEL_I_Q
    );
  PCI_CORE_PCI_LC_TDEVSEL_I_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TDEVSEL_I_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_TDEVSEL_I_FFX_SET
    );
  PCI_CORE_PCI_LC_TDEVSEL_I_FFX_ASYNC_FF_GSR_OR_558 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_TDEVSEL_I_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_TDEVSEL_I_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2699 : X_LUT4
    generic map(
      INIT => X"ECCC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_A0,
      ADR2 => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_B0,
      ADR3 => PCI_CORE_PCI_LC_FRAME_Q,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_0
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2744 : X_LUT4
    generic map(
      INIT => X"EAAA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_A1,
      ADR1 => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_B1,
      ADR2 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR3 => PCI_CORE_PCI_LC_FRAME_Q,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_1
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2498 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_0,
      IB => PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_1,
      SEL => PCI_CORE_GNT_IN,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_DR_BUS
    );
  PCI_CORE_PCI_LC_DR_BUS_INT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_DR_BUS_INT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_DR_BUS_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DR_BUS_NS_DR_BUS,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_DR_BUS_INT_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_DR_BUS_INT
    );
  PCI_CORE_PCI_LC_DR_BUS_INT_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_DR_BUS_INT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_DR_BUS_INT_FFX_RST
    );
  PCI_CORE_PCI_LC_DR_BUS_INT_FFX_ASYNC_FF_GSR_OR_559 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_DR_BUS_INT_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_DR_BUS_INT_FFX_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_G_560 : X_LUT4
    generic map(
      INIT => X"00FF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_F_561 : X_LUT4
    generic map(
      INIT => X"FFFA"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_10_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_10_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_10_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_10_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_10
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_G_562 : X_LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_F_563 : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10340_12_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10340_12_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10340_12_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10340_12_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10340_12
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_3I821 : X_LUT4
    generic map(
      INIT => X"8CCD"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0,
      ADR2 => PCI_CORE_IRDY_I_FANOUT,
      ADR3 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_3I616 : X_LUT4
    generic map(
      INIT => X"FF33"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN2
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_3I928 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN1,
      IB => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN2,
      SEL => PCI_CORE_FRAME_I,
      O => PCI_CORE_PCI_LC_TTRDY_I_F5MUX
    );
  PCI_CORE_PCI_LC_TTRDY_I_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_TTRDY_I_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_TTRDY_I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TTRDY_I_F5MUX,
      O => PCI_CORE_PCI_LC_NS_TRDY_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_TRDY : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_TTRDY_I_F5MUX,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_TTRDY_I_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_TTRDY_I_Q
    );
  PCI_CORE_PCI_LC_TTRDY_I_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TTRDY_I_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_TTRDY_I_FFX_SET
    );
  PCI_CORE_PCI_LC_TTRDY_I_FFX_ASYNC_FF_GSR_OR_564 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_TTRDY_I_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_TTRDY_I_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_4I1029 : X_LUT4
    generic map(
      INIT => X"FFD8"
    )
    port map (
      ADR0 => PCI_CORE_IRDY_I_FANOUT,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SF0_I1,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SF0_I0,
      ADR3 => PCI_CORE_PCI_LC_IDLE_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRST0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_4I1004 : X_LUT4
    generic map(
      INIT => X"FFB0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0,
      ADR1 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR2 => PCI_CORE_PCI_LC_S_FIRST,
      ADR3 => PCI_CORE_PCI_LC_IDLE_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRST1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_4I962 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRST0,
      IB => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRST1,
      SEL => PCI_CORE_FRAME_I,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRSTIN
    );
  PCI_CORE_PCI_LC_S_FIRST_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_S_FIRST_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S1FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_FIRSTIN,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_S_FIRST_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_S_FIRST
    );
  PCI_CORE_PCI_LC_S_FIRST_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_S_FIRST_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_S_FIRST_FFX_SET
    );
  PCI_CORE_PCI_LC_S_FIRST_FFX_ASYNC_FF_GSR_OR_565 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_S_FIRST_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_S_FIRST_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_OUT_CE_2I1011 : X_LUT4
    generic map(
      INIT => X"DDDF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_CE_S_OK_N,
      ADR1 => PCI_CORE_PCI_LC_OUT_CE_FFA,
      ADR2 => PCI_CORE_TRDY_I_FANOUT,
      ADR3 => PCI_CORE_PCI_LC_OUT_CE_M_OK_N,
      O => PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE0
    );
  PCI_CORE_PCI_LC_OUT_CE_2I1016 : X_LUT4
    generic map(
      INIT => X"FF04"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => PCI_CORE_TRDY_I_FANOUT,
      ADR3 => PCI_CORE_PCI_LC_OUT_CE_FFA,
      O => PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE1
    );
  PCI_CORE_PCI_LC_OUT_CE_2I1008 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE0,
      IB => PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE1,
      SEL => PCI_CORE_IRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE
    );
  PCI_CORE_PCI_LC_PAR_CE_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PAR_CE_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OUT_CE_PAR_CE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_NS_PAR_CE,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PAR_CE_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PAR_CE
    );
  PCI_CORE_PCI_LC_PAR_CE_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PAR_CE_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PAR_CE_FFX_RST
    );
  PCI_CORE_PCI_LC_PAR_CE_FFX_ASYNC_FF_GSR_OR_566 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PAR_CE_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PAR_CE_FFX_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_G_567 : X_LUT4
    generic map(
      INIT => X"FED7"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_F_568 : X_LUT4
    generic map(
      INIT => X"ED7F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_0_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_0_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_0_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_0_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_0
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_G_569 : X_LUT4
    generic map(
      INIT => X"BD7B"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_F_570 : X_LUT4
    generic map(
      INIT => X"DFFB"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_1_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_1_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_1_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_1_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_1
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_G_571 : X_LUT4
    generic map(
      INIT => X"79E7"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_F_572 : X_LUT4
    generic map(
      INIT => X"B9DF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_3_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_3_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_3_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_3_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_3
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_G_573 : X_LUT4
    generic map(
      INIT => X"0E07"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_F_574 : X_LUT4
    generic map(
      INIT => X"2333"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_4_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_4_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_4_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_4_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_4
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_G_575 : X_LUT4
    generic map(
      INIT => X"FBFE"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_F_576 : X_LUT4
    generic map(
      INIT => X"BFEF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10333_2_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10333_2_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10333_2_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10333_2_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10333_2
    );
  PCI_CORE_PCI_LC_MASTER_XFERFAIL_1I3012 : X_LUT4
    generic map(
      INIT => X"F444"
    )
    port map (
      ADR0 => PCI_CORE_DEVSEL_I,
      ADR1 => PCI_CORE_PCI_LC_MASTER_XFERFAIL_EQN_X,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_0
    );
  PCI_CORE_PCI_LC_MASTER_XFERFAIL_1I2987 : X_LUT4
    generic map(
      INIT => X"A0A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_1
    );
  PCI_CORE_PCI_LC_MASTER_XFERFAIL_1I2980 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_0,
      IB => PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_1,
      SEL => PCI_CORE_TRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_FAIL64
    );
  PCI_CORE_PCI_LC_FAIL64_INT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL64_INT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_XFERFAIL_FAIL_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_XFERFAIL_NS_FAIL64,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL64_INT_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL64_INT
    );
  PCI_CORE_PCI_LC_FAIL64_INT_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL64_INT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL64_INT_FFX_RST
    );
  PCI_CORE_PCI_LC_FAIL64_INT_FFX_ASYNC_FF_GSR_OR_577 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL64_INT_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL64_INT_FFX_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_G_578 : X_LUT4
    generic map(
      INIT => X"3333"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_F_579 : X_LUT4
    generic map(
      INIT => X"FFFA"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_7_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_7_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_7_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_7_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_7
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_G_580 : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_G
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_F_581 : X_LUT4
    generic map(
      INIT => X"0011"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_F
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_F5 : X_MUX2
    port map (
      IA => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_G,
      IB => userapp_inst_foo_bar0_digitrom_disprom_romdata_10332_8_F,
      SEL => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_8_F5MUX
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_8_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_8_F5MUX,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10332_8
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_1I2986 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ZERO,
      IB => PCI_CORE_PCI_LC_BAR0_BR_23_16_1N2992,
      SEL => PCI_CORE_PCI_LC_BAR0_BR_23_16_EQ76,
      O => PCI_CORE_PCI_LC_BAR0_1N3369_CYMUXG
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_A3 : X_LUT4
    generic map(
      INIT => X"8241"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6,
      ADR1 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7,
      ADR2 => PCI_CORE_AD23,
      ADR3 => PCI_CORE_AD22,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_EQ76
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_A2 : X_LUT4
    generic map(
      INIT => X"8241"
    )
    port map (
      ADR0 => PCI_CORE_AD21,
      ADR1 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4,
      ADR2 => PCI_CORE_AD20,
      ADR3 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_EQ54
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_1I2985 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ZERO,
      IB => PCI_CORE_PCI_LC_BAR0_1N3369_CYINIT,
      SEL => PCI_CORE_PCI_LC_BAR0_BR_23_16_EQ54,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_1N2992
    );
  PCI_CORE_PCI_LC_BAR0_1N3369_CYINIT_582 : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ONE,
      O => PCI_CORE_PCI_LC_BAR0_1N3369_CYINIT
    );
  PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ZERO_583 : X_ZERO
    port map (
      O => PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ZERO
    );
  PCI_CORE_PCI_LC_BAR0_1N3369_COUTUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_1N3369_CYMUXG,
      O => PCI_CORE_PCI_LC_BAR0_1N3369
    );
  PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ONE_584 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_BAR0_1N3369_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_1I3093 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_LOGIC_ZERO,
      IB => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N3099,
      SEL => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ32,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_CYMUXG
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_A1 : X_LUT4
    generic map(
      INIT => X"9009"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3,
      ADR1 => PCI_CORE_AD27,
      ADR2 => PCI_CORE_AD26,
      ADR3 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ32
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_A0 : X_LUT4
    generic map(
      INIT => X"9009"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0,
      ADR1 => PCI_CORE_AD24,
      ADR2 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1,
      ADR3 => PCI_CORE_AD25,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ10
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_1I3094 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_LOGIC_ZERO,
      IB => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_CYINIT,
      SEL => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ10,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N3099
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_CYINIT_585 : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_1N3369,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_CYINIT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_LOGIC_ZERO_586 : X_ZERO
    port map (
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_LOGIC_ZERO
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_COUTUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993_CYMUXG,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_1I2986 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_BAR0_1N3380_LOGIC_ZERO,
      IB => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2992,
      SEL => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ76,
      O => PCI_CORE_PCI_LC_BAR0_1N3380_CYMUXG
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_A3 : X_LUT4
    generic map(
      INIT => X"9009"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7,
      ADR1 => PCI_CORE_AD31,
      ADR2 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6,
      ADR3 => PCI_CORE_AD30,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ76
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_A2 : X_LUT4
    generic map(
      INIT => X"9009"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4,
      ADR1 => PCI_CORE_AD28,
      ADR2 => PCI_CORE_AD29,
      ADR3 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ54
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_1I2985 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_BAR0_1N3380_LOGIC_ZERO,
      IB => PCI_CORE_PCI_LC_BAR0_1N3380_CYINIT,
      SEL => PCI_CORE_PCI_LC_BAR0_BR_31_24_EQ54,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2992
    );
  PCI_CORE_PCI_LC_BAR0_1N3380_CYINIT_587 : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_1N2993,
      O => PCI_CORE_PCI_LC_BAR0_1N3380_CYINIT
    );
  PCI_CORE_PCI_LC_BAR0_1N3380_LOGIC_ZERO_588 : X_ZERO
    port map (
      O => PCI_CORE_PCI_LC_BAR0_1N3380_LOGIC_ZERO
    );
  PCI_CORE_PCI_LC_BAR0_1N3380_COUTUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_1N3380_CYMUXG,
      O => PCI_CORE_PCI_LC_BAR0_1N3380
    );
  userapp_inst_foo_bar0_un1_romaddr_s_2 : X_XOR2
    port map (
      I0 => userapp_inst_foo_bar0_un1_romaddr_cry_1_0_O,
      I1 => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_2,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR(2)
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_2_0 : X_MUX2
    port map (
      IA => userapp_inst_FOO_BAR0_N_15,
      IB => userapp_inst_foo_bar0_un1_romaddr_cry_1_0_O,
      SEL => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_2,
      O => userapp_inst_FOO_BAR0_ROMADDR_1_CYMUXG
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_2 : X_AND2
    port map (
      I0 => userapp_inst_FOO_BAR0_N_70_I,
      I1 => userapp_inst_FOO_BAR0_BAR_WE,
      O => userapp_inst_FOO_BAR0_N_15
    );
  userapp_inst_foo_bar0_un1_romaddr_axb_2_589 : X_LUT4
    generic map(
      INIT => X"7788"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR1 => userapp_inst_FOO_BAR0_N_70_I,
      ADR2 => VCC,
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_2
    );
  userapp_inst_foo_bar0_un1_romaddr_axb_1_590 : X_LUT4
    generic map(
      INIT => X"7878"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR1 => userapp_inst_FOO_BAR0_N_70_I,
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_1
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_1 : X_AND2
    port map (
      I0 => userapp_inst_FOO_BAR0_N_70_I,
      I1 => userapp_inst_FOO_BAR0_BAR_WE,
      O => userapp_inst_FOO_BAR0_N_11
    );
  userapp_inst_foo_bar0_un1_romaddr_s_1 : X_XOR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_1_CYINIT,
      I1 => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_1,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR(1)
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_1_0 : X_MUX2
    port map (
      IA => userapp_inst_FOO_BAR0_N_11,
      IB => userapp_inst_FOO_BAR0_ROMADDR_1_CYINIT,
      SEL => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_1,
      O => userapp_inst_foo_bar0_un1_romaddr_cry_1_0_O
    );
  userapp_inst_FOO_BAR0_ROMADDR_1_CYINIT_591 : X_BUF
    port map (
      I => userapp_inst_foo_bar0_un1_romaddr_cry_0_O,
      O => userapp_inst_FOO_BAR0_ROMADDR_1_CYINIT
    );
  userapp_inst_FOO_BAR0_ROMADDR_1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_ROMADDR_1_SRMUX_OUTPUTNOT
    );
  userapp_inst_FOO_BAR0_ROMADDR_1_COUTUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_1_CYMUXG,
      O => userapp_inst_foo_bar0_un1_romaddr_cry_2_0_O
    );
  userapp_inst_foo_bar0_romaddr_2_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_UN1_ROMADDR(2),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_ROMADDR_1_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_ROMADDR(2)
    );
  userapp_inst_FOO_BAR0_ROMADDR_1_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_1_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_ROMADDR_1_FFY_RST
    );
  userapp_inst_FOO_BAR0_ROMADDR_1_FFY_ASYNC_FF_GSR_OR_592 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_1_FFY_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_ROMADDR_1_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_romaddr_1_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_UN1_ROMADDR(1),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_ROMADDR_1_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_ROMADDR(1)
    );
  userapp_inst_FOO_BAR0_ROMADDR_1_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_1_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_ROMADDR_1_FFX_RST
    );
  userapp_inst_FOO_BAR0_ROMADDR_1_FFX_ASYNC_FF_GSR_OR_593 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_1_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_ROMADDR_1_FFX_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_un1_romaddr_s_4 : X_XOR2
    port map (
      I0 => userapp_inst_foo_bar0_un1_romaddr_cry_3_0_O,
      I1 => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_4,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR(4)
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_4_0 : X_MUX2
    port map (
      IA => userapp_inst_FOO_BAR0_N_23,
      IB => userapp_inst_foo_bar0_un1_romaddr_cry_3_0_O,
      SEL => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_4,
      O => userapp_inst_FOO_BAR0_ROMADDR_3_CYMUXG
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_4 : X_AND2
    port map (
      I0 => userapp_inst_FOO_BAR0_N_70_I,
      I1 => userapp_inst_FOO_BAR0_BAR_WE,
      O => userapp_inst_FOO_BAR0_N_23
    );
  userapp_inst_foo_bar0_un1_romaddr_axb_4_594 : X_LUT4
    generic map(
      INIT => X"7878"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR1 => userapp_inst_FOO_BAR0_N_70_I,
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(4),
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_4
    );
  userapp_inst_foo_bar0_un1_romaddr_axb_3_595 : X_LUT4
    generic map(
      INIT => X"7878"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR1 => userapp_inst_FOO_BAR0_N_70_I,
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_3
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_3 : X_AND2
    port map (
      I0 => userapp_inst_FOO_BAR0_N_70_I,
      I1 => userapp_inst_FOO_BAR0_BAR_WE,
      O => userapp_inst_FOO_BAR0_N_19
    );
  userapp_inst_foo_bar0_un1_romaddr_s_3 : X_XOR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_3_CYINIT,
      I1 => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_3,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR(3)
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_3_0 : X_MUX2
    port map (
      IA => userapp_inst_FOO_BAR0_N_19,
      IB => userapp_inst_FOO_BAR0_ROMADDR_3_CYINIT,
      SEL => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_3,
      O => userapp_inst_foo_bar0_un1_romaddr_cry_3_0_O
    );
  userapp_inst_FOO_BAR0_ROMADDR_3_CYINIT_596 : X_BUF
    port map (
      I => userapp_inst_foo_bar0_un1_romaddr_cry_2_0_O,
      O => userapp_inst_FOO_BAR0_ROMADDR_3_CYINIT
    );
  userapp_inst_FOO_BAR0_ROMADDR_3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_ROMADDR_3_SRMUX_OUTPUTNOT
    );
  userapp_inst_FOO_BAR0_ROMADDR_3_COUTUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_3_CYMUXG,
      O => userapp_inst_foo_bar0_un1_romaddr_cry_4_0_O
    );
  userapp_inst_foo_bar0_romaddr_4_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_UN1_ROMADDR(4),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_ROMADDR_3_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_ROMADDR(4)
    );
  userapp_inst_FOO_BAR0_ROMADDR_3_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_3_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_ROMADDR_3_FFY_RST
    );
  userapp_inst_FOO_BAR0_ROMADDR_3_FFY_ASYNC_FF_GSR_OR_597 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_3_FFY_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_ROMADDR_3_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_romaddr_3_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_UN1_ROMADDR(3),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_ROMADDR_3_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_ROMADDR(3)
    );
  userapp_inst_FOO_BAR0_ROMADDR_3_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_3_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_ROMADDR_3_FFX_RST
    );
  userapp_inst_FOO_BAR0_ROMADDR_3_FFX_ASYNC_FF_GSR_OR_598 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_3_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_ROMADDR_3_FFX_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_un1_romaddr_s_6 : X_XOR2
    port map (
      I0 => userapp_inst_foo_bar0_un1_romaddr_cry_5_0_O,
      I1 => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_6,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR(6)
    );
  userapp_inst_foo_bar0_un1_romaddr_axb_6_599 : X_LUT4
    generic map(
      INIT => X"6A6A"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(6),
      ADR1 => userapp_inst_FOO_BAR0_N_70_I,
      ADR2 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_6
    );
  userapp_inst_foo_bar0_un1_romaddr_axb_5_600 : X_LUT4
    generic map(
      INIT => X"7788"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR1 => userapp_inst_FOO_BAR0_N_70_I,
      ADR2 => VCC,
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(5),
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_5
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_5 : X_AND2
    port map (
      I0 => userapp_inst_FOO_BAR0_N_70_I,
      I1 => userapp_inst_FOO_BAR0_BAR_WE,
      O => userapp_inst_FOO_BAR0_N_27
    );
  userapp_inst_foo_bar0_un1_romaddr_s_5 : X_XOR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_5_CYINIT,
      I1 => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_5,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR(5)
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_5_0 : X_MUX2
    port map (
      IA => userapp_inst_FOO_BAR0_N_27,
      IB => userapp_inst_FOO_BAR0_ROMADDR_5_CYINIT,
      SEL => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_5,
      O => userapp_inst_foo_bar0_un1_romaddr_cry_5_0_O
    );
  userapp_inst_FOO_BAR0_ROMADDR_5_CYINIT_601 : X_BUF
    port map (
      I => userapp_inst_foo_bar0_un1_romaddr_cry_4_0_O,
      O => userapp_inst_FOO_BAR0_ROMADDR_5_CYINIT
    );
  userapp_inst_FOO_BAR0_ROMADDR_5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_ROMADDR_5_SRMUX_OUTPUTNOT
    );
  userapp_inst_foo_bar0_romaddr_6_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_UN1_ROMADDR(6),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_ROMADDR_5_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_ROMADDR(6)
    );
  userapp_inst_FOO_BAR0_ROMADDR_5_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_5_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_ROMADDR_5_FFY_RST
    );
  userapp_inst_FOO_BAR0_ROMADDR_5_FFY_ASYNC_FF_GSR_OR_602 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_5_FFY_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_ROMADDR_5_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_romaddr_5_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_UN1_ROMADDR(5),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_ROMADDR_5_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_ROMADDR(5)
    );
  userapp_inst_FOO_BAR0_ROMADDR_5_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_5_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_ROMADDR_5_FFX_RST
    );
  userapp_inst_FOO_BAR0_ROMADDR_5_FFX_ASYNC_FF_GSR_OR_603 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_5_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_ROMADDR_5_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_M_DATA_1I2518 : X_LUT4
    generic map(
      INIT => X"08FF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_STOP_Q,
      ADR1 => PCI_CORE_PCI_LC_TRDY_Q,
      ADR2 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      ADR3 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      O => PCI_CORE_M_DATA_GROM
    );
  PCI_CORE_PCI_LC_MASTER_M_DATA_1I2498 : X_LUT4
    generic map(
      INIT => X"F222"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR1 => PCI_CORE_GNT_IN,
      ADR2 => PCI_CORE_PCI_LC_MASTER_M_DATA_EQN_A,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_M_DATA_FROM
    );
  PCI_CORE_M_DATA_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_M_DATA_SRMUX_OUTPUTNOT
    );
  PCI_CORE_M_DATA_YUSED : X_BUF
    port map (
      I => PCI_CORE_M_DATA_GROM,
      O => PCI_CORE_PCI_LC_MASTER_M_DATA_EQN_A
    );
  PCI_CORE_M_DATA_XUSED : X_BUF
    port map (
      I => PCI_CORE_M_DATA_FROM,
      O => PCI_CORE_PCI_LC_MASTER_M_DATA_NS_MDATA
    );
  PCI_CORE_PCI_LC_MASTER_M_DATA_M_DATA : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_M_DATA_NS_MDATA,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_M_DATA_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_M_DATA_INT
    );
  PCI_CORE_M_DATA_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_M_DATA_SRMUX_OUTPUTNOT,
      O => PCI_CORE_M_DATA_FFY_RST
    );
  PCI_CORE_M_DATA_FFY_ASYNC_FF_GSR_OR_604 : X_OR2
    port map (
      I0 => PCI_CORE_M_DATA_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_M_DATA_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_M_DATA_M_DATA1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_M_DATA_FROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_M_DATA_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_M_DATA
    );
  PCI_CORE_M_DATA_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_M_DATA_SRMUX_OUTPUTNOT,
      O => PCI_CORE_M_DATA_FFX_RST
    );
  PCI_CORE_M_DATA_FFX_ASYNC_FF_GSR_OR_605 : X_OR2
    port map (
      I0 => PCI_CORE_M_DATA_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_M_DATA_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_1I3437 : X_LUT4
    generic map(
      INIT => X"8800"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_MATCH,
      ADR1 => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_ADDR_VLD1,
      O => PCI_CORE_PCI_LC_NS_BASE_HIT0
    );
  PCI_CORE_PCI_LC_ADDR_VLD_1I3894 : X_LUT4
    generic map(
      INIT => X"0B00"
    )
    port map (
      ADR0 => CFG_SELF,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_Q,
      O => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FROM,
      O => PCI_CORE_PCI_LC_ADDR_VLD1
    );
  PCI_CORE_PCI_LC_BAR0_EQ32 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_NS_BASE_HIT0,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_ASYNC_FF_GSR_OR,
      O => BASE_HIT(0)
    );
  PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_ASYNC_FF_GSR_OR_606 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I2944 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ
    );
  PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_ASYNC_FF_GSR_OR_607 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO16_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH48,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO16,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2942_1I8 : X_LUT4
    generic map(
      INIT => X"F0CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => ADIO(16),
      ADR2 => PCI_CORE_PCI_LC_SHADOW16,
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ16_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ16_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_GROM,
      O => PCI_CORE_PCI_LC_ADOUT16
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ16_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO16
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ16
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_ASYNC_FF_GSR_OR_608 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ16_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO17_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH49,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO17,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2941_1I8 : X_LUT4
    generic map(
      INIT => X"EE44"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => ADIO(17),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_SHADOW17,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ17_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ17_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_GROM,
      O => PCI_CORE_PCI_LC_ADOUT17
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ17_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO17
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ17
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_ASYNC_FF_GSR_OR_609 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ17_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO18_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH50,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO18,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2940_1I8 : X_LUT4
    generic map(
      INIT => X"AAF0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW18,
      ADR1 => VCC,
      ADR2 => ADIO(18),
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ18_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ18_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_GROM,
      O => PCI_CORE_PCI_LC_ADOUT18
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ18_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO18
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ18
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_ASYNC_FF_GSR_OR_610 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ18_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO19_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH51,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO19,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2939_1I8 : X_LUT4
    generic map(
      INIT => X"FA0A"
    )
    port map (
      ADR0 => ADIO(19),
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_SHADOW19,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ19_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ19_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_GROM,
      O => PCI_CORE_PCI_LC_ADOUT19
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ19_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO19
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ19
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_ASYNC_FF_GSR_OR_611 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ19_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO20_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH52,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO20,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2938_1I8 : X_LUT4
    generic map(
      INIT => X"AACC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW20,
      ADR1 => ADIO(20),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ20_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ20_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_GROM,
      O => PCI_CORE_PCI_LC_ADOUT20
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ20_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO20
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ20
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_ASYNC_FF_GSR_OR_612 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ20_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO21_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH53,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO21,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2937_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => PCI_CORE_PCI_LC_SHADOW21,
      ADR2 => VCC,
      ADR3 => ADIO(21),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ21_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ21_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_GROM,
      O => PCI_CORE_PCI_LC_ADOUT21
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ21_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO21
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ21
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_ASYNC_FF_GSR_OR_613 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ21_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO22_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH54,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO22,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2936_1I8 : X_LUT4
    generic map(
      INIT => X"D8D8"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => PCI_CORE_PCI_LC_SHADOW22,
      ADR2 => ADIO(22),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ22_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ22_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_GROM,
      O => PCI_CORE_PCI_LC_ADOUT22
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ22_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO22
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ22
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_ASYNC_FF_GSR_OR_614 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ22_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO23_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH55,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO23,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2935_1I8 : X_LUT4
    generic map(
      INIT => X"E4E4"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => ADIO(23),
      ADR2 => PCI_CORE_PCI_LC_SHADOW23,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ23_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ23_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_GROM,
      O => PCI_CORE_PCI_LC_ADOUT23
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ23_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO23
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ23
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_ASYNC_FF_GSR_OR_615 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ23_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO24_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH56,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO24,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2934_1I8 : X_LUT4
    generic map(
      INIT => X"AACC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW24,
      ADR1 => ADIO(24),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ24_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ24_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_GROM,
      O => PCI_CORE_PCI_LC_ADOUT24
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ24_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO24
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ24
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_ASYNC_FF_GSR_OR_616 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ24_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO25_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH57,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO25,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2933_1I8 : X_LUT4
    generic map(
      INIT => X"EE22"
    )
    port map (
      ADR0 => ADIO(25),
      ADR1 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_SHADOW25,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ25_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ25_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_GROM,
      O => PCI_CORE_PCI_LC_ADOUT25
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ25_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO25
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q9 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ25
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_ASYNC_FF_GSR_OR_617 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ25_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO0_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"AFA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH32,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO0,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2958_1I8 : X_LUT4
    generic map(
      INIT => X"FC0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => ADIO(0),
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_SHADOW0,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_GROM,
      O => PCI_CORE_PCI_LC_ADOUT0
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO0
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ0
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_ASYNC_FF_GSR_OR_618 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ0_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO1_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH33,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO1,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2957_1I8 : X_LUT4
    generic map(
      INIT => X"FC0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => ADIO(1),
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_SHADOW1,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ1_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_GROM,
      O => PCI_CORE_PCI_LC_ADOUT1
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ1_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO1
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ1
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_ASYNC_FF_GSR_OR_619 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO2_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH34,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO2,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2956_1I8 : X_LUT4
    generic map(
      INIT => X"ACAC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW2,
      ADR1 => ADIO(2),
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ2_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_GROM,
      O => PCI_CORE_PCI_LC_ADOUT2
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ2_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO2
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ2
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_ASYNC_FF_GSR_OR_620 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ2_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO3_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH35,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO3,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2955_1I8 : X_LUT4
    generic map(
      INIT => X"FC0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => ADIO(3),
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_SHADOW3,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ3_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_GROM,
      O => PCI_CORE_PCI_LC_ADOUT3
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ3_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO3
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ3
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_ASYNC_FF_GSR_OR_621 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ3_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO4_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH36,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO4,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2954_1I8 : X_LUT4
    generic map(
      INIT => X"CCF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_SHADOW4,
      ADR2 => ADIO(4),
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ4_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_GROM,
      O => PCI_CORE_PCI_LC_ADOUT4
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ4_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO4
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ4
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_ASYNC_FF_GSR_OR_622 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO5_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"AFA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH37,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO5,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2953_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => PCI_CORE_PCI_LC_SHADOW5,
      ADR2 => VCC,
      ADR3 => ADIO(5),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ5_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_GROM,
      O => PCI_CORE_PCI_LC_ADOUT5
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ5_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO5
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ5
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_ASYNC_FF_GSR_OR_623 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ5_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO6_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH38,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO6,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2952_1I8 : X_LUT4
    generic map(
      INIT => X"E4E4"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => ADIO(6),
      ADR2 => PCI_CORE_PCI_LC_SHADOW6,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ6_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_GROM,
      O => PCI_CORE_PCI_LC_ADOUT6
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ6_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO6
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ6
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_ASYNC_FF_GSR_OR_624 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO7_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH39,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO7,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2951_1I8 : X_LUT4
    generic map(
      INIT => X"F0CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => ADIO(7),
      ADR2 => PCI_CORE_PCI_LC_SHADOW7,
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ7_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_GROM,
      O => PCI_CORE_PCI_LC_ADOUT7
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ7_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO7
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ7
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_ASYNC_FF_GSR_OR_625 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO8_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH40,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO8,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2950_1I8 : X_LUT4
    generic map(
      INIT => X"D8D8"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => PCI_CORE_PCI_LC_SHADOW8,
      ADR2 => ADIO(8),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ8_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ8_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_GROM,
      O => PCI_CORE_PCI_LC_ADOUT8
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ8_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO8
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ8
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_ASYNC_FF_GSR_OR_626 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ8_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO9_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH41,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO9,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2949_1I8 : X_LUT4
    generic map(
      INIT => X"AACC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW9,
      ADR1 => ADIO(9),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ9_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ9_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_GROM,
      O => PCI_CORE_PCI_LC_ADOUT9
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ9_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO9
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q9 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ9
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_ASYNC_FF_GSR_OR_627 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ9_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_1I2715 : X_LUT4
    generic map(
      INIT => X"FBFF"
    )
    port map (
      ADR0 => PCI_CORE_GNT_IN,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_GNT_Q,
      ADR3 => PCI_CORE_PCI_LC_IRDY_Q,
      O => PCI_CORE_PCI_LC_I_IDLE_INT_GROM
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_1I2592 : X_LUT4
    generic map(
      INIT => X"FEEE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_I_IDLE_EQ_A,
      ADR1 => PCI_CORE_PCI_LC_MASTER_I_IDLE_EQ_B,
      ADR2 => PCI_CORE_PCI_LC_MASTER_I_IDLE_ADDR_GNT,
      ADR3 => PCI_CORE_PCI_LC_I_IDLE_INT,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_NS_I_IDLE
    );
  PCI_CORE_PCI_LC_I_IDLE_INT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_I_IDLE_INT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_I_IDLE_INT_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_I_IDLE_INT_GROM,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_ADDR_GNT
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_I_IDLE_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_I_IDLE_NS_I_IDLE,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_I_IDLE_INT_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_I_IDLE_INT
    );
  PCI_CORE_PCI_LC_I_IDLE_INT_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_I_IDLE_INT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_I_IDLE_INT_FFX_SET
    );
  PCI_CORE_PCI_LC_I_IDLE_INT_FFX_ASYNC_FF_GSR_OR_628 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_I_IDLE_INT_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_I_IDLE_INT_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q1_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"B88B"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_REG_0CH9,
      ADR1 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR2 => PCI_CORE_PCI_LC_MASTER_CNT_VAL1,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL0,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q1_MD
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q0_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"C0CF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_REG_0CH8,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL0,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q0_MD
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q1_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q1_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL1
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_ASYNC_FF_GSR_OR_629 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q0_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q0_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL0
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_ASYNC_FF_GSR_OR_630 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL0_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_2I3387 : X_LUT4
    generic map(
      INIT => X"20F0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0,
      ADR1 => PCI_CORE_TRDY_I_FANOUT,
      ADR2 => PCI_CORE_PCI_LC_M_FIRST,
      ADR3 => PCI_CORE_PCI_LC_MASTER_IRDY_ALLOWED,
      O => PCI_CORE_PCI_LC_M_FIRST_GROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_2I3380 : X_LUT4
    generic map(
      INIT => X"FAEE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT,
      ADR1 => PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRST0,
      ADR2 => PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRST1,
      ADR3 => PCI_CORE_STOP_I,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRSTIN
    );
  PCI_CORE_PCI_LC_M_FIRST_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_M_FIRST_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_M_FIRST_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_M_FIRST_GROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRST1
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_M1FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRSTIN,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_M_FIRST_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_M_FIRST
    );
  PCI_CORE_PCI_LC_M_FIRST_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_M_FIRST_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_M_FIRST_FFX_SET
    );
  PCI_CORE_PCI_LC_M_FIRST_FFX_ASYNC_FF_GSR_OR_631 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_M_FIRST_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_M_FIRST_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_7I797 : X_LUT4
    generic map(
      INIT => X"FCFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => COMPLETE,
      ADR2 => PCI_CORE_PCI_LC_FAKE_GTS,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_M_CBE_INT2
    );
  PCI_CORE_PCI_LC_7I798 : X_LUT4
    generic map(
      INIT => X"FCFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => COMPLETE,
      ADR2 => PCI_CORE_PCI_LC_FAKE_GTS,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_M_CBE_INT1
    );
  PCI_CORE_PCI_LC_SHADOW_CBE1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW_CBE1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_CBE_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_CBE_INT2,
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE2
    );
  PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW_CBE1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_ASYNC_FF_GSR_OR_632 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHD_CBE_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_CBE_INT1,
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE1
    );
  PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW_CBE1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_RST
    );
  PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_ASYNC_FF_GSR_OR_633 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE1_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_7I796 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => CFG_SELF,
      ADR3 => PCI_CORE_PCI_LC_FAKE_GTS,
      O => PCI_CORE_PCI_LC_M_CBE_INT3
    );
  PCI_CORE_PCI_LC_7I799 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => CFG_SELF,
      ADR3 => PCI_CORE_PCI_LC_FAKE_GTS,
      O => PCI_CORE_PCI_LC_M_CBE_INT0
    );
  PCI_CORE_PCI_LC_SHADOW_CBE0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW_CBE0_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_CBE_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_CBE_INT3,
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE3
    );
  PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW_CBE0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_ASYNC_FF_GSR_OR_634 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE0_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHD_CBE_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_CBE_INT0,
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE0
    );
  PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW_CBE0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_RST
    );
  PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_ASYNC_FF_GSR_OR_635 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW_CBE0_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REG_0CH10,
      ADR3 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_TQ,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_MD
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_1I32 : X_LUT4
    generic map(
      INIT => X"EE11"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL1,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL0,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL2,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FROM
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL2_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_TQ
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q2_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL2
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_ASYNC_FF_GSR_OR_636 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL2_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_4I3127 : X_LUT4
    generic map(
      INIT => X"DF7F"
    )
    port map (
      ADR0 => PCI_CORE_CSR_6_Q,
      ADR1 => PCI_CORE_PAR_I,
      ADR2 => PCI_CORE_PCI_LC_ADDR_VLD1,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_PER,
      O => PCI_CORE_PCI_LC_PCI_PAR_PAP_0
    );
  PCI_CORE_PCI_LC_PCI_PAR_1I2751 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_P3I,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_P0I,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_P2I,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_P1I,
      O => PCI_CORE_PCI_LC_APERR_N_FROM
    );
  PCI_CORE_PCI_LC_APERR_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_APERR_N_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_APERR_N_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_APERR_N_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_PER
    );
  PCI_CORE_PCI_LC_PCI_PAR_APERR_N : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_PAP_0,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_APERR_N_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_APERR_N
    );
  PCI_CORE_PCI_LC_APERR_N_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_APERR_N_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_APERR_N_FFY_SET
    );
  PCI_CORE_PCI_LC_APERR_N_FFY_ASYNC_FF_GSR_OR_637 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_APERR_N_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_APERR_N_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REG_0CH11,
      ADR3 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_TQ,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_MD
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_1I32 : X_LUT4
    generic map(
      INIT => X"F0E1"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL2,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL0,
      ADR2 => PCI_CORE_PCI_LC_MASTER_CNT_VAL3,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL1,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FROM
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL3_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_TQ
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q3_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL3
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_ASYNC_FF_GSR_OR_638 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL3_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_data_phase_control_write_cycle_logic_term_state_7_0_and2_1_Q : X_LUT4
    generic map(
      INIT => X"1000"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(0),
      ADR1 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(1),
      ADR2 => BASE_HIT(0),
      ADR3 => userapp_inst_FOO_BAR0_BAR_WE,
      O => userapp_inst_FOO_BAR0_W_TERM_GROM
    );
  userapp_inst_foo_bar0_bar_we_639 : X_LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      ADR0 => S_DATA_VLD,
      ADR1 => userapp_inst_FOO_BAR0_BAR_WR,
      ADR2 => VCC,
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_W_TERM_FROM
    );
  userapp_inst_FOO_BAR0_W_TERM_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_W_TERM_SRMUX_OUTPUTNOT
    );
  userapp_inst_FOO_BAR0_W_TERM_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_W_TERM_GROM,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_45
    );
  userapp_inst_FOO_BAR0_W_TERM_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_W_TERM_FROM,
      O => userapp_inst_FOO_BAR0_BAR_WE
    );
  userapp_inst_foo_bar0_data_phase_control_w_term : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_W_TERM_GROM,
      CE => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_40_I,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_W_TERM_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_W_TERM
    );
  userapp_inst_FOO_BAR0_W_TERM_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_W_TERM_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_W_TERM_FFY_RST
    );
  userapp_inst_FOO_BAR0_W_TERM_FFY_ASYNC_FF_GSR_OR_640 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_W_TERM_FFY_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_W_TERM_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TIME_OUT_1I2213 : X_LUT4
    generic map(
      INIT => X"FFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_TIME_OUT,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TC,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TIME_OUT_D
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29 : X_LUT4
    generic map(
      INIT => X"0002"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL2,
      ADR2 => PCI_CORE_PCI_LC_MASTER_CNT_VAL1,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL3,
      O => PCI_CORE_TIME_OUT_FROM
    );
  PCI_CORE_TIME_OUT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_TIME_OUT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_TIME_OUT_XUSED : X_BUF
    port map (
      I => PCI_CORE_TIME_OUT_FROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TC
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TIME_OUT_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_TIME_OUT_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_TIME_OUT_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_TIME_OUT
    );
  PCI_CORE_TIME_OUT_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_TIME_OUT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_TIME_OUT_FFY_RST
    );
  PCI_CORE_TIME_OUT_FFY_ASYNC_FF_GSR_OR_641 : X_OR2
    port map (
      I0 => PCI_CORE_TIME_OUT_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_TIME_OUT_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q4_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"B1E4"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL4,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REG_0CH12,
      ADR3 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T4,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q4_MD
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_2I23 : X_LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL0,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL2,
      ADR2 => PCI_CORE_PCI_LC_MASTER_CNT_VAL1,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL3,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FROM
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL4_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T4
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q4_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q4_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL4
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_ASYNC_FF_GSR_OR_642 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_1I547 : X_LUT4
    generic map(
      INIT => X"5550"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_EQN_A,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_EQN_B,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_NS_BUSY
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_1I472 : X_LUT4
    generic map(
      INIT => X"3F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_B_BUSY_INT,
      O => PCI_CORE_PCI_LC_B_BUSY_INT_FROM
    );
  PCI_CORE_PCI_LC_B_BUSY_INT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_B_BUSY_INT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_B_BUSY_INT_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_B_BUSY_INT_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_EQN_B
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_BUSY_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_NS_BUSY,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_B_BUSY_INT_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_B_BUSY_INT
    );
  PCI_CORE_PCI_LC_B_BUSY_INT_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_B_BUSY_INT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_B_BUSY_INT_FFY_RST
    );
  PCI_CORE_PCI_LC_B_BUSY_INT_FFY_ASYNC_FF_GSR_OR_643 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_B_BUSY_INT_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_B_BUSY_INT_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_REG_0CH13,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_TQ,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_MD
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_1I32 : X_LUT4
    generic map(
      INIT => X"CC66"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T4,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL5,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL4,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FROM
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL5_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_TQ
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q5_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL5
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_ASYNC_FF_GSR_OR_644 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL5_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_1I337 : X_LUT4
    generic map(
      INIT => X"FFFE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_IDLE_NS_IDLE,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BUSY_NS_IDLE,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_DATA_NS_TNAR,
      O => PCI_CORE_PCI_LC_IDLE_DUP_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_1I496 : X_LUT4
    generic map(
      INIT => X"40C0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      O => PCI_CORE_PCI_LC_IDLE_DUP_FROM
    );
  PCI_CORE_PCI_LC_IDLE_DUP_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IDLE_DUP_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_IDLE_DUP_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IDLE_DUP_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_NS_IDLE
    );
  PCI_CORE_PCI_LC_IDLE_DUP_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IDLE_DUP_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_DATA_NS_TNAR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_IDLE0_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_IDLE_DUP_GROM,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IDLE_DUP_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IDLE_INT
    );
  PCI_CORE_PCI_LC_IDLE_DUP_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IDLE_DUP_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IDLE_DUP_FFY_SET
    );
  PCI_CORE_PCI_LC_IDLE_DUP_FFY_ASYNC_FF_GSR_OR_645 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IDLE_DUP_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IDLE_DUP_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_IDLE1_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_NS_IDLE,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IDLE_DUP_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IDLE_DUP
    );
  PCI_CORE_PCI_LC_IDLE_DUP_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IDLE_DUP_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IDLE_DUP_FFX_SET
    );
  PCI_CORE_PCI_LC_IDLE_DUP_FFX_ASYNC_FF_GSR_OR_646 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IDLE_DUP_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IDLE_DUP_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_ADDR_1I2623 : X_LUT4
    generic map(
      INIT => X"00C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR2 => PCI_CORE_PCI_LC_MASTER_M_ENABLE,
      ADR3 => PCI_CORE_PCI_LC_ADDR_BE,
      O => PCI_CORE_PCI_LC_ADDR_BE_GROM
    );
  PCI_CORE_PCI_LC_MASTER_ADDR_1I2599 : X_LUT4
    generic map(
      INIT => X"4000"
    )
    port map (
      ADR0 => PCI_CORE_GNT_IN,
      ADR1 => PCI_CORE_IRDY_I_FANOUT,
      ADR2 => PCI_CORE_PCI_LC_MASTER_ADDR_M_ADDR_DEAD,
      ADR3 => PCI_CORE_FRAME_I,
      O => PCI_CORE_PCI_LC_MASTER_ADDR_NS_ABE
    );
  PCI_CORE_PCI_LC_ADDR_BE_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_ADDR_BE_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_ADDR_BE_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADDR_BE_GROM,
      O => PCI_CORE_PCI_LC_MASTER_ADDR_M_ADDR_DEAD
    );
  PCI_CORE_PCI_LC_MASTER_ADDR_ABE_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_ADDR_NS_ABE,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_ADDR_BE_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_ADDR_BE
    );
  PCI_CORE_PCI_LC_ADDR_BE_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADDR_BE_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_ADDR_BE_FFX_RST
    );
  PCI_CORE_PCI_LC_ADDR_BE_FFX_ASYNC_FF_GSR_OR_647 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_ADDR_BE_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_ADDR_BE_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REG_0CH14,
      ADR3 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_TQ,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_MD
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_1I32 : X_LUT4
    generic map(
      INIT => X"FD02"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T4,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL4,
      ADR2 => PCI_CORE_PCI_LC_MASTER_CNT_VAL5,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL6,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FROM
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL6_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_TQ
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q6_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL6
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_ASYNC_FF_GSR_OR_648 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_1I562 : X_LUT4
    generic map(
      INIT => X"FFEA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E,
      ADR2 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_BUSY_NS_DATA,
      O => S_DATA_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_1I465 : X_LUT4
    generic map(
      INIT => X"8088"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT,
      ADR2 => S_READY,
      ADR3 => S_TERM,
      O => S_DATA_FROM
    );
  S_DATA_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => S_DATA_SRMUX_OUTPUTNOT
    );
  S_DATA_YUSED : X_BUF
    port map (
      I => S_DATA_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_NS_DATA
    );
  S_DATA_XUSED : X_BUF
    port map (
      I => S_DATA_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_BUSY_NS_DATA
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_DATA0_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => S_DATA_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => S_DATA_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_S_DATA_INT
    );
  S_DATA_FFY_RSTOR : X_BUF
    port map (
      I => S_DATA_SRMUX_OUTPUTNOT,
      O => S_DATA_FFY_RST
    );
  S_DATA_FFY_ASYNC_FF_GSR_OR_649 : X_OR2
    port map (
      I0 => S_DATA_FFY_RST,
      I1 => GSR,
      O => S_DATA_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_DATA1_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_NS_DATA,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => S_DATA_FFX_ASYNC_FF_GSR_OR,
      O => S_DATA
    );
  S_DATA_FFX_RSTOR : X_BUF
    port map (
      I => S_DATA_SRMUX_OUTPUTNOT,
      O => S_DATA_FFX_RST
    );
  S_DATA_FFX_ASYNC_FF_GSR_OR_650 : X_OR2
    port map (
      I0 => S_DATA_FFX_RST,
      I1 => GSR,
      O => S_DATA_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q7_1I30_1I8 : X_LUT4
    generic map(
      INIT => X"A3AC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_REG_0CH15,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL7,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T7,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q7_MD
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I25 : X_LUT4
    generic map(
      INIT => X"0002"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T4,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL5,
      ADR2 => PCI_CORE_PCI_LC_MASTER_CNT_VAL6,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL4,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FROM
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL7_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_T7
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q7_1I35 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_Q7_MD,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL7
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_ASYNC_FF_GSR_OR_651 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_CNT_VAL7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_DEC_A_AND4 : X_LUT4
    generic map(
      INIT => X"0008"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN1,
      ADR1 => PCI_CORE_CBE_IN3,
      ADR2 => PCI_CORE_CBE_IN2,
      ADR3 => PCI_CORE_CBE_IN0,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CMD10
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_DEC_1_AND4 : X_LUT4
    generic map(
      INIT => X"0100"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN1,
      ADR1 => PCI_CORE_CBE_IN3,
      ADR2 => PCI_CORE_CBE_IN2,
      ADR3 => PCI_CORE_CBE_IN0,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CMD1
    );
  PCI_CORE_PCI_CMD_1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_CMD_1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_Q10_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_CMD10,
      CE => PCI_CORE_PCI_LC_ADDR_VLD1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_CMD_1_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_CMD_10_Q
    );
  PCI_CORE_PCI_CMD_1_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_CMD_1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_CMD_1_FFY_RST
    );
  PCI_CORE_PCI_CMD_1_FFY_ASYNC_FF_GSR_OR_652 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_CMD_1_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_CMD_1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_Q1_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_CMD1,
      CE => PCI_CORE_PCI_LC_ADDR_VLD1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_CMD_1_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_CMD_1_Q
    );
  PCI_CORE_PCI_CMD_1_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_CMD_1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_CMD_1_FFX_RST
    );
  PCI_CORE_PCI_CMD_1_FFX_ASYNC_FF_GSR_OR_653 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_CMD_1_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_CMD_1_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_DEC_B_AND4 : X_LUT4
    generic map(
      INIT => X"2000"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN1,
      ADR1 => PCI_CORE_CBE_IN2,
      ADR2 => PCI_CORE_CBE_IN0,
      ADR3 => PCI_CORE_CBE_IN3,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CMD11
    );
  PCI_CORE_PCI_LC_BAR0_BR_CMD_1I193 : X_LUT4
    generic map(
      INIT => X"D0C0"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN0,
      ADR1 => PCI_CORE_CBE_IN1,
      ADR2 => PCI_CORE_CBE_IN2,
      ADR3 => PCI_CORE_CBE_IN3,
      O => PCI_CORE_PCI_LC_BAR0_BR_CMD_MEM
    );
  PCI_CORE_PCI_LC_BAR0_BR_CMD_1I157 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_CMD_11_LOGIC_ZERO,
      IB => PCI_CORE_PCI_CMD_11_CYINIT,
      SEL => PCI_CORE_PCI_LC_BAR0_BR_CMD_MEM,
      O => PCI_CORE_PCI_CMD_11_CYMUXF
    );
  PCI_CORE_PCI_CMD_11_CYINIT_654 : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_1N3380,
      O => PCI_CORE_PCI_CMD_11_CYINIT
    );
  PCI_CORE_PCI_CMD_11_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_CMD_11_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_CMD_11_XBUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_CMD_11_CYMUXF,
      O => PCI_CORE_PCI_LC_BAR0_MATCH
    );
  PCI_CORE_PCI_CMD_11_LOGIC_ZERO_655 : X_ZERO
    port map (
      O => PCI_CORE_PCI_CMD_11_LOGIC_ZERO
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_Q11_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_CMD11,
      CE => PCI_CORE_PCI_LC_ADDR_VLD1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_CMD_11_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_CMD_11_Q
    );
  PCI_CORE_PCI_CMD_11_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_CMD_11_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_CMD_11_FFY_RST
    );
  PCI_CORE_PCI_CMD_11_FFY_ASYNC_FF_GSR_OR_656 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_CMD_11_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_CMD_11_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_4I910 : X_LUT4
    generic map(
      INIT => X"F0FC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_OE_AD_T_LB,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_BEGIN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_LB
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3I911 : X_LUT4
    generic map(
      INIT => X"FA00"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_C_EQN,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_B_BUSY_NS,
      O => PCI_CORE_PCI_LC_OE_AD_T_LB_FROM
    );
  PCI_CORE_PCI_LC_OE_AD_T_LB_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_OE_AD_T_LB_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OE_AD_T_LB_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_AD_T_LB_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_BEGIN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_ADO_LB : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_LB,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_OE_AD_T_LB
    );
  PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_AD_T_LB_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_SET
    );
  PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_ASYNC_FF_GSR_OR_657 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OE_AD_T_LB_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_data_phase_control_write_cycle_logic_term_state_7_0_and2_0_Q : X_LUT4
    generic map(
      INIT => X"0100"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR1 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(0),
      ADR2 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(1),
      ADR3 => userapp_inst_FOO_BAR0_BAR_WR,
      O => userapp_inst_FOO_BAR0_W_READY_GROM
    );
  userapp_inst_FOO_BAR0_W_READY_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_W_READY_SRMUX_OUTPUTNOT
    );
  userapp_inst_FOO_BAR0_W_READY_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_W_READY_GROM,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_43
    );
  userapp_inst_foo_bar0_data_phase_control_w_ready : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_W_READY_GROM,
      CE => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_40_I,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_W_READY_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_W_READY
    );
  userapp_inst_FOO_BAR0_W_READY_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_W_READY_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_W_READY_FFY_RST
    );
  userapp_inst_FOO_BAR0_W_READY_FFY_ASYNC_FF_GSR_OR_658 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_W_READY_FFY_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_W_READY_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_4I907 : X_LUT4
    generic map(
      INIT => X"CCFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END,
      ADR2 => PCI_CORE_PCI_LC_OE_AD_T_LT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_BEGIN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_LT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_4I904 : X_LUT4
    generic map(
      INIT => X"F3F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_BEGIN,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END,
      ADR3 => PCI_CORE_PCI_LC_OE_AD_T_B,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_B
    );
  PCI_CORE_PCI_LC_OE_AD_T_B_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_OE_AD_T_B_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_ADO_LT : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_LT,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_OE_AD_T_B_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_OE_AD_T_LT
    );
  PCI_CORE_PCI_LC_OE_AD_T_B_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_AD_T_B_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OE_AD_T_B_FFY_SET
    );
  PCI_CORE_PCI_LC_OE_AD_T_B_FFY_ASYNC_FF_GSR_OR_659 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OE_AD_T_B_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OE_AD_T_B_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_ADO_B : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_B,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_OE_AD_T_B_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_OE_AD_T_B
    );
  PCI_CORE_PCI_LC_OE_AD_T_B_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_AD_T_B_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OE_AD_T_B_FFX_SET
    );
  PCI_CORE_PCI_LC_OE_AD_T_B_FFX_ASYNC_FF_GSR_OR_660 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OE_AD_T_B_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OE_AD_T_B_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_1I306 : X_LUT4
    generic map(
      INIT => X"30BA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q,
      ADR2 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_R,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_1I310 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_CFG_HIT,
      ADR1 => PCI_CORE_PCI_CMD_10_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_LADX1,
      ADR3 => KEEPOUT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_R
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_FDPE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_D,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_ASYNC_FF_GSR_OR_661 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE1_Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1I2701 : X_LUT4
    generic map(
      INIT => X"CC00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_AD7610_0000,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2619,
      O => PCI_CORE_PCI_LC_PCI_CNTL_ADX15
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_DEC_F_AND4 : X_LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      ADR0 => PCI_CORE_AD5,
      ADR1 => PCI_CORE_AD4,
      ADR2 => PCI_CORE_AD2,
      ADR3 => PCI_CORE_AD3,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX15_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX15_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2619
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_Q15_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_ADX15,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX15
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_ASYNC_FF_GSR_OR_662 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX15_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_1I2213 : X_LUT4
    generic map(
      INIT => X"BB00"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_1N2215,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_D
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_1I2214 : X_LUT4
    generic map(
      INIT => X"FF40"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR1 => PCI_CORE_PCI_LC_MASTER_1I2914_SCG64,
      ADR2 => PCI_CORE_PCI_LC_MASTER_M_ENABLE,
      ADR3 => PCI_CORE_PCI_LC_ATTEMPT64,
      O => PCI_CORE_PCI_LC_ATTEMPT64_FROM
    );
  PCI_CORE_PCI_LC_ATTEMPT64_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_ATTEMPT64_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_ATTEMPT64_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ATTEMPT64_FROM,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_1N2215
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_1I2914_1I2932_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_ATTEMPT64_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_ATTEMPT64
    );
  PCI_CORE_PCI_LC_ATTEMPT64_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ATTEMPT64_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_ATTEMPT64_FFY_RST
    );
  PCI_CORE_PCI_LC_ATTEMPT64_FFY_ASYNC_FF_GSR_OR_663 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_ATTEMPT64_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_ATTEMPT64_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_1I12 : X_LUT4
    generic map(
      INIT => X"FF0A"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_1N18,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_1I11 : X_LUT4
    generic map(
      INIT => X"D0F0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I592_free_1_2,
      ADR1 => KEEPOUT,
      ADR2 => PCI_CORE_PCI_LC_OE_ROM,
      ADR3 => PCI_CORE_CFG_HIT,
      O => PCI_CORE_PCI_LC_OE_ROM_FROM
    );
  PCI_CORE_PCI_LC_OE_ROM_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_OE_ROM_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OE_ROM_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_1N18
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_FDPE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I617_D,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_OE_ROM_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_OE_ROM
    );
  PCI_CORE_PCI_LC_OE_ROM_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_ROM_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OE_ROM_FFY_SET
    );
  PCI_CORE_PCI_LC_OE_ROM_FFY_ASYNC_FF_GSR_OR_664 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OE_ROM_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OE_ROM_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q11_1I2236 : X_LUT4
    generic map(
      INIT => X"FF4C"
    )
    port map (
      ADR0 => ADIO(27),
      ADR1 => PCI_CORE_CSR_27_Q,
      ADR2 => PCI_CORE_PCI_LC_CE1_3,
      ADR3 => PCI_CORE_PCI_LC_SET11,
      O => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q11_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_1I978 : X_LUT4
    generic map(
      INIT => X"AAA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_BACKOFF_INT,
      ADR3 => PCI_CORE_PCI_LC_S_DATA_INT,
      O => PCI_CORE_CSR_27_FROM
    );
  PCI_CORE_CSR_27_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CSR_27_SRMUX_OUTPUTNOT
    );
  PCI_CORE_CSR_27_XUSED : X_BUF
    port map (
      I => PCI_CORE_CSR_27_FROM,
      O => PCI_CORE_PCI_LC_SET11
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q11_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q11_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_27_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_27_Q
    );
  PCI_CORE_CSR_27_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_27_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_27_FFY_RST
    );
  PCI_CORE_CSR_27_FFY_ASYNC_FF_GSR_OR_665 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_27_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_27_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_1I306 : X_LUT4
    generic map(
      INIT => X"22F2"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_R,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_1I310 : X_LUT4
    generic map(
      INIT => X"2000"
    )
    port map (
      ADR0 => PCI_CORE_CFG_HIT,
      ADR1 => KEEPOUT,
      ADR2 => PCI_CORE_PCI_CMD_10_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_LADX3,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_R
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_FDPE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_D,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_ASYNC_FF_GSR_OR_666 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE3_Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_1I306 : X_LUT4
    generic map(
      INIT => X"30BA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q,
      ADR2 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_R,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_1I310 : X_LUT4
    generic map(
      INIT => X"2000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_LADX4,
      ADR1 => KEEPOUT,
      ADR2 => PCI_CORE_CFG_HIT,
      ADR3 => PCI_CORE_PCI_CMD_10_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_R
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_FDPE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_D,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_ASYNC_FF_GSR_OR_667 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE4_Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_3I3093 : X_LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SET_OE_PERR,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_SET_OE_PERR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_1I1251 : X_LUT4
    generic map(
      INIT => X"FFDD"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_EQN_A,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_IRDY_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_GROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_NS_OE_PERR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_SET_OE_PERR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_T_PERR_HOLD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FROM,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_ASYNC_FF_GSR_OR_668 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_HOLD_OE_PERR_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q13_1I2236 : X_LUT4
    generic map(
      INIT => X"DFCC"
    )
    port map (
      ADR0 => ADIO(29),
      ADR1 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      ADR2 => PCI_CORE_PCI_LC_CE1_3,
      ADR3 => PCI_CORE_CSR_29_Q,
      O => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q13_D
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q8_1I2236 : X_LUT4
    generic map(
      INIT => X"F7F0"
    )
    port map (
      ADR0 => ADIO(24),
      ADR1 => PCI_CORE_PCI_LC_CE1_3,
      ADR2 => PCI_CORE_PCI_LC_SET8,
      ADR3 => PCI_CORE_CSR_24_Q,
      O => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q8_D
    );
  PCI_CORE_CSR_24_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CSR_24_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q13_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q13_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_24_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_29_Q
    );
  PCI_CORE_CSR_24_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_24_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_24_FFY_RST
    );
  PCI_CORE_CSR_24_FFY_ASYNC_FF_GSR_OR_669 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_24_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_24_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q8_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q8_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_24_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_24_Q
    );
  PCI_CORE_CSR_24_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_24_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_24_FFX_RST
    );
  PCI_CORE_CSR_24_FFX_ASYNC_FF_GSR_OR_670 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_24_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_24_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_3I3105 : X_LUT4
    generic map(
      INIT => X"FEFF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IIRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_TRDY_Q,
      ADR2 => CFG_SELF,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_EQN_A,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_3I3110 : X_LUT4
    generic map(
      INIT => X"AA00"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_CSR_6_Q,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_GROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SET_OE_PERR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_EQN_A
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_I_PERR_HOLD : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_GROM,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_SET
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_ASYNC_FF_GSR_OR_671 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_HOLD_OE_PERR_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_data_phase_control_read_cycle_logic_end_cycle_2_0_and2 : X_LUT4
    generic map(
      INIT => X"00F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1,
      ADR3 => userapp_inst_FOO_BAR0_R_TERM,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_READ_CYCLE_LOGIC_END_CYCLE_2
    );
  userapp_inst_foo_bar0_data_phase_control_read_cycle_logic_delay1_3_0_and2 : X_LUT4
    generic map(
      INIT => X"00F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => userapp_inst_FOO_BAR0_BAR_RD,
      ADR3 => userapp_inst_FOO_BAR0_R_TERM,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_READ_CYCLE_LOGIC_DELAY1_3
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_SRMUX_OUTPUTNOT
    );
  userapp_inst_foo_bar0_data_phase_control_r_term_1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_READ_CYCLE_LOGIC_END_CYCLE_2,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_R_TERM
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_RST
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_ASYNC_FF_GSR_OR_672 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_data_phase_control_delay1_673 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_READ_CYCLE_LOGIC_DELAY1_3,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_RST
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_ASYNC_FF_GSR_OR_674 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_DELAY1_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1I1015 : X_LUT4
    generic map(
      INIT => X"FF80"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_ADDR_VLD1,
      ADR1 => PCI_CORE_PCI_LC_BAR0_MATCH,
      ADR2 => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_NS_CFG_HIT,
      O => PCI_CORE_CFG_HIT_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_2I3221 : X_LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_TYPE00,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG,
      ADR2 => PCI_CORE_PCI_LC_ADDR_VLD1,
      ADR3 => PCI_CORE_PCI_LC_IDSEL,
      O => PCI_CORE_CFG_HIT_FROM
    );
  PCI_CORE_CFG_HIT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CFG_HIT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_CFG_HIT_YUSED : X_BUF
    port map (
      I => PCI_CORE_CFG_HIT_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_HIT
    );
  PCI_CORE_CFG_HIT_XUSED : X_BUF
    port map (
      I => PCI_CORE_CFG_HIT_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_NS_CFG_HIT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_CFG_HIT : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_CFG_HIT_FROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CFG_HIT_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CFG_HIT
    );
  PCI_CORE_CFG_HIT_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CFG_HIT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CFG_HIT_FFX_RST
    );
  PCI_CORE_CFG_HIT_FFX_ASYNC_FF_GSR_OR_675 : X_OR2
    port map (
      I0 => PCI_CORE_CFG_HIT_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_CFG_HIT_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q14_1I2236 : X_LUT4
    generic map(
      INIT => X"7F0F"
    )
    port map (
      ADR0 => ADIO(30),
      ADR1 => PCI_CORE_PCI_LC_CE1_3,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_NS_OE_SERR,
      ADR3 => PCI_CORE_CSR_30_Q,
      O => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q14_D
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q12_1I2236 : X_LUT4
    generic map(
      INIT => X"BAFA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SET12,
      ADR1 => PCI_CORE_PCI_LC_CE1_3,
      ADR2 => PCI_CORE_CSR_28_Q,
      ADR3 => ADIO(28),
      O => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q12_D
    );
  PCI_CORE_CSR_28_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CSR_28_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q14_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q14_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_28_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_30_Q
    );
  PCI_CORE_CSR_28_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_28_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_28_FFY_RST
    );
  PCI_CORE_CSR_28_FFY_ASYNC_FF_GSR_OR_676 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_28_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_28_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q12_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q12_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_28_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_28_Q
    );
  PCI_CORE_CSR_28_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_28_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_28_FFX_RST
    );
  PCI_CORE_CSR_28_FFX_ASYNC_FF_GSR_OR_677 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_28_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_28_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_1I508 : X_LUT4
    generic map(
      INIT => X"FCCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_DATA_NS,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_AB,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_S_EQN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_NS_BKOF
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_1I579 : X_LUT4
    generic map(
      INIT => X"0A00"
    )
    port map (
      ADR0 => S_TERM,
      ADR1 => VCC,
      ADR2 => S_READY,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_HIT,
      O => PCI_CORE_PCI_LC_BACKOFF_INT_FROM
    );
  PCI_CORE_PCI_LC_BACKOFF_INT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BACKOFF_INT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BACKOFF_INT_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BACKOFF_INT_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_S_EQN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_BKOF_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_NS_BKOF,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BACKOFF_INT_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BACKOFF_INT
    );
  PCI_CORE_PCI_LC_BACKOFF_INT_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BACKOFF_INT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BACKOFF_INT_FFY_RST
    );
  PCI_CORE_PCI_LC_BACKOFF_INT_FFY_ASYNC_FF_GSR_OR_678 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BACKOFF_INT_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BACKOFF_INT_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2816_1I2213 : X_LUT4
    generic map(
      INIT => X"CE00"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_DEV_TO_PASS_TO,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_PCI_LC_DEVSEL_Q,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2816_D
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2789 : X_LUT4
    generic map(
      INIT => X"3300"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_ADDR
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2816_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2816_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_PASS_TO
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_ASYNC_FF_GSR_OR_679 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2796 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_ADDR,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_RST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_ASYNC_FF_GSR_OR_680 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2864_1I2213 : X_LUT4
    generic map(
      INIT => X"5150"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR1 => PCI_CORE_PCI_LC_MASTER_1I2914_LOCKOUT,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REQUEST64,
      ADR3 => PCI_CORE_PCI_LC_MASTER_1I2914_SCG64,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_1I2864_D
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2908 : X_LUT4
    generic map(
      INIT => X"2200"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST64_FROM
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST64_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST64_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST64_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REQUEST64_FROM,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_SCG64
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2864_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_1I2914_1I2864_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST64
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REQUEST64_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_ASYNC_FF_GSR_OR_681 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST64_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_1I306 : X_LUT4
    generic map(
      INIT => X"0ACE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_R,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_1I310 : X_LUT4
    generic map(
      INIT => X"0800"
    )
    port map (
      ADR0 => PCI_CORE_PCI_CMD_10_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_LADX15,
      ADR2 => KEEPOUT,
      ADR3 => PCI_CORE_CFG_HIT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_R
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_FDPE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_D,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_ASYNC_FF_GSR_OR_682 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OE15_Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q15_1I2236 : X_LUT4
    generic map(
      INIT => X"2FAF"
    )
    port map (
      ADR0 => PCI_CORE_CSR_31_Q,
      ADR1 => ADIO(31),
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_Q,
      ADR3 => PCI_CORE_PCI_LC_CE1_3,
      O => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q15_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_CE_CE1_G3 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_LADX1,
      ADR1 => PCI_CORE_PCI_CMD_11_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_DSTR,
      ADR3 => PCI_CORE_CBE_IN3,
      O => PCI_CORE_CSR_31_FROM
    );
  PCI_CORE_CSR_31_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CSR_31_SRMUX_OUTPUTNOT
    );
  PCI_CORE_CSR_31_XUSED : X_BUF
    port map (
      I => PCI_CORE_CSR_31_FROM,
      O => PCI_CORE_PCI_LC_CE1_3
    );
  PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q15_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_STATREG_Q15_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_31_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_31_Q
    );
  PCI_CORE_CSR_31_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_31_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_31_FFY_RST
    );
  PCI_CORE_CSR_31_FFY_ASYNC_FF_GSR_OR_683 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_31_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_31_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_4I446 : X_LUT4
    generic map(
      INIT => X"3300"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_IRDY_I_FANOUT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_WIN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_NS_PWIN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_4I788 : X_LUT4
    generic map(
      INIT => X"00A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => VCC,
      ADR2 => S_WRDN,
      ADR3 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      O => PCI_CORE_PCI_LC_TPWIN_FROM
    );
  PCI_CORE_PCI_LC_TPWIN_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_TPWIN_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_TPWIN_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TPWIN_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_WIN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PWIN_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_NS_PWIN,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_TPWIN_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_TPWIN
    );
  PCI_CORE_PCI_LC_TPWIN_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_TPWIN_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_TPWIN_FFY_RST
    );
  PCI_CORE_PCI_LC_TPWIN_FFY_ASYNC_FF_GSR_OR_684 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_TPWIN_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_TPWIN_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1I2748 : X_LUT4
    generic map(
      INIT => X"F000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_AD7610_0000,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2762,
      O => PCI_CORE_PCI_LC_PCI_CNTL_ADX1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_DEC_1_AND4 : X_LUT4
    generic map(
      INIT => X"0004"
    )
    port map (
      ADR0 => PCI_CORE_AD5,
      ADR1 => PCI_CORE_AD2,
      ADR2 => PCI_CORE_AD3,
      ADR3 => PCI_CORE_AD4,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX1_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2762
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_Q1_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_ADX1,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_ASYNC_FF_GSR_OR_685 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO26_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"AFA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH58,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO26,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2932_1I8 : X_LUT4
    generic map(
      INIT => X"EE44"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => ADIO(26),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_SHADOW26,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ26_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ26_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_GROM,
      O => PCI_CORE_PCI_LC_ADOUT26
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ26_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO26
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q10 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ26
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_ASYNC_FF_GSR_OR_686 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ26_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO27_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH59,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO27,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2931_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW27,
      ADR1 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR2 => VCC,
      ADR3 => ADIO(27),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ27_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ27_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_GROM,
      O => PCI_CORE_PCI_LC_ADOUT27
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ27_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO27
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q11 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ27
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_ASYNC_FF_GSR_OR_687 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ27_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO28_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH60,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO28,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2930_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW28,
      ADR1 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR2 => VCC,
      ADR3 => ADIO(28),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ28_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ28_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_GROM,
      O => PCI_CORE_PCI_LC_ADOUT28
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ28_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO28
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q12 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ28
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_ASYNC_FF_GSR_OR_688 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ28_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO29_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH61,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO29,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2929_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR2 => PCI_CORE_PCI_LC_SHADOW29,
      ADR3 => ADIO(29),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ29_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ29_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_GROM,
      O => PCI_CORE_PCI_LC_ADOUT29
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ29_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO29
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q13 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ29
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_ASYNC_FF_GSR_OR_689 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ29_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO30_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"AFA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH62,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO30,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2928_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW30,
      ADR1 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR2 => VCC,
      ADR3 => ADIO(30),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ30_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ30_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_GROM,
      O => PCI_CORE_PCI_LC_ADOUT30
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ30_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO30
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q14 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ30
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_ASYNC_FF_GSR_OR_690 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ30_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO31_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH63,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO31,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2927_1I8 : X_LUT4
    generic map(
      INIT => X"B8B8"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW31,
      ADR1 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR2 => ADIO(31),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ31_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ31_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_GROM,
      O => PCI_CORE_PCI_LC_ADOUT31
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ31_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO31
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_UPPER_Q15 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ31
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_ASYNC_FF_GSR_OR_691 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ31_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_2I3275 : X_LUT4
    generic map(
      INIT => X"E0A0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_NL_MEM0,
      ADR1 => PCI_CORE_PCI_LC_BAR0_UNALIGN,
      ADR2 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR3 => PCI_CORE_PCI_LC_BAR0_NS_HITNL,
      O => PCI_CORE_PCI_LC_BAR0_NS_NL_MEM
    );
  PCI_CORE_PCI_LC_BAR0_2I3324 : X_LUT4
    generic map(
      INIT => X"8800"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_MATCH,
      ADR1 => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_ADDR_VLD1,
      O => PCI_CORE_PCI_LC_NL_MEM0_FROM
    );
  PCI_CORE_PCI_LC_NL_MEM0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_NL_MEM0_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_NL_MEM0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NL_MEM0_FROM,
      O => PCI_CORE_PCI_LC_BAR0_NS_HITNL
    );
  PCI_CORE_PCI_LC_BAR0_NL : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_BAR0_NS_NL_MEM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_NL_MEM0_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_NL_MEM0
    );
  PCI_CORE_PCI_LC_NL_MEM0_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NL_MEM0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_NL_MEM0_FFY_RST
    );
  PCI_CORE_PCI_LC_NL_MEM0_FFY_ASYNC_FF_GSR_OR_692 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_NL_MEM0_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_NL_MEM0_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR2_2I3275 : X_LUT4
    generic map(
      INIT => X"C0C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_NL_MEM2,
      ADR2 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_BAR2_NS_NL_MEM
    );
  PCI_CORE_PCI_LC_BAR1_2I3275 : X_LUT4
    generic map(
      INIT => X"CC00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_NL_MEM1,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      O => PCI_CORE_PCI_LC_BAR1_NS_NL_MEM
    );
  PCI_CORE_PCI_LC_NL_MEM1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_NL_MEM1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR2_NL : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_BAR2_NS_NL_MEM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_NL_MEM1_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_NL_MEM2
    );
  PCI_CORE_PCI_LC_NL_MEM1_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NL_MEM1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_NL_MEM1_FFY_RST
    );
  PCI_CORE_PCI_LC_NL_MEM1_FFY_ASYNC_FF_GSR_OR_693 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_NL_MEM1_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_NL_MEM1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR1_NL : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_BAR1_NS_NL_MEM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_NL_MEM1_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_NL_MEM1
    );
  PCI_CORE_PCI_LC_NL_MEM1_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_NL_MEM1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_NL_MEM1_FFX_RST
    );
  PCI_CORE_PCI_LC_NL_MEM1_FFX_ASYNC_FF_GSR_OR_694 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_NL_MEM1_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_NL_MEM1_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO10_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH42,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO10,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2948_1I8 : X_LUT4
    generic map(
      INIT => X"AACC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW10,
      ADR1 => ADIO(10),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ10_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ10_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_GROM,
      O => PCI_CORE_PCI_LC_ADOUT10
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ10_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO10
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q10 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ10
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_ASYNC_FF_GSR_OR_695 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ10_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO11_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH43,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO11,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2947_1I8 : X_LUT4
    generic map(
      INIT => X"AACC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW11,
      ADR1 => ADIO(11),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_OUT_SEL,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ11_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ11_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_GROM,
      O => PCI_CORE_PCI_LC_ADOUT11
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ11_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO11
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q11 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ11
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_ASYNC_FF_GSR_OR_696 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ11_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO12_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH44,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO12,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2946_1I8 : X_LUT4
    generic map(
      INIT => X"BB88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SHADOW12,
      ADR1 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR2 => VCC,
      ADR3 => ADIO(12),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ12_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ12_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_GROM,
      O => PCI_CORE_PCI_LC_ADOUT12
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ12_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO12
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q12 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ12
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_ASYNC_FF_GSR_OR_697 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ12_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO13_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => PCI_CORE_PCI_LC_FAIL_ADH45,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO13,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2945_1I8 : X_LUT4
    generic map(
      INIT => X"EE44"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR1 => ADIO(13),
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_SHADOW13,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ13_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ13_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_GROM,
      O => PCI_CORE_PCI_LC_ADOUT13
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ13_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO13
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q13 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ13
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_ASYNC_FF_GSR_OR_698 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ13_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO14_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"DD88"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR1 => PCI_CORE_PCI_LC_FAIL_ADH46,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO14,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2944_1I8 : X_LUT4
    generic map(
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_SHADOW14,
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => ADIO(14),
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ14_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ14_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_GROM,
      O => PCI_CORE_PCI_LC_ADOUT14
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ14_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO14
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q14 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ14
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_ASYNC_FF_GSR_OR_699 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ14_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_AD_IO15_1I2246_1I8 : X_LUT4
    generic map(
      INIT => X"AFA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FAIL_ADH47,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_AD_D_SLO15,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_GROM
    );
  PCI_CORE_PCI_LC_PCI_AD_1I2943_1I8 : X_LUT4
    generic map(
      INIT => X"FC0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => ADIO(15),
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_SHADOW15,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ15_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ15_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_GROM,
      O => PCI_CORE_PCI_LC_ADOUT15
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ15_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FROM,
      O => PCI_CORE_PCI_LC_PCI_AD_D_SLO15
    );
  PCI_CORE_PCI_LC_PCI_PAR_7I2996_LOWER_Q15 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_GROM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ15
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_ASYNC_FF_GSR_OR_700 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_DOQ15_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1I2742 : X_LUT4
    generic map(
      INIT => X"F000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_AD7610_0000,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2764,
      O => PCI_CORE_PCI_LC_PCI_CNTL_ADX3
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_DEC_3_AND4 : X_LUT4
    generic map(
      INIT => X"0020"
    )
    port map (
      ADR0 => PCI_CORE_AD3,
      ADR1 => PCI_CORE_AD4,
      ADR2 => PCI_CORE_AD2,
      ADR3 => PCI_CORE_AD5,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX3_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2764
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_Q3_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_ADX3,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX3
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_ASYNC_FF_GSR_OR_701 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX3_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_bar_hit_0_decoded_hits_bar_wr_2_0_and2_0_and2 : X_LUT4
    generic map(
      INIT => X"A0A0"
    )
    port map (
      ADR0 => S_WRDN,
      ADR1 => VCC,
      ADR2 => BASE_HIT(0),
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_BAR_HIT_0_DECODED_HITS_BAR_WR_2
    );
  userapp_inst_foo_bar0_bar_hit_0_decoded_hits_bar_rd_3_0_and2_0_and2 : X_LUT4
    generic map(
      INIT => X"5500"
    )
    port map (
      ADR0 => S_WRDN,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => BASE_HIT(0),
      O => userapp_inst_FOO_BAR0_BAR_HIT_0_DECODED_HITS_BAR_RD_3
    );
  userapp_inst_FOO_BAR0_BAR_RD_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_BAR_RD_SRMUX_OUTPUTNOT
    );
  userapp_inst_foo_bar0_bar_hit_0_bar_wr : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_BAR_HIT_0_DECODED_HITS_BAR_WR_2,
      CE => userapp_inst_N_7_I,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_BAR_RD_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_BAR_WR
    );
  userapp_inst_FOO_BAR0_BAR_RD_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_BAR_RD_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_BAR_RD_FFY_RST
    );
  userapp_inst_FOO_BAR0_BAR_RD_FFY_ASYNC_FF_GSR_OR_702 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_BAR_RD_FFY_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_BAR_RD_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_bar_hit_0_bar_rd : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_BAR_HIT_0_DECODED_HITS_BAR_RD_3,
      CE => userapp_inst_N_7_I,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_BAR_RD_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_BAR_RD
    );
  userapp_inst_FOO_BAR0_BAR_RD_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_BAR_RD_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_BAR_RD_FFX_RST
    );
  userapp_inst_FOO_BAR0_BAR_RD_FFX_ASYNC_FF_GSR_OR_703 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_BAR_RD_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_BAR_RD_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1I2739 : X_LUT4
    generic map(
      INIT => X"CC00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_AD7610_0000,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2670,
      O => PCI_CORE_PCI_LC_PCI_CNTL_ADX4
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_DEC_4_AND4 : X_LUT4
    generic map(
      INIT => X"0010"
    )
    port map (
      ADR0 => PCI_CORE_AD2,
      ADR1 => PCI_CORE_AD3,
      ADR2 => PCI_CORE_AD4,
      ADR3 => PCI_CORE_AD5,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX4_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_1N2670
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_Q4_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_ADX4,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX4
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_ASYNC_FF_GSR_OR_704 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_LADX4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_4I1063 : X_LUT4
    generic map(
      INIT => X"8C00"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_S_FIRST,
      ADR2 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I767 : X_LUT4
    generic map(
      INIT => X"5073"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_DATA_NS_DATA,
      ADR2 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_CRABILL,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SF0_I1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I745 : X_LUT4
    generic map(
      INIT => X"C800"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_EQN,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_A,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_C_EQN,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I785 : X_LUT4
    generic map(
      INIT => X"4450"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR1 => COMPLETE,
      ADR2 => S_READY,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_CRABILL
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F
    );
  PCI_CORE_PCI_LC_PCI_CNTL_1I1005 : X_LUT4
    generic map(
      INIT => X"FFAF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_APERR_N,
      ADR3 => KEEPOUT,
      O => KEEPOUT_GROM
    );
  userapp_inst_control_s_abort_0_and2 : X_LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      ADR0 => CFG_SELF,
      ADR1 => userapp_inst_BAR_0_HIT,
      ADR2 => VCC,
      ADR3 => VCC,
      O => KEEPOUT_FROM
    );
  KEEPOUT_YUSED : X_BUF
    port map (
      I => KEEPOUT_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT
    );
  KEEPOUT_XUSED : X_BUF
    port map (
      I => KEEPOUT_FROM,
      O => KEEPOUT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1450 : X_LUT4
    generic map(
      INIT => X"FFB3"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR,
      ADR1 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_JAYANT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1252 : X_LUT4
    generic map(
      INIT => X"EEE0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_TERM,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_TERM_OTHER,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_IDATA_WIN,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_FAST_TERM_WIN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_NS
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_PRE_DATA
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1415 : X_LUT4
    generic map(
      INIT => X"FAF0"
    )
    port map (
      ADR0 => S_READY,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1I1429 : X_LUT4
    generic map(
      INIT => X"FFFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_NL_MEM0,
      ADR2 => PCI_CORE_PCI_LC_NL_MEM1,
      ADR3 => PCI_CORE_PCI_LC_NL_MEM2,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_TERM_OTHER
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_1N1433
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1248 : X_LUT4
    generic map(
      INIT => X"0800"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_WR_OR_NRDY,
      ADR1 => PCI_CORE_PCI_LC_B_BUSY_INT,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1360 : X_LUT4
    generic map(
      INIT => X"FCFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => BASE_HIT(0),
      ADR2 => PCI_CORE_CFG_HIT,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_FAST_TERM_WIN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_HIT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1060 : X_LUT4
    generic map(
      INIT => X"BABF"
    )
    port map (
      ADR0 => S_WRDN,
      ADR1 => COMPLETE,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC,
      ADR3 => S_READY,
      O => S_READY_GROM
    );
  userapp_inst_control_s_ready_0_and2 : X_LUT4
    generic map(
      INIT => X"F0A0"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_R_TERM,
      ADR1 => VCC,
      ADR2 => userapp_inst_BAR_0_HIT,
      ADR3 => userapp_inst_FOO_BAR0_W_READY,
      O => S_READY_FROM
    );
  S_READY_YUSED : X_BUF
    port map (
      I => S_READY_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_WR_OR_NRDY
    );
  S_READY_XUSED : X_BUF
    port map (
      I => S_READY_FROM,
      O => S_READY
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1495 : X_LUT4
    generic map(
      INIT => X"FBF8"
    )
    port map (
      ADR0 => COMPLETE,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR3 => S_TERM,
      O => S_TERM_GROM
    );
  userapp_inst_control_s_term_0_and2 : X_LUT4
    generic map(
      INIT => X"EE00"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_R_TERM,
      ADR1 => userapp_inst_FOO_BAR0_W_TERM,
      ADR2 => VCC,
      ADR3 => userapp_inst_BAR_0_HIT,
      O => S_TERM_FROM
    );
  S_TERM_YUSED : X_BUF
    port map (
      I => S_TERM_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_JAYANT
    );
  S_TERM_XUSED : X_BUF
    port map (
      I => S_TERM_FROM,
      O => S_TERM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1480 : X_LUT4
    generic map(
      INIT => X"3000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG,
      ADR2 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1504 : X_LUT4
    generic map(
      INIT => X"0202"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q,
      ADR2 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_IDATA_WIN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_2I896 : X_LUT4
    generic map(
      INIT => X"F0FE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_BKOF_NS_BKOF,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF1,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_2I959 : X_LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0_I1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DUCKLING
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3734 : X_LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_G,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => COMPLETE,
      ADR3 => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_GROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3699 : X_LUT4
    generic map(
      INIT => X"7555"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      ADR2 => PCI_CORE_PCI_LC_TRDY_Q,
      ADR3 => PCI_CORE_PCI_LC_STOP_Q,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_FROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_GROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_ALLOWED
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E_FROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3738 : X_LUT4
    generic map(
      INIT => X"33FF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_GROM
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2833 : X_LUT4
    generic map(
      INIT => X"A000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_DEVSEL_Q,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_DEV_TO_PASS_TO,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_FROM
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_GROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_G
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_FROM,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2789 : X_LUT4
    generic map(
      INIT => X"FF04"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR1 => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_B,
      ADR2 => PCI_CORE_PCI_LC_GNT_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_GROM
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2721 : X_LUT4
    generic map(
      INIT => X"0500"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_DR_BUS_COND,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_GNT_Q,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_FROM
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_GROM,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_A0
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A_FROM,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_A
    );
  PCI_CORE_PCI_LC_PCI_PAR_X1 : X_LUT4
    generic map(
      INIT => X"A55A"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_X1I,
      ADR1 => VCC,
      ADR2 => PCI_CORE_CBE_IN0,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_X0I,
      O => PCI_CORE_PCI_LC_PCI_PAR_X0I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X0 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD2,
      ADR1 => PCI_CORE_AD0,
      ADR2 => PCI_CORE_AD1,
      ADR3 => PCI_CORE_AD3,
      O => PCI_CORE_PCI_LC_PCI_PAR_X0I_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X0I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X0I_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P0I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X0I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X0I_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X0I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X4 : X_LUT4
    generic map(
      INIT => X"9966"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN1,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_X3I,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_X2I,
      O => PCI_CORE_PCI_LC_PCI_PAR_X2I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X3 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD8,
      ADR1 => PCI_CORE_AD9,
      ADR2 => PCI_CORE_AD10,
      ADR3 => PCI_CORE_AD11,
      O => PCI_CORE_PCI_LC_PCI_PAR_X2I_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X2I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X2I_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P1I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X2I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X2I_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X2I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X7 : X_LUT4
    generic map(
      INIT => X"9966"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_X5I,
      ADR1 => PCI_CORE_CBE_IN2,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_X4I,
      O => PCI_CORE_PCI_LC_PCI_PAR_X4I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X6 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD17,
      ADR1 => PCI_CORE_AD16,
      ADR2 => PCI_CORE_AD19,
      ADR3 => PCI_CORE_AD18,
      O => PCI_CORE_PCI_LC_PCI_PAR_X4I_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X4I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X4I_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P2I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X4I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X4I_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X4I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X10 : X_LUT4
    generic map(
      INIT => X"C33C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_X7I,
      ADR2 => PCI_CORE_CBE_IN3,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_X6I,
      O => PCI_CORE_PCI_LC_PCI_PAR_X6I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X9 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD26,
      ADR1 => PCI_CORE_AD24,
      ADR2 => PCI_CORE_AD25,
      ADR3 => PCI_CORE_AD27,
      O => PCI_CORE_PCI_LC_PCI_PAR_X6I_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X6I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X6I_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P3I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X6I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X6I_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X6I
    );
  PCI_CORE_PCI_LC_SRC_EN_1I656 : X_LUT4
    generic map(
      INIT => X"0F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => S_WRDN,
      ADR3 => PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE,
      O => PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_GROM
    );
  PCI_CORE_PCI_LC_SRC_EN_1I565 : X_LUT4
    generic map(
      INIT => X"EAAA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN,
      ADR1 => S_READY,
      ADR2 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_S_FIRST,
      O => PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_FROM
    );
  PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_GROM,
      O => PCI_CORE_S_SRC_EN
    );
  PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE_FROM,
      O => PCI_CORE_PCI_LC_SRC_EN_S_SRC_PRE
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1I1022 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => BASE_HIT(0),
      ADR3 => PCI_CORE_CFG_HIT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_2I822 : X_LUT4
    generic map(
      INIT => X"0111"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_HIT,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_ACTIVE,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_HIT,
      ADR3 => PCI_CORE_PCI_LC_B_BUSY_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_HIT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_TRDY_IN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_2I897 : X_LUT4
    generic map(
      INIT => X"F5F4"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_BKOF_NS_BKOF,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_2I933 : X_LUT4
    generic map(
      INIT => X"B300"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      ADR3 => PCI_CORE_PCI_LC_S_DATA_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_NS_F0_I0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1I758 : X_LUT4
    generic map(
      INIT => X"0F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_S_ABORT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1I769 : X_LUT4
    generic map(
      INIT => X"AE0E"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_BACKOFF_INT,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_F1A
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1N790
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I592_free_bound : X_LUT4
    generic map(
      INIT => X"CCC8"
    )
    port map (
      ADR0 => PCI_CORE_ADDR(6),
      ADR1 => PCI_CORE_PCI_CMD_10_Q,
      ADR2 => PCI_CORE_ADDR(7),
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_OR16_O : X_LUT4
    generic map(
      INIT => X"7EBB"
    )
    port map (
      ADR0 => PCI_CORE_ADDR(5),
      ADR1 => PCI_CORE_ADDR(2),
      ADR2 => PCI_CORE_ADDR(3),
      ADR3 => PCI_CORE_ADDR(4),
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_2I592_free_1_2
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OE_X
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_6I3734 : X_LUT4
    generic map(
      INIT => X"FAEA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT,
      ADR2 => PCI_CORE_GNT_IN,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_1I3697 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ,
      ADR3 => PCI_CORE_PCI_LC_DR_BUS_INT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_FROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_GROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_1
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_2I3334 : X_LUT4
    generic map(
      INIT => X"2AAA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_FIRST,
      ADR1 => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E,
      ADR2 => COMPLETE,
      ADR3 => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_GROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_2I3437 : X_LUT4
    generic map(
      INIT => X"0F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_FROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_GROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_FIRST0
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F_FROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_F
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_2I3464 : X_LUT4
    generic map(
      INIT => X"0CCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_FRAME_FEEDBACK,
      ADR2 => COMPLETE,
      ADR3 => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_GROM
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_2I3511 : X_LUT4
    generic map(
      INIT => X"EFCF"
    )
    port map (
      ADR0 => PCI_CORE_TIME_OUT,
      ADR1 => COMPLETE,
      ADR2 => PCI_CORE_PCI_LC_STOP_Q,
      ADR3 => PCI_CORE_PCI_LC_GNT_Q,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_FROM
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_GROM,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_KO_T_0
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0_FROM,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_0
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_2I3463 : X_LUT4
    generic map(
      INIT => X"70F0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL,
      ADR1 => COMPLETE,
      ADR2 => PCI_CORE_PCI_LC_MASTER_FRAME_FEEDBACK,
      ADR3 => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_GROM
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_2I3528 : X_LUT4
    generic map(
      INIT => X"FDF5"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_STOP_Q,
      ADR1 => PCI_CORE_PCI_LC_GNT_Q,
      ADR2 => COMPLETE,
      ADR3 => PCI_CORE_TIME_OUT,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_FROM
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_GROM,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_KO_T_1
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1_FROM,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_DONE_1
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2808 : X_LUT4
    generic map(
      INIT => X"50F0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_DR_BUS_INT,
      ADR3 => PCI_CORE_PCI_LC_MASTER_M_ENABLE,
      O => PCI_CORE_PCI_LC_MASTER_M_ENABLE_GROM
    );
  PCI_CORE_PCI_LC_MASTER_4I2899 : X_LUT4
    generic map(
      INIT => X"FFAA"
    )
    port map (
      ADR0 => PCI_CORE_CSR_2_Q,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => CFG_SELF,
      O => PCI_CORE_PCI_LC_MASTER_M_ENABLE_FROM
    );
  PCI_CORE_PCI_LC_MASTER_M_ENABLE_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_M_ENABLE_GROM,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_B
    );
  PCI_CORE_PCI_LC_MASTER_M_ENABLE_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_M_ENABLE_FROM,
      O => PCI_CORE_PCI_LC_MASTER_M_ENABLE
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2819 : X_LUT4
    generic map(
      INIT => X"2232"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_DR_BUS_COMMON_B,
      ADR1 => PCI_CORE_PCI_LC_GNT_Q,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DR_BUS_COND,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_GROM
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2719 : X_LUT4
    generic map(
      INIT => X"55D5"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      ADR1 => PCI_CORE_PCI_LC_STOP_Q,
      ADR2 => PCI_CORE_PCI_LC_TRDY_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_FROM
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_GROM,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_A1
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DR_BUS_COND_FROM,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_COND
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_1I2599 : X_LUT4
    generic map(
      INIT => X"2220"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_DR_BUS_INT,
      ADR1 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR2 => PCI_CORE_PCI_LC_GNT_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_GROM
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_1I2773 : X_LUT4
    generic map(
      INIT => X"CC00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_M_ENABLE,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_FROM
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_GROM,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_EQ_B
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ_FROM,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_VALIDREQ
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_1I2593 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_GNT_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_GROM
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_1I2594 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_STOP_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_FROM
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_GROM,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_EQ_A
    );
  PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2_FROM,
      O => PCI_CORE_PCI_LC_MASTER_I_IDLE_PRE_C2
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8593 : X_LUT4
    generic map(
      INIT => X"FFAA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      O => PCI_CORE_PCI_LC_PCI_ROM_SELA_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8227 : X_LUT4
    generic map(
      INIT => X"000C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_ROM_1N8188,
      ADR2 => PCI_CORE_ADDR(6),
      ADR3 => PCI_CORE_ADDR(7),
      O => PCI_CORE_PCI_LC_PCI_ROM_SELA_FROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_SELA_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA_GROM,
      O => PCI_CORE_PCI_LC_MD0
    );
  PCI_CORE_PCI_LC_PCI_ROM_SELA_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SELA_FROM,
      O => PCI_CORE_PCI_LC_PCI_ROM_SELA
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8569 : X_LUT4
    generic map(
      INIT => X"FFFA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SEL2,
      O => PCI_CORE_PCI_LC_PCI_ROM_SEL2_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8110 : X_LUT4
    generic map(
      INIT => X"0202"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_1N8111,
      ADR1 => PCI_CORE_ADDR(6),
      ADR2 => PCI_CORE_ADDR(7),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_ROM_SEL2_FROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_SEL2_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SEL2_GROM,
      O => PCI_CORE_PCI_LC_MD24
    );
  PCI_CORE_PCI_LC_PCI_ROM_SEL2_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_SEL2_FROM,
      O => PCI_CORE_PCI_LC_PCI_ROM_SEL2
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8571 : X_LUT4
    generic map(
      INIT => X"CDCC"
    )
    port map (
      ADR0 => PCI_CORE_ADDR(7),
      ADR1 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR2 => PCI_CORE_ADDR(6),
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_1N8111,
      O => PCI_CORE_PCI_LC_PCI_ROM_1N8111_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8181_AND4 : X_LUT4
    generic map(
      INIT => X"0002"
    )
    port map (
      ADR0 => PCI_CORE_ADDR(3),
      ADR1 => PCI_CORE_ADDR(5),
      ADR2 => PCI_CORE_ADDR(2),
      ADR3 => PCI_CORE_ADDR(4),
      O => PCI_CORE_PCI_LC_PCI_ROM_1N8111_FROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1N8111_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_1N8111_GROM,
      O => PCI_CORE_PCI_LC_MD22
    );
  PCI_CORE_PCI_LC_PCI_ROM_1N8111_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_1N8111_FROM,
      O => PCI_CORE_PCI_LC_PCI_ROM_1N8111
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8078 : X_LUT4
    generic map(
      INIT => X"0300"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_ADDR(6),
      ADR2 => PCI_CORE_ADDR(7),
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_1N7806,
      O => PCI_CORE_PCI_LC_PCI_ROM_1N7806_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I7800_AND4 : X_LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      ADR0 => PCI_CORE_ADDR(4),
      ADR1 => PCI_CORE_ADDR(5),
      ADR2 => PCI_CORE_ADDR(2),
      ADR3 => PCI_CORE_ADDR(3),
      O => PCI_CORE_PCI_LC_PCI_ROM_1N7806_FROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1N7806_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_1N7806_GROM,
      O => PCI_CORE_PCI_LC_PCI_ROM_SEL0
    );
  PCI_CORE_PCI_LC_PCI_ROM_1N7806_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_1N7806_FROM,
      O => PCI_CORE_PCI_LC_PCI_ROM_1N7806
    );
  PCI_CORE_PCI_LC_PCI_PAR_5I3093 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_P1O,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_P2O,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_P0O,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_P3O,
      O => PCI_CORE_PCI_LC_PCI_PAR_P3O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X34 : X_LUT4
    generic map(
      INIT => X"6666"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_X7O,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_X6O,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_P3O_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_P3O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_P3O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_AD_PAR
    );
  PCI_CORE_PCI_LC_PCI_PAR_P3O_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_P3O_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P3O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X25 : X_LUT4
    generic map(
      INIT => X"55AA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_X0O,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_X1O,
      O => PCI_CORE_PCI_LC_PCI_PAR_X1O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X26 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ4,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ7,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ5,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ6,
      O => PCI_CORE_PCI_LC_PCI_PAR_X1O_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X1O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X1O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P0O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X1O_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X1O_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X1O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X28 : X_LUT4
    generic map(
      INIT => X"55AA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_X2O,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_X3O,
      O => PCI_CORE_PCI_LC_PCI_PAR_X3O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X29 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ14,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ15,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ12,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ13,
      O => PCI_CORE_PCI_LC_PCI_PAR_X3O_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X3O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X3O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P1O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X3O_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X3O_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X3O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X31 : X_LUT4
    generic map(
      INIT => X"0FF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_X4O,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_X5O,
      O => PCI_CORE_PCI_LC_PCI_PAR_X5O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X32 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ21,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ20,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ23,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ22,
      O => PCI_CORE_PCI_LC_PCI_PAR_X5O_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X5O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X5O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_P2O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X5O_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X5O_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X5O
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I2936 : X_LUT4
    generic map(
      INIT => X"FF55"
    )
    port map (
      ADR0 => PCI_CORE_CSR_8_Q,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_3N2935,
      O => PCI_CORE_PCI_LC_PCI_PAR_3N2935_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I2940 : X_LUT4
    generic map(
      INIT => X"DDDF"
    )
    port map (
      ADR0 => PCI_CORE_CSR_6_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_LC_PERR_Q,
      ADR2 => PCI_CORE_PCI_CMD_1_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_ADDR_VLDQ,
      O => PCI_CORE_PCI_LC_PCI_PAR_3N2935_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_3N2935_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_3N2935_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_NS_OE_SERR
    );
  PCI_CORE_PCI_LC_PCI_PAR_3N2935_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_3N2935_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_3N2935
    );
  PCI_CORE_PCI_LC_EOT_1I613 : X_LUT4
    generic map(
      INIT => X"FF22"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_EOT,
      ADR1 => PCI_CORE_PCI_LC_EOT_EOT_DL,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_EOT_1N623,
      O => PCI_CORE_PCI_LC_EOT_1N623_GROM
    );
  PCI_CORE_PCI_LC_EOT_1I610 : X_LUT4
    generic map(
      INIT => X"7700"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_S_DATA_INT,
      O => PCI_CORE_PCI_LC_EOT_1N623_FROM
    );
  PCI_CORE_PCI_LC_EOT_1N623_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_EOT_1N623_GROM,
      O => PCI_CORE_PCI_LC_EOT_EQN_W1
    );
  PCI_CORE_PCI_LC_EOT_1N623_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_EOT_1N623_FROM,
      O => PCI_CORE_PCI_LC_EOT_1N623
    );
  PCI_CORE_PCI_LC_OUT_CE_3I1067 : X_LUT4
    generic map(
      INIT => X"FFFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_OUT_CE_FIRST,
      O => PCI_CORE_PCI_LC_OUT_CE_FIRST_GROM
    );
  PCI_CORE_PCI_LC_OUT_CE_3I1093 : X_LUT4
    generic map(
      INIT => X"ECA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => PCI_CORE_PCI_LC_S_FIRST,
      ADR3 => PCI_CORE_PCI_LC_M_FIRST,
      O => PCI_CORE_PCI_LC_OUT_CE_FIRST_FROM
    );
  PCI_CORE_PCI_LC_OUT_CE_FIRST_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_FIRST_GROM,
      O => PCI_CORE_PCI_LC_OUT_CE_FFA
    );
  PCI_CORE_PCI_LC_OUT_CE_FIRST_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_FIRST_FROM,
      O => PCI_CORE_PCI_LC_OUT_CE_FIRST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_1I400 : X_LUT4
    generic map(
      INIT => X"BA30"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_BACKOFF_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_1I476 : X_LUT4
    generic map(
      INIT => X"0301"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_DATA_NS
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_E
    );
  userapp_inst_foo_bar0_data_phase_control_N_40_i_705 : X_LUT4
    generic map(
      INIT => X"5754"
    )
    port map (
      ADR0 => S_DATA,
      ADR1 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(1),
      ADR2 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(0),
      ADR3 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_GROM
    );
  userapp_inst_foo_bar0_data_phase_control_G_42 : X_LUT4
    generic map(
      INIT => X"F5A0"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR1 => VCC,
      ADR2 => BASE_HIT(0),
      ADR3 => userapp_inst_FOO_BAR0_BAR_WR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_FROM
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_GROM,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_40_I
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39_FROM,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_39
    );
  PCI_CORE_PCI_LC_SRC_EN_1I742 : X_LUT4
    generic map(
      INIT => X"0A00"
    )
    port map (
      ADR0 => CFG_SELF,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN,
      O => PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_GROM
    );
  PCI_CORE_PCI_LC_SRC_EN_1I615 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_NEWDATA,
      ADR1 => COMPLETE,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      O => PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_FROM
    );
  PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_GROM,
      O => PCI_CORE_M_SRC_EN
    );
  PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN_FROM,
      O => PCI_CORE_PCI_LC_SRC_EN_MDATA_EQN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_CE_CE3_G1 : X_LUT4
    generic map(
      INIT => X"4000"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN1,
      ADR1 => PCI_CORE_PCI_CMD_11_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_LADX3,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_DSTR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_DSTR_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_1I840 : X_LUT4
    generic map(
      INIT => X"1100"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      ADR2 => VCC,
      ADR3 => S_WRDN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_DSTR_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_DSTR_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_DSTR_GROM,
      O => PCI_CORE_PCI_LC_CE3_1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_DSTR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_DSTR_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_DSTR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_2I3711 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ,
      ADR1 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_GNT_Q,
      O => PCI_CORE_OE_CBE_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3784 : X_LUT4
    generic map(
      INIT => X"0C0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32,
      ADR2 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD,
      ADR3 => VCC,
      O => PCI_CORE_OE_CBE_FROM
    );
  PCI_CORE_OE_CBE_YUSED : X_BUF
    port map (
      I => PCI_CORE_OE_CBE_GROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD
    );
  PCI_CORE_OE_CBE_XUSED : X_BUF
    port map (
      I => PCI_CORE_OE_CBE_FROM,
      O => PCI_CORE_OE_CBE
    );
  PCI_CORE_ADDR_4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_ADDR_4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_LA4_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD4,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_ADDR_4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_ADDR(4)
    );
  PCI_CORE_ADDR_4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_ADDR_4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_ADDR_4_FFY_RST
    );
  PCI_CORE_ADDR_4_FFY_ASYNC_FF_GSR_OR_706 : X_OR2
    port map (
      I0 => PCI_CORE_ADDR_4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_ADDR_4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_bound : X_LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_CNT_VAL4,
      ADR1 => PCI_CORE_PCI_LC_MASTER_CNT_VAL7,
      ADR2 => PCI_CORE_PCI_LC_MASTER_CNT_VAL5,
      ADR3 => PCI_CORE_PCI_LC_MASTER_CNT_VAL6,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_GROM
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_FROM
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_GROM,
      O => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0
    );
  PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_LAT_TIMR_1I29_1_0_FROM,
      O => GLOBAL_LOGIC0_23
    );
  S_WRDN_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => S_WRDN_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_LC0_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_CBE_IN0,
      CE => PCI_CORE_PCI_LC_ADDR_VLD1,
      CLK => CLK,
      SET => GND,
      RST => S_WRDN_FFY_ASYNC_FF_GSR_OR,
      O => S_WRDN
    );
  S_WRDN_FFY_RSTOR : X_BUF
    port map (
      I => S_WRDN_SRMUX_OUTPUTNOT,
      O => S_WRDN_FFY_RST
    );
  S_WRDN_FFY_ASYNC_FF_GSR_OR_707 : X_OR2
    port map (
      I0 => S_WRDN_FFY_RST,
      I1 => GSR,
      O => S_WRDN_FFY_ASYNC_FF_GSR_OR
    );
  COMPLETE_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => COMPLETE_SRMUX_OUTPUTNOT
    );
  COMPLETE_LOGIC_ONE_708 : X_ONE
    port map (
      O => COMPLETE_LOGIC_ONE
    );
  userapp_inst_benign_initiator_m_cbe_2_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => COMPLETE_LOGIC_ONE,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => COMPLETE_FFY_ASYNC_FF_GSR_OR,
      O => COMPLETE
    );
  COMPLETE_FFY_RSTOR : X_BUF
    port map (
      I => COMPLETE_SRMUX_OUTPUTNOT,
      O => COMPLETE_FFY_RST
    );
  COMPLETE_FFY_ASYNC_FF_GSR_OR_709 : X_OR2
    port map (
      I0 => COMPLETE_FFY_RST,
      I1 => GSR,
      O => COMPLETE_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_ADDR_5_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_ADDR_5_FROM
    );
  PCI_CORE_ADDR_5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_ADDR_5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_ADDR_5_XUSED : X_BUF
    port map (
      I => PCI_CORE_ADDR_5_FROM,
      O => GLOBAL_LOGIC0_64
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_LA5_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD5,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_ADDR_5_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_ADDR(5)
    );
  PCI_CORE_ADDR_5_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_ADDR_5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_ADDR_5_FFY_RST
    );
  PCI_CORE_ADDR_5_FFY_ASYNC_FF_GSR_OR_710 : X_OR2
    port map (
      I0 => PCI_CORE_ADDR_5_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_ADDR_5_FFY_ASYNC_FF_GSR_OR
    );
  CFG_SELF_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => CFG_SELF_SRMUX_OUTPUTNOT
    );
  CFG_SELF_LOGIC_ZERO_711 : X_ZERO
    port map (
      O => CFG_SELF_LOGIC_ZERO
    );
  userapp_inst_benign_initiator_m_cbe_6_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CFG_SELF_LOGIC_ZERO,
      CE => VCC,
      CLK => CLK,
      SET => CFG_SELF_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => CFG_SELF
    );
  CFG_SELF_FFY_SETOR : X_BUF
    port map (
      I => CFG_SELF_SRMUX_OUTPUTNOT,
      O => CFG_SELF_FFY_SET
    );
  CFG_SELF_FFY_ASYNC_FF_GSR_OR_712 : X_OR2
    port map (
      I0 => CFG_SELF_FFY_SET,
      I1 => GSR,
      O => CFG_SELF_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_S_WRDN_DUP_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_S_WRDN_DUP_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_LC1_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_CBE_IN0,
      CE => PCI_CORE_PCI_LC_ADDR_VLD1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_S_WRDN_DUP
    );
  PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_S_WRDN_DUP_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_RST
    );
  PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_ASYNC_FF_GSR_OR_713 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_S_WRDN_DUP_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DEVSELQ_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_ASYNC_FF_GSR_OR_714 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TDEVSEL_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_3N3054_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_3N3054_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I3058 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_3N3054
    );
  PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_3N3054_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_ASYNC_FF_GSR_OR_715 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_3N3054_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I3059 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_DATA_INT,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ
    );
  PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_ASYNC_FF_GSR_OR_716 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_PAR_M_DATAQ_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH48_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH48_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH48_LOGIC_ONE_717 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH48_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH48_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH48_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH48
    );
  PCI_CORE_PCI_LC_FAIL_ADH48_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH48_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH48_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH48_FFY_ASYNC_FF_GSR_OR_718 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH48_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH48_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH49_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH49_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH49_LOGIC_ONE_719 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH49_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH49_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH49_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH49
    );
  PCI_CORE_PCI_LC_FAIL_ADH49_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH49_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH49_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH49_FFY_ASYNC_FF_GSR_OR_720 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH49_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH49_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH50_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH50_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH50_LOGIC_ONE_721 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH50_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH50_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH50_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH50
    );
  PCI_CORE_PCI_LC_FAIL_ADH50_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH50_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH50_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH50_FFY_ASYNC_FF_GSR_OR_722 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH50_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH50_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH51_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH51_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH51_LOGIC_ONE_723 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH51_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH51_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH51_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH51
    );
  PCI_CORE_PCI_LC_FAIL_ADH51_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH51_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH51_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH51_FFY_ASYNC_FF_GSR_OR_724 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH51_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH51_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH52_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_ADH52_FROM
    );
  PCI_CORE_PCI_LC_FAIL_ADH52_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH52_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH52_LOGIC_ONE_725 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH52_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH52_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH52_FROM,
      O => GLOBAL_LOGIC0_37
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH52_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH52_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH52
    );
  PCI_CORE_PCI_LC_FAIL_ADH52_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH52_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH52_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH52_FFY_ASYNC_FF_GSR_OR_726 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH52_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH52_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH53_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_ADH53_FROM
    );
  PCI_CORE_PCI_LC_FAIL_ADH53_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH53_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH53_LOGIC_ONE_727 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH53_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH53_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH53_FROM,
      O => GLOBAL_LOGIC0_21
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH53_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH53_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH53
    );
  PCI_CORE_PCI_LC_FAIL_ADH53_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH53_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH53_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH53_FFY_ASYNC_FF_GSR_OR_728 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH53_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH53_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH54_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH54_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH54_LOGIC_ONE_729 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH54_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH54_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH54_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH54
    );
  PCI_CORE_PCI_LC_FAIL_ADH54_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH54_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH54_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH54_FFY_ASYNC_FF_GSR_OR_730 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH54_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH54_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH55_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH55_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH55_LOGIC_ONE_731 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH55_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH55_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH55_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH55
    );
  PCI_CORE_PCI_LC_FAIL_ADH55_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH55_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH55_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH55_FFY_ASYNC_FF_GSR_OR_732 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH55_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH55_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_ADDR_6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_ADDR_6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_LA6_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD6,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_ADDR_6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_ADDR(6)
    );
  PCI_CORE_ADDR_6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_ADDR_6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_ADDR_6_FFY_RST
    );
  PCI_CORE_ADDR_6_FFY_ASYNC_FF_GSR_OR_733 : X_OR2
    port map (
      I0 => PCI_CORE_ADDR_6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_ADDR_6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH56_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH56_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH56_LOGIC_ONE_734 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH56_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH56_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH56_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH56
    );
  PCI_CORE_PCI_LC_FAIL_ADH56_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH56_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH56_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH56_FFY_ASYNC_FF_GSR_OR_735 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH56_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH56_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH57_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH57_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH57_LOGIC_ONE_736 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH57_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q9 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH57_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH57_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH57
    );
  PCI_CORE_PCI_LC_FAIL_ADH57_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH57_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH57_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH57_FFY_ASYNC_FF_GSR_OR_737 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH57_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH57_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH32_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH32_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH32_LOGIC_ONE_738 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH32_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH32_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH32_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH32
    );
  PCI_CORE_PCI_LC_FAIL_ADH32_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH32_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH32_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH32_FFY_ASYNC_FF_GSR_OR_739 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH32_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH32_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH33_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_ADH33_FROM
    );
  PCI_CORE_PCI_LC_FAIL_ADH33_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH33_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH33_LOGIC_ONE_740 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH33_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH33_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH33_FROM,
      O => GLOBAL_LOGIC0_26
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH33_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH33_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH33
    );
  PCI_CORE_PCI_LC_FAIL_ADH33_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH33_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH33_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH33_FFY_ASYNC_FF_GSR_OR_741 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH33_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH33_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH34_G : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_ADH34_GROM
    );
  PCI_CORE_PCI_LC_FAIL_ADH34_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH34_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH34_LOGIC_ONE_742 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH34_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH34_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH34_GROM,
      O => GLOBAL_LOGIC1_4
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH34_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH34_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH34
    );
  PCI_CORE_PCI_LC_FAIL_ADH34_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH34_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH34_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH34_FFY_ASYNC_FF_GSR_OR_743 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH34_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH34_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH35_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH35_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH35_LOGIC_ONE_744 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH35_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH35_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH35_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH35
    );
  PCI_CORE_PCI_LC_FAIL_ADH35_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH35_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH35_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH35_FFY_ASYNC_FF_GSR_OR_745 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH35_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH35_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH36_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH36_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH36_LOGIC_ONE_746 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH36_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH36_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH36_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH36
    );
  PCI_CORE_PCI_LC_FAIL_ADH36_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH36_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH36_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH36_FFY_ASYNC_FF_GSR_OR_747 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH36_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH36_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH37_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH37_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH37_LOGIC_ONE_748 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH37_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH37_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH37_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH37
    );
  PCI_CORE_PCI_LC_FAIL_ADH37_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH37_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH37_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH37_FFY_ASYNC_FF_GSR_OR_749 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH37_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH37_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH38_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH38_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH38_LOGIC_ONE_750 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH38_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH38_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH38_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH38
    );
  PCI_CORE_PCI_LC_FAIL_ADH38_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH38_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH38_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH38_FFY_ASYNC_FF_GSR_OR_751 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH38_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH38_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH39_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH39_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH39_LOGIC_ONE_752 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH39_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH39_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH39_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH39
    );
  PCI_CORE_PCI_LC_FAIL_ADH39_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH39_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH39_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH39_FFY_ASYNC_FF_GSR_OR_753 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH39_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH39_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH40_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH40_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH40_LOGIC_ONE_754 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH40_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH40_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH40_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH40
    );
  PCI_CORE_PCI_LC_FAIL_ADH40_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH40_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH40_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH40_FFY_ASYNC_FF_GSR_OR_755 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH40_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH40_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH41_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH41_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH41_LOGIC_ONE_756 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH41_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q9 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH41_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH41_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH41
    );
  PCI_CORE_PCI_LC_FAIL_ADH41_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH41_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH41_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH41_FFY_ASYNC_FF_GSR_OR_757 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH41_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH41_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_ADDR_7_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_ADDR_7_FROM
    );
  PCI_CORE_ADDR_7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_ADDR_7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_ADDR_7_XUSED : X_BUF
    port map (
      I => PCI_CORE_ADDR_7_FROM,
      O => GLOBAL_LOGIC0_49
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_LA7_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD7,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_ADDR_7_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_ADDR(7)
    );
  PCI_CORE_ADDR_7_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_ADDR_7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_ADDR_7_FFY_RST
    );
  PCI_CORE_ADDR_7_FFY_ASYNC_FF_GSR_OR_758 : X_OR2
    port map (
      I0 => PCI_CORE_ADDR_7_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_ADDR_7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_S_TAR_1I2601 : X_LUT4
    generic map(
      INIT => X"D000"
    )
    port map (
      ADR0 => PCI_CORE_STOP_I,
      ADR1 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      O => PCI_CORE_PCI_LC_MASTER_S_TAR_NS_S_TAR
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_1I3144 : X_LUT4
    generic map(
      INIT => X"0100"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      ADR1 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_PCI_LC_MASTER_S_TAR_FROM
    );
  PCI_CORE_PCI_LC_MASTER_S_TAR_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_S_TAR_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_S_TAR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_S_TAR_FROM,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_FEEDBACK
    );
  PCI_CORE_PCI_LC_MASTER_S_TAR_S_TAR : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_S_TAR_NS_S_TAR,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_S_TAR
    );
  PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_S_TAR_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_ASYNC_FF_GSR_OR_759 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_S_TAR_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH8_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH8_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(8),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH8
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH8_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_ASYNC_FF_GSR_OR_760 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH8_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH9_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH9_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(9),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH9
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH9_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_ASYNC_FF_GSR_OR_761 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH9_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH10_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH10_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(10),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH10
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH10_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_ASYNC_FF_GSR_OR_762 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH10_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH11_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH11_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(11),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH11
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH11_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_ASYNC_FF_GSR_OR_763 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH11_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH12_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH12_FROM
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH12_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH12_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH12_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH12_FROM,
      O => GLOBAL_LOGIC0_20
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(12),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH12
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH12_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_ASYNC_FF_GSR_OR_764 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH12_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH13_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH13_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(13),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH13
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH13_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_ASYNC_FF_GSR_OR_765 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH13_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH14_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH14_FROM
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH14_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH14_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH14_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH14_FROM,
      O => GLOBAL_LOGIC0_12
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(14),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH14
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH14_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_ASYNC_FF_GSR_OR_766 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH14_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH15_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH15_FROM
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH15_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH15_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH15_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH15_FROM,
      O => GLOBAL_LOGIC0_46
    );
  PCI_CORE_PCI_LC_MASTER_PCI_0CH_LAT_TIME_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(15),
      CE => PCI_CORE_PCI_LC_CE3_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH15
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REG_0CH15_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_ASYNC_FF_GSR_OR_767 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REG_0CH15_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2903 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REQUEST64,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_ASYNC_FF_GSR_OR_768 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_REQUEST64Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2926 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_DATA_INT,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_ASYNC_FF_GSR_OR_769 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_M_DATA_Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FROM
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FROM,
      O => GLOBAL_LOGIC0_24
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2862 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_ADDR_BE,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_ASYNC_FF_GSR_OR_770 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2943 : X_LUT4
    generic map(
      INIT => X"F3F3"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_M_ENABLE,
      ADR2 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST_GROM
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2853_1I2213 : X_LUT4
    generic map(
      INIT => X"00EC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_M_ENABLE,
      ADR1 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR2 => PCI_CORE_PCI_LC_MASTER_1I2914_1N2884,
      ADR3 => PCI_CORE_PCI_LC_ADDR_BE,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_1I2853_D
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REQUEST_GROM,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_LOCKOUT
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2853_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_1I2914_1I2853_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REQUEST_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_RST
    );
  PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_ASYNC_FF_GSR_OR_771 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REQUEST_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_1I2914_1I2878 : X_LUT4
    generic map(
      INIT => X"F2F2"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_1I2914_ADDR_BE_Q,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => CFG_SELF,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_ADDR_VLD0_GROM
    );
  PCI_CORE_PCI_LC_ADDR_VLD_1I3880 : X_LUT4
    generic map(
      INIT => X"5010"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_Q,
      ADR3 => CFG_SELF,
      O => PCI_CORE_PCI_LC_ADDR_VLD0_FROM
    );
  PCI_CORE_PCI_LC_ADDR_VLD0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADDR_VLD0_GROM,
      O => PCI_CORE_PCI_LC_MASTER_1I2914_1N2884
    );
  PCI_CORE_PCI_LC_ADDR_VLD0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADDR_VLD0_FROM,
      O => PCI_CORE_PCI_LC_ADDR_VLD0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_1I1247 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => S_WRDN,
      ADR2 => PCI_CORE_CSR_6_Q,
      ADR3 => PCI_CORE_PCI_CMD_1_Q,
      O => PCI_CORE_PCI_LC_SET8_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_3I3057 : X_LUT4
    generic map(
      INIT => X"0C00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_3N3054,
      ADR2 => PCI_CORE_PCI_LC_PERR_Q,
      ADR3 => PCI_CORE_CSR_6_Q,
      O => PCI_CORE_PCI_LC_SET8_FROM
    );
  PCI_CORE_PCI_LC_SET8_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SET8_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_EQN_A
    );
  PCI_CORE_PCI_LC_SET8_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SET8_FROM,
      O => PCI_CORE_PCI_LC_SET8
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_1I1288 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_TTRDY_I_Q,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_ASYNC_FF_GSR_OR_772 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRDYDEL_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_2I1014 : X_LUT4
    generic map(
      INIT => X"3FFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR2 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR3 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3I801 : X_LUT4
    generic map(
      INIT => X"33FF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3N818
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_ACTIVE
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3I824 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3N818,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_ASYNC_FF_GSR_OR_773 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_2I1161 : X_LUT4
    generic map(
      INIT => X"ECCC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_BAR0_MATCH,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_NS_CFG_HIT,
      ADR2 => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446,
      ADR3 => PCI_CORE_PCI_LC_ADDR_VLD1,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_HIT_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_HIT_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_HIT_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_HIT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_1I469 : X_LUT4
    generic map(
      INIT => X"0F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_IDLE_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_1I995_1I2213 : X_LUT4
    generic map(
      INIT => X"00F5"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_APERR_N,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR,
      ADR3 => PCI_CORE_PCI_LC_IDLE_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_1I995_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_EQN_A
    );
  PCI_CORE_PCI_LC_PCI_CNTL_1I995_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_1I995_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_ASYNC_FF_GSR_OR_774 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_HOLD_APERR_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_1I3466 : X_LUT4
    generic map(
      INIT => X"0C0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR2 => PCI_CORE_GNT_IN,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_OEADI_MIDDLE_GROM
    );
  PCI_CORE_PCI_LC_OEADI_1I3995 : X_LUT4
    generic map(
      INIT => X"FFEE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OEADI_M_DATAQ,
      ADR1 => KEEPOUT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_ADDR_BE,
      O => PCI_CORE_PCI_LC_OEADI_MIDDLE_FROM
    );
  PCI_CORE_PCI_LC_OEADI_MIDDLE_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OEADI_MIDDLE_GROM,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_TURN_ON
    );
  PCI_CORE_PCI_LC_OEADI_MIDDLE_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OEADI_MIDDLE_FROM,
      O => PCI_CORE_PCI_LC_OEADI_MIDDLE
    );
  userapp_inst_foo_bar0_bar_hit_0_N_7_i : X_LUT4
    generic map(
      INIT => X"FF33"
    )
    port map (
      ADR0 => VCC,
      ADR1 => S_DATA,
      ADR2 => VCC,
      ADR3 => BASE_HIT(0),
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_GROM
    );
  userapp_inst_foo_bar0_data_phase_control_write_cycle_logic_term_state_7_0_0_Q : X_LUT4
    generic map(
      INIT => X"ECEC"
    )
    port map (
      ADR0 => S_DATA,
      ADR1 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_43,
      ADR2 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(0),
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_WRITE_CYCLE_LOGIC_TERM_STATE_7(0)
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_SRMUX_OUTPUTNOT
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_GROM,
      O => userapp_inst_N_7_I
    );
  userapp_inst_foo_bar0_data_phase_control_term_state_0_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_WRITE_CYCLE_LOGIC_TERM_STATE_7(0),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(0)
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_RST
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_ASYNC_FF_GSR_OR_775 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_0_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3498 : X_LUT4
    generic map(
      INIT => X"0F0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR2 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR3 => PCI_CORE_PCI_LC_ATTEMPT64,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_GROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3491 : X_LUT4
    generic map(
      INIT => X"0C0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR2 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_FROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_GROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_1
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0_FROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_WS_A_0
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FROM,
      O => GLOBAL_LOGIC0_52
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_2I3082 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_DATA_INT,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_ASYNC_FF_GSR_OR_776 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_X5 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD14,
      ADR1 => PCI_CORE_AD12,
      ADR2 => PCI_CORE_AD15,
      ADR3 => PCI_CORE_AD13,
      O => PCI_CORE_PCI_LC_PCI_PAR_X3I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X3I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X3I_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X3I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X8 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD20,
      ADR1 => PCI_CORE_AD23,
      ADR2 => PCI_CORE_AD22,
      ADR3 => PCI_CORE_AD21,
      O => PCI_CORE_PCI_LC_PCI_PAR_X5I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X5I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X5I_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X5I
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en8_3_i_i_777 : X_LUT4
    generic map(
      INIT => X"7F7F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(6),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(5),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(4),
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en11_5_i_778 : X_LUT4
    generic map(
      INIT => X"BBFF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(6),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(4),
      ADR2 => VCC,
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(5),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN8_3_I_I
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN11_5_I
    );
  PCI_CORE_PCI_LC_FAIL_CBH4_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_CBH4_FROM
    );
  PCI_CORE_PCI_LC_FAIL_CBH4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_CBH4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_CBH4_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_CBH4_FROM,
      O => GLOBAL_LOGIC0_53
    );
  PCI_CORE_PCI_LC_FAIL_CBH_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAKE_GTS,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_CBH4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_CBH4
    );
  PCI_CORE_PCI_LC_FAIL_CBH4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_CBH4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_CBH4_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_CBH4_FFY_ASYNC_FF_GSR_OR_779 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_CBH4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_CBH4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_CBH5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_CBH5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_CBH_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAKE_GTS,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_CBH5_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_CBH5
    );
  PCI_CORE_PCI_LC_FAIL_CBH5_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_CBH5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_CBH5_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_CBH5_FFY_ASYNC_FF_GSR_OR_780 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_CBH5_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_CBH5_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_CBH6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_CBH6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_CBH_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAKE_GTS,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_CBH6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_CBH6
    );
  PCI_CORE_PCI_LC_FAIL_CBH6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_CBH6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_CBH6_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_CBH6_FFY_ASYNC_FF_GSR_OR_781 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_CBH6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_CBH6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_CBH7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_CBH7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_CBH_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAKE_GTS,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_CBH7_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_CBH7
    );
  PCI_CORE_PCI_LC_FAIL_CBH7_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_CBH7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_CBH7_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_CBH7_FFY_ASYNC_FF_GSR_OR_782 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_CBH7_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_CBH7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8225_AND4 : X_LUT4
    generic map(
      INIT => X"1000"
    )
    port map (
      ADR0 => PCI_CORE_ADDR(2),
      ADR1 => PCI_CORE_ADDR(4),
      ADR2 => PCI_CORE_ADDR(5),
      ADR3 => PCI_CORE_ADDR(3),
      O => PCI_CORE_PCI_LC_PCI_ROM_1N8188_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1N8188_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_ROM_1N8188_FROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1N8188_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_1N8188_GROM,
      O => PCI_CORE_PCI_LC_PCI_ROM_1N8188
    );
  PCI_CORE_PCI_LC_PCI_ROM_1N8188_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_ROM_1N8188_FROM,
      O => GLOBAL_LOGIC0_47
    );
  PCI_CORE_PCI_LC_EOT_EOT_DL_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_EOT_EOT_DL_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_EOT_EOT_DL_783 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_EOT,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_EOT_EOT_DL
    );
  PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_EOT_EOT_DL_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_RST
    );
  PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_ASYNC_FF_GSR_OR_784 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_EOT_EOT_DL_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_LOGIC_ONE_785 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_1I3692 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_LOGIC_ONE,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_ASYNC_FF_GSR_OR_786 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_REQUESTQ_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_bar_oe_i_787 : X_LUT4
    generic map(
      INIT => X"33FF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => userapp_inst_FOO_BAR0_BAR_RD,
      ADR2 => VCC,
      ADR3 => S_DATA,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_GROM
    );
  userapp_inst_foo_bar0_data_phase_control_write_cycle_logic_term_state_7_0_1_Q : X_LUT4
    generic map(
      INIT => X"F8F8"
    )
    port map (
      ADR0 => S_DATA,
      ADR1 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(1),
      ADR2 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_N_45,
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_WRITE_CYCLE_LOGIC_TERM_STATE_7(1)
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_SRMUX_OUTPUTNOT
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_GROM,
      O => userapp_inst_FOO_BAR0_BAR_OE_I
    );
  userapp_inst_foo_bar0_data_phase_control_term_state_1_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_WRITE_CYCLE_LOGIC_TERM_STATE_7(1),
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE(1)
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_RST
    );
  userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_ASYNC_FF_GSR_OR_788 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_DATA_PHASE_CONTROL_TERM_STATE_1_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_1I321 : X_LUT4
    generic map(
      INIT => X"8080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_B_BUSY_INT,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_1I668 : X_LUT4
    generic map(
      INIT => X"3F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_B_BUSY_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BUSY_NS_IDLE
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_A
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_1I3695 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_DR_BUS_INT,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_ASYNC_FF_GSR_OR_789 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUSQ_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_0_O_rt_790 : X_MUX2
    port map (
      IA => NLW_userapp_inst_foo_bar0_un1_romaddr_cry_0_O_rt_IA_UNCONNECTED,
      IB => userapp_inst_foo_bar0_un1_romaddr_cry_0_O_rt,
      SEL => userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ONE,
      O => userapp_inst_FOO_BAR0_ROMADDR_0_CYMUXG
    );
  userapp_inst_foo_bar0_N_70_i_791 : X_LUT4
    generic map(
      INIT => X"55FF"
    )
    port map (
      ADR0 => ADIO(0),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => userapp_inst_FOO_BAR0_BAR_WE,
      O => userapp_inst_FOO_BAR0_ROMADDR_0_GROM
    );
  userapp_inst_foo_bar0_un1_romaddr_axb_0_792 : X_LUT4
    generic map(
      INIT => X"6666"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_BAR_WE,
      ADR2 => VCC,
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_0
    );
  userapp_inst_foo_bar0_un1_romaddr_cry_0 : X_MUX2
    port map (
      IA => userapp_inst_FOO_BAR0_ROMADDR(0),
      IB => userapp_inst_FOO_BAR0_ROMADDR_0_CYINIT,
      SEL => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_0,
      O => userapp_inst_foo_bar0_un1_romaddr_cry_0_O_rt
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_CYINIT_793 : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ZERO,
      O => userapp_inst_FOO_BAR0_ROMADDR_0_CYINIT
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_FOO_BAR0_ROMADDR_0_SRMUX_OUTPUTNOT
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ONE_794 : X_ONE
    port map (
      O => userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ONE
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_0_GROM,
      O => userapp_inst_FOO_BAR0_N_70_I
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_COUTUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_0_CYMUXG,
      O => userapp_inst_foo_bar0_un1_romaddr_cry_0_O
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ZERO_795 : X_ZERO
    port map (
      O => userapp_inst_FOO_BAR0_ROMADDR_0_LOGIC_ZERO
    );
  userapp_inst_foo_bar0_romaddr_0_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => userapp_inst_FOO_BAR0_UN1_ROMADDR_AXB_0,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_FOO_BAR0_ROMADDR_0_FFX_ASYNC_FF_GSR_OR,
      O => userapp_inst_FOO_BAR0_ROMADDR(0)
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_FFX_RSTOR : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_ROMADDR_0_SRMUX_OUTPUTNOT,
      O => userapp_inst_FOO_BAR0_ROMADDR_0_FFX_RST
    );
  userapp_inst_FOO_BAR0_ROMADDR_0_FFX_ASYNC_FF_GSR_OR_796 : X_OR2
    port map (
      I0 => userapp_inst_FOO_BAR0_ROMADDR_0_FFX_RST,
      I1 => GSR,
      O => userapp_inst_FOO_BAR0_ROMADDR_0_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG0_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(0),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG0_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG0
    );
  PCI_CORE_PCI_LC_IREG0_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG0_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG0_FFY_ASYNC_FF_GSR_OR_797 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG0_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG0_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(1),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG1_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG1
    );
  PCI_CORE_PCI_LC_IREG1_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG1_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG1_FFY_ASYNC_FF_GSR_OR_798 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG1_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG2_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(2),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG2_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG2
    );
  PCI_CORE_PCI_LC_IREG2_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG2_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG2_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG2_FFY_ASYNC_FF_GSR_OR_799 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG2_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG2_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG3_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(3),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG3_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG3
    );
  PCI_CORE_PCI_LC_IREG3_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG3_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG3_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG3_FFY_ASYNC_FF_GSR_OR_800 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG3_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG3_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(4),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG4_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG4
    );
  PCI_CORE_PCI_LC_IREG4_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG4_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG4_FFY_ASYNC_FF_GSR_OR_801 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG4_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG5_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_IREG5_FROM
    );
  PCI_CORE_PCI_LC_IREG5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_IREG5_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG5_FROM,
      O => GLOBAL_LOGIC0_44
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(5),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG5_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG5
    );
  PCI_CORE_PCI_LC_IREG5_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG5_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG5_FFY_ASYNC_FF_GSR_OR_802 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG5_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG5_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(6),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG6_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG6
    );
  PCI_CORE_PCI_LC_IREG6_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG6_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG6_FFY_ASYNC_FF_GSR_OR_803 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG6_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_IREG7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_IREG7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_IREG_INT_LNX_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(7),
      CE => PCI_CORE_PCI_LC_CE15_0,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_IREG7_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_IREG7
    );
  PCI_CORE_PCI_LC_IREG7_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_IREG7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_IREG7_FFY_SET
    );
  PCI_CORE_PCI_LC_IREG7_FFY_ASYNC_FF_GSR_OR_804 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_IREG7_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_IREG7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_1I369 : X_LUT4
    generic map(
      INIT => X"CC00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_IDLE_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_2I3073 : X_LUT4
    generic map(
      INIT => X"FF0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC,
      ADR2 => PCI_CORE_PCI_LC_IDLE_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_NS_CFG_HIT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_NS_CFG_CYC
    );
  PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_IDLE_NS_IDLE
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_CFG_CYC : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_NS_CFG_CYC,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC
    );
  PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_ASYNC_FF_GSR_OR_805 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1368_1I8 : X_LUT4
    generic map(
      INIT => X"F0CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => S_TERM,
      ADR2 => COMPLETE,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_CFG_CYC,
      O => PCI_CORE_OE_INTA_GROM
    );
  PCI_CORE_PCI_LC_6I1070 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => COMPLETE,
      ADR3 => PCI_CORE_PCI_LC_FAKE_GTS,
      O => PCI_CORE_OE_INTA_FROM
    );
  PCI_CORE_OE_INTA_YUSED : X_BUF
    port map (
      I => PCI_CORE_OE_INTA_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_TERM
    );
  PCI_CORE_OE_INTA_XUSED : X_BUF
    port map (
      I => PCI_CORE_OE_INTA_FROM,
      O => PCI_CORE_OE_INTA
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_7_806 : X_LUT4
    generic map(
      INIT => X"0505"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10397_1_807 : X_LUT4
    generic map(
      INIT => X"0302"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_7
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_1
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_8_808 : X_LUT4
    generic map(
      INIT => X"000F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_5_809 : X_LUT4
    generic map(
      INIT => X"0051"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_8
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_5
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_9_810 : X_LUT4
    generic map(
      INIT => X"0055"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_4_811 : X_LUT4
    generic map(
      INIT => X"0005"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_9
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_4
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10397_6_812 : X_LUT4
    generic map(
      INIT => X"FFEF"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(1),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_6_GROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_6_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_6_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10397_6
    );
  PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CSR_CMDREG_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(1),
      CE => PCI_CORE_PCI_LC_CE1_0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446
    );
  PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_RST
    );
  PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_ASYNC_FF_GSR_OR_813 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CSR_CMDREG_1N2446_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_CSR_2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CSR_2_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CSR_CMDREG_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(2),
      CE => PCI_CORE_PCI_LC_CE1_0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_2_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_2_Q
    );
  PCI_CORE_CSR_2_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_2_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_2_FFY_RST
    );
  PCI_CORE_CSR_2_FFY_ASYNC_FF_GSR_OR_814 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_2_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_2_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_IFRAME_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_IFRAME_FROM
    );
  PCI_CORE_PCI_LC_MASTER_IFRAME_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_IFRAME_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_IFRAME_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IFRAME_FROM,
      O => GLOBAL_LOGIC0_43
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_IFRAME_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_IFRAME_I_Q,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_MASTER_IFRAME_Q
    );
  PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IFRAME_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_SET
    );
  PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_ASYNC_FF_GSR_OR_815 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_IFRAME_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_CSR_6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CSR_6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CSR_CMDREG_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(6),
      CE => PCI_CORE_PCI_LC_CE1_0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_6_Q
    );
  PCI_CORE_CSR_6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_6_FFY_RST
    );
  PCI_CORE_CSR_6_FFY_ASYNC_FF_GSR_OR_816 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3781 : X_LUT4
    generic map(
      INIT => X"00CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LB,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD,
      O => PCI_CORE_OE_ADO_LT_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3782 : X_LUT4
    generic map(
      INIT => X"0F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT,
      O => PCI_CORE_OE_ADO_LT_FROM
    );
  PCI_CORE_OE_ADO_LT_YUSED : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT_GROM,
      O => PCI_CORE_OE_ADO_LB
    );
  PCI_CORE_OE_ADO_LT_XUSED : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_LT_FROM,
      O => PCI_CORE_OE_ADO_LT
    );
  PCI_CORE_CSR_8_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_CSR_8_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CSR_CMDREG_Q8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(8),
      CE => PCI_CORE_PCI_LC_CE1_1,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_CSR_8_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_CSR_8_Q
    );
  PCI_CORE_CSR_8_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_CSR_8_SRMUX_OUTPUTNOT,
      O => PCI_CORE_CSR_8_FFY_RST
    );
  PCI_CORE_CSR_8_FFY_ASYNC_FF_GSR_OR_817 : X_OR2
    port map (
      I0 => PCI_CORE_CSR_8_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_CSR_8_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3783 : X_LUT4
    generic map(
      INIT => X"00F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_T,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD,
      O => PCI_CORE_OE_ADO_B_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3780 : X_LUT4
    generic map(
      INIT => X"5500"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_START_AD,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B,
      O => PCI_CORE_OE_ADO_B_FROM
    );
  PCI_CORE_OE_ADO_B_YUSED : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B_GROM,
      O => PCI_CORE_OE_ADO_T
    );
  PCI_CORE_OE_ADO_B_XUSED : X_BUF
    port map (
      I => PCI_CORE_OE_ADO_B_FROM,
      O => PCI_CORE_OE_ADO_B
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3768 : X_LUT4
    generic map(
      INIT => X"F7F0"
    )
    port map (
      ADR0 => CFG_SELF,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT,
      ADR2 => PCI_CORE_PCI_LC_EOT,
      ADR3 => PCI_CORE_PCI_LC_OE_AD_T_T,
      O => PCI_CORE_PCI_LC_OE_AD_T_T_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_4I906 : X_LUT4
    generic map(
      INIT => X"FF0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_OE_AD_T_T,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_BEGIN,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_T
    );
  PCI_CORE_PCI_LC_OE_AD_T_T_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_OE_AD_T_T_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OE_AD_T_T_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_AD_T_T_GROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_T
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_OE_ADO_T : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_NS_OE_ADO_T,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_OE_AD_T_T_FFX_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_OE_AD_T_T
    );
  PCI_CORE_PCI_LC_OE_AD_T_T_FFX_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OE_AD_T_T_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OE_AD_T_T_FFX_SET
    );
  PCI_CORE_PCI_LC_OE_AD_T_T_FFX_ASYNC_FF_GSR_OR_818 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OE_AD_T_T_FFX_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OE_AD_T_T_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3770 : X_LUT4
    generic map(
      INIT => X"CEEE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OE_AD_T_LB,
      ADR1 => PCI_CORE_PCI_LC_EOT,
      ADR2 => CFG_SELF,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3779 : X_LUT4
    generic map(
      INIT => X"F4FC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT,
      ADR1 => PCI_CORE_PCI_LC_OE_AD_T_B,
      ADR2 => PCI_CORE_PCI_LC_EOT,
      ADR3 => CFG_SELF,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_FROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_GROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LB
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_B
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10360_11_819 : X_LUT4
    generic map(
      INIT => X"8888"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_2_820 : X_LUT4
    generic map(
      INIT => X"0505"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(0),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10360_11
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_2
    );
  PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_REQ_1I2499 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_S_TAR,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ
    );
  PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_ASYNC_FF_GSR_OR_821 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_REQ_S_TARQ_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_EOT_1I614 : X_LUT4
    generic map(
      INIT => X"F000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_GROM
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2838_1I2213 : X_LUT4
    generic map(
      INIT => X"AAA0"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2838_D
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_GROM,
      O => PCI_CORE_PCI_LC_EOT_EQN_V1
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2838_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2838_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_RST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_ASYNC_FF_GSR_OR_822 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SUBTRACTIVE_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_ADDR_1I2630 : X_LUT4
    generic map(
      INIT => X"FF7F"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_ADDR_M_ADDR_DEAD,
      ADR1 => PCI_CORE_IRDY_I_FANOUT,
      ADR2 => PCI_CORE_FRAME_I,
      ADR3 => PCI_CORE_GNT_IN,
      O => PCI_CORE_PCI_LC_MASTER_ADDR_NS_MAN
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_6I3727 : X_LUT4
    generic map(
      INIT => X"0888"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_2,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT,
      ADR2 => PCI_CORE_GNT_IN,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_DR_BUS1,
      O => PCI_CORE_M_ADDR_N_FROM
    );
  PCI_CORE_M_ADDR_N_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_M_ADDR_N_SRMUX_OUTPUTNOT
    );
  PCI_CORE_M_ADDR_N_XUSED : X_BUF
    port map (
      I => PCI_CORE_M_ADDR_N_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_0
    );
  PCI_CORE_PCI_LC_MASTER_ADDR_MAN_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_ADDR_NS_MAN,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_M_ADDR_N_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_M_ADDR_N
    );
  PCI_CORE_M_ADDR_N_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_M_ADDR_N_SRMUX_OUTPUTNOT,
      O => PCI_CORE_M_ADDR_N_FFY_SET
    );
  PCI_CORE_M_ADDR_N_FFY_ASYNC_FF_GSR_OR_823 : X_OR2
    port map (
      I0 => PCI_CORE_M_ADDR_N_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_M_ADDR_N_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_6I3739 : X_LUT4
    generic map(
      INIT => X"55FF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_6I3735 : X_LUT4
    generic map(
      INIT => X"F000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_MASTER_DEV_TO,
      ADR3 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_FROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_GROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_2
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_MISC_3
    );
  PCI_CORE_PCI_LC_EOT_1I585 : X_LUT4
    generic map(
      INIT => X"F000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_GROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_2I3233 : X_LUT4
    generic map(
      INIT => X"0C0C"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_IRDY_M_DATA_Q,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_FROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_GROM,
      O => PCI_CORE_PCI_LC_EOT_EQN_V0
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT_FROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_END_OF_INIT
    );
  PCI_CORE_PCI_LC_EOT_1I588 : X_LUT4
    generic map(
      INIT => X"00F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_EOT,
      ADR3 => PCI_CORE_PCI_LC_EOT_EOT_DL,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3785 : X_LUT4
    generic map(
      INIT => X"AAFF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_EOT,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_FROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_GROM,
      O => PCI_CORE_PCI_LC_EOT_EQN_W0
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CB32
    );
  LED_TEST_C_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => LED_TEST_C_SRMUX_OUTPUTNOT
    );
  userapp_inst_foo_bar0_led_test : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(0),
      CE => userapp_inst_FOO_BAR0_BAR_WE,
      CLK => CLK,
      SET => GND,
      RST => LED_TEST_C_FFY_ASYNC_FF_GSR_OR,
      O => LED_TEST_C
    );
  LED_TEST_C_FFY_RSTOR : X_BUF
    port map (
      I => LED_TEST_C_SRMUX_OUTPUTNOT,
      O => LED_TEST_C_FFY_RST
    );
  LED_TEST_C_FFY_ASYNC_FF_GSR_OR_824 : X_OR2
    port map (
      I0 => LED_TEST_C_FFY_RST,
      I1 => GSR,
      O => LED_TEST_C_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_CE_CE1_G1 : X_LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_DSTR,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_LADX1,
      ADR2 => PCI_CORE_PCI_CMD_11_Q,
      ADR3 => PCI_CORE_CBE_IN1,
      O => PCI_CORE_PCI_LC_CE1_0_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_CE_CE1_G0 : X_LUT4
    generic map(
      INIT => X"0800"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_DSTR,
      ADR1 => PCI_CORE_PCI_CMD_11_Q,
      ADR2 => PCI_CORE_CBE_IN0,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_LADX1,
      O => PCI_CORE_PCI_LC_CE1_0_FROM
    );
  PCI_CORE_PCI_LC_CE1_0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CE1_0_GROM,
      O => PCI_CORE_PCI_LC_CE1_1
    );
  PCI_CORE_PCI_LC_CE1_0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CE1_0_FROM,
      O => PCI_CORE_PCI_LC_CE1_0
    );
  PCI_CORE_PCI_LC_SHADOW16_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW16_FROM
    );
  PCI_CORE_PCI_LC_SHADOW16_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW16_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW16_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW16_FROM,
      O => GLOBAL_LOGIC0_14
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(16),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW16_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW16
    );
  PCI_CORE_PCI_LC_SHADOW16_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW16_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW16_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW16_FFY_ASYNC_FF_GSR_OR_825 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW16_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW16_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW17_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW17_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(17),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW17_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW17
    );
  PCI_CORE_PCI_LC_SHADOW17_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW17_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW17_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW17_FFY_ASYNC_FF_GSR_OR_826 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW17_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW17_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW18_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW18_FROM
    );
  PCI_CORE_PCI_LC_SHADOW18_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW18_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW18_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW18_FROM,
      O => GLOBAL_LOGIC0_22
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(18),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW18_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW18
    );
  PCI_CORE_PCI_LC_SHADOW18_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW18_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW18_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW18_FFY_ASYNC_FF_GSR_OR_827 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW18_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW18_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW19_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW19_FROM
    );
  PCI_CORE_PCI_LC_SHADOW19_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW19_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW19_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW19_FROM,
      O => GLOBAL_LOGIC0_11
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(19),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW19_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW19
    );
  PCI_CORE_PCI_LC_SHADOW19_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW19_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW19_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW19_FFY_ASYNC_FF_GSR_OR_828 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW19_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW19_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW20_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW20_FROM
    );
  PCI_CORE_PCI_LC_SHADOW20_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW20_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW20_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW20_FROM,
      O => GLOBAL_LOGIC0_41
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(20),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW20_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW20
    );
  PCI_CORE_PCI_LC_SHADOW20_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW20_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW20_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW20_FFY_ASYNC_FF_GSR_OR_829 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW20_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW20_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW21_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW21_FROM
    );
  PCI_CORE_PCI_LC_SHADOW21_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW21_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW21_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW21_FROM,
      O => GLOBAL_LOGIC0_18
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(21),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW21_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW21
    );
  PCI_CORE_PCI_LC_SHADOW21_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW21_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW21_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW21_FFY_ASYNC_FF_GSR_OR_830 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW21_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW21_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW22_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW22_FROM
    );
  PCI_CORE_PCI_LC_SHADOW22_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW22_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW22_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW22_FROM,
      O => GLOBAL_LOGIC0_19
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(22),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW22_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW22
    );
  PCI_CORE_PCI_LC_SHADOW22_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW22_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW22_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW22_FFY_ASYNC_FF_GSR_OR_831 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW22_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW22_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW23_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW23_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(23),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW23_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW23
    );
  PCI_CORE_PCI_LC_SHADOW23_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW23_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW23_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW23_FFY_ASYNC_FF_GSR_OR_832 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW23_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW23_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW24_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW24_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(24),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW24_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW24
    );
  PCI_CORE_PCI_LC_SHADOW24_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW24_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW24_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW24_FFY_ASYNC_FF_GSR_OR_833 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW24_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW24_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW25_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW25_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q9 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(25),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW25_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW25
    );
  PCI_CORE_PCI_LC_SHADOW25_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW25_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW25_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW25_FFY_ASYNC_FF_GSR_OR_834 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW25_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW25_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3I909 : X_LUT4
    generic map(
      INIT => X"AAAA"
    )
    port map (
      ADR0 => PCI_CORE_CFG_HIT,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_1I572 : X_LUT4
    generic map(
      INIT => X"FAFA"
    )
    port map (
      ADR0 => PCI_CORE_CFG_HIT,
      ADR1 => VCC,
      ADR2 => BASE_HIT(0),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_C_EQN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BUSY_HITIDLEORBUSY
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_CE_CE4_G3 : X_LUT4
    generic map(
      INIT => X"4000"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN3,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_DSTR,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_LADX4,
      ADR3 => PCI_CORE_PCI_CMD_11_Q,
      O => PCI_CORE_PCI_LC_CE4_2_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_CE_CE4_G2 : X_LUT4
    generic map(
      INIT => X"2000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_LADX4,
      ADR1 => PCI_CORE_CBE_IN2,
      ADR2 => PCI_CORE_PCI_CMD_11_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_DSTR,
      O => PCI_CORE_PCI_LC_CE4_2_FROM
    );
  PCI_CORE_PCI_LC_CE4_2_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CE4_2_GROM,
      O => PCI_CORE_PCI_LC_CE4_3
    );
  PCI_CORE_PCI_LC_CE4_2_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CE4_2_FROM,
      O => PCI_CORE_PCI_LC_CE4_2
    );
  PCI_CORE_PCI_LC_SHADOW0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW0_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(0),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW0_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW0
    );
  PCI_CORE_PCI_LC_SHADOW0_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW0_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW0_FFY_ASYNC_FF_GSR_OR_835 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW0_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW0_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW1_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW1_FROM
    );
  PCI_CORE_PCI_LC_SHADOW1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW1_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW1_FROM,
      O => GLOBAL_LOGIC0_25
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(1),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW1_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW1
    );
  PCI_CORE_PCI_LC_SHADOW1_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW1_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW1_FFY_ASYNC_FF_GSR_OR_836 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW1_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW2_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(2),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW2_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW2
    );
  PCI_CORE_PCI_LC_SHADOW2_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW2_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW2_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW2_FFY_ASYNC_FF_GSR_OR_837 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW2_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW2_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OEADI_CSQ_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => CFG_SELF,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ
    );
  PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_RST
    );
  PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_ASYNC_FF_GSR_OR_838 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OEADI_CFG_SELFQ_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW3_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(3),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW3_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW3
    );
  PCI_CORE_PCI_LC_SHADOW3_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW3_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW3_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW3_FFY_ASYNC_FF_GSR_OR_839 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW3_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW3_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(4),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW4
    );
  PCI_CORE_PCI_LC_SHADOW4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW4_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW4_FFY_ASYNC_FF_GSR_OR_840 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(5),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW5_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW5
    );
  PCI_CORE_PCI_LC_SHADOW5_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW5_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW5_FFY_ASYNC_FF_GSR_OR_841 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW5_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW5_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW6_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW6_FROM
    );
  PCI_CORE_PCI_LC_SHADOW6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW6_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW6_FROM,
      O => GLOBAL_LOGIC0_17
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(6),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW6
    );
  PCI_CORE_PCI_LC_SHADOW6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW6_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW6_FFY_ASYNC_FF_GSR_OR_842 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3I895 : X_LUT4
    generic map(
      INIT => X"7700"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_B_BUSY_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_1I631 : X_LUT4
    generic map(
      INIT => X"0888"
    )
    port map (
      ADR0 => PCI_CORE_CFG_HIT,
      ADR1 => PCI_CORE_PCI_LC_B_BUSY_INT,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_IRDY_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_B_BUSY_NS
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_CBUSY_NS_DATA
    );
  PCI_CORE_PCI_LC_SHADOW7_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW7_FROM
    );
  PCI_CORE_PCI_LC_SHADOW7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW7_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW7_FROM,
      O => GLOBAL_LOGIC0_15
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(7),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW7_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW7
    );
  PCI_CORE_PCI_LC_SHADOW7_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW7_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW7_FFY_ASYNC_FF_GSR_OR_843 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW7_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW8_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW8_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q8 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(8),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW8_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW8
    );
  PCI_CORE_PCI_LC_SHADOW8_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW8_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW8_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW8_FFY_ASYNC_FF_GSR_OR_844 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW8_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW8_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW9_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW9_FROM
    );
  PCI_CORE_PCI_LC_SHADOW9_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW9_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW9_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW9_FROM,
      O => GLOBAL_LOGIC0_16
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q9 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(9),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW9_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW9
    );
  PCI_CORE_PCI_LC_SHADOW9_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW9_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW9_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW9_FFY_ASYNC_FF_GSR_OR_845 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW9_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW9_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_10_846 : X_LUT4
    generic map(
      INIT => X"000F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(2),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(3),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_3_847 : X_LUT4
    generic map(
      INIT => X"0023"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_10
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_3
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_12_848 : X_LUT4
    generic map(
      INIT => X"0055"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_10396_0_849 : X_LUT4
    generic map(
      INIT => X"000F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(1),
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(0),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(3),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(2),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_12
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_10396_0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_2I3201 : X_LUT4
    generic map(
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_AD1,
      ADR3 => PCI_CORE_AD0,
      O => PCI_CORE_PCI_LC_BAR0_UNALIGN_GROM
    );
  PCI_CORE_PCI_LC_BAR0_2I3263 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_AD1,
      ADR3 => PCI_CORE_AD0,
      O => PCI_CORE_PCI_LC_BAR0_UNALIGN_FROM
    );
  PCI_CORE_PCI_LC_BAR0_UNALIGN_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_UNALIGN_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_TYPE00
    );
  PCI_CORE_PCI_LC_BAR0_UNALIGN_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_UNALIGN_FROM,
      O => PCI_CORE_PCI_LC_BAR0_UNALIGN
    );
  PCI_CORE_PCI_LC_MASTER_4I2686 : X_LUT4
    generic map(
      INIT => X"0004"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_MASTER_IIRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => CFG_SELF,
      ADR3 => PCI_CORE_PCI_LC_TRDY_Q,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_4I3769 : X_LUT4
    generic map(
      INIT => X"FF2A"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OE_AD_T_LT,
      ADR1 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_SLOT,
      ADR2 => CFG_SELF,
      ADR3 => PCI_CORE_PCI_LC_EOT,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_FROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_GROM,
      O => PCI_CORE_PCI_LC_IPWIN
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_AD_LT
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2803 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_ASYNC_FF_GSR_OR_850 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2807 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_MEDIUM,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_ASYNC_FF_GSR_OR_851 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_SLOW_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_OEADI_M_DATAQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_OEADI_M_DATAQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OEADI_MDQ_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_M_DATA_INT,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_OEADI_M_DATAQ
    );
  PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OEADI_M_DATAQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_RST
    );
  PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_ASYNC_FF_GSR_OR_852 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OEADI_M_DATAQ_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1I927 : X_LUT4
    generic map(
      INIT => X"8080"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      ADR2 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_GROM
    );
  PCI_CORE_PCI_LC_SRC_EN_1I558 : X_LUT4
    generic map(
      INIT => X"2000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR1 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR2 => PCI_CORE_PCI_LC_NEWDATA,
      ADR3 => S_READY,
      O => PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_FROM
    );
  PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_LATE_GATE
    );
  PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN_FROM,
      O => PCI_CORE_PCI_LC_SRC_EN_SDATA_EQN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_2I3192 : X_LUT4
    generic map(
      INIT => X"00A0"
    )
    port map (
      ADR0 => PCI_CORE_CBE_IN1,
      ADR1 => VCC,
      ADR2 => PCI_CORE_CBE_IN3,
      ADR3 => PCI_CORE_CBE_IN2,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LC_RW_CFG_FROM,
      O => GLOBAL_LOGIC0_62
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FROM
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FROM,
      O => GLOBAL_LOGIC0_30
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_1I2799 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_FAST,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_RST
    );
  PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_ASYNC_FF_GSR_OR_853 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_DEV_TO_WAS_FAST_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_2I951 : X_LUT4
    generic map(
      INIT => X"0F00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_BACKOFF_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_1I498 : X_LUT4
    generic map(
      INIT => X"C0C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_BACKOFF_INT,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_BKOF_NS_BKOF
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_IDLE_BKOF_NS_TNAR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_2I982 : X_LUT4
    generic map(
      INIT => X"8A0A"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3I860 : X_LUT4
    generic map(
      INIT => X"FFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_TRSTOPQ,
      ADR2 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR3 => S_WRDN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_DATA_NS_DATA_OR_BKOF1
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_END
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_4_i_854 : X_LUT4
    generic map(
      INIT => X"FF0F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(6),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(5),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I_GROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_4_I
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_G : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_GROM
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_GROM,
      O => GLOBAL_LOGIC1_6
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q0 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD24,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_ASYNC_FF_GSR_OR_855 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ0_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q1 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD25,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_ASYNC_FF_GSR_OR_856 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ1_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q2 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD26,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_ASYNC_FF_GSR_OR_857 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ2_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FROM
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FROM,
      O => GLOBAL_LOGIC0_55
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q3 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD27,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_ASYNC_FF_GSR_OR_858 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ3_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD20,
      CE => PCI_CORE_PCI_LC_CE4_2,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_ASYNC_FF_GSR_OR_859 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q4 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD28,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_ASYNC_FF_GSR_OR_860 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ4_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FROM
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FROM,
      O => GLOBAL_LOGIC0_56
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD21,
      CE => PCI_CORE_PCI_LC_CE4_2,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_ASYNC_FF_GSR_OR_861 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ5_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q5 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD29,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_ASYNC_FF_GSR_OR_862 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ5_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD22,
      CE => PCI_CORE_PCI_LC_CE4_2,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_ASYNC_FF_GSR_OR_863 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q6 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD30,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_ASYNC_FF_GSR_OR_864 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ6_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD23,
      CE => PCI_CORE_PCI_LC_CE4_2,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_ASYNC_FF_GSR_OR_865 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_23_16_RAWQ7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_Q7 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD31,
      CE => PCI_CORE_PCI_LC_CE4_3,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_RST
    );
  PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_ASYNC_FF_GSR_OR_866 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_BAR0_BR_31_24_RAWQ7_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_PAR_X11 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD30,
      ADR1 => PCI_CORE_AD29,
      ADR2 => PCI_CORE_AD28,
      ADR3 => PCI_CORE_AD31,
      O => PCI_CORE_PCI_LC_PCI_PAR_X7I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X7I_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_X7I_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X7I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X7I_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X7I
    );
  PCI_CORE_PCI_LC_PCI_PAR_X7I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X7I_FROM,
      O => GLOBAL_LOGIC0_65
    );
  PCI_CORE_PCI_LC_PCI_PAR_X30 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ19,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ17,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ16,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ18,
      O => PCI_CORE_PCI_LC_PCI_PAR_X4O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X4O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X4O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X4O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X24 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ3,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ0,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ1,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ2,
      O => PCI_CORE_PCI_LC_PCI_PAR_X0O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X0O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X0O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X0O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X33 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ27,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ26,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ24,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ25,
      O => PCI_CORE_PCI_LC_PCI_PAR_X6O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X6O_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_PAR_X6O_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X6O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X6O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X6O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X6O_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X6O_FROM,
      O => GLOBAL_LOGIC0_29
    );
  PCI_CORE_PCI_LC_PCI_PAR_X35 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ31,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ28,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ29,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ30,
      O => PCI_CORE_PCI_LC_PCI_PAR_X7O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X7O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X7O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X7O
    );
  PCI_CORE_PCI_LC_PCI_PAR_X27 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_PAR_DOQ8,
      ADR1 => PCI_CORE_PCI_LC_PCI_PAR_DOQ10,
      ADR2 => PCI_CORE_PCI_LC_PCI_PAR_DOQ9,
      ADR3 => PCI_CORE_PCI_LC_PCI_PAR_DOQ11,
      O => PCI_CORE_PCI_LC_PCI_PAR_X2O_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X2O_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X2O_GROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X2O
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_1I492 : X_LUT4
    generic map(
      INIT => X"FF00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => BASE_HIT(0),
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_HIT_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_HIT_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_HIT_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_HIT
    );
  PCI_CORE_PCI_LC_OUT_SEL_1I913 : X_LUT4
    generic map(
      INIT => X"0100"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR1 => PCI_CORE_PCI_LC_M_FIRST,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_GROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_1I3779 : X_LUT4
    generic map(
      INIT => X"F7FF"
    )
    port map (
      ADR0 => COMPLETE,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => PCI_CORE_PCI_LC_IFRAME_I_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_IRDY_EQN_E,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_FROM
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_GROM,
      O => PCI_CORE_PCI_LC_OUT_SEL_M_IN
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IRDY_NS_0_FROM,
      O => PCI_CORE_PCI_LC_MASTER_IRDY_NS_0
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_1I596 : X_LUT4
    generic map(
      INIT => X"3B2A"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_B_BUSY_INT,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR3 => PCI_CORE_PCI_LC_IDLE_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1437_1I2213 : X_LUT4
    generic map(
      INIT => X"0023"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG,
      ADR1 => PCI_CORE_PCI_LC_B_BUSY_INT,
      ADR2 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR3 => PCI_CORE_PCI_LC_IDLE_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1437_D
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_BKOF_EQN_AB
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1437_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1437_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_RST
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_ASYNC_FF_GSR_OR_867 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_I_DATA_FLAG_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_OUT_SEL_1I849 : X_LUT4
    generic map(
      INIT => X"0F04"
    )
    port map (
      ADR0 => S_WRDN,
      ADR1 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL,
      ADR3 => PCI_CORE_PCI_LC_M_DATA_INT,
      O => PCI_CORE_PCI_LC_SET12_GROM
    );
  PCI_CORE_PCI_LC_MASTER_4I3051 : X_LUT4
    generic map(
      INIT => X"0C00"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR2 => PCI_CORE_PCI_LC_STOP_Q,
      ADR3 => PCI_CORE_PCI_LC_DEVSEL_Q,
      O => PCI_CORE_PCI_LC_SET12_FROM
    );
  PCI_CORE_PCI_LC_SET12_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SET12_GROM,
      O => PCI_CORE_PCI_LC_SHADOW_CE
    );
  PCI_CORE_PCI_LC_SET12_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SET12_FROM,
      O => PCI_CORE_PCI_LC_SET12
    );
  userapp_inst_disprom_romdata_103en0_2_i : X_LUT4
    generic map(
      INIT => X"F5F5"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(5),
      ADR1 => VCC,
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(6),
      ADR3 => VCC,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en0_1_i_868 : X_LUT4
    generic map(
      INIT => X"FFAA"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(6),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(5),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_2_I
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN0_1_I
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I503 : X_LUT4
    generic map(
      INIT => X"8800"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_F,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_E,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_S_DATA_INT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_DATA_NS_DATA_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_DATA_NS_DATA_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_DATA_NS_DATA_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_DATA_NS_DATA
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I705 : X_LUT4
    generic map(
      INIT => X"7000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR1 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR2 => PCI_CORE_PCI_LC_B_BUSY_INT,
      ADR3 => S_WRDN,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_1I1034 : X_LUT4
    generic map(
      INIT => X"7000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR1 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR2 => PCI_CORE_PCI_LC_B_BUSY_INT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_HIT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_A
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_DSEL_EQN_C
    );
  PCI_CORE_PCI_LC_FAIL_ADH58_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH58_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH58_LOGIC_ONE_869 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH58_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q10 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH58_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH58_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH58
    );
  PCI_CORE_PCI_LC_FAIL_ADH58_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH58_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH58_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH58_FFY_ASYNC_FF_GSR_OR_870 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH58_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH58_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I723 : X_LUT4
    generic map(
      INIT => X"DD00"
    )
    port map (
      ADR0 => S_TERM,
      ADR1 => S_READY,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_HIT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_3I635 : X_LUT4
    generic map(
      INIT => X"D0D0"
    )
    port map (
      ADR0 => S_TERM,
      ADR1 => S_READY,
      ADR2 => BASE_HIT(0),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_S_EQN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_XOE_S_EQN
    );
  PCI_CORE_PCI_LC_FAIL_ADH59_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_ADH59_FROM
    );
  PCI_CORE_PCI_LC_FAIL_ADH59_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH59_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH59_LOGIC_ONE_871 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH59_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH59_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH59_FROM,
      O => GLOBAL_LOGIC0_31
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q11 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH59_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH59_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH59
    );
  PCI_CORE_PCI_LC_FAIL_ADH59_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH59_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH59_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH59_FFY_ASYNC_FF_GSR_OR_872 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH59_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH59_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I724 : X_LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => BASE_HIT(0),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_1I548 : X_LUT4
    generic map(
      INIT => X"F0F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => BASE_HIT(0),
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_HIT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_HIT
    );
  PCI_CORE_PCI_LC_FAIL_ADH60_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH60_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH60_LOGIC_ONE_873 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH60_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q12 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH60_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH60_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH60
    );
  PCI_CORE_PCI_LC_FAIL_ADH60_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH60_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH60_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH60_FFY_ASYNC_FF_GSR_OR_874 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH60_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH60_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH61_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH61_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH61_LOGIC_ONE_875 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH61_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q13 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH61_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH61_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH61
    );
  PCI_CORE_PCI_LC_FAIL_ADH61_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH61_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH61_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH61_FFY_ASYNC_FF_GSR_OR_876 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH61_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH61_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH62_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH62_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH62_LOGIC_ONE_877 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH62_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q14 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH62_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH62_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH62
    );
  PCI_CORE_PCI_LC_FAIL_ADH62_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH62_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH62_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH62_FFY_ASYNC_FF_GSR_OR_878 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH62_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH62_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I479 : X_LUT4
    generic map(
      INIT => X"88DC"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      ADR1 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      ADR2 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR3 => PCI_CORE_PCI_LC_FRAME_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_1I479 : X_LUT4
    generic map(
      INIT => X"AA32"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q,
      ADR1 => PCI_CORE_PCI_LC_FRAME_Q,
      ADR2 => PCI_CORE_PCI_LC_IRDY_Q,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_FROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_EQN_E
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E_FROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_TSM_PCI_DATA_EQN_E
    );
  PCI_CORE_PCI_LC_FAIL_ADH63_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH63_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH63_LOGIC_ONE_879 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH63_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_UPPER_Q15 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH63_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH63_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH63
    );
  PCI_CORE_PCI_LC_FAIL_ADH63_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH63_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH63_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH63_FFY_ASYNC_FF_GSR_OR_880 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH63_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH63_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_1I736 : X_LUT4
    generic map(
      INIT => X"CCCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_CFG_HIT,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_C_EQN_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_C_EQN_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_C_EQN_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_C_EQN
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_STOPQ : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_TSTOP_I_Q,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_ASYNC_FF_GSR_OR_881 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TSTOP_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2752 : X_LUT4
    generic map(
      INIT => X"0030"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR2 => PCI_CORE_PCI_LC_I_IDLE_INT,
      ADR3 => PCI_CORE_PCI_LC_GNT_Q,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_GROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_8I4007 : X_LUT4
    generic map(
      INIT => X"CFCF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      ADR2 => PCI_CORE_PCI_LC_MASTER_OE_FRAME_OE_FRAME_INT,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_FROM
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_GROM,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_B1
    );
  PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF_FROM,
      O => PCI_CORE_PCI_LC_MASTER_OE_FRAME_CE_OEF
    );
  PCI_CORE_PCI_LC_FAKE_GTS_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAKE_GTS_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAKE_GTS_LOGIC_ZERO_882 : X_ZERO
    port map (
      O => PCI_CORE_PCI_LC_FAKE_GTS_LOGIC_ZERO
    );
  PCI_CORE_PCI_LC_FAKE_GTS_883 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAKE_GTS_LOGIC_ZERO,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_FAKE_GTS_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_FAKE_GTS
    );
  PCI_CORE_PCI_LC_FAKE_GTS_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAKE_GTS_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAKE_GTS_FFY_SET
    );
  PCI_CORE_PCI_LC_FAKE_GTS_FFY_ASYNC_FF_GSR_OR_884 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAKE_GTS_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAKE_GTS_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH42_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_ADH42_FROM
    );
  PCI_CORE_PCI_LC_FAIL_ADH42_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH42_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH42_LOGIC_ONE_885 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH42_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH42_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH42_FROM,
      O => GLOBAL_LOGIC0_38
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q10 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH42_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH42_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH42
    );
  PCI_CORE_PCI_LC_FAIL_ADH42_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH42_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH42_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH42_FFY_ASYNC_FF_GSR_OR_886 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH42_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH42_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH43_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH43_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH43_LOGIC_ONE_887 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH43_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q11 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH43_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH43_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH43
    );
  PCI_CORE_PCI_LC_FAIL_ADH43_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH43_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH43_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH43_FFY_ASYNC_FF_GSR_OR_888 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH43_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH43_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH44_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH44_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH44_LOGIC_ONE_889 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH44_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q12 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH44_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH44_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH44
    );
  PCI_CORE_PCI_LC_FAIL_ADH44_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH44_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH44_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH44_FFY_ASYNC_FF_GSR_OR_890 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH44_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH44_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH45_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FAIL_ADH45_FROM
    );
  PCI_CORE_PCI_LC_FAIL_ADH45_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH45_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH45_LOGIC_ONE_891 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH45_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH45_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH45_FROM,
      O => GLOBAL_LOGIC0_39
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q13 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH45_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH45_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH45
    );
  PCI_CORE_PCI_LC_FAIL_ADH45_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH45_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH45_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH45_FFY_ASYNC_FF_GSR_OR_892 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH45_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH45_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH46_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH46_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH46_LOGIC_ONE_893 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH46_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q14 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH46_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH46_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH46
    );
  PCI_CORE_PCI_LC_FAIL_ADH46_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH46_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH46_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH46_FFY_ASYNC_FF_GSR_OR_894 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH46_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH46_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_FAIL_ADH47_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_FAIL_ADH47_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_FAIL_ADH47_LOGIC_ONE_895 : X_ONE
    port map (
      O => PCI_CORE_PCI_LC_FAIL_ADH47_LOGIC_ONE
    );
  PCI_CORE_PCI_LC_FAIL_ADH_LOWER_Q15 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH47_LOGIC_ONE,
      CE => PCI_CORE_PCI_LC_M_FIRST,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_FAIL_ADH47_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_FAIL_ADH47
    );
  PCI_CORE_PCI_LC_FAIL_ADH47_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FAIL_ADH47_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_FAIL_ADH47_FFY_RST
    );
  PCI_CORE_PCI_LC_FAIL_ADH47_FFY_ASYNC_FF_GSR_OR_896 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_FAIL_ADH47_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_FAIL_ADH47_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_CE_CE15_G0 : X_LUT4
    generic map(
      INIT => X"2000"
    )
    port map (
      ADR0 => PCI_CORE_PCI_CMD_11_Q,
      ADR1 => PCI_CORE_CBE_IN0,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_LADX15,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_DSTR,
      O => PCI_CORE_PCI_LC_CE15_0_GROM
    );
  PCI_CORE_PCI_LC_CE15_0_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_CE15_0_FROM
    );
  PCI_CORE_PCI_LC_CE15_0_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CE15_0_GROM,
      O => PCI_CORE_PCI_LC_CE15_0
    );
  PCI_CORE_PCI_LC_CE15_0_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_CE15_0_FROM,
      O => GLOBAL_LOGIC0_48
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_0000_AND4 : X_LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      ADR0 => PCI_CORE_AD0,
      ADR1 => PCI_CORE_AD7,
      ADR2 => PCI_CORE_AD6,
      ADR3 => PCI_CORE_AD1,
      O => PCI_CORE_PCI_LC_PCI_PAR_X1I_GROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X2 : X_LUT4
    generic map(
      INIT => X"6996"
    )
    port map (
      ADR0 => PCI_CORE_AD5,
      ADR1 => PCI_CORE_AD4,
      ADR2 => PCI_CORE_AD6,
      ADR3 => PCI_CORE_AD7,
      O => PCI_CORE_PCI_LC_PCI_PAR_X1I_FROM
    );
  PCI_CORE_PCI_LC_PCI_PAR_X1I_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X1I_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_AD7610_0000
    );
  PCI_CORE_PCI_LC_PCI_PAR_X1I_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_PAR_X1I_FROM,
      O => PCI_CORE_PCI_LC_PCI_PAR_X1I
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103en9_7_i_897 : X_LUT4
    generic map(
      INIT => X"FF5F"
    )
    port map (
      ADR0 => userapp_inst_FOO_BAR0_ROMADDR(5),
      ADR1 => VCC,
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(6),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(4),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_GROM
    );
  userapp_inst_foo_bar0_digitrom_disprom_romdata_103ien22_0comp11_i_898 : X_LUT4
    generic map(
      INIT => X"FFCF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(4),
      ADR2 => userapp_inst_FOO_BAR0_ROMADDR(5),
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(6),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_GROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_7_I
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103IEN22_0COMP11_I
    );
  PCI_CORE_PCI_LC_MASTER_IIRDY_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_MASTER_IIRDY_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_MASTER_IRDY_IIRDY_Q : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_IIRDY_I_Q,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_MASTER_IIRDY_Q
    );
  PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_IIRDY_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_SET
    );
  PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_ASYNC_FF_GSR_OR_899 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_MASTER_IIRDY_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW26_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW26_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q10 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(26),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW26_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW26
    );
  PCI_CORE_PCI_LC_SHADOW26_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW26_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW26_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW26_FFY_ASYNC_FF_GSR_OR_900 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW26_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW26_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW27_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW27_FROM
    );
  PCI_CORE_PCI_LC_SHADOW27_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW27_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW27_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW27_FROM,
      O => GLOBAL_LOGIC0_13
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q11 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(27),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW27_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW27
    );
  PCI_CORE_PCI_LC_SHADOW27_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW27_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW27_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW27_FFY_ASYNC_FF_GSR_OR_901 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW27_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW27_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW28_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW28_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q12 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(28),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW28_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW28
    );
  PCI_CORE_PCI_LC_SHADOW28_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW28_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW28_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW28_FFY_ASYNC_FF_GSR_OR_902 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW28_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW28_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW29_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW29_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q13 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(29),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW29_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW29
    );
  PCI_CORE_PCI_LC_SHADOW29_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW29_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW29_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW29_FFY_ASYNC_FF_GSR_OR_903 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW29_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW29_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW30_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW30_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q14 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(30),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW30_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW30
    );
  PCI_CORE_PCI_LC_SHADOW30_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW30_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW30_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW30_FFY_ASYNC_FF_GSR_OR_904 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW30_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW30_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW31_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW31_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_UPPER_Q15 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(31),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW31_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW31
    );
  PCI_CORE_PCI_LC_SHADOW31_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW31_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW31_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW31_FFY_ASYNC_FF_GSR_OR_905 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW31_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW31_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_XFERFAIL_1I3024 : X_LUT4
    generic map(
      INIT => X"2020"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR2 => PCI_CORE_PCI_LC_ATTEMPT64,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_FRAME_CE_GROM
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_1I3323 : X_LUT4
    generic map(
      INIT => X"FFBF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR1 => PCI_CORE_STOP_I,
      ADR2 => PCI_CORE_PCI_LC_ATTEMPT64,
      ADR3 => PCI_CORE_TRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_FRAME_CE_FROM
    );
  PCI_CORE_PCI_LC_FRAME_CE_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FRAME_CE_GROM,
      O => PCI_CORE_PCI_LC_MASTER_XFERFAIL_EQN_X
    );
  PCI_CORE_PCI_LC_FRAME_CE_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_FRAME_CE_FROM,
      O => PCI_CORE_PCI_LC_FRAME_CE
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8591 : X_LUT4
    generic map(
      INIT => X"FAFA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MD27_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8566 : X_LUT4
    generic map(
      INIT => X"FF02"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_1N8111,
      ADR1 => PCI_CORE_ADDR(6),
      ADR2 => PCI_CORE_ADDR(7),
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      O => PCI_CORE_PCI_LC_MD27_FROM
    );
  PCI_CORE_PCI_LC_MD27_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD27_GROM,
      O => PCI_CORE_PCI_LC_MD2
    );
  PCI_CORE_PCI_LC_MD27_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD27_FROM,
      O => PCI_CORE_PCI_LC_MD27
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8592 : X_LUT4
    generic map(
      INIT => X"EEEE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR1 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MD12_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8581 : X_LUT4
    generic map(
      INIT => X"FFAA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      O => PCI_CORE_PCI_LC_MD12_FROM
    );
  PCI_CORE_PCI_LC_MD12_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD12_GROM,
      O => PCI_CORE_PCI_LC_MD1
    );
  PCI_CORE_PCI_LC_MD12_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD12_FROM,
      O => PCI_CORE_PCI_LC_MD12
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8585 : X_LUT4
    generic map(
      INIT => X"FFCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      O => PCI_CORE_PCI_LC_MD8_GROM
    );
  PCI_CORE_PCI_LC_MD8_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MD8_FROM
    );
  PCI_CORE_PCI_LC_MD8_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD8_GROM,
      O => PCI_CORE_PCI_LC_MD8
    );
  PCI_CORE_PCI_LC_MD8_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD8_FROM,
      O => GLOBAL_LOGIC0_63
    );
  PCI_CORE_PCI_LC_SHADOW10_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_SHADOW10_FROM
    );
  PCI_CORE_PCI_LC_SHADOW10_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW10_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHADOW10_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW10_FROM,
      O => GLOBAL_LOGIC0_42
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q10 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(10),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW10_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW10
    );
  PCI_CORE_PCI_LC_SHADOW10_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW10_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW10_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW10_FFY_ASYNC_FF_GSR_OR_906 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW10_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW10_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8586 : X_LUT4
    generic map(
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      O => PCI_CORE_PCI_LC_MD25_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8568 : X_LUT4
    generic map(
      INIT => X"FFEE"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR1 => PCI_CORE_PCI_LC_PCI_ROM_SEL2,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      O => PCI_CORE_PCI_LC_MD25_FROM
    );
  PCI_CORE_PCI_LC_MD25_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD25_GROM,
      O => PCI_CORE_PCI_LC_MD7
    );
  PCI_CORE_PCI_LC_MD25_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD25_FROM,
      O => PCI_CORE_PCI_LC_MD25
    );
  PCI_CORE_PCI_LC_SHADOW11_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW11_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q11 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(11),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW11_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW11
    );
  PCI_CORE_PCI_LC_SHADOW11_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW11_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW11_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW11_FFY_ASYNC_FF_GSR_OR_907 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW11_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW11_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW12_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW12_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q12 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(12),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW12_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW12
    );
  PCI_CORE_PCI_LC_SHADOW12_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW12_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW12_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW12_FFY_ASYNC_FF_GSR_OR_908 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW12_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW12_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_SHADOW13_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW13_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q13 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(13),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW13_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW13
    );
  PCI_CORE_PCI_LC_SHADOW13_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW13_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW13_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW13_FFY_ASYNC_FF_GSR_OR_909 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW13_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW13_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8589 : X_LUT4
    generic map(
      INIT => X"FCFC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR2 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MD10_GROM
    );
  PCI_CORE_PCI_LC_PCI_ROM_1I8583 : X_LUT4
    generic map(
      INIT => X"FFCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_PCI_ROM_SELA,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_PCI_ROM_SEL0,
      O => PCI_CORE_PCI_LC_MD10_FROM
    );
  PCI_CORE_PCI_LC_MD10_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD10_GROM,
      O => PCI_CORE_PCI_LC_MD4
    );
  PCI_CORE_PCI_LC_MD10_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MD10_FROM,
      O => PCI_CORE_PCI_LC_MD10
    );
  PCI_CORE_PCI_LC_SHADOW14_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW14_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q14 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(14),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW14_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW14
    );
  PCI_CORE_PCI_LC_SHADOW14_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW14_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW14_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW14_FFY_ASYNC_FF_GSR_OR_910 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW14_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW14_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_4I1057 : X_LUT4
    generic map(
      INIT => X"F100"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_TSTOP_I_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SWAN0,
      ADR3 => PCI_CORE_PCI_LC_S_FIRST,
      O => PCI_CORE_PCI_LC_OUT_CE_SND_GROM
    );
  PCI_CORE_PCI_LC_OUT_CE_3I1061 : X_LUT4
    generic map(
      INIT => X"0022"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_FAIL64_INT,
      O => PCI_CORE_PCI_LC_OUT_CE_SND_FROM
    );
  PCI_CORE_PCI_LC_OUT_CE_SND_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_SND_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_SF0_I0
    );
  PCI_CORE_PCI_LC_OUT_CE_SND_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_SND_FROM,
      O => PCI_CORE_PCI_LC_OUT_CE_SND
    );
  PCI_CORE_PCI_LC_SHADOW15_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_SHADOW15_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_SHD_LOWER_Q15 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => ADIO(15),
      CE => PCI_CORE_PCI_LC_SHADOW_CE,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_SHADOW15_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_SHADOW15
    );
  PCI_CORE_PCI_LC_SHADOW15_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_SHADOW15_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_SHADOW15_FFY_RST
    );
  PCI_CORE_PCI_LC_SHADOW15_FFY_ASYNC_FF_GSR_OR_911 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_SHADOW15_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_SHADOW15_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_DATA_VLD_1I328 : X_LUT4
    generic map(
      INIT => X"0050"
    )
    port map (
      ADR0 => PCI_CORE_TRDY_I_FANOUT,
      ADR1 => VCC,
      ADR2 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR3 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      O => PCI_CORE_PCI_LC_DATA_VLD_NS_MDV
    );
  PCI_CORE_PCI_LC_OUT_CE_3I1062 : X_LUT4
    generic map(
      INIT => X"0202"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR2 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR3 => VCC,
      O => PCI_CORE_M_DATA_VLD_FROM
    );
  PCI_CORE_M_DATA_VLD_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_M_DATA_VLD_SRMUX_OUTPUTNOT
    );
  PCI_CORE_M_DATA_VLD_XUSED : X_BUF
    port map (
      I => PCI_CORE_M_DATA_VLD_FROM,
      O => PCI_CORE_PCI_LC_OUT_CE_MND
    );
  PCI_CORE_PCI_LC_DATA_VLD_MDV_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_DATA_VLD_NS_MDV,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_M_DATA_VLD_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_M_DATA_VLD
    );
  PCI_CORE_M_DATA_VLD_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_M_DATA_VLD_SRMUX_OUTPUTNOT,
      O => PCI_CORE_M_DATA_VLD_FFY_RST
    );
  PCI_CORE_M_DATA_VLD_FFY_ASYNC_FF_GSR_OR_912 : X_OR2
    port map (
      I0 => PCI_CORE_M_DATA_VLD_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_M_DATA_VLD_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_MASTER_DR_BUS_1I2707 : X_LUT4
    generic map(
      INIT => X"0002"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_I_IDLE_INT,
      ADR1 => PCI_CORE_PCI_LC_ADDR_BE,
      ADR2 => PCI_CORE_PCI_LC_GNT_Q,
      ADR3 => PCI_CORE_PCI_LC_MASTER_REQUEST,
      O => PCI_CORE_PCI_LC_OUT_CE_FANF_GROM
    );
  PCI_CORE_PCI_LC_OUT_CE_3I1056 : X_LUT4
    generic map(
      INIT => X"3322"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_CE_FIRST,
      ADR1 => PCI_CORE_PCI_LC_FAIL64_INT,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_ADDR_BE,
      O => PCI_CORE_PCI_LC_OUT_CE_FANF_FROM
    );
  PCI_CORE_PCI_LC_OUT_CE_FANF_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_FANF_GROM,
      O => PCI_CORE_PCI_LC_MASTER_DR_BUS_EQN_B0
    );
  PCI_CORE_PCI_LC_OUT_CE_FANF_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_FANF_FROM,
      O => PCI_CORE_PCI_LC_OUT_CE_FANF
    );
  PCI_CORE_PCI_LC_OUT_CE_3I1078 : X_LUT4
    generic map(
      INIT => X"AAFF"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_S_DATA_INT,
      O => S_DATA_VLD_GROM
    );
  PCI_CORE_PCI_LC_DATA_VLD_1I426 : X_LUT4
    generic map(
      INIT => X"0404"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR1 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR2 => PCI_CORE_IRDY_I_FANOUT,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_DATA_VLD_NS_SDV
    );
  S_DATA_VLD_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => S_DATA_VLD_SRMUX_OUTPUTNOT
    );
  S_DATA_VLD_YUSED : X_BUF
    port map (
      I => S_DATA_VLD_GROM,
      O => PCI_CORE_PCI_LC_OUT_CE_S_OK_N
    );
  PCI_CORE_PCI_LC_DATA_VLD_SDV_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_DATA_VLD_NS_SDV,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => S_DATA_VLD_FFX_ASYNC_FF_GSR_OR,
      O => S_DATA_VLD
    );
  S_DATA_VLD_FFX_RSTOR : X_BUF
    port map (
      I => S_DATA_VLD_SRMUX_OUTPUTNOT,
      O => S_DATA_VLD_FFX_RST
    );
  S_DATA_VLD_FFX_ASYNC_FF_GSR_OR_913 : X_OR2
    port map (
      I0 => S_DATA_VLD_FFX_RST,
      I1 => GSR,
      O => S_DATA_VLD_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_OUT_CE_3I1079 : X_LUT4
    generic map(
      INIT => X"DDDD"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_M_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_GROM
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_2I3495 : X_LUT4
    generic map(
      INIT => X"FFCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_IIRDY_I_Q,
      ADR2 => VCC,
      ADR3 => PCI_CORE_PCI_LC_MASTER_IFRAME_Q,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_FROM
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_GROM,
      O => PCI_CORE_PCI_LC_OUT_CE_M_OK_N
    );
  PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_XUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL_FROM,
      O => PCI_CORE_PCI_LC_MASTER_FRAME_INITIAL
    );
  PCI_CORE_ADDR_2_F : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PCI_CORE_ADDR_2_FROM
    );
  PCI_CORE_ADDR_2_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_ADDR_2_SRMUX_OUTPUTNOT
    );
  PCI_CORE_ADDR_2_XUSED : X_BUF
    port map (
      I => PCI_CORE_ADDR_2_FROM,
      O => GLOBAL_LOGIC0_50
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_LA2_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD2,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_ADDR_2_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_ADDR(2)
    );
  PCI_CORE_ADDR_2_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_ADDR_2_SRMUX_OUTPUTNOT,
      O => PCI_CORE_ADDR_2_FFY_RST
    );
  PCI_CORE_ADDR_2_FFY_ASYNC_FF_GSR_OR_914 : X_OR2
    port map (
      I0 => PCI_CORE_ADDR_2_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_ADDR_2_FFY_ASYNC_FF_GSR_OR
    );
  userapp_inst_BAR_0_HIT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => userapp_inst_BAR_0_HIT_SRMUX_OUTPUTNOT
    );
  userapp_inst_foo_bar0_bar_hit_0_bar_hit : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => BASE_HIT(0),
      CE => userapp_inst_N_7_I,
      CLK => CLK,
      SET => GND,
      RST => userapp_inst_BAR_0_HIT_FFY_ASYNC_FF_GSR_OR,
      O => userapp_inst_BAR_0_HIT
    );
  userapp_inst_BAR_0_HIT_FFY_RSTOR : X_BUF
    port map (
      I => userapp_inst_BAR_0_HIT_SRMUX_OUTPUTNOT,
      O => userapp_inst_BAR_0_HIT_FFY_RST
    );
  userapp_inst_BAR_0_HIT_FFY_ASYNC_FF_GSR_OR_915 : X_OR2
    port map (
      I0 => userapp_inst_BAR_0_HIT_FFY_RST,
      I1 => GSR,
      O => userapp_inst_BAR_0_HIT_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_1I1454 : X_LUT4
    generic map(
      INIT => X"C000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => PCI_CORE_PCI_LC_TTRDY_I_Q,
      ADR2 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_JAYANT,
      ADR3 => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_NUPUR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_SUB_DATA_GROM
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_SUB_DATA_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_SUB_DATA_GROM,
      O => PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_STOP_SUB_DATA
    );
  userapp_inst_G_26 : X_LUT4
    generic map(
      INIT => X"CC33"
    )
    port map (
      ADR0 => VCC,
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(5),
      ADR2 => VCC,
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(6),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_GROM
    );
  userapp_inst_disprom_romdata_103en9_1_i_i : X_LUT4
    generic map(
      INIT => X"33FF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => userapp_inst_FOO_BAR0_ROMADDR(5),
      ADR2 => VCC,
      ADR3 => userapp_inst_FOO_BAR0_ROMADDR(6),
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_FROM
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_YUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_GROM,
      O => userapp_inst_N_21
    );
  userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_XUSED : X_BUF
    port map (
      I => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I_FROM,
      O => userapp_inst_FOO_BAR0_DIGITROM_DISPROM_ROMDATA_103EN9_1_I_I
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_OFCN_PCI_TRDY_TRDYQ : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_TTRDY_I_Q,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_Q
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_SET
    );
  PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_ASYNC_FF_GSR_OR_916 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_PCI_CNTL_TTRDY_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_ADDR_3_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_ADDR_3_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_PCI_CNTL_PCI_LA_LA3_FDCE : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_AD3,
      CE => PCI_CORE_PCI_LC_ADDR_VLD0,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_ADDR_3_FFY_ASYNC_FF_GSR_OR,
      O => PCI_CORE_ADDR(3)
    );
  PCI_CORE_ADDR_3_FFY_RSTOR : X_BUF
    port map (
      I => PCI_CORE_ADDR_3_SRMUX_OUTPUTNOT,
      O => PCI_CORE_ADDR_3_FFY_RST
    );
  PCI_CORE_ADDR_3_FFY_ASYNC_FF_GSR_OR_917 : X_OR2
    port map (
      I0 => PCI_CORE_ADDR_3_FFY_RST,
      I1 => GSR,
      O => PCI_CORE_ADDR_3_FFY_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_ADDR_VLD_1I3821 : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_FRAME_Q,
      CE => VCC,
      CLK => CLK,
      SET => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_Q
    );
  PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_SETOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_SET
    );
  PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_ASYNC_FF_GSR_OR_918 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_SET,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_ADDR_VLD_FRAMEQ_FFY_ASYNC_FF_GSR_OR
    );
  PCLK_BUF : X_CKBUF
    port map (
      I => PCLK,
      O => PCI_CORE_NUB
    );
  PCI_CORE_XPCI_CKA_BUF : X_CKBUF
    port map (
      I => PCI_CORE_NUB,
      O => CLK
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_IRDY_B_919 : X_INV
    port map (
      I => PCI_CORE_IRDY_I,
      O => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_IRDY_B
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_TRDY_B_920 : X_INV
    port map (
      I => PCI_CORE_TRDY_I,
      O => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_TRDY_B
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_921 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_S_OK_N,
      O => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I2MUX_B_922 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_FFA,
      O => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I2MUX_B
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_923 : X_INV
    port map (
      I => PCI_CORE_PCI_LC_OUT_CE_M_OK_N,
      O => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B_924 : X_AND2
    port map (
      I0 => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B,
      I1 => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_IRDY_B,
      O => NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B_O
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B_925 : X_AND2
    port map (
      I0 => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B,
      I1 => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_TRDY_B,
      O => NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B_O
    );
  PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_PCI_CE : X_AND3
    port map (
      I0 => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I2MUX_B,
      I1 => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B,
      I2 => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B,
      O => NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_PCI_CE_O
    );
  PCI_CORE_PCI_LC_EOT_1I590 : X_LUT4
    generic map(
      INIT => X"DFCC"
    )
    port map (
      ADR0 => PCI_CORE_TRDY_I_FANOUT,
      ADR1 => PCI_CORE_PCI_LC_EOT_EQN_W0,
      ADR2 => PCI_CORE_STOP_I,
      ADR3 => PCI_CORE_PCI_LC_EOT_EQN_V0,
      O => PCI_CORE_PCI_LC_EOT_NS_0
    );
  PCI_CORE_PCI_LC_EOT_1I618 : X_LUT4
    generic map(
      INIT => X"BFAA"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_EOT_EQN_W1,
      ADR1 => PCI_CORE_TRDY_I_FANOUT,
      ADR2 => PCI_CORE_STOP_I,
      ADR3 => PCI_CORE_PCI_LC_EOT_EQN_V1,
      O => PCI_CORE_PCI_LC_EOT_NS_1
    );
  PCI_CORE_PCI_LC_EOT_1I579 : X_MUX2
    port map (
      IA => PCI_CORE_PCI_LC_EOT_NS_0,
      IB => PCI_CORE_PCI_LC_EOT_NS_1,
      SEL => PCI_CORE_FRAME_I,
      O => PCI_CORE_PCI_LC_EOT_EOT_D
    );
  PCI_CORE_PCI_LC_EOT_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_EOT_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_EOT_EOT_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_EOT_EOT_D,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_EOT_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_EOT
    );
  PCI_CORE_PCI_LC_EOT_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_EOT_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_EOT_FFX_RST
    );
  PCI_CORE_PCI_LC_EOT_FFX_ASYNC_FF_GSR_OR_926 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_EOT_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_EOT_FFX_ASYNC_FF_GSR_OR
    );
  PCI_CORE_PCI_LC_OUT_SEL_1I916 : X_LUT4
    generic map(
      INIT => X"0202"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_S_DATA_INT,
      ADR1 => PCI_CORE_PCI_LC_S_FIRST,
      ADR2 => PCI_CORE_PCI_LC_TDEVSEL_I_Q,
      ADR3 => VCC,
      O => PCI_CORE_PCI_LC_OUT_SEL_GROM
    );
  PCI_CORE_PCI_LC_OUT_SEL_1I814 : X_LUT4
    generic map(
      INIT => X"F888"
    )
    port map (
      ADR0 => PCI_CORE_PCI_LC_OUT_SEL_M_IN,
      ADR1 => PCI_CORE_TRDY_I_FANOUT,
      ADR2 => PCI_CORE_PCI_LC_OUT_SEL_S_IN,
      ADR3 => PCI_CORE_IRDY_I_FANOUT,
      O => PCI_CORE_PCI_LC_OUT_SEL_SEL_IN
    );
  PCI_CORE_PCI_LC_OUT_SEL_SRMUX : X_INV
    port map (
      I => PCI_CORE_RST_N,
      O => PCI_CORE_PCI_LC_OUT_SEL_SRMUX_OUTPUTNOT
    );
  PCI_CORE_PCI_LC_OUT_SEL_YUSED : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_SEL_GROM,
      O => PCI_CORE_PCI_LC_OUT_SEL_S_IN
    );
  PCI_CORE_PCI_LC_OUT_SEL_OSEL_FF : X_FF
    generic map(
      XON => FALSE
    )
    port map (
      I => PCI_CORE_PCI_LC_OUT_SEL_SEL_IN,
      CE => VCC,
      CLK => CLK,
      SET => GND,
      RST => PCI_CORE_PCI_LC_OUT_SEL_FFX_ASYNC_FF_GSR_OR,
      O => PCI_CORE_PCI_LC_OUT_SEL
    );
  PCI_CORE_PCI_LC_OUT_SEL_FFX_RSTOR : X_BUF
    port map (
      I => PCI_CORE_PCI_LC_OUT_SEL_SRMUX_OUTPUTNOT,
      O => PCI_CORE_PCI_LC_OUT_SEL_FFX_RST
    );
  PCI_CORE_PCI_LC_OUT_SEL_FFX_ASYNC_FF_GSR_OR_927 : X_OR2
    port map (
      I0 => PCI_CORE_PCI_LC_OUT_SEL_FFX_RST,
      I1 => GSR,
      O => PCI_CORE_PCI_LC_OUT_SEL_FFX_ASYNC_FF_GSR_OR
    );
  PWR_GND_0_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_0_GROM
    );
  PWR_GND_0_YUSED : X_BUF
    port map (
      I => PWR_GND_0_GROM,
      O => GLOBAL_LOGIC0
    );
  PWR_GND_1_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_1_GROM
    );
  PWR_GND_1_YUSED : X_BUF
    port map (
      I => PWR_GND_1_GROM,
      O => GLOBAL_LOGIC0_0
    );
  PWR_GND_2_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_2_GROM
    );
  PWR_GND_2_YUSED : X_BUF
    port map (
      I => PWR_GND_2_GROM,
      O => GLOBAL_LOGIC0_1
    );
  PWR_GND_3_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_3_GROM
    );
  PWR_GND_3_YUSED : X_BUF
    port map (
      I => PWR_GND_3_GROM,
      O => GLOBAL_LOGIC0_2
    );
  PWR_GND_4_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_4_GROM
    );
  PWR_GND_4_YUSED : X_BUF
    port map (
      I => PWR_GND_4_GROM,
      O => GLOBAL_LOGIC0_3
    );
  PWR_GND_5_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_5_GROM
    );
  PWR_GND_5_YUSED : X_BUF
    port map (
      I => PWR_GND_5_GROM,
      O => GLOBAL_LOGIC0_4
    );
  PWR_GND_6_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_6_GROM
    );
  PWR_GND_6_YUSED : X_BUF
    port map (
      I => PWR_GND_6_GROM,
      O => GLOBAL_LOGIC0_5
    );
  PWR_GND_7_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_7_GROM
    );
  PWR_GND_7_YUSED : X_BUF
    port map (
      I => PWR_GND_7_GROM,
      O => GLOBAL_LOGIC0_6
    );
  PWR_GND_8_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_8_GROM
    );
  PWR_GND_8_YUSED : X_BUF
    port map (
      I => PWR_GND_8_GROM,
      O => GLOBAL_LOGIC0_7
    );
  PWR_GND_9_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_9_GROM
    );
  PWR_GND_9_F : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_9_FROM
    );
  PWR_GND_9_YUSED : X_BUF
    port map (
      I => PWR_GND_9_GROM,
      O => GLOBAL_LOGIC0_8
    );
  PWR_GND_9_XUSED : X_BUF
    port map (
      I => PWR_GND_9_FROM,
      O => GLOBAL_LOGIC1_0
    );
  PWR_GND_10_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_10_GROM
    );
  PWR_GND_10_YUSED : X_BUF
    port map (
      I => PWR_GND_10_GROM,
      O => GLOBAL_LOGIC0_9
    );
  PWR_GND_11_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_11_GROM
    );
  PWR_GND_11_F : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_11_FROM
    );
  PWR_GND_11_YUSED : X_BUF
    port map (
      I => PWR_GND_11_GROM,
      O => GLOBAL_LOGIC0_10
    );
  PWR_GND_11_XUSED : X_BUF
    port map (
      I => PWR_GND_11_FROM,
      O => GLOBAL_LOGIC1_1
    );
  PWR_GND_12_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_12_GROM
    );
  PWR_GND_12_YUSED : X_BUF
    port map (
      I => PWR_GND_12_GROM,
      O => GLOBAL_LOGIC0_27
    );
  PWR_GND_13_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_13_GROM
    );
  PWR_GND_13_YUSED : X_BUF
    port map (
      I => PWR_GND_13_GROM,
      O => GLOBAL_LOGIC0_28
    );
  PWR_GND_14_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_14_GROM
    );
  PWR_GND_14_YUSED : X_BUF
    port map (
      I => PWR_GND_14_GROM,
      O => GLOBAL_LOGIC0_32
    );
  PWR_GND_15_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_15_GROM
    );
  PWR_GND_15_YUSED : X_BUF
    port map (
      I => PWR_GND_15_GROM,
      O => GLOBAL_LOGIC0_33
    );
  PWR_GND_16_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_16_GROM
    );
  PWR_GND_16_YUSED : X_BUF
    port map (
      I => PWR_GND_16_GROM,
      O => GLOBAL_LOGIC0_34
    );
  PWR_GND_17_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_17_GROM
    );
  PWR_GND_17_YUSED : X_BUF
    port map (
      I => PWR_GND_17_GROM,
      O => GLOBAL_LOGIC0_35
    );
  PWR_GND_18_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_18_GROM
    );
  PWR_GND_18_YUSED : X_BUF
    port map (
      I => PWR_GND_18_GROM,
      O => GLOBAL_LOGIC0_36
    );
  PWR_GND_19_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_19_GROM
    );
  PWR_GND_19_F : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_19_FROM
    );
  PWR_GND_19_YUSED : X_BUF
    port map (
      I => PWR_GND_19_GROM,
      O => GLOBAL_LOGIC0_40
    );
  PWR_GND_19_XUSED : X_BUF
    port map (
      I => PWR_GND_19_FROM,
      O => GLOBAL_LOGIC1_5
    );
  PWR_GND_20_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_20_GROM
    );
  PWR_GND_20_YUSED : X_BUF
    port map (
      I => PWR_GND_20_GROM,
      O => GLOBAL_LOGIC0_45
    );
  PWR_GND_21_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_21_GROM
    );
  PWR_GND_21_YUSED : X_BUF
    port map (
      I => PWR_GND_21_GROM,
      O => GLOBAL_LOGIC0_51
    );
  PWR_GND_22_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_22_GROM
    );
  PWR_GND_22_YUSED : X_BUF
    port map (
      I => PWR_GND_22_GROM,
      O => GLOBAL_LOGIC0_54
    );
  PWR_GND_23_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_23_GROM
    );
  PWR_GND_23_YUSED : X_BUF
    port map (
      I => PWR_GND_23_GROM,
      O => GLOBAL_LOGIC0_57
    );
  PWR_GND_24_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_24_GROM
    );
  PWR_GND_24_YUSED : X_BUF
    port map (
      I => PWR_GND_24_GROM,
      O => GLOBAL_LOGIC0_58
    );
  PWR_GND_25_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_25_GROM
    );
  PWR_GND_25_YUSED : X_BUF
    port map (
      I => PWR_GND_25_GROM,
      O => GLOBAL_LOGIC0_59
    );
  PWR_GND_26_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_26_GROM
    );
  PWR_GND_26_YUSED : X_BUF
    port map (
      I => PWR_GND_26_GROM,
      O => GLOBAL_LOGIC0_60
    );
  PWR_GND_27_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_27_GROM
    );
  PWR_GND_27_YUSED : X_BUF
    port map (
      I => PWR_GND_27_GROM,
      O => GLOBAL_LOGIC0_61
    );
  PWR_GND_28_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_28_GROM
    );
  PWR_GND_28_YUSED : X_BUF
    port map (
      I => PWR_GND_28_GROM,
      O => GLOBAL_LOGIC0_66
    );
  PWR_GND_29_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_29_GROM
    );
  PWR_GND_29_YUSED : X_BUF
    port map (
      I => PWR_GND_29_GROM,
      O => GLOBAL_LOGIC0_67
    );
  PWR_GND_30_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_30_GROM
    );
  PWR_GND_30_YUSED : X_BUF
    port map (
      I => PWR_GND_30_GROM,
      O => GLOBAL_LOGIC0_68
    );
  PWR_GND_31_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_31_GROM
    );
  PWR_GND_31_YUSED : X_BUF
    port map (
      I => PWR_GND_31_GROM,
      O => GLOBAL_LOGIC0_69
    );
  PWR_GND_32_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_32_GROM
    );
  PWR_GND_32_YUSED : X_BUF
    port map (
      I => PWR_GND_32_GROM,
      O => GLOBAL_LOGIC0_70
    );
  PWR_GND_33_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_33_GROM
    );
  PWR_GND_33_YUSED : X_BUF
    port map (
      I => PWR_GND_33_GROM,
      O => GLOBAL_LOGIC0_71
    );
  PWR_GND_34_G : X_LUT4
    generic map(
      INIT => X"0000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_34_GROM
    );
  PWR_GND_34_F : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_GND_34_FROM
    );
  PWR_GND_34_YUSED : X_BUF
    port map (
      I => PWR_GND_34_GROM,
      O => GLOBAL_LOGIC0_72
    );
  PWR_GND_34_XUSED : X_BUF
    port map (
      I => PWR_GND_34_FROM,
      O => GLOBAL_LOGIC1_7
    );
  PWR_VCC_0_F : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_VCC_0_FROM
    );
  PWR_VCC_0_XUSED : X_BUF
    port map (
      I => PWR_VCC_0_FROM,
      O => GLOBAL_LOGIC1
    );
  PWR_VCC_1_F : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_VCC_1_FROM
    );
  PWR_VCC_1_XUSED : X_BUF
    port map (
      I => PWR_VCC_1_FROM,
      O => GLOBAL_LOGIC1_2
    );
  PWR_VCC_2_F : X_LUT4
    generic map(
      INIT => X"FFFF"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => PWR_VCC_2_FROM
    );
  PWR_VCC_2_XUSED : X_BUF
    port map (
      I => PWR_VCC_2_FROM,
      O => GLOBAL_LOGIC1_3
    );
  NlwTieBlock_led_top_VCC : X_ONE
    port map (
      O => VCC
    );
  NlwTieBlock_led_top_GND : X_ZERO
    port map (
      O => GND
    );
  NlwInverterBlock_CBE_0_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_CBE_0_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_CBE_1_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_CBE_1_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_CBE_2_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_CBE_2_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_CBE_3_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_CBE_3_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_TRDY_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TRDY_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_DEVSEL_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_DEVSEL_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_STOP_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_STOP_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_FRAME_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_FRAME_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_ONESDIGIT_0_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_ONESDIGIT_0_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_ONESDIGIT_1_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_ONESDIGIT_1_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_ONESDIGIT_2_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_ONESDIGIT_2_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_ONESDIGIT_3_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_ONESDIGIT_3_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_ONESDIGIT_4_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_ONESDIGIT_4_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_ONESDIGIT_5_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_ONESDIGIT_5_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_ONESDIGIT_6_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_ONESDIGIT_6_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_REQ_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_REQ_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_PAR_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_PAR_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_IRDY_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_IRDY_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_INTR_A_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_INTR_A_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_LED_TEST_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_LED_TEST_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_PERR_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_PERR_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_TENSDIGIT_0_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TENSDIGIT_0_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_TENSDIGIT_1_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TENSDIGIT_1_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_TENSDIGIT_2_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TENSDIGIT_2_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_TENSDIGIT_3_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TENSDIGIT_3_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_TENSDIGIT_4_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TENSDIGIT_4_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_TENSDIGIT_5_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TENSDIGIT_5_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_TENSDIGIT_6_OUTBUF_GTS_TRI_CTL : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_TENSDIGIT_6_OUTBUF_GTS_TRI_CTL
    );
  NlwInverterBlock_AD_0_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_0_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_1_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_1_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_10_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_10_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_SERR_N_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_SERR_N_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_2_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_2_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_11_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_11_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_3_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_3_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_12_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_12_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_20_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_20_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_4_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_4_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_13_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_13_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_21_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_21_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_5_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_5_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_14_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_14_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_22_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_22_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_30_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_30_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_6_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_6_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_15_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_15_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_23_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_23_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_31_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_31_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_7_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_7_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_16_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_16_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_24_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_24_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_8_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_8_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_17_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_17_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_25_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_25_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_9_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_9_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_18_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_18_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_26_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_26_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_19_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_19_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_27_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_27_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_28_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_28_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_AD_29_OUTBUF_GTS_AND_IN1 : X_INV
    port map (
      I => GTS,
      O => NlwInverterSignal_AD_29_OUTBUF_GTS_AND_IN1
    );
  NlwInverterBlock_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B_O : X_INV
    port map (
      I => NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B_O,
      O => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I1MUX_B_NAND_IRDY_B
    );
  NlwInverterBlock_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B_O : X_INV
    port map (
      I => NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B_O,
      O => PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_I3_B_NAND_TRDY_B
    );
  NlwInverterBlock_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_PCI_CE_O : X_INV
    port map (
      I => NlwInverterSignal_PCI_CORE_PCI_LC_OUT_CE_MAGICBOX_PCI_CE_O,
      O => PCI_CORE_PCI_LC_OUT_CE_HARD_CE
    );
  NlwBlockROC : ROC     port map (O => GSR);
  NlwBlockTOC : TOC     port map (O => GTS);
end STRUCTURE;

